(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status sat)
(declare-fun y1 () Real)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun x1 () Real)
(assert (or (exists ((?y1 Real)) (forall ((?y2 Real)) (forall ((?y3 Real)) (let ((?v_1 (* 68 x1)) (?v_0 (* (- 62) ?y3)) (?v_4 (* (- 72) ?y1)) (?v_2 (* (- 55) ?y2)) (?v_3 (* (- 76) ?y1))) (or (or (and (or (>= (+ (* 12 ?y2) (* 24 x1)) 4) (< (+ (+ (* 22 ?y2) (* 6 ?y1)) (* 46 x1)) 0)) (or (or (<= (+ (+ (* 93 ?y3) (* (- 8) ?y1)) (* (- 36) x1)) 69) (>= (+ (+ (* 41 ?y2) (* 14 ?y1)) (* (- 21) x1)) 64)) (or (= (+ (+ (* (- 98) ?y3) (* 13 ?y2)) ?v_1) (- 30)) (<= (+ (+ (* 27 ?y2) (* (- 60) ?y1)) (* 43 x1)) 6)))) (and (or (and (<= (+ (+ (+ (* 15 ?y3) (* (- 33) ?y2)) (* (- 19) ?y1)) (* (- 100) x1)) 0) (not (= (+ (* (- 57) ?y2) (* 15 ?y1)) 17))) (and (not (= (+ ?v_0 (* (- 35) ?y1)) 0)) (> (+ (+ (* (- 98) ?y2) (* 69 ?y1)) (* (- 75) x1)) 47))) (or (or (not (= (+ (* 62 ?y3) (* (- 83) ?y2)) 0)) (not (= (+ (* 79 ?y3) (* (- 95) ?y2)) 0))) (or (< (* (- 1) ?y3) (- 29)) (>= (+ (+ ?v_0 (* (- 96) ?y1)) ?v_1) (- 35)))))) (or (or (and (and (= (* 16 ?y1) (- 36)) (<= (+ (+ (+ (* (- 68) ?y3) (* (- 60) ?y2)) (* 17 ?y1)) (* (- 66) x1)) 0)) (or (<= (+ (+ (+ (* 83 ?y3) (* 73 ?y2)) ?v_4) (* (- 35) x1)) 6) (= (+ (* 59 ?y3) ?v_2) 42))) (or (and (> (+ (* (- 56) ?y2) ?v_3) (- 28)) (<= (+ (+ (* (- 13) ?y3) (* 79 ?y1)) (* (- 95) x1)) 0)) (not (= (+ (+ (* (- 85) ?y2) (* (- 82) ?y1)) (* 56 x1)) 6)))) (and (and (or (>= (+ (+ (+ (* 46 ?y3) (* 74 ?y2)) (* 58 ?y1)) (* 18 x1)) 0) (or (= (+ (+ (* (- 4) ?y2) (* (- 1) ?y1)) (* (- 14) x1)) 0) (<= (+ (+ (* (- 5) ?y3) (* (- 90) ?y2)) (* 12 x1)) 29))) (< (+ (+ (+ (* (- 71) ?y3) ?v_2) (* 27 ?y1)) (* 16 x1)) 49)) (or (> (+ (+ (+ (* (- 67) ?y3) (* (- 91) ?y2)) (* (- 79) ?y1)) (* (- 38) x1)) 48) (and (and (< (+ (+ (* 63 ?y3) (* (- 44) ?y2)) (* (- 4) ?y1)) (- 11)) (< (+ (+ (* 5 ?y3) (* 98 ?y2)) ?v_3) 25)) (and (< (+ (+ (* (- 22) ?y3) (* 9 ?y2)) ?v_4) (- 11)) (<= (+ (* (- 87) ?y3) (* 49 x1)) 74))))))))))) (or (and (or (or (exists ((?y2 Real)) (exists ((?y3 Real)) (or (<= (+ (+ (* (- 46) ?y3) (* (- 75) ?y2)) (* 67 x1)) 0) (= (+ (+ (* 1 ?y3) (* 81 ?y2)) (* 7 x1)) (- 96))))) (and (forall ((?y2 Real)) (or (forall ((?y3 Real)) (>= (+ (* 84 ?y2) (* 60 x1)) 0)) (and (<= (* 14 ?y2) (- 72)) (< (* (- 35) ?y2) 97)))) (or (exists ((?y2 Real)) (forall ((?y3 Real)) (> (+ (* 35 ?y3) (* (- 75) x1)) (- 46)))) (forall ((?y2 Real)) (or (<= (+ (* (- 22) ?y2) (* (- 22) x1)) 0) (>= (* (- 29) x1) 0)))))) (forall ((?y2 Real)) (exists ((?y3 Real)) (and (and (<= (+ (* 42 ?y3) (* 71 x1)) 45) (not (= (+ (* (- 64) ?y3) (* 11 ?y2)) 0))) (or (<= (+ (+ (* (- 95) ?y3) (* 51 ?y2)) (* 73 x1)) 57) (not (= (+ (+ (* (- 39) ?y3) (* (- 19) ?y2)) (* 50 x1)) 0))))))) (exists ((?y2 Real)) (exists ((?y3 Real)) (or (or (and (and (= (+ (* 69 ?y3) (* 72 ?y2)) 45) (>= (+ (+ (* 99 ?y3) (* 3 ?y2)) (* (- 44) x1)) (- 38))) (or (= (+ (+ (* 97 ?y3) (* 98 ?y2)) (* (- 56) x1)) 96) (> (+ (+ (* (- 37) ?y3) (* (- 14) ?y2)) (* (- 84) x1)) 29))) (and (or (> (+ (+ (* (- 70) ?y3) (* (- 61) ?y2)) (* (- 41) x1)) 68) (<= (* 60 ?y3) (- 18))) (or (<= (+ (+ (* (- 42) ?y3) (* 67 ?y2)) (* 68 x1)) (- 51)) (< (* (- 4) ?y3) (- 95))))) (and (or (not (= (+ (+ (* 47 ?y3) (* 75 ?y2)) (* (- 8) x1)) 42)) (not (= (+ (+ (* 39 ?y3) (* 57 ?y2)) (* 54 x1)) 9))) (and (= (+ (+ (* 53 ?y3) (* 95 ?y2)) (* (- 14) x1)) 20) (>= (* (- 14) ?y3) (- 2)))))))) (and (exists ((?y1 Real)) (exists ((?y2 Real)) (let ((?v_5 (* 90 ?y1))) (or (and (or (and (< (+ (+ (* (- 30) ?y2) (* 48 ?y1)) (* (- 70) x1)) 70) (> (+ (+ (* 27 ?y2) (* (- 94) ?y1)) (* 1 x1)) 47)) (or (not (= (+ (* 39 ?y2) (* 29 ?y1)) 0)) (< (+ (* 58 ?y1) (* 40 x1)) (- 2)))) (or (and (forall ((?y3 Real)) (> (+ (* (- 58) ?y3) (* 19 x1)) 0)) (forall ((?y3 Real)) (= (* (- 83) x1) 35))) (or (or (not (= (+ (* (- 45) ?y1) (* 31 x1)) (- 21))) (> (+ (+ (* 38 ?y2) (* (- 13) ?y1)) (* 96 x1)) 0)) (= (+ (* (- 88) ?y2) (* (- 60) ?y1)) (- 9))))) (or (and (or (= (+ (* (- 60) ?y2) (* 97 x1)) (- 39)) (< (+ (+ (* 59 ?y2) (* 18 ?y1)) (* 47 x1)) 94)) (and (> (+ (+ (* 81 ?y2) (* (- 67) ?y1)) (* (- 11) x1)) 17) (not (= (+ (+ (* 41 ?y2) ?v_5) (* (- 67) x1)) 0)))) (or (< (+ (+ (* 46 ?y2) ?v_5) (* (- 87) x1)) 1) (= (+ (+ (* 80 ?y2) (* 68 ?y1)) (* 86 x1)) (- 97)))))))) (exists ((?y1 Real)) (or (exists ((?y2 Real)) (and (and (or (= (+ (+ (* (- 100) ?y2) (* (- 32) ?y1)) (* (- 69) x1)) 12) (< (+ (+ (* 80 ?y2) (* 90 ?y1)) (* 76 x1)) (- 23))) (> (+ (+ (* (- 33) ?y2) (* (- 100) ?y1)) (* (- 71) x1)) 0)) (and (or (>= (* (- 40) ?y1) 34) (<= (+ (* 52 ?y2) (* (- 67) ?y1)) (- 84))) (or (= (+ (+ (* 98 ?y2) (* (- 75) ?y1)) (* 25 x1)) 63) (<= (+ (+ (* 97 ?y2) (* 53 ?y1)) (* (- 5) x1)) 21))))) (exists ((?y2 Real)) (and (forall ((?y3 Real)) (and (< (+ (+ (* (- 23) ?y2) (* 15 ?y1)) (* (- 75) x1)) (- 80)) (< (+ (+ (* 60 ?y3) (* (- 11) ?y2)) (* 75 x1)) 43))) (forall ((?y3 Real)) (or (and (<= (+ (+ (* (- 75) ?y3) (* 26 ?y1)) (* 21 x1)) 71) (= (+ (+ (* 17 ?y3) (* (- 50) ?y1)) (* 88 x1)) 0)) (and (<= (+ (+ (* 47 ?y3) (* (- 26) ?y1)) (* (- 93) x1)) (- 22)) (not (= (+ (+ (+ (* 48 ?y3) (* 75 ?y2)) (* 52 ?y1)) (* (- 55) x1)) (- 21))))))))))))))
(check-sat)
(exit)
