(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status sat)
(declare-fun y1 () Real)
(declare-fun y3 () Real)
(declare-fun y4 () Real)
(declare-fun x1 () Real)
(assert (forall ((?y1 Real)) (or (forall ((?y3 Real)) (exists ((?y4 Real)) (let ((?v_1 (* (- 36) ?y1)) (?v_0 (* (- 54) x1)) (?v_2 (* (- 36) ?y4))) (or (or (or (or (or (< (+ (* 5 ?y1) (* (- 26) x1)) 49) (< (+ (+ (+ (* (- 22) ?y4) (* 17 ?y3)) (* (- 38) ?y1)) (* 10 x1)) 61)) (and (= (+ (+ (+ (* (- 60) ?y4) (* (- 31) ?y3)) (* 68 ?y1)) (* 25 x1)) 30) (not (= (+ (+ (+ (* 78 ?y4) (* (- 47) ?y3)) (* (- 96) ?y1)) (* (- 78) x1)) (- 94))))) (and (not (= (+ (* 51 ?y3) (* (- 92) ?y1)) (- 60))) (and (<= (+ (+ (+ (* (- 26) ?y4) (* 50 ?y3)) (* (- 35) ?y1)) (* (- 100) x1)) (- 81)) (= (+ (+ (* (- 68) ?y4) (* (- 15) ?y3)) (* 43 x1)) 33)))) (or (or (<= (+ (+ (+ (* (- 47) ?y4) (* (- 51) ?y3)) (* (- 39) ?y1)) (* (- 39) x1)) 80) (>= (+ (+ (* (- 95) ?y3) ?v_1) ?v_0) (- 17))) (and (= (+ (+ (* 98 ?y4) (* 7 ?y3)) (* 100 x1)) (- 94)) (>= (+ (+ (+ ?v_2 (* 42 ?y3)) (* (- 55) ?y1)) (* 85 x1)) (- 17))))) (and (and (or (or (>= (+ (+ (+ (* (- 17) ?y4) (* 69 ?y3)) (* 35 ?y1)) (* (- 21) x1)) 0) (<= (+ (* 6 ?y1) (* 12 x1)) 0)) (and (not (= (+ (+ (* 49 ?y4) (* (- 59) ?y3)) (* 81 x1)) 0)) (= (+ (+ (+ (* 30 ?y4) (* 10 ?y3)) (* (- 57) ?y1)) ?v_0) 36))) (and (<= (+ (+ (* (- 73) ?y4) (* (- 24) ?y1)) (* (- 22) x1)) (- 55)) (or (< (+ (+ (* (- 83) ?y4) (* (- 39) ?y3)) ?v_1) (- 23)) (> (+ (+ (* 44 ?y4) (* 75 ?y3)) (* (- 14) ?y1)) 5)))) (and (and (or (< (+ (+ (* (- 97) ?y4) (* 91 ?y1)) (* 15 x1)) (- 59)) (<= (+ (+ (* 83 ?y4) (* (- 76) ?y3)) (* (- 4) ?y1)) 0)) (or (>= (+ (+ (+ ?v_2 (* (- 26) ?y3)) (* 65 ?y1)) (* 2 x1)) 0) (> (+ (+ (+ (* (- 3) ?y4) (* (- 70) ?y3)) (* 4 ?y1)) (* 86 x1)) (- 40)))) (or (<= (+ (* 27 ?y4) (* 16 x1)) 95) (>= (+ (* 89 ?y4) (* 93 x1)) 82)))))))) (or (or (and (or (or (>= (+ (* (- 78) ?y1) (* 32 x1)) (- 8)) (< (* 12 x1) 94)) (exists ((?y4 Real)) (or (>= (* (- 2) ?y4) 76) (> (+ (* 86 ?y1) (* (- 44) x1)) 24)))) (and (< (+ (* 24 ?y1) (* (- 35) x1)) (- 44)) (> (+ (* (- 44) ?y1) (* (- 77) x1)) 32))) (exists ((?y4 Real)) (and (and (= (+ (* (- 62) ?y4) (* 17 x1)) 12) (not (= (+ (+ (* (- 22) ?y4) (* (- 59) ?y1)) (* 7 x1)) 0))) (or (<= (+ (* 54 ?y4) (* 67 ?y1)) (- 39)) (= (+ (* (- 73) ?y1) (* 25 x1)) 45))))) (or (and (and (or (exists ((?y4 Real)) (not (= (+ (+ (* 16 ?y4) (* (- 64) ?y1)) (* 54 x1)) 63))) (exists ((?y4 Real)) (= (+ (+ (* (- 46) ?y4) (* (- 80) ?y1)) (* (- 53) x1)) 50))) (and (exists ((?y4 Real)) (> (+ (* 76 ?y4) (* (- 56) ?y1)) 51)) (and (forall ((?y3 Real)) (= (+ (+ (* (- 78) ?y3) (* (- 78) ?y1)) (* 6 x1)) 39)) (not (= (+ (* (- 69) ?y1) (* 59 x1)) 0))))) (forall ((?y3 Real)) (or (or (forall ((?y4 Real)) (<= (+ (+ (* 17 ?y3) (* 92 ?y1)) (* 37 x1)) 0)) (forall ((?y4 Real)) (< (+ (+ (+ (* 65 ?y4) (* 73 ?y3)) (* (- 32) ?y1)) (* (- 47) x1)) (- 74)))) (exists ((?y4 Real)) (not (= (+ (* 96 ?y4) (* (- 72) x1)) (- 3))))))) (and (forall ((?y3 Real)) (and (and (= (+ (* 51 ?y3) (* (- 55) ?y1)) 0) (not (= (+ (* 44 ?y3) (* 31 ?y1)) 75))) (or (= (+ (+ (* (- 76) ?y3) (* (- 93) ?y1)) (* 43 x1)) (- 55)) (not (= (+ (+ (* (- 99) ?y3) (* 7 ?y1)) (* (- 11) x1)) 33))))) (and (or (or (>= (* (- 73) ?y1) 34) (> (+ (* (- 60) ?y1) (* 3 x1)) 9)) (or (> (+ (* (- 12) ?y1) (* (- 58) x1)) (- 87)) (> (+ (* (- 86) ?y1) (* (- 37) x1)) 0))) (or (or (forall ((?y3 Real)) (not (= (+ (* (- 45) ?y3) (* (- 17) x1)) (- 67)))) (forall ((?y3 Real)) (= (+ (* (- 19) ?y1) (* 20 x1)) 27))) (forall ((?y3 Real)) (> (+ (+ (* 30 ?y3) (* 17 ?y1)) (* (- 51) x1)) 0))))))))))
(check-sat)
(exit)
