(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "industrial")
(set-info :status sat)
(declare-fun lambda () Real)
(declare-fun lambdaprime () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda Real)) (let ((?v_1 (+ x3 (* 1 ?lambda)))) (let ((?v_0 (* 1 ?v_1))) (let ((?v_25 (<= ?v_0 0)) (?v_2 (+ x4 (* 60 ?lambda)))) (let ((?v_26 (<= (* 1 ?v_2) 4820))) (let ((?v_55 (not ?v_26)) (?v_53 (not ?v_25)) (?v_58 (<= ?v_0 20)) (?v_74 (not bool.b24)) (?v_104 (<= ?v_0 40)) (?v_108 (<= ?v_0 45))) (let ((?v_105 (and ?v_108 (not (<= ?v_0 33)))) (?v_110 (not ?v_108)) (?v_59 (<= (+ ?v_0 (* (/ 1 15) ?v_2)) (/ 964 3)))) (let ((?v_52 (not ?v_59))) (let ((?v_76 (and ?v_25 ?v_52))) (let ((?v_22 (not ?v_76)) (?v_4 (not (<= (* (- 1) ?v_1) (- 20)))) (?v_5 (* (- 1) ?v_2))) (let ((?v_28 (<= ?v_5 (- 4100)))) (let ((?v_23 (not ?v_28))) (let ((?v_19 (and bool.b17 (not (and ?v_4 ?v_23))))) (let ((?v_3 (not ?v_19)) (?v_30 (<= ?v_5 (- 4500)))) (let ((?v_64 (not ?v_30)) (?v_24 (<= ?v_5 (- 4910)))) (let ((?v_66 (not ?v_24))) (let ((?v_42 (not (and bool.b19 (not (and ?v_4 ?v_66)))))) (let ((?v_6 (not (and (and ?v_3 (not (and bool.b18 (not (and ?v_4 ?v_64))))) ?v_42)))) (let ((?v_16 (and bool.b23 ?v_6))) (let ((?v_20 (not ?v_16)) (?v_13 (and bool.b22 ?v_6))) (let ((?v_17 (not ?v_13)) (?v_10 (and bool.b21 ?v_6))) (let ((?v_14 (not ?v_10)) (?v_8 (and bool.b20 ?v_6))) (let ((?v_11 (not ?v_8)) (?v_7 (and bool.b18 ?v_6)) (?v_32 (and bool.b19 ?v_6))) (let ((?v_12 (and (not ?v_7) (not ?v_32)))) (let ((?v_9 (not ?v_12)) (?v_15 (and ?v_11 ?v_12))) (let ((?v_18 (and ?v_14 ?v_15))) (let ((?v_21 (and ?v_17 ?v_18)) (?v_34 (and ?v_23 ?v_19)) (?v_33 (not (and bool.b19 ?v_24)))) (let ((?v_35 (and ?v_33 ?v_20)) (?v_27 (and ?v_25 ?v_8))) (let ((?v_44 (not (and ?v_26 ?v_27)))) (let ((?v_37 (and ?v_17 ?v_44)) (?v_43 (not (and ?v_55 ?v_27)))) (let ((?v_39 (and ?v_14 ?v_43)) (?v_29 (not (and bool.b17 ?v_28))) (?v_41 (and bool.b18 ?v_30))) (let ((?v_31 (not ?v_41))) (let ((?v_106 (and ?v_29 ?v_31))) (let ((?v_46 (and ?v_29 (not (and ?v_106 ?v_7)))) (?v_92 (and ?v_31 (not (and ?v_32 (and ?v_31 ?v_33)))))) (let ((?v_40 (and (not (and ?v_53 ?v_8)) (and ?v_46 ?v_92)))) (let ((?v_38 (and ?v_39 ?v_40))) (let ((?v_36 (and ?v_37 ?v_38))) (let ((?v_91 (not (and ?v_34 (not (and ?v_35 ?v_36))))) (?v_63 (not ?v_34)) (?v_47 (and bool.b24 (not (and ?v_3 ?v_42))))) (let ((?v_45 (not (and ?v_41 (not ?v_47))))) (let ((?v_50 (and ?v_45 (not (and ?v_8 (and ?v_43 (and ?v_44 ?v_45)))))) (?v_48 (not (and ?v_41 ?v_47)))) (let ((?v_49 (and ?v_48 (not (and ?v_32 (and ?v_33 ?v_48)))))) (let ((?v_51 (not (and ?v_46 ?v_49))) (?v_65 (not ?v_46)) (?v_68 (not ?v_49)) (?v_54 (not ?v_50)) (?v_67 (and bool.b17 ?v_30))) (let ((?v_56 (not (and ?v_74 ?v_67))) (?v_57 (and ?v_25 ?v_54))) (let ((?v_79 (not (and ?v_55 ?v_57))) (?v_85 (not (and ?v_26 ?v_57)))) (let ((?v_107 (not (and ?v_56 (not (and ?v_54 (and ?v_79 (and ?v_56 ?v_85)))))))) (let ((?v_60 (and ?v_53 ?v_107))) (let ((?v_102 (and ?v_58 (and ?v_52 ?v_60))) (?v_61 (and ?v_58 (and ?v_59 ?v_60)))) (let ((?v_112 (not ?v_61)) (?v_62 (+ ?v_0 (* (/ 1 20) ?v_2))) (?v_83 (not ?v_60)) (?v_70 (and ?v_64 ?v_65))) (let ((?v_73 (not ?v_70)) (?v_69 (not (and bool.b24 ?v_67))) (?v_82 (not (and ?v_24 ?v_68)))) (let ((?v_71 (and ?v_66 (not (and ?v_69 (not (and ?v_68 (and ?v_69 ?v_82)))))))) (let ((?v_72 (not ?v_71))) (let ((?v_101 (and ?v_6 (and ?v_83 (and (and ?v_63 ?v_73) ?v_72)))) (?v_100 (and (not (and ?v_4 ?v_70)) (not (and ?v_4 ?v_71)))) (?v_75 (not (and ?v_74 ?v_41)))) (let ((?v_77 (not (and ?v_75 (not (and bool.b20 (and (and ?v_75 (not (and ?v_26 (and bool.b20 ?v_25)))) (not (and bool.b20 ?v_76))))))))) (let ((?v_78 (and ?v_25 ?v_77))) (let ((?v_84 (and ?v_25 (not (and ?v_56 (not (and ?v_77 (and (not (and ?v_55 ?v_78)) (and (not (and ?v_26 ?v_78)) ?v_56))))))))) (let ((?v_89 (and (not (and ?v_55 ?v_84)) (and ?v_39 ?v_79))) (?v_80 (not (and bool.b24 ?v_41)))) (let ((?v_81 (not (and ?v_80 (not (and bool.b19 (and ?v_33 ?v_80))))))) (let ((?v_87 (and (not (and ?v_24 (not (and ?v_69 (not (and ?v_81 (and (not (and ?v_24 ?v_81)) ?v_69))))))) (and ?v_35 ?v_82))) (?v_86 (and (not (and ?v_26 ?v_84)) (and ?v_37 ?v_85)))) (let ((?v_90 (and ?v_83 ?v_86))) (let ((?v_88 (not ?v_90)) (?v_96 (not ?v_86)) (?v_98 (not ?v_87)) (?v_94 (not ?v_89)) (?v_95 (and ?v_73 ?v_72))) (let ((?v_93 (not ?v_95)) (?v_97 (and ?v_83 ?v_95))) (let ((?v_99 (and ?v_89 ?v_97))) (let ((?v_113 (and (not (and (not ?v_101) (not (and (not (and ?v_100 (not (and (not (and ?v_53 (not (and ?v_72 (and ?v_73 (and ?v_63 (and (not (and ?v_89 (not (and (not (and ?v_87 (not (and ?v_88 (not (and ?v_60 ?v_96)))))) (not (and ?v_98 ?v_88)))))) (not (and ?v_94 (not (and ?v_87 ?v_90))))))))))) (not (and ?v_25 (and ?v_26 (not (and ?v_91 (not (and ?v_63 (not (and (not (and ?v_87 (not (and (not (and ?v_86 (not (and (not (and ?v_89 (not (and (not (and ?v_60 ?v_93)) (not (and ?v_83 (not (and (not (and (not ?v_92) ?v_70)) ?v_93)))))))) (not (and ?v_94 (not ?v_97))))))) (not (and ?v_96 (not ?v_99))))))) (not (and ?v_98 (not (and ?v_86 ?v_99))))))))))))))))) (not (and ?v_22 (not ?v_100))))))) (not (and ?v_22 ?v_101)))) (?v_103 (+ ?v_0 (* (/ 3 20) ?v_2))) (?v_109 (and bool.b17 ?v_23)) (?v_111 (and ?v_64 (not (and ?v_29 (not (and bool.b18 ?v_106))))))) (or (or (exists ((?lambdaprime Real)) (let ((?v_114 (not (<= (* (- 1) (+ x3 (* 1 ?lambdaprime))) (- 20)))) (?v_115 (* (- 1) (+ x4 (* 60 ?lambdaprime))))) (and (and (<= 0 ?lambdaprime) (<= ?lambdaprime ?lambda)) (not (and (and (not (and bool.b17 (not (and ?v_114 (not (<= ?v_115 (- 4100))))))) (not (and bool.b18 (not (and ?v_114 (not (<= ?v_115 (- 4500)))))))) (not (and bool.b19 (not (and ?v_114 (not (<= ?v_115 (- 4910)))))))))))) (< ?lambda 0)) (and ?v_22 (not (and (and (not (and ?v_3 (not (and (not (and ?v_20 (not (and (not (and ?v_17 (not (and (not (and ?v_14 (not (and (not (and ?v_11 (not (and ?v_9 (not (and bool.b19 ?v_7)))))) (not (and ?v_8 ?v_9)))))) (not (and ?v_10 (not ?v_15))))))) (not (and ?v_13 (not ?v_18))))))) (not (and ?v_16 (not ?v_21))))))) (not (and ?v_19 (not (and ?v_20 ?v_21))))) (not (and ?v_22 (not (and (and ?v_91 (not (and ?v_63 (not (and (not (and (not ?v_35) (not ?v_36))) (not (and ?v_35 (not (and (not (and (not ?v_37) (not ?v_38))) (not (and ?v_37 (not (and (not (and (not ?v_39) (not ?v_40))) (not (and ?v_39 (not (and (not (and ?v_50 (not (and ?v_51 (not (and ?v_65 ?v_68)))))) (not (and ?v_54 ?v_51))))))))))))))))))) (and (not (and (not ?v_102) (not (and (not (and ?v_22 ?v_112)) (not (and ?v_61 (not (and (<= ?v_62 400) (and (not (<= ?v_62 241)) ?v_113))))))))) (not (and ?v_102 (not (and (<= ?v_103 1200) (and (not (<= ?v_103 723)) (and (and (and (and (not (and ?v_104 (and ?v_105 ?v_109))) (not (and ?v_104 (and ?v_105 ?v_111)))) (not (and ?v_104 (and ?v_105 ?v_71)))) (not (and ?v_104 (and (not ?v_58) (and ?v_59 ?v_107))))) (and (and (and (and (not (and ?v_110 ?v_109)) (not (and ?v_110 ?v_111))) (not (and ?v_110 ?v_71))) (not (and (not ?v_104) (and ?v_52 ?v_107)))) (and ?v_112 ?v_113)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
