(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status sat)
(declare-fun y1 () Real)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun y4 () Real)
(declare-fun x1 () Real)
(assert (exists ((?y1 Real)) (exists ((?y2 Real)) (and (or (forall ((?y3 Real)) (let ((?v_9 (* 1 ?y1)) (?v_8 (* 73 ?y3)) (?v_10 (* 13 x1)) (?v_6 (* (- 95) ?y3)) (?v_0 (* (- 11) ?y3)) (?v_2 (* (- 92) ?y1)) (?v_1 (* (- 53) ?y1)) (?v_3 (* (- 74) ?y3)) (?v_7 (* (- 73) ?y2)) (?v_4 (* (- 9) ?y1)) (?v_5 (* (- 80) ?y1))) (and (or (and (forall ((?y4 Real)) (and (or (and (>= (+ (+ (* (- 77) ?y4) (* (- 34) ?y2)) (* 31 x1)) 64) (>= (+ (+ (* (- 92) ?y2) (* (- 95) ?y1)) (* (- 67) x1)) (- 14))) (or (not (= (+ (+ (+ (+ (* (- 48) ?y4) (* (- 62) ?y3)) (* (- 74) ?y2)) (* (- 100) ?y1)) (* (- 66) x1)) (- 54))) (>= (+ (+ (+ (* 4 ?y4) (* 44 ?y3)) (* (- 99) ?y1)) (* 87 x1)) 46))) (and (and (<= (+ (+ (+ (* 39 ?y3) (* 11 ?y2)) (* 42 ?y1)) (* 62 x1)) 32) (>= (+ (+ (+ (* (- 79) ?y4) (* 98 ?y3)) (* 42 ?y2)) (* 67 ?y1)) (- 29))) (and (not (= (+ (+ (+ (+ (* (- 70) ?y4) (* (- 25) ?y3)) (* (- 45) ?y2)) (* 56 ?y1)) (* (- 85) x1)) (- 39))) (= (+ (+ (* (- 4) ?y2) (* 8 ?y1)) (* 45 x1)) 0))))) (and (or (or (= (+ (+ (+ (* 9 ?y3) (* (- 43) ?y2)) (* (- 51) ?y1)) (* (- 38) x1)) (- 30)) (>= (+ (+ (+ (* (- 53) ?y3) (* (- 67) ?y2)) (* 74 ?y1)) (* 64 x1)) 0)) (or (<= (+ (+ (+ (* (- 46) ?y3) (* (- 57) ?y2)) (* 87 ?y1)) (* 90 x1)) 0) (> (+ (* 68 ?y3) (* 39 x1)) (- 4)))) (and (and (<= (+ (+ (* (- 19) ?y3) (* (- 75) ?y2)) (* 67 x1)) 84) (= (+ (+ (* 50 ?y3) (* 77 ?y1)) (* 36 x1)) 81)) (and (< (+ (+ (+ ?v_6 (* (- 97) ?y2)) (* 91 ?y1)) (* (- 12) x1)) (- 44)) (> (+ ?v_0 (* (- 5) x1)) 29))))) (or (and (and (or (<= (+ (+ (+ ?v_0 (* 29 ?y2)) ?v_2) (* (- 42) x1)) 0) (<= (+ (* 80 ?y1) (* 89 x1)) 0)) (and (<= (+ (+ (+ (* (- 34) ?y3) (* (- 1) ?y2)) (* 76 ?y1)) (* (- 50) x1)) 0) (> (* (- 87) ?y3) 17))) (or (or (< (+ (* 52 ?y3) (* (- 62) ?y1)) 25) (= (+ (* (- 54) ?y2) ?v_9) (- 66))) (or (>= (+ (+ (+ (* 100 ?y3) (* 45 ?y2)) (* (- 100) ?y1)) (* (- 39) x1)) (- 74)) (> (* (- 61) ?y1) (- 46))))) (or (and (not (= (+ (+ (* 7 ?y3) (* (- 89) ?y2)) ?v_1) 36)) (>= (+ (+ (+ ?v_3 (* (- 99) ?y2)) (* (- 65) ?y1)) (* 77 x1)) (- 2))) (and (> (+ ?v_1 (* (- 72) x1)) 42) (< (+ (+ (+ (* 16 ?y3) (* (- 17) ?y2)) (* (- 12) ?y1)) (* 80 x1)) 0))))) (or (and (or (and (and (>= (+ (+ (+ (* 62 ?y3) ?v_7) ?v_4) (* (- 83) x1)) 0) (< (* 41 ?y2) (- 41))) (< (+ (+ (+ (* (- 1) ?y3) (* (- 98) ?y2)) (* (- 98) ?y1)) (* 87 x1)) 0)) (or (or (>= (+ (+ (+ (* (- 79) ?y3) (* 61 ?y2)) ?v_2) (* 40 x1)) (- 14)) (not (= (+ (+ (+ (* (- 20) ?y3) (* (- 31) ?y2)) (* 19 ?y1)) (* 74 x1)) 17))) (>= (+ ?v_3 (* 84 x1)) 10))) (or (or (or (= (+ (+ (* (- 41) ?y2) (* 64 ?y1)) (* 12 x1)) (- 24)) (not (= (+ (+ (+ ?v_8 (* (- 64) ?y2)) (* (- 20) ?y1)) (* (- 57) x1)) (- 88)))) (or (> (+ (+ (* (- 91) ?y3) ?v_4) (* (- 22) x1)) 95) (not (= (+ (* 72 ?y3) (* 44 ?y1)) 0)))) (and (or (> (+ (+ (* 27 ?y3) (* 49 ?y2)) ?v_5) (- 79)) (not (= (+ (* (- 4) ?y1) (* (- 1) x1)) (- 37)))) (and (= (+ (+ (+ (* (- 29) ?y3) (* (- 49) ?y2)) (* (- 85) ?y1)) (* (- 58) x1)) (- 15)) (= (+ (* 39 ?y3) (* 40 ?y2)) (- 63)))))) (or (and (or (and (not (= (+ (+ (* (- 35) ?y3) (* 34 ?y2)) (* 42 x1)) 0)) (> (+ (+ (+ (* (- 83) ?y3) (* (- 36) ?y2)) ?v_5) (* 38 x1)) (- 40))) (and (> (+ ?v_6 (* 16 x1)) (- 55)) (<= (+ (+ (* (- 59) ?y3) ?v_7) (* (- 76) ?y1)) 0))) (or (and (> (+ (* 15 ?y2) ?v_10) 80) (>= (+ (+ (+ (* (- 31) ?y3) (* 26 ?y2)) (* 59 ?y1)) (* 37 x1)) 0)) (or (<= (+ (+ (* 55 ?y2) (* (- 89) ?y1)) (* (- 53) x1)) 0) (> (+ ?v_8 (* 10 ?y1)) 59)))) (or (and (or (< (+ (+ (* (- 32) ?y3) (* (- 21) ?y2)) (* 13 ?y1)) (- 80)) (not (= (+ (* (- 44) ?y3) (* (- 3) ?y2)) (- 4)))) (or (> (+ (+ (* (- 30) ?y3) (* (- 56) ?y2)) (* 34 ?y1)) (- 34)) (>= (+ (* (- 12) ?y2) (* 100 ?y1)) 46))) (or (>= (+ (+ (+ (* 21 ?y3) (* (- 100) ?y2)) ?v_9) (* 86 x1)) 19) (and (>= (+ (+ (+ (* (- 15) ?y3) (* (- 33) ?y2)) (* (- 24) ?y1)) (* (- 73) x1)) (- 77)) (= (+ (+ (* (- 80) ?y3) (* 28 ?y2)) ?v_10) 30))))))))) (and (and (and (exists ((?y4 Real)) (and (or (not (= (+ (+ (* (- 19) ?y2) (* 94 ?y1)) (* 97 x1)) (- 93))) (and (<= (+ (+ (* 61 ?y4) (* (- 29) ?y2)) (* 40 ?y1)) 75) (not (= (+ (+ (+ (* (- 31) ?y4) (* (- 61) ?y2)) (* (- 15) ?y1)) (* (- 71) x1)) 0)))) (and (or (<= (+ (+ (* 38 ?y4) (* (- 50) ?y2)) (* 46 ?y1)) 0) (< (+ (+ (* 71 ?y4) (* (- 39) ?y2)) (* 9 ?y1)) (- 38))) (or (< (+ (+ (* 40 ?y4) (* 86 ?y1)) (* (- 16) x1)) 1) (= (+ (+ (+ (* 67 ?y4) (* (- 92) ?y2)) (* (- 80) ?y1)) (* 5 x1)) 15))))) (and (and (= (+ (+ (* 31 ?y2) (* (- 39) ?y1)) (* (- 31) x1)) (- 33)) (< (+ (* (- 3) ?y2) (* 38 ?y1)) 61)) (or (or (> (+ (* (- 89) ?y2) (* (- 72) x1)) 0) (= (+ (+ (* (- 49) ?y2) (* 68 ?y1)) (* 22 x1)) (- 91))) (or (= (+ (* (- 57) ?y1) (* (- 86) x1)) 0) (< (* 72 ?y2) 0))))) (exists ((?y4 Real)) (and (or (or (not (= (+ (* 64 ?y1) (* (- 39) x1)) 3)) (= (+ (* 85 ?y2) (* (- 57) x1)) 0)) (and (or (>= (+ (+ (+ (* (- 88) ?y4) (* (- 78) ?y2)) (* (- 96) ?y1)) (* (- 63) x1)) (- 95)) (>= (+ (+ (* 46 ?y4) (* 16 ?y2)) (* 53 x1)) 0)) (<= (+ (+ (* 39 ?y4) (* 99 ?y1)) (* (- 42) x1)) (- 82)))) (and (or (> (+ (+ (* 76 ?y2) (* 85 ?y1)) (* 3 x1)) (- 21)) (= (+ (+ (+ (* 89 ?y4) (* 20 ?y2)) (* (- 26) ?y1)) (* 17 x1)) 0)) (and (< (+ (+ (+ (* (- 67) ?y4) (* 96 ?y2)) (* (- 14) ?y1)) (* (- 37) x1)) 0) (<= (+ (* 99 ?y2) (* 47 x1)) 86)))))) (exists ((?y4 Real)) (let ((?v_14 (* 87 x1)) (?v_12 (* 99 ?y2)) (?v_13 (* 66 x1)) (?v_11 (* (- 72) ?y1))) (and (and (and (or (and (<= (+ (+ (+ (* (- 84) ?y4) (* (- 30) ?y2)) (* 43 ?y1)) (* (- 97) x1)) 0) (>= (+ (+ (+ (* 22 ?y4) (* (- 21) ?y2)) (* 70 ?y1)) (* (- 20) x1)) 0)) (<= (+ (+ (* 35 ?y4) (* 97 ?y2)) (* (- 40) x1)) 32)) (or (and (not (= (+ (* 53 ?y4) (* (- 26) x1)) 23)) (<= (+ (* (- 67) ?y4) (* 37 x1)) 0)) (not (= (+ (+ (+ (* 8 ?y4) (* (- 47) ?y2)) (* (- 6) ?y1)) (* 47 x1)) (- 21))))) (or (and (or (<= (+ (+ (* (- 55) ?y4) (* (- 40) ?y1)) (* 42 x1)) (- 69)) (< (+ (+ (+ (* (- 59) ?y4) (* 54 ?y2)) (* 4 ?y1)) (* (- 32) x1)) 94)) (and (> (+ (+ (+ (* 42 ?y4) ?v_12) (* 34 ?y1)) ?v_14) 50) (not (= (+ (+ (+ (* 23 ?y4) (* (- 55) ?y2)) (* (- 1) ?y1)) (* (- 52) x1)) 0)))) (or (or (>= (+ (+ (+ (* 94 ?y4) (* 29 ?y2)) (* (- 75) ?y1)) (* (- 33) x1)) 0) (>= (+ (+ (+ (* (- 7) ?y4) (* 33 ?y2)) ?v_11) ?v_13) (- 53))) (or (<= (+ (+ (+ (* (- 80) ?y4) (* (- 42) ?y2)) (* (- 21) ?y1)) (* (- 85) x1)) 0) (not (= (+ (+ (* (- 58) ?y4) (* (- 12) ?y2)) (* 44 ?y1)) 0)))))) (or (and (or (and (< (+ (+ (+ (* (- 10) ?y4) (* 70 ?y2)) (* 32 ?y1)) (* 93 x1)) (- 35)) (not (= (+ (+ (* (- 22) ?y2) (* (- 5) ?y1)) (* (- 22) x1)) (- 100)))) (and (>= (+ (+ (* 78 ?y4) (* 28 ?y2)) (* (- 100) x1)) 0) (not (= (+ (+ (* 29 ?y4) ?v_11) (* (- 76) x1)) 0)))) (and (or (= (+ (* (- 9) ?y4) (* 78 x1)) (- 63)) (not (= (+ (+ (* (- 4) ?y4) ?v_12) (* (- 6) x1)) (- 22)))) (or (< (+ (* 75 ?y4) (* 39 ?y2)) 37) (> (+ (+ (* 37 ?y4) (* 63 ?y1)) ?v_13) 89)))) (and (or (< (+ (+ (+ (* (- 31) ?y4) (* 63 ?y2)) (* (- 30) ?y1)) (* (- 13) x1)) 46) (>= (+ (* 71 ?y4) (* (- 81) x1)) 88)) (and (not (= (+ (+ (* 86 ?y4) (* 14 ?y2)) (* 35 ?y1)) 0)) (<= (+ (+ (+ (* (- 33) ?y4) (* 77 ?y2)) (* (- 82) ?y1)) ?v_14) 2))))))))) (exists ((?y3 Real)) (exists ((?y4 Real)) (let ((?v_16 (* (- 63) x1)) (?v_15 (* (- 35) ?y3))) (or (and (or (not (= (+ (* (- 61) ?y4) (* (- 62) ?y2)) 51)) (or (and (<= (+ (+ (+ (* (- 15) ?y4) (* (- 36) ?y3)) (* (- 36) ?y2)) (* 72 x1)) (- 7)) (< (+ (+ (+ (+ (* 18 ?y4) (* (- 4) ?y3)) (* 13 ?y2)) (* 25 ?y1)) ?v_16) (- 56))) (and (= (+ (+ (* (- 51) ?y4) (* 52 ?y2)) (* 27 ?y1)) (- 13)) (= (+ (+ (+ (+ (* (- 100) ?y4) (* (- 6) ?y3)) (* 12 ?y2)) (* (- 60) ?y1)) (* (- 18) x1)) (- 73))))) (or (or (and (not (= (+ (+ (+ (* (- 46) ?y4) (* (- 39) ?y3)) (* (- 21) ?y1)) (* (- 68) x1)) (- 66))) (>= (+ (+ (* (- 18) ?y4) (* (- 56) ?y3)) (* 27 x1)) (- 71))) (or (<= (+ (+ (+ (* (- 81) ?y3) (* 83 ?y2)) (* (- 28) ?y1)) (* 50 x1)) 8) (not (= (+ (* 41 ?y4) (* 55 ?y1)) (- 12))))) (and (and (not (= (+ (* (- 85) ?y4) (* (- 7) ?y1)) (- 66))) (>= (+ (+ (* (- 26) ?y4) (* 53 ?y3)) (* (- 73) ?y1)) (- 77))) (or (<= (+ (+ (* 86 ?y4) (* (- 66) ?y3)) (* 99 ?y1)) 65) (>= (+ (+ (+ (* 26 ?y4) (* (- 78) ?y2)) (* (- 18) ?y1)) (* (- 61) x1)) (- 14)))))) (or (and (and (and (= (+ (+ (+ (+ (* (- 25) ?y4) (* (- 33) ?y3)) (* (- 70) ?y2)) (* 100 ?y1)) (* 35 x1)) (- 85)) (< (+ (+ (* (- 17) ?y4) (* 39 ?y3)) (* 84 x1)) 0)) (and (< (+ (+ (+ (* (- 68) ?y3) (* 98 ?y2)) (* (- 6) ?y1)) (* (- 30) x1)) 0) (= (+ (+ (+ (+ (* 70 ?y4) (* (- 80) ?y3)) (* 16 ?y2)) (* 81 ?y1)) (* 20 x1)) 0))) (and (and (not (= (+ (+ (+ (+ (* 76 ?y4) (* (- 1) ?y3)) (* (- 98) ?y2)) (* (- 98) ?y1)) (* (- 19) x1)) 33)) (not (= (+ (+ (* 56 ?y4) (* (- 68) ?y2)) (* 15 ?y1)) (- 81)))) (not (= (+ (+ (+ (+ (* (- 95) ?y4) (* 10 ?y3)) (* 84 ?y2)) (* 9 ?y1)) (* 37 x1)) 74)))) (and (and (or (= (+ (+ (* (- 16) ?y4) (* (- 40) ?y3)) (* 77 x1)) 11) (>= (+ (+ (+ (* (- 48) ?y3) (* (- 58) ?y2)) (* 70 ?y1)) (* 51 x1)) (- 95))) (or (<= (+ (+ (+ (* (- 19) ?y4) (* (- 15) ?y2)) (* (- 81) ?y1)) (* 12 x1)) 80) (< (+ (+ ?v_15 (* (- 20) ?y1)) (* (- 62) x1)) (- 98)))) (and (> (+ (+ (* (- 8) ?y4) (* 57 ?y3)) (* (- 91) x1)) 5) (or (not (= (+ (+ (+ (* (- 6) ?y4) ?v_15) (* (- 48) ?y1)) (* (- 47) x1)) 21)) (>= (+ (+ (+ (* (- 20) ?y4) (* (- 49) ?y2)) (* 10 ?y1)) ?v_16) (- 53))))))))))))))
(check-sat)
(exit)
