(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status sat)
(declare-fun y2 () Real)
(declare-fun y3 () Real)
(declare-fun y4 () Real)
(declare-fun y6 () Real)
(declare-fun x1 () Real)
(declare-fun y5 () Real)
(declare-fun y1 () Real)
(assert (or (forall ((?y2 Real)) (exists ((?y3 Real)) (forall ((?y4 Real)) (or (and (exists ((?y6 Real)) (let ((?v_0 (* 61 ?y4))) (or (or (and (or (and (>= (+ (+ (+ (+ (* (- 57) ?y6) (* 92 ?y4)) (* (- 19) ?y3)) (* 2 ?y2)) (* (- 15) x1)) (- 47)) (>= (+ (+ (+ (+ (* (- 71) ?y6) (* (- 20) ?y4)) (* (- 87) ?y3)) (* 40 ?y2)) (* 41 x1)) (- 71))) (or (<= (+ (+ (* 14 ?y3) (* 68 ?y2)) (* (- 3) x1)) 83) (> (+ (+ (+ (* (- 51) ?y6) (* 62 ?y4)) (* (- 28) ?y3)) (* (- 28) ?y2)) 0))) (and (or (> (+ (+ (+ (* 93 ?y6) (* 97 ?y4)) (* 19 ?y3)) (* 69 x1)) 18) (not (= (+ (+ (+ (+ (* (- 26) ?y6) (* (- 72) ?y4)) (* 73 ?y3)) (* 50 ?y2)) (* (- 75) x1)) 63))) (or (= (+ (+ (+ (* 86 ?y6) (* 85 ?y3)) (* (- 47) ?y2)) (* (- 8) x1)) 95) (>= (+ (+ (+ (* (- 44) ?y6) (* 39 ?y4)) (* (- 55) ?y3)) (* (- 82) x1)) 73)))) (and (and (not (= (+ (+ (* (- 68) ?y6) (* (- 67) ?y3)) (* (- 22) x1)) 0)) (= (+ (+ (+ (* 62 ?y6) (* 11 ?y3)) (* (- 82) ?y2)) (* (- 55) x1)) 75)) (or (>= (+ (+ (* 37 ?y3) (* 100 ?y2)) (* 53 x1)) 22) (<= (+ (+ (+ (* 29 ?y6) ?v_0) (* (- 10) ?y3)) (* (- 23) ?y2)) 63)))) (and (and (or (and (>= (+ (+ (* 72 ?y6) (* (- 35) ?y3)) (* (- 29) ?y2)) (- 44)) (> (+ (+ (* (- 69) ?y6) (* 89 ?y3)) (* (- 65) ?y2)) 0)) (and (<= (+ (+ (+ (+ (* 75 ?y6) (* (- 12) ?y4)) (* 74 ?y3)) (* 10 ?y2)) (* (- 69) x1)) (- 97)) (< (+ (+ (* (- 29) ?y4) (* 23 ?y3)) (* (- 5) x1)) (- 11)))) (or (= (+ (+ (+ (* (- 90) ?y6) ?v_0) (* (- 88) ?y3)) (* 19 x1)) (- 51)) (not (= (+ (+ (+ (+ (* 65 ?y6) (* (- 96) ?y4)) (* 64 ?y3)) (* (- 61) ?y2)) (* (- 77) x1)) 0)))) (or (and (or (= (+ (+ (+ (+ (* 12 ?y6) (* 82 ?y4)) (* (- 78) ?y3)) (* (- 52) ?y2)) (* 7 x1)) 0) (> (+ (+ (+ (+ (* 47 ?y6) (* 87 ?y4)) (* 100 ?y3)) (* (- 12) ?y2)) (* 66 x1)) 0)) (or (= (+ (+ (+ (* 85 ?y6) (* (- 71) ?y4)) (* 33 ?y2)) (* (- 76) x1)) (- 94)) (<= (+ (+ (* 41 ?y6) (* (- 18) ?y2)) (* 28 x1)) (- 37)))) (or (and (<= (+ (+ (+ (+ (* 11 ?y6) (* (- 93) ?y4)) (* 76 ?y3)) (* (- 75) ?y2)) (* 67 x1)) (- 70)) (not (= (+ (+ (+ (+ (* (- 30) ?y6) (* (- 49) ?y4)) (* (- 48) ?y3)) (* 88 ?y2)) (* 58 x1)) (- 96)))) (<= (+ (+ (+ (* 95 ?y6) (* 38 ?y4)) (* (- 69) ?y3)) (* 16 x1)) (- 93)))))))) (exists ((?y5 Real)) (forall ((?y6 Real)) (let ((?v_2 (* (- 32) ?y3)) (?v_1 (* (- 70) ?y5))) (and (or (and (and (= (+ (+ (* (- 78) ?y5) (* (- 42) ?y4)) ?v_2) (- 85)) (<= (+ (+ (+ (+ (* 45 ?y6) (* (- 59) ?y5)) (* 66 ?y3)) (* 25 ?y2)) (* (- 96) x1)) (- 88))) (or (= (+ (+ (+ (* (- 18) ?y5) (* (- 51) ?y4)) (* 8 ?y3)) (* (- 94) x1)) 0) (= (+ (+ (+ (* (- 20) ?y5) (* (- 12) ?y4)) (* (- 22) ?y3)) (* (- 88) x1)) 77))) (or (or (or (not (= (+ (+ (+ (+ (* 19 ?y6) (* (- 60) ?y5)) (* (- 30) ?y4)) (* (- 29) ?y2)) (* (- 70) x1)) 5)) (not (= (+ (+ (+ (+ (+ (* (- 67) ?y6) (* 75 ?y5)) (* 75 ?y4)) (* (- 71) ?y3)) (* (- 24) ?y2)) (* 79 x1)) 0))) (and (> (+ (+ (+ (* (- 1) ?y6) (* 44 ?y5)) (* (- 92) ?y3)) (* (- 15) ?y2)) 65) (< (+ (+ (+ (+ (* 25 ?y6) ?v_1) (* 88 ?y3)) (* (- 22) ?y2)) (* (- 31) x1)) 82))) (and (> (+ (+ (+ (+ (* (- 18) ?y6) (* 61 ?y5)) (* 8 ?y4)) (* (- 37) ?y3)) (* 66 x1)) 0) (or (< (+ (+ (+ (+ (* 100 ?y6) ?v_1) (* 45 ?y4)) (* (- 83) ?y2)) (* (- 95) x1)) (- 20)) (<= (+ (+ (* 7 ?y6) (* 13 ?y5)) (* (- 35) x1)) (- 60)))))) (or (or (= (+ (+ (+ (+ (* 36 ?y6) (* (- 76) ?y5)) (* (- 40) ?y4)) (* (- 9) ?y2)) (* (- 7) x1)) (- 42)) (<= (+ (+ (+ (+ (* 70 ?y6) (* (- 63) ?y5)) (* 81 ?y4)) (* 80 ?y2)) (* (- 45) x1)) 0)) (or (and (or (< (+ (+ (+ (+ (+ (* (- 43) ?y6) (* (- 13) ?y5)) (* (- 14) ?y4)) (* 100 ?y3)) (* (- 76) ?y2)) (* (- 11) x1)) (- 56)) (= (+ (+ (+ (* 48 ?y6) (* 62 ?y5)) (* (- 8) ?y4)) (* 52 x1)) 66)) (and (= (+ (+ (+ (+ (* 31 ?y6) (* (- 21) ?y5)) (* (- 60) ?y4)) ?v_2) (* (- 26) ?y2)) (- 18)) (<= (+ (+ (+ (* 54 ?y6) (* 89 ?y5)) (* 10 ?y3)) (* (- 39) x1)) 0))) (or (> (+ (+ (+ (+ (* 14 ?y6) (* (- 33) ?y5)) (* 87 ?y4)) (* 54 ?y3)) (* 38 x1)) 0) (> (+ (+ (* (- 26) ?y5) (* 53 ?y4)) (* 16 x1)) (- 63)))))))))) (forall ((?y5 Real)) (let ((?v_3 (* 89 x1))) (or (or (and (or (exists ((?y6 Real)) (or (or (> (+ (+ (+ (+ (+ (* (- 42) ?y6) (* 100 ?y5)) (* (- 61) ?y4)) (* 30 ?y3)) (* (- 64) ?y2)) (* (- 68) x1)) (- 43)) (= (+ (+ (+ (+ (+ (* (- 34) ?y6) (* (- 37) ?y5)) (* 31 ?y4)) (* 16 ?y3)) (* 80 ?y2)) (* 40 x1)) (- 9))) (and (= (+ (+ (+ (+ (* (- 22) ?y6) (* 58 ?y5)) (* 32 ?y4)) (* 89 ?y2)) (* 18 x1)) (- 72)) (>= (+ (+ (+ (+ (* 13 ?y6) (* 69 ?y5)) (* 44 ?y4)) (* (- 37) ?y3)) (* 27 x1)) 0)))) (forall ((?y6 Real)) (or (and (< (+ (+ (+ (* (- 42) ?y6) (* 41 ?y5)) (* 84 ?y4)) (* (- 83) ?y3)) (- 44)) (< (+ (+ (* (- 37) ?y6) (* 50 ?y4)) (* (- 17) ?y2)) (- 5))) (and (<= (+ (+ (+ (+ (* 39 ?y5) (* (- 72) ?y4)) (* 86 ?y3)) (* (- 76) ?y2)) (* (- 95) x1)) (- 15)) (> (+ (+ (+ (+ (+ (* 6 ?y6) (* (- 68) ?y5)) (* 22 ?y4)) (* 23 ?y3)) (* 12 ?y2)) (* (- 27) x1)) (- 43)))))) (exists ((?y6 Real)) (or (< (+ (+ (+ (+ (* (- 7) ?y6) (* (- 68) ?y5)) (* (- 36) ?y4)) (* 61 ?y2)) (* 14 x1)) (- 74)) (and (or (> (+ (+ (+ (* 33 ?y6) (* (- 51) ?y5)) (* 50 ?y4)) (* (- 18) ?y2)) 92) (>= (+ (+ (+ (+ (* (- 59) ?y6) (* (- 40) ?y5)) (* 89 ?y4)) (* 77 ?y3)) (* 5 x1)) 1)) (or (>= (+ (+ (+ (* (- 76) ?y6) (* (- 19) ?y5)) (* (- 44) ?y4)) (* (- 88) x1)) (- 26)) (not (= (+ (+ (+ (+ (* (- 52) ?y6) (* 49 ?y5)) (* (- 55) ?y4)) (* (- 19) ?y3)) (* (- 27) ?y2)) 5))))))) (or (and (or (>= (+ (+ (* (- 65) ?y5) (* (- 48) ?y3)) (* (- 12) ?y2)) (- 86)) (< (+ (+ (+ (* (- 52) ?y4) (* 4 ?y3)) (* 69 ?y2)) (* (- 68) x1)) 16)) (or (< (+ (+ (+ (* 49 ?y5) (* (- 96) ?y4)) (* (- 99) ?y3)) (* 1 x1)) 85) (< (+ (+ (+ (* (- 28) ?y4) (* 33 ?y3)) (* (- 86) ?y2)) (* (- 85) x1)) 61))) (or (and (or (and (< (+ (+ (+ (+ (* (- 14) ?y5) (* 88 ?y4)) (* 37 ?y3)) (* (- 81) ?y2)) (* 82 x1)) (- 44)) (>= (+ (+ (+ (* 10 ?y5) (* 69 ?y4)) (* (- 45) ?y2)) (* (- 97) x1)) 70)) (not (= (+ (+ (+ (* (- 29) ?y5) (* (- 33) ?y4)) (* (- 72) ?y2)) (* 17 x1)) 33))) (forall ((?y6 Real)) (or (<= (+ (+ (+ (+ (* 93 ?y6) (* 63 ?y4)) (* (- 82) ?y3)) (* (- 15) ?y2)) (* 71 x1)) 0) (> (+ (+ (+ (* 27 ?y5) (* (- 32) ?y3)) (* 69 ?y2)) (* 84 x1)) 71)))) (or (exists ((?y6 Real)) (or (>= (+ (+ (+ (+ (* 78 ?y6) (* 27 ?y4)) (* (- 93) ?y3)) (* 89 ?y2)) (* 43 x1)) 0) (not (= (+ (+ (+ (+ (* (- 17) ?y6) (* 46 ?y5)) (* (- 23) ?y4)) (* 2 ?y3)) (* (- 87) ?y2)) (- 19))))) (or (and (> (+ (+ (+ (+ (* 1 ?y5) (* (- 58) ?y4)) (* 96 ?y3)) (* (- 63) ?y2)) ?v_3) (- 28)) (< (+ (+ (+ (+ (* 89 ?y5) (* (- 42) ?y4)) (* 94 ?y3)) (* (- 51) ?y2)) (* 83 x1)) 4)) (< (+ (+ (* (- 58) ?y5) (* 14 ?y2)) (* 31 x1)) (- 2))))))) (and (and (and (>= (+ (+ (* (- 17) ?y5) (* (- 65) ?y3)) (* (- 73) x1)) (- 86)) (< (+ (+ (+ (* (- 41) ?y5) (* 93 ?y4)) (* 10 ?y3)) (* (- 80) ?y2)) 40)) (and (and (<= (+ (* 46 ?y5) (* (- 71) ?y4)) (- 45)) (< (+ (+ (+ (+ (* (- 21) ?y5) (* 42 ?y4)) (* 23 ?y3)) (* 50 ?y2)) (* 22 x1)) 88)) (or (<= (+ (+ (* 84 ?y5) (* 13 ?y3)) (* 11 x1)) 0) (> (+ (+ (+ (+ (* (- 57) ?y5) (* (- 61) ?y4)) (* (- 11) ?y3)) (* (- 74) ?y2)) ?v_3) (- 91))))) (forall ((?y6 Real)) (let ((?v_4 (* (- 79) ?y5))) (and (and (and (<= (+ (+ (+ (+ ?v_4 (* (- 49) ?y4)) (* 28 ?y3)) (* 77 ?y2)) (* (- 9) x1)) 59) (= (+ (+ (+ (+ (* 75 ?y6) (* 64 ?y4)) (* (- 31) ?y3)) (* (- 40) ?y2)) (* (- 26) x1)) (- 1))) (and (<= (+ (+ (+ (+ (* (- 19) ?y6) (* 100 ?y4)) (* 55 ?y3)) (* (- 55) ?y2)) (* 26 x1)) (- 76)) (>= (+ (+ (+ (* (- 7) ?y4) (* (- 62) ?y3)) (* (- 19) ?y2)) (* (- 27) x1)) 10))) (or (and (< (+ (+ (* 65 ?y6) (* (- 15) ?y4)) (* 31 ?y3)) 0) (not (= (+ (* 38 ?y4) (* 68 ?y3)) 0))) (or (<= (+ (+ (+ (+ (* 66 ?y6) ?v_4) (* 60 ?y4)) (* (- 75) ?y2)) (* 2 x1)) (- 1)) (= (+ (+ (+ (+ (+ (* (- 35) ?y6) (* (- 20) ?y5)) (* (- 95) ?y4)) (* (- 93) ?y3)) (* (- 21) ?y2)) (* (- 11) x1)) 59)))))))))))))) (forall ((?y1 Real)) (exists ((?y3 Real)) (and (or (exists ((?y4 Real)) (let ((?v_6 (* 40 ?y4)) (?v_5 (* 71 ?y4))) (and (forall ((?y5 Real)) (and (or (<= (+ (+ (+ (* (- 3) ?y5) (* 49 ?y4)) (* 86 ?y1)) (* 28 x1)) (- 31)) (= (+ (* (- 55) ?y5) (* (- 5) ?y4)) 0)) (and (and (>= (+ (* (- 12) ?y4) (* (- 88) x1)) 0) (< (+ (+ (+ (+ (* 22 ?y5) (* (- 59) ?y4)) (* 94 ?y3)) (* 84 ?y1)) (* 83 x1)) 22)) (or (and (< (+ (+ (+ (* 72 ?y4) (* (- 70) ?y3)) (* (- 50) ?y1)) (* 8 x1)) 0) (not (= (+ (+ (+ (+ (* 32 ?y5) (* (- 64) ?y4)) (* 52 ?y3)) (* 31 ?y1)) (* (- 99) x1)) 36))) (and (<= (+ (+ (+ (* (- 52) ?y5) (* 31 ?y3)) (* (- 98) ?y1)) (* (- 25) x1)) 35) (>= (+ (+ (+ (+ (* 74 ?y5) (* (- 78) ?y4)) (* 88 ?y3)) (* 39 ?y1)) (* 38 x1)) 52)))))) (or (and (and (and (<= (+ (+ (* 31 ?y3) (* 31 ?y1)) (* (- 19) x1)) 0) (<= (+ (+ (+ (* (- 56) ?y4) (* (- 38) ?y3)) (* 59 ?y1)) (* 82 x1)) 12)) (or (= (+ (+ (+ (* 28 ?y4) (* 41 ?y3)) (* (- 68) ?y1)) (* (- 13) x1)) 57) (not (= (+ (* 6 ?y4) (* (- 99) ?y3)) (- 58))))) (and (or (not (= (+ (+ ?v_6 (* (- 82) ?y3)) (* (- 77) x1)) (- 70))) (>= (+ (+ ?v_5 (* 36 ?y3)) (* (- 75) ?y1)) 0)) (and (< (+ (+ (+ (* (- 93) ?y4) (* 20 ?y3)) (* 55 ?y1)) (* (- 82) x1)) 58) (> (+ (+ (+ ?v_5 (* (- 53) ?y3)) (* (- 1) ?y1)) (* 69 x1)) (- 91))))) (or (and (and (< (+ (+ (* 100 ?y3) (* (- 99) ?y1)) (* (- 99) x1)) 61) (<= (+ (+ (* (- 13) ?y4) (* (- 45) ?y1)) (* (- 12) x1)) 0)) (>= (+ (+ (+ ?v_6 (* (- 41) ?y3)) (* (- 61) ?y1)) (* 13 x1)) 43)) (and (<= (+ (+ (* 8 ?y3) (* 67 ?y1)) (* (- 3) x1)) 68) (or (<= (+ (* (- 2) ?y4) (* 81 x1)) 0) (= (+ (+ (* (- 52) ?y4) (* (- 62) ?y1)) (* 39 x1)) (- 9))))))))) (exists ((?y4 Real)) (forall ((?y5 Real)) (exists ((?y6 Real)) (or (and (and (and (not (= (+ (+ (+ (+ (+ (* (- 83) ?y6) (* (- 60) ?y5)) (* (- 1) ?y4)) (* (- 32) ?y3)) (* (- 18) ?y1)) (* 7 x1)) 69)) (> (+ (+ (+ (+ (* 5 ?y6) (* 11 ?y4)) (* (- 39) ?y3)) (* (- 46) ?y1)) (* (- 79) x1)) 0)) (and (< (+ (+ (+ (+ (* 35 ?y6) (* (- 49) ?y4)) (* (- 11) ?y3)) (* (- 58) ?y1)) (* (- 11) x1)) 0) (= (+ (+ (+ (* 50 ?y6) (* (- 31) ?y5)) (* 22 ?y3)) (* 48 x1)) 0))) (or (or (< (+ (+ (+ (* 34 ?y4) (* 30 ?y3)) (* (- 41) ?y1)) (* (- 26) x1)) 0) (>= (+ (+ (+ (+ (* (- 38) ?y6) (* (- 81) ?y5)) (* 21 ?y4)) (* (- 69) ?y1)) (* 39 x1)) 55)) (or (= (+ (+ (+ (+ (* (- 45) ?y5) (* 82 ?y4)) (* (- 94) ?y3)) (* (- 43) ?y1)) (* 41 x1)) 0) (< (+ (+ (+ (+ (* 38 ?y6) (* 30 ?y5)) (* 26 ?y4)) (* (- 70) ?y3)) (* (- 10) x1)) 0)))) (or (or (and (not (= (+ (+ (+ (+ (+ (* (- 21) ?y6) (* (- 8) ?y5)) (* 61 ?y4)) (* 33 ?y3)) (* (- 35) ?y1)) (* (- 15) x1)) (- 27))) (>= (+ (+ (+ (* (- 31) ?y6) (* 55 ?y5)) (* (- 54) ?y3)) (* (- 31) ?y1)) (- 47))) (<= (+ (+ (+ (* 60 ?y6) (* 47 ?y5)) (* 6 ?y1)) (* 92 x1)) (- 60))) (and (< (+ (+ (+ (+ (* (- 1) ?y6) (* (- 61) ?y5)) (* (- 69) ?y4)) (* 6 ?y3)) (* 46 x1)) (- 86)) (or (>= (+ (+ (+ (* (- 66) ?y5) (* (- 51) ?y4)) (* 24 ?y3)) (* (- 78) ?y1)) (- 68)) (< (+ (+ (+ (+ (* 85 ?y6) (* 51 ?y5)) (* (- 91) ?y4)) (* 81 ?y3)) (* 28 x1)) 0))))))))) (exists ((?y4 Real)) (or (exists ((?y6 Real)) (let ((?v_9 (* (- 39) ?y6)) (?v_7 (* (- 64) x1)) (?v_8 (* (- 41) x1))) (or (and (and (or (or (>= (+ (+ (+ (* (- 59) ?y6) (* 12 ?y4)) (* (- 66) ?y3)) (* 38 ?y1)) 67) (> (+ (+ (+ (+ (* 21 ?y6) (* (- 26) ?y4)) (* (- 47) ?y3)) (* 19 ?y1)) (* 51 x1)) 99)) (or (>= (+ (+ (+ (+ (* 93 ?y6) (* (- 8) ?y4)) (* 9 ?y3)) (* (- 98) ?y1)) (* (- 27) x1)) (- 50)) (> (+ (* 43 ?y1) (* (- 76) x1)) (- 87)))) (and (and (< (+ (+ (+ ?v_9 (* 74 ?y4)) (* (- 22) ?y3)) ?v_7) 0) (> (+ (+ (* (- 54) ?y6) (* (- 66) ?y4)) (* 85 ?y3)) 0)) (or (not (= (+ (+ (* (- 78) ?y6) (* (- 22) ?y1)) (* (- 31) x1)) 96)) (= (+ (+ (+ (* (- 65) ?y6) (* (- 100) ?y4)) (* 61 ?y3)) ?v_7) (- 82))))) (and (and (or (< (+ (+ (+ (* (- 89) ?y6) (* 28 ?y4)) (* (- 49) ?y1)) (* (- 71) x1)) (- 74)) (= (+ (+ (* 100 ?y4) (* (- 20) ?y3)) (* 62 ?y1)) 0)) (and (= (+ (+ (* 37 ?y6) (* 58 ?y3)) (* (- 65) ?y1)) (- 73)) (< (+ (+ (* (- 14) ?y6) (* 72 ?y3)) ?v_8) 0))) (and (and (not (= (+ (+ (* (- 67) ?y4) (* (- 10) ?y3)) (* (- 5) x1)) (- 39))) (not (= (+ (* 69 ?y4) (* 63 ?y3)) (- 57)))) (and (= (+ (+ (+ (+ (* 57 ?y6) (* 19 ?y4)) (* (- 3) ?y3)) (* (- 100) ?y1)) (* (- 32) x1)) 53) (not (= (+ (+ (+ (* (- 37) ?y6) (* 3 ?y4)) (* (- 71) ?y3)) ?v_8) 54)))))) (and (or (not (= (+ (+ (* (- 48) ?y4) (* (- 69) ?y1)) (* 61 x1)) (- 60))) (<= (+ (+ (+ ?v_9 (* 98 ?y4)) (* (- 13) ?y3)) (* 20 ?y1)) (- 28))) (or (< (* (- 44) ?y6) 0) (> (+ (+ (+ (* 90 ?y6) (* 13 ?y3)) (* 60 ?y1)) (* 89 x1)) 0)))))) (or (and (forall ((?y5 Real)) (exists ((?y6 Real)) (let ((?v_10 (* 12 ?y6))) (or (and (or (<= (+ (+ (+ (+ (+ (* (- 24) ?y6) (* 50 ?y5)) (* (- 20) ?y4)) (* 81 ?y3)) (* (- 85) ?y1)) (* (- 55) x1)) 0) (< (+ (* (- 75) ?y5) (* (- 37) ?y1)) 85)) (or (not (= (+ (+ (+ (+ ?v_10 (* (- 41) ?y4)) (* (- 90) ?y3)) (* (- 6) ?y1)) (* (- 12) x1)) 0)) (> (+ (+ (+ (* 38 ?y6) (* (- 94) ?y5)) (* 54 ?y4)) (* 73 ?y1)) 14))) (or (or (not (= (+ (+ (+ (+ (+ (* 89 ?y6) (* (- 48) ?y5)) (* (- 45) ?y4)) (* 43 ?y3)) (* 58 ?y1)) (* (- 27) x1)) 0)) (<= (+ (+ (+ (+ (+ ?v_10 (* (- 18) ?y5)) (* (- 5) ?y4)) (* 1 ?y3)) (* 33 ?y1)) (* (- 53) x1)) 0)) (and (< (+ (+ (+ (* 82 ?y6) (* 5 ?y5)) (* (- 8) ?y4)) (* 92 x1)) (- 53)) (<= (+ (+ (+ (+ (* (- 73) ?y6) (* 72 ?y5)) (* (- 79) ?y4)) (* 84 ?y3)) (* 85 ?y1)) 0))))))) (or (and (>= (+ (+ (* 80 ?y4) (* (- 23) ?y3)) (* (- 66) ?y1)) 67) (> (+ (+ (* (- 53) ?y3) (* (- 50) ?y1)) (* 66 x1)) 0)) (> (* (- 15) ?y3) 80))) (and (exists ((?y5 Real)) (and (or (> (+ (* 99 ?y4) (* (- 97) ?y1)) 32) (< (+ (+ (* (- 46) ?y4) (* (- 15) ?y1)) (* (- 25) x1)) (- 56))) (or (and (= (+ (+ (+ (+ (* 92 ?y5) (* 32 ?y4)) (* (- 70) ?y3)) (* (- 16) ?y1)) (* 41 x1)) 0) (> (+ (+ (+ (+ (* 70 ?y5) (* 6 ?y4)) (* (- 83) ?y3)) (* (- 65) ?y1)) (* 4 x1)) (- 93))) (or (>= (+ (+ (+ (* 43 ?y5) (* (- 83) ?y4)) (* (- 50) ?y3)) (* (- 19) ?y1)) (- 8)) (>= (+ (+ (+ (+ (* 7 ?y5) (* (- 34) ?y4)) (* 75 ?y3)) (* (- 83) ?y1)) (* (- 58) x1)) 4))))) (forall ((?y5 Real)) (let ((?v_11 (* 13 x1))) (or (or (exists ((?y6 Real)) (and (= (+ (+ (* 92 ?y5) (* 62 ?y3)) (* 56 x1)) (- 18)) (= (+ (+ (+ (+ (* 47 ?y5) (* 94 ?y4)) (* (- 52) ?y3)) (* (- 82) ?y1)) (* 45 x1)) 60))) (forall ((?y6 Real)) (= (+ (+ (+ (* (- 44) ?y6) (* 82 ?y5)) (* (- 37) ?y3)) (* (- 94) x1)) 0))) (or (or (< (+ (+ (* 99 ?y3) (* (- 21) ?y1)) (* (- 81) x1)) 1) (<= (+ (+ (+ (* 4 ?y5) (* 75 ?y4)) (* (- 65) ?y3)) (* 96 x1)) 11)) (or (or (<= (+ (+ (+ (+ (* 22 ?y5) (* (- 72) ?y4)) (* 25 ?y3)) (* (- 31) ?y1)) ?v_11) 0) (< (+ (+ (+ (* 6 ?y5) (* 25 ?y4)) (* (- 27) ?y1)) ?v_11) 97)) (and (>= (+ (+ (+ (+ (* 96 ?y5) (* 76 ?y4)) (* (- 75) ?y3)) (* 60 ?y1)) (* 17 x1)) (- 11)) (not (= (+ (+ (+ (+ (* 81 ?y5) (* 90 ?y4)) (* 15 ?y3)) (* 97 ?y1)) (* (- 70) x1)) 83)))))))))))))))))
(check-sat)
(exit)
