(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status sat)
(declare-fun y3 () Real)
(declare-fun y4 () Real)
(declare-fun y6 () Real)
(declare-fun x1 () Real)
(declare-fun y5 () Real)
(assert (forall ((?y3 Real)) (or (exists ((?y4 Real)) (let ((?v_1 (* 88 ?y3)) (?v_2 (* 95 x1)) (?v_0 (* (- 22) ?y3)) (?v_3 (* (- 61) ?y3)) (?v_4 (* (- 100) ?y4))) (or (or (exists ((?y6 Real)) (let ((?v_12 (* 94 x1)) (?v_11 (* 8 ?y3)) (?v_15 (* 99 ?y6)) (?v_5 (* 64 ?y6)) (?v_9 (* 12 ?y3)) (?v_14 (* 97 ?y3)) (?v_6 (* (- 83) ?y3)) (?v_10 (* (- 49) ?y6)) (?v_16 (* (- 56) ?y6)) (?v_7 (* (- 30) ?y4)) (?v_8 (* (- 18) ?y4)) (?v_17 (* (- 47) ?y6)) (?v_13 (* (- 34) ?y4))) (or (and (and (or (or (or (>= (+ (+ (* 82 ?y6) (* (- 33) ?y4)) ?v_12) 34) (= (+ (+ (+ (* (- 51) ?y6) (* 23 ?y4)) (* (- 46) ?y3)) (* (- 32) x1)) 0)) (and (<= (+ (* (- 6) ?y4) (* 67 x1)) 5) (= (+ (+ (* 4 ?y6) (* (- 5) ?y4)) (* 50 x1)) (- 16)))) (and (and (> (+ (+ (* (- 59) ?y6) (* (- 58) ?y4)) (* (- 51) x1)) 0) (< (+ (+ (+ (* 19 ?y6) (* (- 32) ?y4)) ?v_6) (* 68 x1)) 46)) (>= (+ (+ (+ (* (- 99) ?y6) (* (- 29) ?y4)) ?v_11) (* (- 44) x1)) 1))) (and (< (+ (+ (+ ?v_15 (* (- 68) ?y4)) (* 49 ?y3)) (* 8 x1)) 91) (= (+ (+ ?v_10 (* 12 ?y4)) (* (- 75) ?y3)) (- 4)))) (and (or (and (or (< (+ (+ (* (- 95) ?y4) (* (- 4) ?y3)) (* 79 x1)) 91) (< (+ (+ (* (- 65) ?y6) (* 88 ?y4)) (* 80 ?y3)) 4)) (or (>= (+ (+ (+ (* 52 ?y6) (* 58 ?y4)) (* 78 ?y3)) (* (- 71) x1)) (- 17)) (< (+ (+ (+ ?v_16 (* 21 ?y4)) (* (- 93) ?y3)) (* 43 x1)) 7))) (<= (+ (+ (+ (* (- 26) ?y6) (* 9 ?y4)) (* 87 ?y3)) (* 97 x1)) (- 88))) (and (and (= (+ (+ (+ ?v_5 ?v_7) (* (- 24) ?y3)) (* (- 58) x1)) 93) (> (+ (* (- 1) ?y4) (* 6 ?y3)) 26)) (<= (* (- 80) ?y4) (- 1))))) (and (and (or (and (and (> (+ (+ (* 12 ?y6) (* (- 4) ?y4)) (* (- 39) x1)) (- 96)) (and (> (+ (+ (* 62 ?y6) (* (- 53) ?y3)) (* (- 70) x1)) 59) (>= (+ (* (- 85) ?y4) (* (- 100) ?y3)) (- 44)))) (or (or (not (= (+ (+ (* 46 ?y4) (* (- 15) ?y3)) (* (- 20) x1)) 0)) (>= (+ (+ (+ (* (- 41) ?y6) ?v_8) (* 98 ?y3)) (* (- 43) x1)) 13)) (>= (+ (+ (+ (* (- 57) ?y6) (* 53 ?y4)) ?v_0) (* (- 9) x1)) (- 44)))) (or (and (or (> (+ (+ ?v_5 (* 83 ?y4)) (* (- 48) ?y3)) 77) (> (+ (+ ?v_17 (* (- 38) ?y3)) (* (- 91) x1)) 26)) (and (<= (+ (* (- 45) ?y6) (* 93 ?y3)) 0) (= (+ (+ (+ (* 44 ?y6) (* 100 ?y4)) (* 41 ?y3)) (* 29 x1)) (- 69)))) (or (not (= ?v_6 (- 96))) (or (not (= (+ (+ ?v_7 (* (- 49) ?y3)) (* (- 90) x1)) 0)) (> (+ (+ (+ (* 65 ?y6) ?v_8) ?v_9) (* 5 x1)) (- 100)))))) (and (and (or (not (= (+ (* 45 ?y3) (* (- 7) x1)) 63)) (or (> (+ (+ (+ (* 27 ?y6) (* (- 13) ?y4)) (* 46 ?y3)) (* 23 x1)) (- 85)) (>= (+ (+ (+ (* (- 68) ?y6) (* 90 ?y4)) ?v_9) (* (- 78) x1)) 0))) (or (and (< (+ (+ (+ ?v_10 (* (- 88) ?y4)) (* (- 58) ?y3)) (* (- 25) x1)) 88) (> (+ ?v_11 (* 99 x1)) 44)) (or (> (+ (+ (* 66 ?y4) (* 96 ?y3)) (* 14 x1)) (- 55)) (> (+ (+ (+ (* (- 28) ?y6) ?v_13) (* 20 ?y3)) (* 57 x1)) 20)))) (or (= (+ (+ (+ (* 56 ?y6) (* 25 ?y4)) (* (- 11) ?y3)) (* 48 x1)) (- 75)) (and (and (> (+ (+ (* 56 ?y4) (* (- 44) ?y3)) (* (- 92) x1)) (- 16)) (>= (+ (* (- 53) ?y4) (* (- 52) ?y3)) 0)) (and (not (= (+ (+ (* (- 93) ?y6) (* (- 25) ?y4)) ?v_12) 0)) (< (+ (* (- 71) ?y6) (* 3 ?y3)) (- 89))))))) (and (and (and (= (+ (+ (+ (* 90 ?y6) ?v_13) ?v_14) (* (- 69) x1)) 3) (or (> (+ (+ (* (- 13) ?y6) (* (- 55) ?y4)) ?v_14) 0) (<= (+ (+ ?v_15 (* 48 ?y3)) (* (- 52) x1)) 71))) (or (< (+ (+ (+ (* 96 ?y6) (* (- 62) ?y4)) (* (- 16) ?y3)) (* (- 26) x1)) (- 50)) (or (>= (+ (+ (* (- 91) ?y6) (* 15 ?y4)) (* (- 1) ?y3)) 4) (> (+ (+ (* 31 ?y6) (* (- 44) ?y4)) (* 21 x1)) 0)))) (or (> (+ (+ ?v_16 (* 18 ?y3)) (* 2 x1)) 0) (or (> (+ (+ (+ ?v_17 (* 74 ?y4)) (* (- 84) ?y3)) (* 16 x1)) (- 67)) (not (= (+ (+ (+ (* (- 60) ?y6) (* 75 ?y4)) (* 51 ?y3)) (* (- 48) x1)) (- 22)))))))))) (and (and (and (and (or (or (or (<= (* 28 x1) 56) (> (+ ?v_0 (* (- 100) x1)) 60)) (> (+ (+ (* (- 11) ?y4) (* (- 38) ?y3)) (* 53 x1)) (- 1))) (and (> (+ (+ (* 75 ?y4) ?v_3) (* (- 72) x1)) (- 37)) (> (+ (+ (* 26 ?y4) (* (- 35) ?y3)) (* (- 19) x1)) 23))) (or (and (= (+ (+ (* 39 ?y4) ?v_0) (* (- 69) x1)) (- 72)) (> (+ (+ (* (- 13) ?y4) ?v_1) (* (- 26) x1)) 59)) (or (> (+ (* (- 58) ?y4) (* (- 85) x1)) (- 28)) (= (+ (+ ?v_4 (* 54 ?y3)) (* (- 70) x1)) (- 69))))) (or (and (or (= (* 68 x1) 84) (< (+ (+ (* 31 ?y4) (* (- 78) ?y3)) (* (- 18) x1)) (- 32))) (> (+ (+ (* 69 ?y4) (* (- 80) ?y3)) (* (- 68) x1)) 63)) (or (or (<= (* 2 x1) 0) (and (<= (+ (+ (* 74 ?y4) (* 51 ?y3)) (* 83 x1)) 59) (not (= (+ (+ (* (- 9) ?y4) (* 20 ?y3)) (* (- 25) x1)) 3)))) (or (and (<= (+ (* (- 13) ?y3) (* (- 83) x1)) 53) (= (* (- 17) x1) 53)) (not (= (* 27 x1) 80)))))) (or (and (and (<= (+ (+ (* 57 ?y4) (* 69 ?y3)) (* (- 49) x1)) 0) (and (>= (* 86 x1) 0) (not (= (* 55 ?y3) 89)))) (and (or (or (not (= (+ (* 81 ?y4) (* 7 x1)) (- 84))) (>= (* (- 35) x1) (- 95))) (= (+ (* (- 33) ?y4) (* 57 x1)) (- 42))) (and (or (> (+ (+ (* 13 ?y4) (* (- 18) ?y3)) (* 98 x1)) 0) (= (+ (+ (* (- 24) ?y4) (* (- 98) ?y3)) (* 32 x1)) 2)) (and (not (= (+ (+ (* (- 89) ?y4) (* 34 ?y3)) ?v_2) 45)) (< (* 48 ?y3) 70))))) (or (and (or (or (<= (+ ?v_1 (* (- 56) x1)) (- 34)) (<= (+ (+ (* 71 ?y4) (* 46 ?y3)) (* (- 8) x1)) (- 100))) (< (+ (* (- 50) ?y4) (* (- 42) ?y3)) 58)) (or (and (>= (+ (* (- 87) ?y4) (* (- 9) ?y3)) (- 68)) (< (+ (+ (* 79 ?y4) (* 79 ?y3)) ?v_2) 0)) (and (> (+ (* 65 ?y3) (* 23 x1)) 0) (>= (+ (* 78 ?y4) (* 77 x1)) (- 89))))) (and (and (> (+ (+ (* 49 ?y4) (* 76 ?y3)) (* (- 39) x1)) (- 72)) (= (+ (+ (* (- 53) ?y4) (* (- 1) ?y3)) (* 82 x1)) 0)) (and (and (> (+ (* (- 70) ?y4) ?v_3) 3) (< (+ (* 76 ?y4) (* 66 x1)) 49)) (and (> (+ (+ (* (- 66) ?y4) (* (- 20) ?y3)) (* 38 x1)) 0) (< (+ ?v_4 (* 56 x1)) 0))))))) (forall ((?y5 Real)) (let ((?v_20 (* 48 ?y3)) (?v_22 (* (- 8) x1)) (?v_19 (* (- 78) ?y5)) (?v_18 (* (- 15) x1)) (?v_21 (* (- 74) x1))) (or (and (and (and (exists ((?y6 Real)) (and (and (= (+ (+ (+ (+ (* 68 ?y6) (* 7 ?y5)) (* 98 ?y4)) (* 30 ?y3)) (* 60 x1)) 0) (< (+ (+ (+ (* 91 ?y6) (* 44 ?y5)) (* (- 83) ?y4)) (* (- 46) ?y3)) 0)) (and (> (+ (+ (+ (* 46 ?y6) (* (- 57) ?y5)) (* (- 29) ?y4)) (* (- 48) ?y3)) 78) (not (= (+ (+ (+ (* (- 93) ?y5) (* 8 ?y4)) (* (- 78) ?y3)) (* 23 x1)) (- 36)))))) (exists ((?y6 Real)) (and (= (+ (+ (* (- 70) ?y5) (* (- 94) ?y4)) (* (- 35) ?y3)) 39) (and (> (+ (+ (+ (* (- 86) ?y5) (* 6 ?y4)) (* (- 82) ?y3)) (* 66 x1)) 0) (>= (+ (+ (+ (* (- 65) ?y6) (* (- 92) ?y4)) (* 79 ?y3)) (* 86 x1)) (- 77)))))) (or (or (and (not (= (+ ?v_19 (* (- 79) ?y3)) (- 97))) (> (+ (* (- 38) ?y3) (* (- 42) x1)) 47)) (and (= (+ (+ (+ (* (- 85) ?y5) (* (- 41) ?y4)) (* (- 81) ?y3)) (* 53 x1)) 54) (= (+ (* 15 ?y3) (* 23 x1)) 33))) (or (< (+ (+ (* 63 ?y5) (* (- 55) ?y4)) (* 27 ?y3)) (- 92)) (> (* 82 ?y5) 0)))) (or (or (and (or (<= (+ (+ (* (- 46) ?y4) (* 94 ?y3)) (* (- 78) x1)) 0) (not (= (+ (+ (* 2 ?y4) (* 78 ?y3)) (* (- 32) x1)) (- 73)))) (forall ((?y6 Real)) (or (> (+ (+ (* 8 ?y5) (* (- 29) ?y3)) (* (- 39) x1)) 0) (= (+ (+ (+ (+ (* 30 ?y6) (* 23 ?y5)) (* (- 72) ?y4)) (* (- 23) ?y3)) (* 96 x1)) 35)))) (exists ((?y6 Real)) (let ((?v_23 (* 52 ?y6))) (and (and (not (= (+ (+ (+ (+ ?v_23 (* 7 ?y5)) (* (- 99) ?y4)) (* (- 7) ?y3)) (* (- 7) x1)) 18)) (< (+ (+ (+ ?v_23 (* (- 53) ?y4)) (* (- 79) ?y3)) (* 48 x1)) 0)) (>= (+ (+ (* (- 99) ?y6) (* 100 ?y4)) (* 16 ?y3)) 0))))) (exists ((?y6 Real)) (or (not (= (+ (+ (* (- 94) ?y5) (* (- 75) ?y3)) (* (- 37) x1)) 51)) (> (+ (+ (* 32 ?y6) (* (- 18) ?y5)) (* 5 x1)) 39))))) (or (and (and (or (>= (* (- 31) ?y4) 46) (<= (+ (+ (+ (* 89 ?y5) (* 99 ?y4)) (* 34 ?y3)) ?v_22) 62)) (or (> (+ (+ (+ (* (- 48) ?y5) (* 3 ?y4)) (* (- 99) ?y3)) (* (- 45) x1)) 0) (<= (+ (+ (* (- 45) ?y4) (* (- 78) ?y3)) (* 3 x1)) 5))) (or (and (or (not (= (+ (* 51 ?y4) ?v_18) 83)) (not (= (+ (+ (+ (* 90 ?y5) (* (- 12) ?y4)) (* (- 92) ?y3)) ?v_18) (- 55)))) (and (= (+ (+ (+ ?v_19 (* 57 ?y4)) ?v_20) (* (- 61) x1)) (- 27)) (> (* 17 x1) (- 25)))) (or (<= (+ (+ (* 55 ?y4) (* (- 24) ?y3)) (* (- 72) x1)) 77) (or (>= (+ (+ (* (- 21) ?y5) (* (- 84) ?y3)) (* 57 x1)) 46) (< (+ (+ (* (- 19) ?y5) (* (- 20) ?y3)) (* (- 85) x1)) (- 2)))))) (or (or (or (or (<= (+ (+ (* 46 ?y5) (* 88 ?y4)) ?v_21) 0) (< (+ (+ (* (- 17) ?y5) (* 43 ?y4)) (* 7 x1)) (- 14))) (or (<= (+ (+ (+ (* (- 29) ?y5) (* (- 83) ?y4)) ?v_20) ?v_21) 66) (> (+ (+ (+ (* 87 ?y5) (* (- 98) ?y4)) (* (- 58) ?y3)) (* 80 x1)) (- 10)))) (or (not (= (+ (* 62 ?y4) ?v_22) 36)) (= (+ (* 15 ?y5) (* (- 91) ?y3)) (- 16)))) (and (or (> (+ (* 3 ?y3) (* 77 x1)) (- 69)) (and (not (= (+ (+ (* 95 ?y5) (* (- 71) ?y3)) (* 9 x1)) 0)) (> (+ (+ (* (- 47) ?y5) (* 36 ?y4)) (* (- 33) x1)) 53))) (and (> (* 96 ?y4) 0) (and (> (+ (+ (* 7 ?y5) (* 39 ?y4)) (* (- 17) x1)) (- 34)) (= (+ (+ (+ (* (- 13) ?y5) (* 84 ?y4)) (* 16 ?y3)) (* 58 x1)) 12))))))))))) (forall ((?y5 Real)) (forall ((?y6 Real)) (let ((?v_61 (* 58 ?y4)) (?v_75 (* 83 ?y4)) (?v_64 (* 45 ?y3)) (?v_27 (* 74 ?y4)) (?v_69 (* 96 ?y4)) (?v_34 (* 9 ?y5)) (?v_72 (* 86 ?y4)) (?v_24 (* 35 ?y3)) (?v_58 (* 40 ?y3)) (?v_78 (* 89 ?y3)) (?v_74 (* 4 x1)) (?v_52 (* 55 ?y6)) (?v_32 (* 77 ?y3)) (?v_26 (* 96 ?y5)) (?v_77 (* 50 ?y4)) (?v_40 (* 88 ?y5)) (?v_51 (* 62 x1)) (?v_55 (* 11 ?y4)) (?v_31 (* 47 ?y3)) (?v_37 (* 55 ?y5)) (?v_41 (* 9 ?y6)) (?v_54 (* 71 ?y6)) (?v_71 (* 37 ?y5)) (?v_76 (* 68 ?y5)) (?v_67 (* (- 15) ?y3)) (?v_38 (* (- 91) x1)) (?v_56 (* (- 78) x1)) (?v_70 (* (- 72) x1)) (?v_60 (* (- 83) x1)) (?v_50 (* (- 81) ?y3)) (?v_47 (* (- 72) ?y4)) (?v_44 (* (- 99) ?y3)) (?v_29 (* (- 64) x1)) (?v_53 (* (- 94) x1)) (?v_66 (* (- 65) ?y5)) (?v_63 (* (- 36) ?y4)) (?v_45 (* (- 90) ?y6)) (?v_33 (* (- 17) ?y4)) (?v_39 (* (- 2) x1)) (?v_79 (* (- 28) x1)) (?v_48 (* (- 61) ?y6)) (?v_73 (* (- 59) ?y3)) (?v_25 (* (- 2) ?y6)) (?v_30 (* (- 28) ?y3)) (?v_28 (* (- 8) ?y4)) (?v_46 (* (- 54) ?y5)) (?v_59 (* (- 61) ?y5)) (?v_68 (* (- 88) ?y6)) (?v_65 (* (- 55) ?y3)) (?v_43 (* (- 69) ?y4)) (?v_42 (* (- 92) ?y5)) (?v_36 (* (- 16) x1)) (?v_35 (* (- 28) ?y6)) (?v_62 (* (- 83) ?y6)) (?v_49 (* (- 51) ?y3)) (?v_57 (* (- 89) ?y6))) (or (or (and (or (and (and (and (<= (+ (+ (+ (+ (* 29 ?y6) ?v_34) ?v_72) ?v_24) ?v_29) 36) (>= (+ (+ (* 48 ?y6) (* 45 ?y5)) (* (- 84) ?y4)) 13)) (and (>= (+ (+ (+ (* 25 ?y6) (* 49 ?y4)) ?v_58) ?v_53) (- 11)) (not (= (+ (+ (+ ?v_66 ?v_63) ?v_78) (* 89 x1)) 0)))) (and (and (and (not (= (+ (+ (+ (* (- 82) ?y6) (* 58 ?y5)) (* (- 52) ?y3)) (* 67 x1)) 57)) (not (= (+ (* (- 55) ?y6) (* 61 ?y5)) 9))) (and (>= (+ (+ (* 1 ?y6) (* 80 ?y4)) (* 35 x1)) (- 89)) (>= (+ (+ (+ ?v_45 (* 34 ?y5)) ?v_61) ?v_74) 97))) (or (not (= (+ (+ (* 85 ?y6) ?v_33) (* 79 x1)) 0)) (or (> (+ (+ (+ (* 27 ?y6) (* (- 24) ?y5)) ?v_47) ?v_39) 0) (< (+ (+ (+ (+ ?v_52 (* 65 ?y5)) (* 84 ?y4)) (* (- 93) ?y3)) (* (- 18) x1)) (- 89)))))) (and (and (and (<= (+ (+ (+ (* (- 26) ?y6) (* 72 ?y5)) (* (- 70) ?y4)) (* (- 7) x1)) 0) (< (+ (+ (+ (* (- 47) ?y5) (* (- 75) ?y4)) (* 30 ?y3)) (* (- 41) x1)) (- 14))) (and (and (<= (+ (+ (+ (+ (* 51 ?y6) (* (- 38) ?y5)) (* (- 73) ?y4)) ?v_32) ?v_38) (- 49)) (> (+ (+ (+ (* (- 75) ?y5) (* 68 ?y4)) (* 26 ?y3)) ?v_79) 0)) (and (>= (+ ?v_48 ?v_24) 40) (<= (+ (+ (+ (* (- 33) ?y5) (* 24 ?y4)) (* 79 ?y3)) (* (- 82) x1)) 20)))) (and (and (and (>= (+ (+ (* (- 50) ?y6) (* (- 6) ?y4)) (* (- 4) x1)) 85) (= (+ (+ (+ (* (- 37) ?y5) (* 27 ?y4)) (* (- 80) ?y3)) (* 61 x1)) 20)) (> (+ (* 41 ?y4) (* (- 82) ?y3)) (- 25))) (and (>= (+ (+ (+ (* (- 33) ?y6) ?v_27) ?v_73) (* 78 x1)) (- 2)) (or (> (+ (+ (+ (+ ?v_25 ?v_26) (* (- 35) ?y4)) ?v_30) (* (- 26) x1)) 99) (not (= (+ (+ (* 1 ?y4) (* 93 ?y3)) (* 93 x1)) 87))))))) (or (or (or (>= (+ (+ (+ (+ (* (- 37) ?y6) (* 67 ?y5)) ?v_77) (* (- 19) ?y3)) (* (- 84) x1)) (- 32)) (>= (+ (+ (+ (* 21 ?y6) ?v_28) (* (- 33) ?y3)) (* 84 x1)) 52)) (and (and (and (> (+ (+ (+ (+ ?v_25 ?v_40) (* (- 23) ?y4)) (* 54 ?y3)) (* 39 x1)) 0) (not (= (+ (+ (+ (* 12 ?y6) ?v_26) (* (- 37) ?y3)) (* 99 x1)) 45))) (and (> (+ (+ (+ (+ (* 15 ?y6) (* (- 22) ?y5)) ?v_27) (* (- 85) ?y3)) ?v_51) 42) (<= (+ (+ (+ (+ (* 35 ?y6) (* 25 ?y5)) (* (- 66) ?y4)) (* (- 49) ?y3)) (* 2 x1)) (- 16)))) (and (or (> (+ (+ (+ (* 20 ?y6) (* 60 ?y4)) (* (- 63) ?y3)) ?v_70) 0) (< (+ ?v_46 (* 91 ?y4)) 31)) (and (not (= (+ ?v_59 (* (- 20) x1)) 99)) (>= (+ (+ (* 4 ?y5) ?v_55) (* (- 6) x1)) (- 41)))))) (or (or (and (or (<= (+ (+ (+ (* (- 59) ?y5) ?v_28) ?v_31) (* 17 x1)) 38) (not (= (+ (+ (+ (* (- 5) ?y6) (* (- 82) ?y5)) (* (- 98) ?y4)) ?v_29) (- 99)))) (or (<= (+ (+ (+ (+ (* 61 ?y6) (* 22 ?y5)) (* 97 ?y4)) (* 28 ?y3)) (* (- 50) x1)) (- 19)) (> (+ (+ (+ (* (- 31) ?y6) (* (- 30) ?y5)) (* 92 ?y4)) ?v_64) (- 3)))) (and (or (<= (+ (+ (+ (* 82 ?y6) ?v_37) (* (- 68) ?y3)) (* 75 x1)) (- 91)) (<= (+ (+ (+ (+ ?v_41 (* (- 43) ?y5)) (* (- 79) ?y4)) (* (- 66) ?y3)) (* 6 x1)) (- 97))) (and (= (+ (+ (* 25 ?y4) ?v_30) (* 70 x1)) 0) (= (+ (+ (+ (+ (* 65 ?y6) (* (- 36) ?y5)) (* (- 78) ?y4)) (* (- 62) ?y3)) (* (- 55) x1)) (- 79))))) (and (and (>= (+ (+ (+ (* (- 45) ?y6) (* 87 ?y5)) ?v_50) (* (- 56) x1)) 64) (< (+ (+ (+ ?v_68 (* (- 4) ?y4)) ?v_31) (* (- 68) x1)) (- 53))) (not (= (+ (+ (+ (+ (* (- 76) ?y6) (* (- 45) ?y5)) (* 88 ?y4)) ?v_65) (* (- 17) x1)) (- 21))))))) (or (or (or (< (+ (+ ?v_43 (* (- 48) ?y3)) (* 82 x1)) 88) (= (+ (+ (* 51 ?y4) ?v_44) (* (- 97) x1)) (- 51))) (and (or (or (> (+ (+ (* 67 ?y6) ?v_32) (* (- 38) x1)) (- 88)) (>= (+ (+ (+ ?v_42 (* (- 81) ?y4)) (* 22 ?y3)) (* 91 x1)) 0)) (or (not (= (+ (+ (+ (* (- 34) ?y6) (* 40 ?y5)) (* (- 53) ?y3)) ?v_36) 89)) (= (+ (* 41 ?y6) ?v_33) (- 63)))) (or (= (+ (+ ?v_35 ?v_34) (* (- 51) ?y4)) 35) (or (> (+ (+ (* (- 65) ?y6) (* (- 89) ?y5)) (* (- 80) x1)) 59) (<= (+ (+ (+ ?v_35 (* (- 80) ?y5)) (* 3 ?y4)) (* (- 30) x1)) 54))))) (and (and (and (or (< (+ (+ (+ (* 63 ?y6) (* 26 ?y4)) (* 14 ?y3)) ?v_36) 10) (>= (+ (+ (+ (+ (* 60 ?y6) (* 79 ?y5)) (* (- 82) ?y4)) (* (- 72) ?y3)) (* 9 x1)) (- 56))) (>= (+ (+ (+ (* 56 ?y6) ?v_37) (* 22 ?y4)) ?v_38) (- 62))) (or (> (+ (+ ?v_62 ?v_49) ?v_39) 0) (>= (+ (+ (+ (+ ?v_57 ?v_40) (* (- 93) ?y4)) (* 99 ?y3)) (* 15 x1)) 40))) (and (or (or (or (> (+ (+ (+ ?v_41 (* (- 51) ?y5)) (* 55 ?y4)) (* 46 ?y3)) (- 60)) (> (+ (+ (+ ?v_54 ?v_42) ?v_43) (* 78 ?y3)) 69)) (or (<= (+ (+ (* (- 58) ?y6) (* (- 26) ?y5)) (* (- 100) ?y3)) 71) (<= (+ (+ (+ (* 19 ?y6) (* 94 ?y5)) (* 45 ?y4)) ?v_44) (- 79)))) (> (+ (+ (+ (* 54 ?y6) (* 6 ?y5)) (* 72 ?y4)) (* (- 10) x1)) 51)) (or (and (> (+ ?v_69 (* 70 ?y3)) 2) (> (+ (+ (+ (+ (* 31 ?y6) (* (- 83) ?y5)) (* (- 12) ?y4)) (* (- 39) ?y3)) (* 20 x1)) 20)) (and (not (= (+ (+ (+ ?v_45 (* (- 42) ?y5)) (* (- 91) ?y3)) (* 51 x1)) 0)) (< (+ (+ (+ (* (- 19) ?y6) ?v_46) ?v_47) ?v_24) (- 29)))))))) (or (and (or (= (+ (+ (+ ?v_48 (* 48 ?y5)) (* (- 54) ?y4)) ?v_49) 26) (or (> (+ (+ (+ (+ (* (- 14) ?y6) (* 7 ?y5)) (* 85 ?y4)) ?v_50) ?v_51) 29) (< (+ (+ (+ (* (- 50) ?y5) (* (- 65) ?y4)) (* (- 71) ?y3)) ?v_56) 22))) (or (and (not (= (+ (+ (+ ?v_52 ?v_26) ?v_67) (* (- 52) x1)) (- 10))) (not (= (+ (+ (+ (+ (* (- 100) ?y6) (* (- 25) ?y5)) (* (- 44) ?y4)) (* (- 73) ?y3)) (* 66 x1)) (- 85)))) (and (<= (+ (+ (* (- 86) ?y6) (* 66 ?y4)) ?v_53) 72) (and (> (+ (+ (+ (+ ?v_54 (* 5 ?y5)) ?v_55) (* 59 ?y3)) (* 98 x1)) (- 48)) (> (+ (+ (+ (+ (* 24 ?y6) (* (- 88) ?y5)) ?v_75) (* 42 ?y3)) (* (- 44) x1)) (- 21)))))) (and (and (and (= (+ (+ (+ ?v_46 (* (- 32) ?y4)) (* 84 ?y3)) (* 12 x1)) 24) (>= (+ (+ (+ (* (- 24) ?y6) (* 29 ?y4)) (* 36 ?y3)) ?v_56) 0)) (and (or (or (>= (+ (+ (* (- 81) ?y6) (* (- 49) ?y5)) ?v_33) 0) (not (= (+ (+ (+ (+ ?v_57 (* (- 55) ?y5)) (* 7 ?y4)) ?v_58) ?v_60) (- 85)))) (or (not (= (+ (+ ?v_71 (* (- 44) ?y3)) ?v_51) 0)) (>= (+ (+ ?v_59 (* (- 29) ?y4)) ?v_60) 40))) (or (and (= (+ (+ (+ (* (- 7) ?y6) (* 98 ?y5)) (* (- 31) ?y4)) (* (- 13) ?y3)) (- 21)) (>= (+ (+ (+ (* 3 ?y6) (* 80 ?y5)) ?v_61) (* 29 ?y3)) 0)) (and (= (+ ?v_59 (* 91 ?y3)) (- 39)) (<= (+ (+ ?v_43 (* (- 27) ?y3)) (* (- 61) x1)) 0))))) (or (and (or (or (>= (+ (+ (+ (+ ?v_62 (* (- 9) ?y5)) ?v_63) ?v_64) (* 76 x1)) 0) (> (+ (+ (+ (* 30 ?y5) (* 23 ?y4)) ?v_65) (* (- 35) x1)) (- 73))) (or (< (+ (+ (+ (* (- 3) ?y6) ?v_66) ?v_67) (* 10 x1)) 16) (< (+ (+ (+ (+ ?v_68 ?v_76) ?v_69) (* (- 46) ?y3)) ?v_70) (- 35)))) (and (or (= (+ (+ (+ (* 16 ?y6) (* 93 ?y5)) (* 46 ?y4)) (* 73 ?y3)) 75) (>= (+ (+ (* (- 81) ?y5) (* (- 77) ?y4)) (* (- 87) x1)) (- 71))) (and (not (= (+ (+ (+ ?v_71 (* 56 ?y4)) (* 62 ?y3)) (* (- 8) x1)) 0)) (> (* 10 ?y3) 20)))) (and (and (and (< (+ (+ (+ (* (- 71) ?y5) (* 79 ?y4)) (* 33 ?y3)) (* 48 x1)) (- 23)) (< (+ ?v_72 (* 52 x1)) (- 89))) (and (not (= (+ (+ (+ (+ (* (- 53) ?y6) (* (- 31) ?y5)) (* (- 95) ?y4)) ?v_73) ?v_74) 0)) (< (+ (+ (+ (+ (* 89 ?y6) (* (- 97) ?y5)) ?v_75) (* (- 58) ?y3)) (* 18 x1)) 82))) (or (= (+ (+ (+ (+ (* (- 79) ?y6) ?v_76) ?v_77) ?v_78) (* (- 29) x1)) 0) (>= ?v_79 58))))))))))))) (forall ((?y4 Real)) (let ((?v_80 (* 68 x1)) (?v_83 (* 77 x1)) (?v_95 (* 66 x1)) (?v_94 (* 80 x1)) (?v_84 (* 35 ?y3)) (?v_81 (* 40 ?y3)) (?v_107 (* 39 x1)) (?v_104 (* 15 x1)) (?v_117 (* 59 ?y3)) (?v_90 (* 76 x1)) (?v_112 (* 30 ?y4)) (?v_91 (* 67 ?y3)) (?v_111 (* 83 ?y4)) (?v_100 (* 62 ?y4)) (?v_110 (* 88 ?y4)) (?v_114 (* 61 ?y3)) (?v_96 (* 95 ?y4)) (?v_106 (* 5 ?y4)) (?v_102 (* 63 ?y4)) (?v_115 (* 34 ?y4)) (?v_82 (* (- 24) ?y3)) (?v_103 (* (- 48) ?y3)) (?v_87 (* (- 9) ?y3)) (?v_99 (* (- 19) ?y3)) (?v_105 (* (- 51) ?y3)) (?v_93 (* (- 73) x1)) (?v_88 (* (- 13) ?y4)) (?v_89 (* (- 96) ?y4)) (?v_108 (* (- 5) x1)) (?v_85 (* (- 35) ?y4)) (?v_92 (* (- 77) x1)) (?v_86 (* (- 99) ?y4)) (?v_98 (* (- 75) ?y4)) (?v_97 (* (- 26) ?y3)) (?v_116 (* (- 25) ?y3)) (?v_109 (* (- 66) x1))) (let ((?v_101 (+ ?v_106 ?v_97)) (?v_113 (* (- 89) x1))) (or (or (or (or (and (or (> (+ (* (- 50) ?y3) (* (- 25) x1)) (- 31)) (> (+ (+ (* 45 ?y4) ?v_82) ?v_93) 50)) (or (not (= (+ (* (- 43) ?y4) ?v_80) 65)) (not (= (+ ?v_81 (* (- 97) x1)) 0)))) (and (= (+ ?v_88 ?v_80) 11) (> ?v_89 0))) (or (and (and (or (and (not (= (+ (+ ?v_112 (* (- 82) ?y3)) ?v_108) (- 82))) (not (= (+ (+ (* (- 17) ?y4) (* (- 74) ?y3)) (* (- 38) x1)) 0))) (or (<= (+ (* (- 27) ?y4) (* 65 ?y3)) 0) (< (+ (+ (* 20 ?y4) ?v_81) ?v_83) (- 53)))) (or (and (< (+ ?v_82 (* 86 x1)) 28) (>= (+ (+ (* (- 79) ?y4) ?v_84) ?v_94) (- 59))) (or (<= (* 72 ?y4) 51) (> ?v_117 (- 70))))) (and (and (or (> (+ (* 18 ?y4) (* 32 x1)) (- 82)) (> (+ (+ (* 66 ?y4) (* 90 ?y3)) (* (- 85) x1)) 20)) (not (= (+ (* 98 ?y4) ?v_83) 51))) (> (+ (* (- 41) ?y3) (* 14 x1)) 95))) (or (or (and (or (< (+ (+ (* (- 94) ?y4) (* (- 70) ?y3)) (* 98 x1)) 73) (< (+ (+ (* (- 73) ?y4) (* 50 ?y3)) (* (- 14) x1)) (- 32))) (or (not (= (* (- 94) ?y3) 0)) (> (+ (+ (* (- 22) ?y4) ?v_87) (* 96 x1)) (- 91)))) (and (and (= (+ (+ ?v_85 ?v_105) ?v_90) 75) (> (+ (+ (* 25 ?y4) (* 82 ?y3)) ?v_92) 5)) (or (not (= (+ ?v_84 (* 9 x1)) 56)) (> (+ (+ (* (- 85) ?y4) ?v_103) (* 29 x1)) (- 13))))) (and (and (or (= (+ (* (- 68) ?y4) (* (- 33) x1)) 81) (> (+ (* 97 ?y4) (* 77 ?y3)) (- 70))) (or (= (+ (+ ?v_86 (* 42 ?y3)) (* (- 21) x1)) 18) (< (+ (+ (* 27 ?y4) (* 19 ?y3)) (* (- 60) x1)) 43))) (or (= (+ (+ ?v_85 ?v_91) (* (- 43) x1)) (- 61)) (>= (+ (+ ?v_98 (* (- 40) ?y3)) ?v_95) 19)))))) (or (or (and (or (and (or (and (not (= (* (- 15) ?y3) 90)) (not (= (+ (+ (* (- 88) ?y4) (* (- 77) ?y3)) (* 25 x1)) 45))) (or (not (= (+ (* (- 64) ?y4) (* 45 ?y3)) (- 75))) (not (= (+ ?v_86 (* (- 42) ?y3)) (- 96))))) (and (or (>= (+ ?v_111 ?v_97) 97) (> (+ (* 49 ?y4) ?v_87) 0)) (or (not (= (+ ?v_100 (* 73 x1)) (- 36))) (>= (+ (+ ?v_88 (* (- 98) ?y3)) (* 60 x1)) (- 89))))) (or (and (>= (+ (* 67 ?y4) (* (- 78) x1)) 40) (> (+ (+ (* (- 57) ?y4) (* 64 ?y3)) (* (- 55) x1)) 50)) (and (< (+ (* (- 59) ?y4) (* (- 49) x1)) 73) (> (+ (+ (* 81 ?y4) ?v_99) ?v_104) (- 19))))) (or (or (= (+ (* 53 ?y3) ?v_83) 0) (>= (+ (+ ?v_110 (* (- 11) ?y3)) (* (- 88) x1)) (- 98))) (and (>= (* (- 7) x1) 88) (or (= (+ (+ ?v_89 (* 92 ?y3)) ?v_90) (- 93)) (= (+ (* (- 97) ?y4) (* 42 x1)) 39))))) (or (or (or (and (> (+ ?v_91 (* (- 9) x1)) 38) (and (<= ?v_114 56) (>= (+ (* 16 ?y4) ?v_92) (- 5)))) (or (or (< (+ (+ (* 7 ?y4) (* (- 93) ?y3)) (* (- 41) x1)) 25) (not (= (+ (* 12 ?y4) (* 4 x1)) 42))) (>= (+ (* 8 ?y4) (* (- 12) x1)) (- 26)))) (and (< (+ (+ (* 29 ?y4) (* (- 32) ?y3)) (* (- 86) x1)) 82) (and (and (< (+ (* (- 56) ?y4) (* 63 ?y3)) 0) (>= (+ (+ (* 1 ?y4) (* 32 ?y3)) ?v_93) 10)) (or (not (= (+ (+ ?v_96 (* 88 ?y3)) ?v_94) 27)) (not (= (* (- 51) ?y4) (- 6))))))) (and (and (and (not (= (+ (* (- 33) ?y4) (* (- 54) x1)) (- 31))) (or (> (+ (+ (* 40 ?y4) (* 31 ?y3)) ?v_95) 0) (= (+ (+ (* 38 ?y4) (* 83 ?y3)) (* (- 17) x1)) (- 19)))) (or (or (< (+ (+ (* 79 ?y4) (* (- 71) ?y3)) (* 48 x1)) 16) (< (+ (* 22 ?y4) (* (- 50) x1)) (- 17))) (or (> (+ ?v_116 ?v_109) (- 21)) (= (+ (+ ?v_96 (* 98 ?y3)) (* 59 x1)) (- 52))))) (and (and (= (+ ?v_101 (* 45 x1)) (- 27)) (>= (+ (+ (* 33 ?y4) (* (- 68) ?y3)) (* (- 79) x1)) 100)) (> (+ (* 87 ?y3) (* (- 36) x1)) (- 54)))))) (and (or (and (or (or (= (* (- 66) ?y4) (- 12)) (<= (+ (+ ?v_98 ?v_99) (* 61 x1)) 0)) (or (< (+ (* (- 78) ?y4) (* (- 37) ?y3)) (- 83)) (and (= (+ (+ ?v_100 (* (- 78) ?y3)) (* 58 x1)) 0) (< (+ (* 73 ?y4) (* (- 63) ?y3)) (- 89))))) (or (and (or (= (+ (* (- 19) ?y4) (* 3 x1)) 0) (= (+ ?v_102 ?v_107) 92)) (or (= (+ (+ (* 68 ?y4) (* (- 29) ?y3)) (* 44 x1)) 53) (< (+ ?v_101 ?v_94) (- 53)))) (and (or (< (+ (+ ?v_102 ?v_103) ?v_104) 0) (not (= (+ (+ (* (- 65) ?y4) (* 22 ?y3)) (* (- 75) x1)) 6))) (= (+ (+ ?v_115 (* (- 10) ?y3)) (* (- 45) x1)) 99)))) (and (and (or (or (<= (+ (+ (* (- 37) ?y4) (* 68 ?y3)) (* 65 x1)) (- 52)) (> (+ (* 20 ?y3) (* 85 x1)) 90)) (and (< (+ ?v_105 ?v_113) (- 98)) (= (+ (* (- 8) ?y4) (* 53 x1)) (- 85)))) (and (and (< (+ (+ ?v_106 (* 70 ?y3)) ?v_107) 55) (= (+ (* 41 ?y4) (* 92 x1)) 0)) (<= (+ (* 73 ?y3) ?v_108) 96))) (and (and (or (< (+ (* 19 ?y4) (* (- 45) ?y3)) 0) (> (+ (* 91 ?y4) ?v_109) 12)) (or (< (+ (+ (* 86 ?y4) (* (- 21) ?y3)) (* (- 11) x1)) 0) (< (+ (+ ?v_110 (* (- 96) ?y3)) (* 51 x1)) 52))) (and (< (* 54 x1) (- 80)) (not (= (+ (+ (* (- 100) ?y4) (* (- 92) ?y3)) (* 7 x1)) (- 52))))))) (or (and (and (>= (+ (* (- 71) ?y4) ?v_81) 25) (< (+ (+ (* 57 ?y4) (* (- 81) ?y3)) ?v_92) 97)) (and (or (> (+ (+ (* (- 98) ?y4) (* (- 53) ?y3)) (* 18 x1)) (- 31)) (> (+ ?v_111 (* 4 ?y3)) (- 55))) (<= (+ ?v_112 (* 50 x1)) (- 58)))) (or (and (or (< (+ (+ (* (- 2) ?y4) (* 91 ?y3)) ?v_113) (- 8)) (= (+ (+ (* 24 ?y4) (* 28 ?y3)) (* (- 63) x1)) 96)) (<= (* 46 ?y4) (- 82))) (or (and (= (+ (+ (* (- 10) ?y4) (* 13 ?y3)) (* 95 x1)) 24) (>= (+ (* 92 ?y4) (* (- 59) x1)) 0)) (< (+ (+ (* (- 12) ?y4) (* (- 85) ?y3)) (* (- 57) x1)) (- 11)))))))) (or (and (and (exists ((?y5 Real)) (let ((?v_118 (* (- 35) x1)) (?v_119 (* (- 61) x1))) (or (or (or (or (or (> (+ (+ (* 44 ?y5) (* (- 21) ?y4)) ?v_119) (- 25)) (>= (+ (+ (* 25 ?y4) (* (- 21) ?y3)) (* 59 x1)) 0)) (<= (+ (+ (+ (* (- 92) ?y5) (* 40 ?y4)) (* (- 57) ?y3)) ?v_118) 74)) (or (> (+ (* (- 72) ?y4) ?v_118) 0) (>= (+ (+ (+ (* 98 ?y5) (* (- 28) ?y4)) (* 38 ?y3)) (* 4 x1)) 76))) (or (and (>= (+ (+ (* (- 8) ?y5) (* 94 ?y4)) ?v_95) 94) (= (+ (* 67 ?y5) (* 29 ?y4)) 0)) (and (= (+ (+ (+ (* (- 22) ?y5) (* 9 ?y4)) (* (- 53) ?y3)) (* 55 x1)) 0) (< (+ (* 80 ?y3) ?v_119) 43)))) (and (or (forall ((?y6 Real)) (and (<= (+ (+ (+ (+ (* 9 ?y6) (* 34 ?y5)) (* 84 ?y4)) (* 60 ?y3)) (* (- 75) x1)) 0) (not (= (+ (+ (+ (* 52 ?y6) (* 94 ?y4)) (* (- 62) ?y3)) (* 26 x1)) 0)))) (forall ((?y6 Real)) (and (or (> (+ (+ (* 49 ?y4) (* (- 3) ?y3)) (* 41 x1)) 39) (> (+ (+ (+ (+ (* 94 ?y6) (* 22 ?y5)) (* (- 83) ?y4)) (* (- 43) ?y3)) ?v_108) (- 15))) (or (>= (+ (+ (+ (* 81 ?y5) (* 21 ?y4)) (* (- 1) ?y3)) (* 27 x1)) 61) (> (+ (+ (+ (+ (* 44 ?y6) (* 78 ?y5)) (* 24 ?y4)) (* (- 22) ?y3)) (* 90 x1)) (- 54)))))) (forall ((?y6 Real)) (and (and (or (< (+ (+ (+ (* 44 ?y5) (* (- 86) ?y4)) (* (- 69) ?y3)) (* 73 x1)) 91) (= (+ (+ (* 98 ?y5) (* 12 ?y4)) (* 8 ?y3)) 0)) (or (<= (* 86 ?y6) 71) (> (+ (* (- 60) ?y4) (* 9 x1)) 30))) (or (and (> (+ (+ (+ (* 38 ?y6) (* (- 94) ?y5)) (* 72 ?y4)) (* 100 ?y3)) 66) (< (+ (+ (+ (+ (* 48 ?y6) (* 2 ?y5)) (* 53 ?y4)) (* 14 ?y3)) ?v_90) (- 32))) (< (+ (+ (* (- 97) ?y6) (* 26 ?y5)) (* 39 ?y3)) 19)))))))) (or (and (or (= (+ (+ (* 10 ?y4) ?v_114) (* (- 62) x1)) 0) (not (= (+ ?v_106 ?v_108) (- 45)))) (or (and (= (+ (+ ?v_115 (* (- 20) ?y3)) ?v_80) (- 60)) (<= (+ ?v_116 ?v_108) 0)) (or (<= (* 55 x1) 0) (< (+ (+ (* (- 23) ?y4) ?v_117) (* (- 4) x1)) (- 95))))) (and (forall ((?y5 Real)) (exists ((?y6 Real)) (or (and (or (<= (+ (+ (* 45 ?y6) (* (- 11) ?y5)) (* 85 ?y4)) 74) (<= (+ (+ (* 64 ?y4) (* (- 5) ?y3)) (* (- 87) x1)) 86)) (and (>= (+ (+ (* (- 57) ?y6) (* 14 ?y4)) (* (- 8) x1)) 1) (< (+ (* (- 79) ?y6) ?v_106) 70))) (or (or (= (+ (+ (+ (* (- 98) ?y6) (* 51 ?y4)) (* 56 ?y3)) (* (- 96) x1)) 0) (>= (+ (+ (* 26 ?y6) (* (- 84) ?y4)) (* (- 10) ?y3)) (- 77))) (and (= (+ (+ (+ (* 65 ?y6) (* 52 ?y5)) (* 56 ?y4)) (* (- 6) ?y3)) 0) (= (+ (+ (+ (* 93 ?y6) (* (- 22) ?y5)) (* 54 ?y4)) (* (- 39) x1)) 2)))))) (or (exists ((?y5 Real)) (and (or (> (+ (+ (+ (* (- 36) ?y5) (* 4 ?y4)) (* (- 31) ?y3)) (* 27 x1)) (- 70)) (> (+ (+ (* (- 62) ?y5) (* 85 ?y4)) (* 12 ?y3)) (- 94))) (or (not (= (+ (+ (+ (* (- 80) ?y5) (* (- 80) ?y4)) (* 2 ?y3)) (* (- 31) x1)) 62)) (< (+ (+ (+ (* (- 73) ?y5) (* 68 ?y4)) (* (- 63) ?y3)) (* 50 x1)) 4)))) (and (or (or (> (+ (* (- 92) ?y4) (* (- 31) ?y3)) 83) (<= (+ (* 42 ?y4) ?v_108) 48)) (exists ((?y6 Real)) (>= (* 82 x1) 0))) (or (exists ((?y6 Real)) (<= (+ (+ (* 45 ?y6) (* 61 ?y4)) (* (- 45) ?y3)) 0)) (forall ((?y6 Real)) (>= (+ (+ (+ (* 95 ?y6) (* (- 23) ?y4)) (* (- 87) ?y3)) (* 48 x1)) (- 41))))))))) (forall ((?y5 Real)) (exists ((?y6 Real)) (let ((?v_122 (* 59 x1)) (?v_125 (* 84 ?y4)) (?v_127 (* 65 ?y4)) (?v_120 (* 62 ?y6)) (?v_126 (* 5 ?y3)) (?v_128 (* (- 85) x1)) (?v_123 (* (- 68) x1)) (?v_124 (* (- 68) ?y3)) (?v_129 (* (- 40) ?y3)) (?v_121 (* (- 33) ?y6))) (or (and (or (or (and (= (+ (+ (+ (* (- 82) ?y6) (* 75 ?y5)) (* 27 ?y4)) ?v_129) (- 3)) (not (= (+ (+ ?v_121 (* (- 4) ?y4)) (* 33 x1)) 0))) (< (+ (+ (+ (+ (* (- 4) ?y6) (* (- 42) ?y5)) ?v_127) (* (- 22) ?y3)) (* (- 12) x1)) 70)) (or (>= (+ (+ (+ (* 100 ?y6) (* (- 16) ?y5)) ?v_117) (* 12 x1)) 85) (> (+ (+ (+ (* 1 ?y5) (* (- 87) ?y4)) (* (- 81) ?y3)) (* 61 x1)) 0))) (or (or (and (>= (+ (+ (+ (* (- 17) ?y6) ?v_110) (* (- 50) ?y3)) (* (- 76) x1)) 0) (= (+ (+ (+ (+ (* (- 56) ?y6) (* (- 99) ?y5)) ?v_125) (* (- 37) ?y3)) (* (- 65) x1)) 93)) (or (= (+ (+ (* (- 53) ?y6) (* 54 ?y4)) (* 91 ?y3)) (- 3)) (>= (+ (+ (+ (+ (* (- 60) ?y6) (* (- 18) ?y5)) (* (- 18) ?y4)) (* (- 36) ?y3)) (* (- 52) x1)) 31))) (and (or (and (> (+ (+ (+ (* 29 ?y6) (* 100 ?y5)) (* (- 98) ?y3)) ?v_122) 75) (<= (+ (+ (+ (* (- 43) ?y6) (* (- 12) ?y4)) (* 94 ?y3)) (* (- 33) x1)) (- 13))) (and (= (+ (+ (+ (+ (* (- 84) ?y6) (* (- 91) ?y5)) (* (- 42) ?y4)) (* 66 ?y3)) (* 2 x1)) (- 49)) (not (= (+ (+ ?v_120 (* 13 ?y5)) (* 10 ?y4)) 33)))) (or (>= (+ (+ (* (- 55) ?y6) (* (- 63) ?y5)) (* 87 ?y3)) 0) (< (+ ?v_124 (* 89 x1)) (- 26)))))) (or (and (or (or (= (+ (+ (+ (* 32 ?y6) (* 33 ?y5)) (* 25 ?y3)) (* 4 x1)) (- 45)) (<= (+ (+ (* (- 52) ?y6) (* (- 11) ?y5)) (* 45 x1)) 87)) (and (>= (+ (+ (+ (+ ?v_120 (* 25 ?y5)) ?v_85) (* 57 ?y3)) ?v_123) 49) (<= (+ (+ (* (- 89) ?y6) (* 96 ?y4)) (* (- 46) x1)) 33))) (or (>= (+ (+ (+ (* 58 ?y6) (* 8 ?y5)) (* 4 ?y3)) (* (- 70) x1)) 28) (or (> (+ (+ (* 58 ?y5) (* (- 98) ?y4)) (* 38 ?y3)) 80) (>= (+ (+ (+ ?v_121 (* (- 54) ?y5)) (* 80 ?y4)) (* 53 ?y3)) 28)))) (or (and (or (and (not (= (+ (+ (* (- 32) ?y6) (* 70 ?y5)) (* (- 41) ?y3)) (- 78))) (<= (+ (+ (+ (* 78 ?y5) (* 94 ?y4)) (* (- 4) ?y3)) ?v_122) (- 73))) (and (>= (+ (+ (+ (* 17 ?y6) (* (- 36) ?y5)) (* (- 16) ?y3)) ?v_107) 37) (not (= (+ (+ (+ (* 55 ?y6) (* 28 ?y4)) (* (- 85) ?y3)) ?v_123) (- 24))))) (and (= (+ (+ (+ (* 94 ?y6) (* 18 ?y4)) ?v_126) (* (- 39) x1)) (- 30)) (>= (+ (+ (+ (* 14 ?y6) ?v_85) ?v_124) ?v_128) 0))) (or (and (>= (+ (+ (+ (* (- 73) ?y6) ?v_125) ?v_126) (* (- 93) x1)) 82) (< (+ (+ (+ (* (- 1) ?y6) (* (- 69) ?y5)) (* 57 ?y4)) (* 27 ?y3)) (- 20))) (and (and (< (+ (+ (* (- 34) ?y6) (* (- 56) ?y3)) (* 25 x1)) (- 71)) (> (+ (+ (+ (+ (* (- 58) ?y6) (* 83 ?y5)) ?v_127) (* (- 61) ?y3)) ?v_128) (- 9))) (or (> (+ ?v_99 ?v_95) 0) (>= (+ (+ (+ (* 38 ?y6) (* 38 ?y4)) ?v_129) (* 26 x1)) 43))))))))))) (forall ((?y6 Real)) (let ((?v_131 (* 4 ?y6)) (?v_132 (* (- 84) ?y3)) (?v_130 (* (- 12) x1))) (or (and (and (and (= (* 28 ?y4) 29) (> (+ (+ (* 74 ?y6) (* 1 ?y4)) ?v_97) 0)) (<= (+ (+ (* (- 37) ?y6) (* (- 92) ?y4)) (* 18 ?y3)) 0)) (or (or (and (and (<= (+ (* 56 ?y3) (* 28 x1)) (- 25)) (>= (+ (+ (+ (* 87 ?y6) (* (- 66) ?y4)) (* (- 61) ?y3)) (* (- 35) x1)) 22)) (and (>= (+ (* (- 2) ?y6) (* (- 6) x1)) (- 29)) (>= (* 43 ?y3) 76))) (or (or (>= (+ (+ (* (- 13) ?y6) (* 98 ?y3)) ?v_130) 67) (= (+ ?v_131 (* 36 x1)) 0)) (and (<= (+ (+ (* 57 ?y6) (* 76 ?y3)) (* (- 75) x1)) (- 100)) (> (+ (+ (+ (* 63 ?y6) (* (- 32) ?y4)) (* (- 97) ?y3)) (* 49 x1)) (- 54))))) (or (and (= (+ (+ (* 53 ?y6) (* 43 ?y4)) (* 65 x1)) 0) (> (+ (+ (+ (* 88 ?y6) (* 49 ?y4)) (* (- 31) ?y3)) ?v_130) 50)) (or (>= (+ (+ (* 96 ?y6) ?v_132) ?v_92) (- 83)) (>= (+ (* 49 ?y6) (* 14 ?y3)) 25))))) (and (or (and (and (= (+ (* (- 7) ?y6) (* (- 89) ?y4)) 63) (>= (+ (+ (+ ?v_131 (* (- 40) ?y4)) (* 10 ?y3)) (* (- 36) x1)) 0)) (and (<= (+ (+ (* 30 ?y6) (* (- 78) ?y3)) (* 19 x1)) (- 39)) (< (* 38 x1) (- 35)))) (or (= (+ (* (- 2) ?y4) (* (- 49) ?y3)) 35) (or (<= (+ (+ (* (- 51) ?y6) (* (- 4) ?y3)) (* 72 x1)) (- 60)) (not (= (+ (* (- 49) ?y6) (* (- 46) ?y4)) 0))))) (and (or (or (< (+ (* (- 60) ?y6) (* (- 5) ?y4)) 46) (not (= (+ (* 41 ?y6) (* 95 x1)) 0))) (and (< (+ (+ (* 44 ?y6) ?v_102) (* 48 ?y3)) 25) (>= (+ (+ (* (- 15) ?y6) ?v_132) (* 54 x1)) 52))) (and (and (<= (+ (+ (* (- 71) ?y6) (* (- 43) ?y3)) (* (- 91) x1)) 63) (< (* (- 45) ?y3) 94)) (and (> (+ (+ (* (- 87) ?y4) (* 73 ?y3)) (* 62 x1)) 80) (<= (+ (* 42 ?y3) (* (- 57) x1)) 0))))))))))))))))
(check-sat)
(exit)
