(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status sat)
(declare-fun y1 () Real)
(declare-fun y3 () Real)
(declare-fun y4 () Real)
(declare-fun y5 () Real)
(declare-fun y6 () Real)
(declare-fun x1 () Real)
(assert (forall ((?y1 Real)) (or (forall ((?y3 Real)) (exists ((?y4 Real)) (or (or (or (forall ((?y5 Real)) (forall ((?y6 Real)) (let ((?v_1 (* 6 ?y5)) (?v_0 (* 31 ?y3))) (and (or (and (and (< (+ (+ (+ (+ (* (- 26) ?y6) (* 45 ?y5)) (* (- 61) ?y4)) (* (- 46) ?y3)) (* 27 x1)) 49) (<= (+ (+ (* (- 93) ?y5) (* (- 26) ?y4)) (* 88 x1)) 0)) (< (+ (+ (+ (+ (* 5 ?y6) (* 82 ?y5)) (* (- 47) ?y4)) (* 22 ?y3)) (* (- 10) ?y1)) 0)) (and (or (< (+ (+ (+ (+ (* 10 ?y6) ?v_1) (* 40 ?y4)) (* (- 26) ?y3)) (* (- 28) ?y1)) 61) (not (= (+ (+ (+ (+ (+ (* 67 ?y6) (* (- 63) ?y5)) (* 21 ?y4)) (* (- 12) ?y3)) (* (- 45) ?y1)) (* 72 x1)) 17))) (or (> (+ (+ (* (- 88) ?y5) (* (- 45) ?y4)) (* 50 x1)) (- 22)) (and (>= (+ (+ (+ (* 62 ?y5) (* (- 32) ?y4)) (* 9 ?y3)) (* (- 16) ?y1)) (- 38)) (not (= (+ (+ (+ (+ (* (- 96) ?y6) (* 21 ?y5)) (* 88 ?y4)) (* 81 ?y1)) (* 3 x1)) 84)))))) (or (or (and (and (not (= (+ (+ (+ (* 100 ?y6) (* (- 48) ?y5)) (* (- 35) ?y4)) (* (- 20) ?y1)) 30)) (< (+ (+ (* 23 ?y4) (* 51 ?y3)) (* (- 60) x1)) 25)) (not (= (+ (+ (* 91 ?y4) (* 71 ?y1)) (* 73 x1)) (- 31)))) (and (and (not (= (+ (* 94 ?y4) (* 42 x1)) (- 60))) (< (+ (+ (+ (* 43 ?y6) (* 25 ?y5)) (* 17 ?y1)) (* (- 59) x1)) 0)) (and (= (+ (+ (* 25 ?y4) ?v_0) (* (- 70) x1)) 68) (>= (+ (+ (+ (* (- 25) ?y6) (* 17 ?y5)) (* 54 ?y4)) (* (- 53) x1)) (- 23))))) (or (and (or (= (+ (+ (+ (+ (* 30 ?y6) (* 87 ?y5)) (* 77 ?y4)) ?v_0) (* 71 x1)) (- 94)) (and (= (+ (+ (+ (* 56 ?y6) (* 75 ?y3)) (* (- 30) ?y1)) (* 94 x1)) (- 78)) (>= (+ (+ (+ (* 51 ?y6) (* (- 88) ?y4)) (* 92 ?y3)) (* (- 81) x1)) 79))) (and (or (>= (+ (+ (+ (+ (* (- 30) ?y6) (* (- 8) ?y5)) (* 51 ?y4)) (* (- 90) ?y3)) (* 54 ?y1)) (- 47)) (= (+ (+ (+ (+ (+ (* 70 ?y6) (* (- 20) ?y5)) (* (- 59) ?y4)) (* 6 ?y3)) (* 83 ?y1)) (* (- 3) x1)) 42)) (or (< (+ (+ (+ (* (- 65) ?y6) (* (- 1) ?y5)) (* (- 30) ?y4)) (* (- 7) x1)) (- 92)) (> (+ (+ (+ (+ (* (- 89) ?y6) (* (- 33) ?y5)) (* (- 99) ?y4)) (* 26 ?y1)) (* 93 x1)) 59)))) (and (or (not (= (+ (+ (+ (+ (* 64 ?y6) (* 36 ?y5)) (* 83 ?y3)) (* 36 ?y1)) (* 61 x1)) 78)) (>= (+ (+ (+ (+ (* 21 ?y6) ?v_1) (* 35 ?y4)) (* 66 ?y3)) (* 59 x1)) 13)) (or (or (= (+ (+ (+ (* 60 ?y6) (* 64 ?y4)) (* (- 59) ?y3)) (* 33 ?y1)) (- 96)) (< (+ (+ (+ (* (- 47) ?y5) (* 79 ?y3)) (* 1 ?y1)) (* (- 97) x1)) (- 53))) (> (+ (+ (+ (+ (* 23 ?y6) (* (- 32) ?y5)) (* 37 ?y4)) (* (- 63) ?y1)) (* (- 6) x1)) (- 99)))))))))) (exists ((?y5 Real)) (let ((?v_3 (* 44 x1)) (?v_2 (* 60 ?y3)) (?v_5 (* 2 x1)) (?v_9 (* 94 ?y3)) (?v_8 (* 43 ?y3)) (?v_4 (* (- 25) ?y3)) (?v_6 (* (- 14) x1)) (?v_7 (* (- 92) ?y4))) (or (and (or (and (and (= (+ (+ (+ (+ (* (- 80) ?y5) (* 78 ?y4)) (* (- 63) ?y3)) (* (- 98) ?y1)) ?v_3) (- 60)) (<= (+ (* 47 ?y4) ?v_2) 0)) (and (>= (+ (+ (+ (+ (* 92 ?y5) (* 51 ?y4)) (* (- 97) ?y3)) (* (- 90) ?y1)) (* (- 63) x1)) 0) (> (+ (+ (+ (* 30 ?y5) (* (- 52) ?y4)) (* (- 60) ?y3)) (* 8 x1)) 38))) (or (or (= (+ (* (- 76) ?y4) (* 77 ?y1)) 51) (= (+ (+ (+ (+ (* (- 15) ?y5) (* 11 ?y4)) ?v_2) (* (- 57) ?y1)) (* 59 x1)) (- 42))) (or (>= (+ (+ (+ (* (- 26) ?y5) (* 90 ?y3)) (* (- 45) ?y1)) ?v_3) 0) (not (= (+ (+ (+ (* 29 ?y5) (* (- 84) ?y4)) (* (- 18) ?y3)) (* (- 4) ?y1)) (- 49)))))) (and (and (or (not (= (+ ?v_4 (* (- 50) ?y1)) 0)) (= (+ (+ (* 2 ?y5) (* (- 42) ?y1)) (* (- 47) x1)) 84)) (and (not (= (+ (+ (* (- 5) ?y5) (* 44 ?y1)) ?v_5) 11)) (>= (+ (+ (* 28 ?y5) (* 36 ?y3)) (* (- 61) x1)) 25))) (or (>= (+ (+ (+ (+ (* (- 23) ?y5) (* (- 48) ?y4)) (* (- 56) ?y3)) (* (- 78) ?y1)) (* (- 64) x1)) (- 92)) (or (not (= (+ (+ (* 33 ?y5) ?v_9) (* 6 ?y1)) 0)) (not (= (+ (+ (* 26 ?y5) ?v_4) (* (- 67) x1)) (- 61))))))) (or (or (<= (+ (+ (+ (* 50 ?y5) (* (- 100) ?y4)) (* 9 ?y3)) (* 76 x1)) (- 81)) (or (and (< (+ (+ (+ (+ (* 90 ?y5) (* (- 34) ?y4)) (* 84 ?y3)) (* (- 43) ?y1)) (* (- 72) x1)) (- 26)) (= (+ (+ (+ (+ (* (- 37) ?y5) (* (- 65) ?y4)) (* 32 ?y3)) (* (- 91) ?y1)) (* (- 17) x1)) 99)) (or (>= (+ (+ (+ (* 20 ?y5) (* (- 94) ?y4)) (* 25 ?y3)) (* (- 93) x1)) (- 35)) (> (+ (+ (+ (+ (* (- 60) ?y5) (* 83 ?y4)) (* (- 21) ?y3)) (* 22 ?y1)) (* (- 85) x1)) (- 49))))) (or (and (or (= (+ (* (- 35) ?y5) (* 19 x1)) 33) (and (>= (+ (+ (* 54 ?y4) (* (- 8) ?y3)) (* 92 ?y1)) 43) (<= (+ (+ (+ (* (- 34) ?y5) (* 96 ?y4)) (* (- 83) ?y1)) (* (- 59) x1)) 71))) (and (or (not (= (+ (+ (+ (+ (* 77 ?y5) (* (- 15) ?y4)) (* 29 ?y3)) (* 8 ?y1)) ?v_6) (- 15))) (= (+ (+ (+ (* (- 62) ?y4) (* 72 ?y3)) (* (- 85) ?y1)) (* 83 x1)) 68)) (and (> (+ (+ (+ (+ (* (- 42) ?y5) ?v_7) (* (- 35) ?y3)) (* (- 37) ?y1)) (* 17 x1)) 0) (not (= (+ (+ (+ (* (- 76) ?y5) (* 42 ?y4)) ?v_8) (* 39 x1)) 66))))) (and (or (or (>= (+ (+ (+ (* (- 12) ?y5) (* (- 22) ?y4)) (* (- 47) ?y1)) ?v_5) (- 68)) (< (+ (+ (+ (* 70 ?y5) (* 37 ?y4)) (* (- 92) ?y3)) ?v_6) 0)) (and (< (+ (+ (* 9 ?y5) ?v_4) (* (- 44) x1)) 0) (<= (+ (* 4 ?y3) (* (- 78) x1)) (- 91)))) (and (and (> (+ (+ (+ ?v_7 (* 51 ?y3)) (* 4 ?y1)) (* (- 46) x1)) 0) (< (+ (+ (+ (* (- 88) ?y5) (* (- 69) ?y4)) ?v_8) (* 84 ?y1)) 0)) (and (>= (+ (+ (+ (* (- 96) ?y5) (* 62 ?y4)) (* 62 ?y3)) (* 75 ?y1)) 46) (> (+ (+ (+ (* (- 94) ?y5) (* (- 96) ?y4)) ?v_9) (* (- 32) x1)) 6)))))))))) (forall ((?y6 Real)) (let ((?v_16 (* 22 ?y1)) (?v_11 (* 19 x1)) (?v_14 (* 61 ?y4)) (?v_18 (* 53 ?y3)) (?v_23 (* 25 ?y1)) (?v_28 (* 91 x1)) (?v_15 (* 69 x1)) (?v_13 (* 36 ?y4)) (?v_17 (* 22 x1)) (?v_30 (* 58 ?y4)) (?v_32 (* 31 ?y6)) (?v_22 (* 79 x1)) (?v_34 (* 69 ?y1)) (?v_31 (* 95 ?y6)) (?v_33 (* 90 x1)) (?v_35 (* 30 x1)) (?v_27 (* (- 26) ?y4)) (?v_24 (* (- 33) ?y4)) (?v_10 (* (- 48) ?y3)) (?v_12 (* (- 9) x1)) (?v_25 (* (- 82) ?y4)) (?v_21 (* (- 67) ?y3)) (?v_19 (* (- 75) x1)) (?v_20 (* (- 66) ?y4)) (?v_26 (* (- 56) ?y6)) (?v_29 (* (- 7) ?y1))) (or (and (or (or (and (or (> (+ (+ (* (- 6) ?y6) ?v_24) (* 61 ?y1)) 80) (> (+ (+ (+ (* 91 ?y6) (* (- 89) ?y4)) (* 63 ?y3)) (* (- 70) ?y1)) (- 88))) (or (and (not (= (+ (+ (* 76 ?y6) (* (- 76) ?y4)) (* (- 86) ?y1)) (- 39))) (<= (+ (* 2 ?y4) (* (- 71) x1)) (- 25))) (<= (+ (+ (+ (+ (* (- 15) ?y6) (* 16 ?y4)) ?v_10) (* (- 59) ?y1)) (* 27 x1)) 0))) (and (not (= (+ (+ (+ (+ (* 99 ?y6) (* (- 19) ?y4)) (* (- 66) ?y3)) (* (- 6) ?y1)) (* 62 x1)) (- 51))) (or (> (+ (+ (+ (* (- 52) ?y6) ?v_14) (* (- 93) ?y1)) (* (- 49) x1)) 86) (< (+ (+ ?v_18 (* (- 87) ?y1)) (* 40 x1)) 100)))) (or (or (or (or (>= (+ (+ (+ (* (- 16) ?y6) (* (- 35) ?y4)) (* (- 30) ?y3)) (* (- 40) x1)) (- 47)) (< (+ (+ (+ (* 42 ?y4) ?v_10) ?v_23) (* (- 80) x1)) (- 95))) (and (< (+ (+ (* (- 72) ?y4) (* (- 60) ?y3)) (* 36 ?y1)) (- 38)) (< (+ (+ (+ (* (- 95) ?y6) (* 66 ?y4)) (* 96 ?y1)) (* 87 x1)) 0))) (or (and (< (+ (+ (+ (* 52 ?y6) (* 44 ?y4)) (* (- 51) ?y1)) ?v_28) 0) (>= (+ (+ (+ (* (- 13) ?y6) (* (- 86) ?y4)) (* 7 ?y1)) ?v_12) (- 56))) (and (= (+ (+ (+ (* 21 ?y6) (* (- 98) ?y3)) (* 56 ?y1)) (* 55 x1)) 0) (< (* (- 23) x1) 58)))) (and (or (and (> (+ (+ (* 51 ?y4) (* (- 78) ?y1)) (* (- 12) x1)) (- 39)) (< (+ (+ (+ (* (- 42) ?y6) ?v_25) ?v_21) ?v_15) (- 95))) (and (<= (+ (+ (* (- 72) ?y6) (* 59 ?y1)) (* (- 56) x1)) (- 34)) (<= (+ (+ (+ (* (- 9) ?y6) (* (- 75) ?y4)) (* (- 78) ?y3)) (* (- 37) ?y1)) (- 52)))) (and (<= (+ (+ (+ (* (- 20) ?y4) (* (- 83) ?y3)) ?v_16) ?v_11) 0) (and (not (= (+ (+ (+ (* 78 ?y4) (* 44 ?y3)) (* 98 ?y1)) ?v_11) 39)) (< (+ (+ (+ (* 77 ?y6) ?v_13) (* 15 ?y1)) ?v_17) 0)))))) (and (and (or (and (< (+ (+ (+ (* 26 ?y6) (* (- 60) ?y4)) (* 50 ?y1)) (* (- 33) x1)) (- 17)) (>= (+ (+ (* (- 82) ?y6) (* (- 6) ?y4)) ?v_12) 0)) (or (= (+ (+ (+ (* 24 ?y4) (* 60 ?y3)) (* 89 ?y1)) (* 3 x1)) (- 54)) (< (+ (+ (+ (* (- 81) ?y6) (* (- 51) ?y4)) (* (- 58) ?y1)) (* (- 53) x1)) (- 20)))) (and (and (and (>= (+ (+ (* (- 52) ?y4) (* 6 ?y3)) (* 75 ?y1)) (- 95)) (= (+ (+ (+ (+ (* (- 63) ?y6) ?v_13) (* (- 88) ?y3)) (* 87 ?y1)) (* (- 4) x1)) 0)) (or (< (+ (+ (+ (* (- 80) ?y6) ?v_14) (* (- 32) ?y1)) (* (- 41) x1)) 34) (not (= (+ (+ (+ (+ (* 23 ?y6) (* (- 31) ?y4)) (* (- 86) ?y3)) (* (- 35) ?y1)) ?v_15) (- 39))))) (and (and (< (+ (* 40 ?y4) (* 72 x1)) (- 95)) (< (+ (+ (+ ?v_30 (* 18 ?y3)) ?v_16) ?v_17) 0)) (and (> (+ (+ (+ (+ ?v_32 (* (- 27) ?y4)) (* 88 ?y3)) (* 46 ?y1)) (* 38 x1)) 0) (< ?v_19 0))))) (and (or (and (and (= (+ (+ (* 74 ?y4) (* (- 26) ?y3)) ?v_22) 0) (> (+ (+ ?v_27 (* (- 13) ?y3)) (* (- 5) ?y1)) 0)) (or (= (+ (+ (+ (+ (* 97 ?y6) ?v_20) ?v_18) (* (- 29) ?y1)) ?v_19) 0) (< (+ (+ (* (- 1) ?y6) ?v_20) (* (- 83) x1)) 0))) (and (or (<= (+ (+ (+ (+ (* 38 ?y6) (* 62 ?y4)) (* (- 63) ?y3)) (* (- 4) ?y1)) (* 51 x1)) (- 52)) (= (+ (+ (* (- 27) ?y6) ?v_21) (* (- 57) x1)) 0)) (and (< (+ (* (- 48) ?y6) (* 30 ?y1)) 0) (> (+ (+ (+ (* (- 14) ?y4) (* 64 ?y3)) (* (- 74) ?y1)) (* 74 x1)) 54)))) (and (and (or (> (+ (+ (* 42 ?y6) (* 55 ?y4)) (* 85 x1)) (- 36)) (< (+ (+ (+ (* 100 ?y6) (* 80 ?y4)) (* 21 ?y1)) (* (- 58) x1)) 55)) (not (= (+ (+ (+ (+ (* 55 ?y6) (* 87 ?y4)) (* 99 ?y3)) ?v_34) ?v_22) 50))) (or (not (= (+ (+ (+ ?v_26 (* (- 29) ?y4)) (* (- 46) ?y3)) ?v_23) 53)) (and (> (+ (+ (+ (* (- 62) ?y6) (* (- 39) ?y3)) (* (- 20) ?y1)) (* 67 x1)) 0) (> (+ (+ (+ (+ ?v_31 ?v_24) (* 1 ?y3)) (* (- 85) ?y1)) (* (- 42) x1)) 96))))))) (and (and (or (and (= (+ (+ (+ ?v_25 (* 67 ?y3)) (* (- 27) ?y1)) (* 13 x1)) (- 94)) (>= (+ (+ (+ (+ (* (- 83) ?y6) (* (- 16) ?y4)) (* 22 ?y3)) (* (- 16) ?y1)) (* (- 17) x1)) 100)) (and (>= (+ (* 80 ?y6) (* 26 ?y3)) 7) (<= (+ (* 8 ?y6) (* (- 96) ?y1)) 86))) (and (and (and (> (+ (* 11 ?y3) ?v_29) 98) (>= (+ (+ (+ (+ ?v_26 (* 65 ?y4)) (* 93 ?y3)) (* (- 21) ?y1)) (* 60 x1)) 79)) (and (>= (+ (+ (* (- 56) ?y4) (* 36 ?y3)) (* (- 11) x1)) (- 26)) (not (= (+ (+ (+ (+ (* (- 20) ?y6) (* 43 ?y4)) (* (- 4) ?y3)) (* (- 22) ?y1)) (* 31 x1)) 0)))) (or (= (+ (+ (* 7 ?y3) (* (- 64) ?y1)) (* (- 100) x1)) 0) (= (+ (+ (* (- 30) ?y6) (* (- 33) ?y3)) (* (- 19) x1)) (- 52))))) (and (and (and (>= (+ (+ (+ (+ (* 15 ?y6) (* 32 ?y4)) (* 51 ?y3)) (* 28 ?y1)) (* 41 x1)) (- 17)) (>= (+ (+ (+ (* (- 19) ?y6) (* (- 44) ?y4)) (* (- 53) ?y3)) (* (- 88) ?y1)) 85)) (or (and (= (+ (+ ?v_26 (* (- 72) ?y1)) (* (- 61) x1)) 42) (> (+ (* (- 96) ?y6) (* (- 8) ?y3)) (- 10))) (or (< (+ (+ (+ (+ (* (- 75) ?y6) ?v_27) (* (- 65) ?y3)) (* 62 ?y1)) ?v_28) 79) (= (+ (+ (+ (* (- 37) ?y4) (* (- 10) ?y3)) (* 24 ?y1)) (* 39 x1)) (- 24))))) (and (or (or (and (not (= (+ (+ (* (- 57) ?y6) (* 33 ?y1)) ?v_33) (- 36))) (not (= (+ (+ (+ (* 89 ?y6) (* 27 ?y4)) (* (- 16) ?y3)) (* 42 ?y1)) 36))) (and (>= (+ (+ (+ (* 72 ?y6) (* 33 ?y4)) (* 70 ?y3)) ?v_29) 1) (> (+ (+ ?v_30 (* 66 ?y3)) (* (- 2) x1)) 0))) (and (and (not (= (+ (+ (* 67 ?y6) (* 93 ?y4)) (* (- 68) ?y3)) (- 90))) (> (+ (+ ?v_31 (* (- 5) ?y4)) (* 40 ?y1)) (- 9))) (< (+ (+ ?v_32 (* (- 58) ?y3)) ?v_33) 10))) (or (or (and (<= (+ (+ (* (- 8) ?y6) (* (- 10) ?y4)) (* 14 x1)) (- 55)) (= (+ (+ (* 48 ?y4) (* 73 ?y1)) ?v_35) 0)) (or (< (+ (* (- 74) ?y6) (* 61 x1)) 0) (>= (+ (+ (* 67 ?y4) ?v_34) (* (- 7) x1)) (- 86)))) (or (or (< (+ (+ (* (- 28) ?y6) (* 2 ?y3)) (* 91 ?y1)) 0) (not (= (+ (+ (+ (* (- 25) ?y6) (* 30 ?y3)) (* (- 47) ?y1)) (* (- 60) x1)) (- 66)))) (and (> (+ (+ (+ (+ (* 34 ?y6) (* 94 ?y4)) (* 85 ?y3)) (* (- 95) ?y1)) (* 66 x1)) (- 57)) (<= (+ (+ (+ (* (- 23) ?y6) (* 43 ?y3)) (* 76 ?y1)) ?v_35) (- 37)))))))))))) (and (exists ((?y5 Real)) (forall ((?y6 Real)) (let ((?v_59 (* 71 ?y1)) (?v_44 (* 54 ?y4)) (?v_51 (* 84 ?y3)) (?v_38 (* 7 ?y1)) (?v_37 (* 30 ?y1)) (?v_48 (* 64 ?y3)) (?v_60 (* 21 x1)) (?v_47 (* 2 ?y6)) (?v_36 (* 65 ?y6)) (?v_39 (* 31 ?y5)) (?v_41 (* 81 x1)) (?v_42 (* 74 ?y1)) (?v_55 (* 5 x1)) (?v_54 (* 51 ?y1)) (?v_49 (* 34 ?y4)) (?v_46 (* (- 90) ?y3)) (?v_53 (* (- 49) x1)) (?v_56 (* (- 73) ?y1)) (?v_50 (* (- 31) x1)) (?v_40 (* (- 67) ?y4)) (?v_43 (* (- 78) ?y5)) (?v_52 (* (- 2) ?y1)) (?v_45 (* (- 60) ?y6)) (?v_58 (* (- 30) x1)) (?v_57 (* (- 17) ?y6))) (and (or (and (and (or (or (< (+ (+ (+ (* 63 ?y6) (* (- 9) ?y5)) (* 12 ?y4)) (* 35 ?y3)) 0) (not (= (+ (+ (* 29 ?y5) ?v_37) (* 95 x1)) (- 21)))) (or (not (= (+ (+ (+ (* 40 ?y6) (* (- 26) ?y3)) (* (- 5) ?y1)) ?v_60) 69)) (and (> (+ (+ (+ (+ (* 46 ?y6) (* (- 99) ?y5)) (* 44 ?y3)) ?v_56) ?v_50) (- 64)) (= (+ (+ (+ (+ (* (- 37) ?y6) (* (- 81) ?y5)) (* (- 23) ?y3)) ?v_38) (* 92 x1)) 36)))) (or (and (and (< (+ (+ (+ (+ (* 100 ?y6) (* 3 ?y5)) (* (- 85) ?y3)) (* (- 64) ?y1)) ?v_53) (- 17)) (not (= (+ (* 6 ?y1) (* 62 x1)) (- 10)))) (>= (+ (+ (+ (+ (+ (* (- 14) ?y6) (* 12 ?y5)) (* 6 ?y4)) (* 26 ?y3)) (* 20 ?y1)) (* 86 x1)) (- 14))) (and (or (> (+ (+ ?v_47 (* 83 ?y1)) (* 45 x1)) 35) (<= (+ (+ (+ ?v_36 (* (- 50) ?y4)) (* 91 ?y3)) (* (- 14) x1)) 0)) (or (<= (+ (+ (+ (+ ?v_36 (* (- 23) ?y5)) (* (- 5) ?y4)) (* (- 82) ?y3)) (* (- 2) x1)) 33) (> (+ (+ (+ (+ (* (- 5) ?y6) (* (- 37) ?y5)) (* 30 ?y3)) (* 82 ?y1)) (* (- 24) x1)) (- 34)))))) (and (or (or (and (<= (+ (+ (+ (+ (+ (* 45 ?y6) ?v_39) ?v_40) (* (- 14) ?y3)) ?v_37) (* 38 x1)) 0) (> (+ (+ (+ (+ (* (- 32) ?y6) ?v_43) (* 41 ?y4)) (* 73 ?y1)) (* (- 10) x1)) 62)) (or (= (+ (* (- 82) ?y5) ?v_38) 12) (< (+ (+ (+ (+ (* (- 65) ?y6) (* 6 ?y5)) ?v_44) (* 92 ?y3)) (* (- 77) x1)) 94))) (or (> (+ (+ (+ (* 93 ?y6) (* 13 ?y4)) (* 69 ?y3)) (* (- 72) x1)) 0) (not (= (+ (+ (+ ?v_39 (* (- 9) ?y4)) (* (- 24) ?y3)) ?v_52) (- 45))))) (or (or (and (>= (+ (+ (+ (* (- 33) ?y6) (* 57 ?y4)) (* 16 ?y1)) (* 30 x1)) 0) (< (+ (+ (+ (+ ?v_45 (* 49 ?y5)) (* 13 ?y3)) (* (- 96) ?y1)) (* (- 23) x1)) (- 53))) (and (= (+ (+ (* 94 ?y6) (* 45 ?y3)) (* 81 ?y1)) (- 93)) (< (+ (+ (+ (+ (+ (* (- 94) ?y6) (* 44 ?y5)) (* (- 26) ?y4)) (* (- 54) ?y3)) (* 33 ?y1)) (* (- 40) x1)) 73))) (and (not (= (+ (+ (+ (* 38 ?y6) (* 60 ?y5)) (* 46 ?y4)) (* 68 ?y3)) 6)) (> (+ (+ (+ (* (- 97) ?y6) (* 4 ?y5)) (* (- 76) ?y4)) (* 70 x1)) 0))))) (and (or (or (and (= (+ (+ (+ (+ (* 48 ?y6) (* 28 ?y5)) (* (- 72) ?y4)) (* (- 65) ?y3)) (* 79 ?y1)) 0) (> (+ (+ (* 6 ?y6) (* (- 41) ?y1)) (* (- 32) x1)) 81)) (and (>= (+ (+ (+ (* 15 ?y6) (* (- 30) ?y5)) (* 48 ?y3)) (* 38 ?y1)) (- 59)) (< (+ (+ (+ (+ (* (- 85) ?y6) (* 31 ?y4)) (* 46 ?y3)) (* (- 95) ?y1)) ?v_41) 0))) (or (>= (+ (+ (+ (+ (* (- 42) ?y6) ?v_40) (* 5 ?y3)) ?v_42) ?v_41) 49) (>= (+ (+ (+ (* 66 ?y6) (* (- 24) ?y4)) ?v_48) ?v_42) 0))) (and (not (= (+ (+ (+ (+ (* 10 ?y6) (* (- 54) ?y5)) (* (- 33) ?y3)) (* 86 ?y1)) (* (- 38) x1)) 36)) (or (and (> (+ (+ (+ (* 49 ?y6) ?v_43) (* 55 ?y4)) (* 65 ?y3)) 30) (>= (+ (+ (+ (+ (* 32 ?y6) (* 9 ?y4)) ?v_46) (* (- 74) ?y1)) (* (- 26) x1)) 1)) (and (not (= (+ (+ (+ (* 17 ?y6) (* 89 ?y4)) (* (- 80) ?y3)) ?v_55) (- 57))) (not (= (+ (+ (+ (+ (* 21 ?y6) (* 98 ?y4)) (* (- 1) ?y3)) (* (- 11) ?y1)) (* 59 x1)) (- 84)))))))) (and (or (or (or (or (<= (+ (+ (+ (* (- 2) ?y5) ?v_44) ?v_54) (* (- 44) x1)) (- 55)) (= (+ (+ ?v_45 ?v_51) (* 8 x1)) 0)) (or (<= (+ (+ (+ (+ (* (- 79) ?y5) (* 52 ?y4)) ?v_46) (* (- 26) ?y1)) (* (- 46) x1)) (- 22)) (= (+ (+ (+ (* (- 34) ?y5) ?v_49) (* (- 9) ?y3)) (* (- 30) ?y1)) 0))) (and (or (= (+ (+ (+ (* (- 44) ?y4) (* 54 ?y3)) (* 26 ?y1)) (* (- 55) x1)) 0) (> (+ (+ (+ (* (- 69) ?y5) (* (- 15) ?y4)) (* (- 45) ?y3)) (* 85 ?y1)) 0)) (and (>= (+ (+ (+ (* (- 12) ?y5) (* (- 34) ?y4)) (* (- 29) ?y3)) ?v_58) (- 38)) (= (+ (+ (+ (* (- 31) ?y6) (* (- 88) ?y5)) (* 65 ?y4)) (* 78 ?y3)) 0)))) (and (and (not (= (+ (+ (+ ?v_47 (* 7 ?y4)) ?v_48) (* (- 46) ?y1)) (- 73))) (= (+ (+ (* (- 27) ?y6) ?v_49) ?v_59) 84)) (and (and (not (= (+ (+ (+ (+ ?v_57 (* (- 40) ?y5)) (* 79 ?y3)) (* 41 ?y1)) (* 46 x1)) (- 24))) (<= (+ (+ (* (- 17) ?y4) (* (- 30) ?y3)) ?v_50) (- 28))) (or (>= (+ (+ (+ (* (- 13) ?y6) (* (- 91) ?y5)) ?v_51) ?v_52) 49) (= (+ (+ (+ (* (- 83) ?y5) (* 95 ?y4)) (* (- 18) ?y1)) (* (- 66) x1)) 0))))) (and (or (>= (+ (+ (+ (* (- 39) ?y6) (* (- 30) ?y4)) (* (- 39) ?y1)) ?v_53) (- 23)) (>= (+ (+ (+ (+ (+ (* (- 36) ?y6) (* 69 ?y5)) (* (- 58) ?y4)) (* (- 16) ?y3)) ?v_54) ?v_55) (- 83))) (and (and (and (<= (+ (+ (+ (+ (+ (* (- 66) ?y6) (* 51 ?y5)) (* (- 10) ?y4)) (* (- 87) ?y3)) ?v_56) (* (- 22) x1)) 5) (< (+ (+ (+ (* (- 20) ?y6) (* 92 ?y4)) (* (- 8) ?y3)) (* 27 x1)) 0)) (= (+ (+ (+ (+ (* (- 99) ?y6) (* (- 48) ?y5)) (* 83 ?y4)) (* 76 ?y3)) (* (- 7) x1)) 75)) (and (and (<= (+ (+ (* 36 ?y6) (* 51 ?y3)) (* 66 ?y1)) 44) (>= (+ (+ (+ (+ (* (- 69) ?y6) (* 98 ?y5)) (* 81 ?y4)) (* 2 ?y3)) ?v_38) (- 41))) (or (< (+ (+ (+ (+ ?v_57 (* 24 ?y5)) (* (- 77) ?y4)) (* (- 57) ?y3)) ?v_58) (- 14)) (= (+ (+ (+ (* 46 ?y5) (* (- 88) ?y3)) ?v_59) ?v_60) 47)))))))))) (and (exists ((?y5 Real)) (forall ((?y6 Real)) (let ((?v_69 (* 8 x1)) (?v_63 (* 65 ?y4)) (?v_70 (* 50 ?y6)) (?v_65 (* 75 ?y5)) (?v_68 (* 53 ?y5)) (?v_62 (* (- 71) x1)) (?v_61 (* (- 12) ?y6)) (?v_66 (* (- 51) ?y5)) (?v_64 (* (- 91) ?y4)) (?v_67 (* (- 94) ?y3))) (or (and (and (or (< (+ (+ (+ (* 15 ?y6) (* 12 ?y5)) (* 78 ?y4)) (* (- 61) ?y3)) (- 59)) (and (= (+ (+ (+ ?v_61 ?v_66) (* (- 15) ?y4)) (* (- 8) ?y3)) 0) (= (+ (+ (+ (+ (* 86 ?y6) (* 69 ?y5)) (* (- 43) ?y3)) (* 73 ?y1)) (* (- 55) x1)) 0))) (or (not (= (+ (+ (+ (+ (* 28 ?y6) (* 40 ?y5)) ?v_63) (* 10 ?y3)) (* 66 x1)) (- 97))) (and (>= (+ (+ (+ (+ ?v_70 (* (- 42) ?y5)) (* (- 79) ?y4)) (* (- 35) ?y3)) (* (- 16) x1)) 91) (<= (+ (+ (+ (+ (+ (* 11 ?y6) ?v_65) (* 52 ?y4)) (* (- 99) ?y3)) (* (- 32) ?y1)) (* 16 x1)) 11)))) (or (and (and (> (+ (+ (+ (* 68 ?y6) (* (- 61) ?y5)) (* (- 10) ?y3)) (* (- 9) ?y1)) 0) (< (+ (+ (+ (+ (* 97 ?y6) (* (- 38) ?y4)) (* 85 ?y3)) (* 89 ?y1)) (* (- 60) x1)) 0)) (or (<= (+ (+ (+ (+ (* 100 ?y5) ?v_64) (* (- 76) ?y3)) (* (- 98) ?y1)) ?v_62) (- 76)) (> (+ (+ (+ (+ (* 59 ?y6) (* 42 ?y5)) (* (- 84) ?y4)) (* (- 39) ?y3)) (* (- 32) x1)) (- 9)))) (or (and (= (+ (+ (+ (+ ?v_61 (* (- 99) ?y5)) (* (- 59) ?y4)) (* (- 5) ?y3)) (* (- 33) ?y1)) 83) (< (+ (+ (+ (* 95 ?y5) (* 86 ?y3)) (* (- 6) ?y1)) ?v_62) 0)) (or (<= (+ (+ (+ (+ (* (- 58) ?y6) (* 1 ?y4)) (* (- 56) ?y3)) (* 83 ?y1)) (* 26 x1)) (- 4)) (< (+ (+ (+ (+ (* 18 ?y5) ?v_63) (* 80 ?y3)) (* (- 70) ?y1)) (* 78 x1)) 0))))) (or (or (or (or (< (+ ?v_64 (* 97 ?y3)) 0) (= (+ (+ (+ (+ (* 52 ?y6) ?v_65) (* 50 ?y4)) (* (- 95) ?y1)) (* (- 54) x1)) 2)) (and (>= (+ (+ (* 21 ?y5) (* (- 65) ?y3)) (* 49 ?y1)) (- 26)) (< (+ (+ (+ (* 3 ?y6) (* (- 91) ?y5)) (* (- 68) ?y4)) (* 14 x1)) (- 26)))) (or (and (or (= (+ (+ (+ (* (- 46) ?y6) (* (- 37) ?y5)) ?v_67) (* (- 39) x1)) (- 36)) (>= (+ (+ (+ (+ (* (- 70) ?y6) ?v_68) (* 95 ?y4)) (* 85 ?y1)) (* 52 x1)) 0)) (or (<= (+ (+ (* (- 40) ?y5) (* (- 16) ?y4)) (* 56 x1)) 0) (> (+ (+ (* (- 32) ?y6) (* (- 33) ?y4)) (* (- 97) ?y1)) (- 100)))) (or (<= (+ (+ (+ (* 5 ?y6) (* 13 ?y4)) (* 15 ?y3)) (* (- 29) ?y1)) 65) (not (= (+ (+ (+ (* 23 ?y6) (* (- 94) ?y4)) (* (- 17) ?y3)) (* 38 x1)) 90))))) (and (or (or (<= (+ (+ (* 87 ?y4) (* 22 ?y1)) ?v_69) (- 40)) (<= (+ (+ (+ (* 44 ?y6) (* (- 28) ?y4)) (* 93 ?y1)) (* (- 29) x1)) 86)) (and (or (> (+ (+ (+ (* 38 ?y6) (* (- 13) ?y3)) (* 17 ?y1)) (* 43 x1)) (- 70)) (<= (+ (+ (+ (* (- 65) ?y5) (* 31 ?y4)) (* (- 41) ?y3)) (* (- 7) ?y1)) 0)) (or (= (+ (* 45 ?y6) (* 8 ?y1)) 30) (< (+ (+ (+ (* 19 ?y6) (* (- 70) ?y5)) (* (- 72) ?y4)) (* (- 56) ?y1)) 7)))) (and (or (not (= (+ (+ (+ (+ (+ (* (- 18) ?y6) (* (- 31) ?y5)) (* 94 ?y4)) (* 39 ?y3)) (* 5 ?y1)) (* 98 x1)) (- 3))) (and (= (+ (+ (+ (+ (+ (* 40 ?y6) ?v_66) ?v_63) ?v_67) (* (- 5) ?y1)) (* 70 x1)) 96) (not (= (+ (+ (+ (+ (* 25 ?y6) ?v_68) (* 40 ?y4)) (* 25 ?y3)) ?v_69) 0)))) (or (>= (+ (+ (+ ?v_70 (* (- 88) ?y3)) (* 56 ?y1)) (* 11 x1)) 4) (< (+ (+ (+ (+ (* 82 ?y6) (* 30 ?y5)) (* (- 85) ?y4)) (* (- 64) ?y1)) (* (- 78) x1)) 0))))))))) (forall ((?y6 Real)) (let ((?v_72 (* (- 57) ?y1)) (?v_71 (* (- 43) ?y3)) (?v_73 (* (- 23) ?y4))) (and (and (or (or (<= (+ (+ (* (- 32) ?y6) ?v_71) (* 96 ?y1)) 95) (>= (+ (+ (* (- 92) ?y6) (* (- 41) ?y3)) (* (- 35) x1)) 16)) (or (< (+ (+ (+ (* 86 ?y6) (* 36 ?y3)) (* (- 84) ?y1)) (* 29 x1)) 0) (= (+ (+ (+ (* 29 ?y6) ?v_73) (* (- 62) ?y3)) ?v_72) 0))) (and (<= (+ (+ (* 36 ?y4) (* 18 ?y3)) (* (- 28) x1)) 27) (and (= (+ (+ (+ (+ (* (- 39) ?y6) (* (- 84) ?y4)) (* 31 ?y3)) (* (- 74) ?y1)) (* 92 x1)) 0) (>= (+ (+ (+ (* 11 ?y6) (* 12 ?y4)) (* 21 ?y3)) (* (- 75) x1)) 25)))) (and (and (or (and (< (+ (+ (* 71 ?y6) (* 27 ?y4)) (* (- 44) ?y3)) 82) (<= (+ (+ (+ (+ (* 23 ?y6) (* 99 ?y4)) (* (- 37) ?y3)) (* 2 ?y1)) (* 66 x1)) 96)) (or (<= (+ (+ (* (- 74) ?y6) (* 100 ?y3)) (* 92 ?y1)) 93) (not (= (+ (+ (+ (+ (* 65 ?y6) (* 43 ?y4)) (* 46 ?y3)) (* (- 52) ?y1)) (* (- 88) x1)) 68)))) (and (= (+ (+ (* 13 ?y3) (* 3 ?y1)) (* (- 18) x1)) 0) (and (= (+ (+ (* 94 ?y4) ?v_71) (* (- 57) x1)) 36) (< (+ (+ (+ (* 26 ?y6) (* 51 ?y4)) (* 5 ?y3)) (* 53 ?y1)) (- 14))))) (or (and (and (> (+ (+ (+ (* (- 26) ?y4) (* (- 86) ?y3)) ?v_72) (* (- 34) x1)) 89) (= (+ (+ (+ (* 20 ?y4) (* (- 98) ?y3)) (* (- 45) ?y1)) (* (- 19) x1)) 63)) (< (+ (+ (+ (+ (* (- 42) ?y6) ?v_73) (* 82 ?y3)) (* (- 7) ?y1)) (* (- 77) x1)) 0)) (or (or (<= (+ (* 37 ?y4) (* 77 x1)) 0) (> (+ (+ (+ (* (- 33) ?y6) (* 63 ?y4)) (* 22 ?y1)) (* (- 25) x1)) (- 19))) (or (not (= (+ (+ (+ (* (- 47) ?y6) (* (- 48) ?y3)) (* 77 ?y1)) (* 3 x1)) (- 88))) (> (+ (+ (+ (* (- 13) ?y4) (* (- 63) ?y3)) (* (- 75) ?y1)) (* (- 91) x1)) (- 1)))))))))))))) (or (or (and (or (forall ((?y5 Real)) (and (or (or (or (>= (+ (* 98 ?y5) (* 39 ?y1)) (- 8)) (= (+ (* 25 ?y5) (* (- 85) x1)) 63)) (or (> (+ (+ (* (- 34) ?y5) (* 75 ?y1)) (* 41 x1)) 32) (<= (+ (+ (* (- 23) ?y5) (* (- 7) ?y1)) (* (- 100) x1)) 48))) (and (not (= (+ (* 24 ?y5) (* 5 ?y1)) (- 78))) (< (* 88 ?y5) 0))) (and (exists ((?y6 Real)) (or (or (and (< (+ (+ (+ (* (- 37) ?y6) (* 20 ?y5)) (* 9 ?y1)) (* (- 34) x1)) 94) (not (= (+ (+ (+ (* 34 ?y6) (* (- 55) ?y5)) (* (- 79) ?y1)) (* (- 92) x1)) 71))) (and (> (+ (* (- 45) ?y5) (* (- 25) x1)) 8) (= (+ (+ (* 83 ?y6) (* 48 ?y5)) (* 49 ?y1)) 15))) (and (or (= (+ (+ (+ (* 22 ?y6) (* 60 ?y5)) (* (- 20) ?y1)) (* (- 78) x1)) 12) (<= (+ (+ (+ (* 38 ?y6) (* (- 4) ?y5)) (* (- 77) ?y1)) (* (- 61) x1)) 0)) (and (>= (* 8 x1) 85) (< (+ (* (- 58) ?y6) (* (- 55) x1)) (- 20)))))) (forall ((?y6 Real)) (or (or (and (<= (+ (* 47 ?y6) (* (- 79) x1)) 0) (>= (+ (* 78 ?y6) (* 68 ?y1)) 0)) (not (= (+ (+ (* 59 ?y5) (* 100 ?y1)) (* 3 x1)) 45))) (and (>= (+ (+ (+ (* (- 88) ?y6) (* 57 ?y5)) (* 74 ?y1)) (* (- 29) x1)) 67) (and (<= (+ (+ (+ (* 90 ?y6) (* (- 2) ?y5)) (* 11 ?y1)) (* 26 x1)) 0) (> (+ (+ (+ (* (- 89) ?y6) (* 65 ?y5)) (* 40 ?y1)) (* (- 36) x1)) 5)))))))) (exists ((?y4 Real)) (forall ((?y5 Real)) (let ((?v_75 (* 2 ?y1)) (?v_74 (* (- 64) x1)) (?v_76 (* (- 51) ?y5))) (or (or (and (or (and (< (+ (+ (* (- 92) ?y5) (* 30 ?y4)) (* 8 x1)) 76) (>= (+ (+ (+ (* (- 54) ?y5) (* 58 ?y4)) (* (- 29) ?y1)) (* (- 23) x1)) 0)) (and (not (= (+ (+ (+ (* (- 73) ?y5) (* (- 89) ?y4)) (* 75 ?y1)) (* (- 68) x1)) 98)) (> (+ (+ (* 37 ?y5) (* (- 69) ?y1)) ?v_74) (- 16)))) (or (or (not (= (+ (+ (+ (* (- 46) ?y5) (* (- 78) ?y4)) (* (- 57) ?y1)) (* (- 91) x1)) 0)) (> (+ (+ (+ (* 59 ?y5) (* 54 ?y4)) (* 12 ?y1)) (* (- 63) x1)) (- 91))) (<= (+ (+ (+ ?v_76 (* (- 24) ?y4)) (* (- 68) ?y1)) (* 57 x1)) 8))) (or (and (>= (+ (* (- 70) ?y4) (* 87 ?y1)) (- 2)) (<= (+ (* (- 57) ?y5) (* (- 34) ?y1)) 83)) (or (or (>= (+ (+ (* 8 ?y5) (* 94 ?y1)) (* 73 x1)) 0) (<= (+ (+ (* 19 ?y5) (* (- 54) ?y4)) (* 22 x1)) 0)) (and (< (+ (* 3 ?y1) (* (- 76) x1)) (- 86)) (= (+ (+ (* 34 ?y5) (* 72 ?y4)) (* (- 41) ?y1)) 72))))) (or (and (or (> (+ (+ (+ (* (- 100) ?y5) (* 95 ?y4)) (* (- 50) ?y1)) (* 93 x1)) 24) (= (+ (* (- 71) ?y1) (* (- 9) x1)) 5)) (or (and (> (+ (+ (* (- 96) ?y5) (* (- 74) ?y4)) (* (- 52) ?y1)) 86) (> (+ (* (- 5) ?y4) (* (- 15) ?y1)) 47)) (or (= (+ (+ (* (- 20) ?y4) (* (- 16) ?y1)) (* (- 53) x1)) (- 63)) (not (= (+ (* 2 ?y5) (* (- 96) ?y1)) 0))))) (or (or (or (not (= (+ (+ (+ (* (- 2) ?y5) (* (- 100) ?y4)) (* 30 ?y1)) ?v_74) 0)) (>= (+ (+ (* 55 ?y5) (* (- 29) ?y4)) (* (- 63) ?y1)) 4)) (<= (+ (+ (* (- 38) ?y5) (* 34 ?y4)) ?v_75) (- 31))) (and (or (< (+ (+ (* 28 ?y5) (* 37 ?y4)) (* (- 73) x1)) (- 44)) (>= (+ (+ (* (- 20) ?y5) (* 21 ?y1)) (* 38 x1)) 0)) (or (< (+ (+ (* 11 ?y5) (* 77 ?y4)) ?v_75) (- 98)) (= (+ (+ (+ ?v_76 (* (- 34) ?y4)) (* 64 ?y1)) (* (- 96) x1)) (- 51))))))))))) (and (and (forall ((?y5 Real)) (and (exists ((?y6 Real)) (or (and (>= (+ (+ (* 17 ?y6) (* 52 ?y1)) (* (- 46) x1)) (- 44)) (or (not (= (+ (* 56 ?y6) (* 26 ?y5)) (- 7))) (>= (+ (+ (+ (* (- 35) ?y6) (* 31 ?y5)) (* (- 69) ?y1)) (* (- 5) x1)) 0))) (and (< (+ (* 84 ?y6) (* 19 ?y5)) (- 35)) (or (= (+ (+ (* (- 25) ?y6) (* 67 ?y5)) (* (- 35) ?y1)) (- 51)) (>= (+ (+ (+ (* 23 ?y6) (* (- 21) ?y5)) (* 21 ?y1)) (* (- 12) x1)) (- 80)))))) (or (and (and (> (+ (* (- 39) ?y1) (* (- 78) x1)) 24) (not (= (+ (+ (* 7 ?y5) (* 58 ?y1)) (* 89 x1)) 93))) (and (not (= (+ (* (- 29) ?y5) (* (- 64) ?y1)) (- 12))) (= (+ (* (- 61) ?y5) (* (- 90) ?y1)) (- 94)))) (or (or (not (= (+ (+ (* 9 ?y5) (* (- 63) ?y1)) (* 32 x1)) (- 75))) (>= (+ (* 58 ?y5) (* (- 40) x1)) 7)) (and (>= (+ (+ (* (- 42) ?y5) (* (- 38) ?y1)) (* 6 x1)) (- 77)) (= (+ (* (- 10) ?y5) (* (- 65) x1)) 5)))))) (exists ((?y6 Real)) (or (and (<= (+ (* 40 ?y6) (* 33 ?y1)) 32) (or (>= (+ (+ (* 87 ?y6) (* 83 ?y1)) (* (- 61) x1)) (- 77)) (not (= (+ (* (- 7) ?y1) (* (- 40) x1)) 29)))) (and (and (and (< (+ (* (- 96) ?y1) (* 46 x1)) (- 44)) (> (+ (+ (* (- 69) ?y6) (* 37 ?y1)) (* 76 x1)) 0)) (not (= (+ (+ (* (- 74) ?y6) (* (- 68) ?y1)) (* (- 62) x1)) 0))) (or (> (+ (* (- 92) ?y1) (* (- 42) x1)) (- 91)) (= (+ (* 75 ?y6) (* 36 x1)) 78)))))) (or (exists ((?y5 Real)) (and (and (<= (+ (+ (* (- 7) ?y5) (* (- 89) ?y1)) (* (- 20) x1)) (- 88)) (>= (* (- 27) ?y5) 79)) (forall ((?y6 Real)) (and (not (= (+ (* (- 60) ?y6) (* (- 46) ?y1)) 0)) (<= (+ (+ (+ (* 43 ?y6) (* (- 91) ?y5)) (* (- 20) ?y1)) (* 48 x1)) 0))))) (or (or (and (forall ((?y5 Real)) (>= (+ (* (- 29) ?y1) (* 93 x1)) 0)) (>= (* (- 41) ?y1) 67)) (forall ((?y5 Real)) (forall ((?y6 Real)) (<= (+ (+ (+ (* (- 65) ?y6) (* (- 70) ?y5)) (* 66 ?y1)) (* 40 x1)) (- 90))))) (or (not (= (* (- 67) x1) 65)) (>= (+ (* (- 21) ?y1) (* (- 92) x1)) 10)))))) (exists ((?y4 Real)) (and (and (and (or (forall ((?y6 Real)) (and (and (not (= (+ (+ (* (- 40) ?y6) (* (- 74) ?y1)) (* 62 x1)) 12)) (not (= (+ (+ (+ (* 38 ?y6) (* 35 ?y4)) (* (- 45) ?y1)) (* (- 67) x1)) (- 48)))) (or (= (+ (+ (+ (* 47 ?y6) (* 65 ?y4)) (* 17 ?y1)) (* 12 x1)) 0) (= (+ (+ (* 71 ?y4) (* (- 58) ?y1)) (* 34 x1)) 11)))) (or (and (or (forall ((?y6 Real)) (not (= (+ (+ (* 55 ?y6) (* (- 64) ?y4)) (* 38 x1)) 0))) (and (<= (+ (* 63 ?y4) (* (- 77) x1)) 45) (not (= (+ (* (- 90) ?y4) (* 36 ?y1)) 0)))) (exists ((?y6 Real)) (or (< (+ (+ (* 78 ?y6) (* 76 ?y4)) (* (- 72) x1)) 91) (= (+ (+ (* (- 11) ?y6) (* (- 23) ?y4)) (* (- 84) x1)) 9)))) (or (> (+ (+ (* 30 ?y4) (* (- 7) ?y1)) (* 66 x1)) (- 22)) (or (not (= (* 33 ?y4) (- 24))) (> (+ (+ (* 84 ?y4) (* 25 ?y1)) (* (- 3) x1)) 0))))) (exists ((?y6 Real)) (or (and (>= (+ (+ (+ (* 25 ?y6) (* 82 ?y4)) (* 7 ?y1)) (* 48 x1)) (- 62)) (<= (+ (+ (+ (* 23 ?y6) (* (- 42) ?y4)) (* (- 15) ?y1)) (* (- 92) x1)) 42)) (or (not (= (+ (+ (* 30 ?y4) (* 25 ?y1)) (* 86 x1)) 17)) (< (+ (+ (+ (* 36 ?y6) (* 22 ?y4)) (* 79 ?y1)) (* (- 13) x1)) (- 38)))))) (exists ((?y6 Real)) (let ((?v_78 (* 22 ?y1)) (?v_77 (* 16 ?y1))) (or (or (or (and (= (+ (+ (* (- 53) ?y6) ?v_78) (* 22 x1)) 0) (<= (+ (* 13 ?y6) (* 20 x1)) 14)) (or (and (not (= (+ (+ (* (- 35) ?y6) (* 98 ?y4)) (* (- 4) ?y1)) (- 28))) (= (+ (+ (+ (* (- 66) ?y6) (* (- 99) ?y4)) (* 41 ?y1)) (* (- 45) x1)) (- 69))) (and (<= (+ (+ (+ (* 75 ?y6) (* 11 ?y4)) (* 84 ?y1)) (* (- 10) x1)) (- 36)) (= (* 48 x1) (- 9))))) (or (and (and (< (+ (+ (* 62 ?y4) (* 95 ?y1)) (* 35 x1)) (- 59)) (< (+ (+ (+ (* 11 ?y6) (* 97 ?y4)) (* (- 25) ?y1)) (* (- 9) x1)) 58)) (or (not (= (+ (* 15 ?y6) (* (- 6) ?y4)) 0)) (not (= (+ (+ (* (- 97) ?y4) (* 54 ?y1)) (* (- 96) x1)) 98)))) (or (or (< (+ (+ (* (- 80) ?y6) (* 42 ?y4)) (* 100 ?y1)) (- 83)) (not (= (+ (* (- 29) ?y6) (* 15 x1)) 59))) (or (> (+ (+ (+ (* 48 ?y6) (* (- 81) ?y4)) (* 52 ?y1)) (* 50 x1)) 35) (>= (+ (* 4 ?y4) (* (- 42) x1)) (- 50)))))) (or (and (> (+ (+ (* (- 57) ?y4) ?v_77) (* 19 x1)) (- 22)) (and (> (+ (+ (* (- 35) ?y4) (* (- 98) ?y1)) (* (- 73) x1)) 0) (>= (+ (+ (* (- 37) ?y4) (* 85 ?y1)) (* (- 1) x1)) 100))) (or (and (>= (+ (* 41 ?y4) (* (- 97) ?y1)) 7) (<= (+ (+ (* (- 25) ?y6) (* 7 ?y4)) (* 2 x1)) 41)) (and (> (+ (* 72 ?y4) ?v_77) (- 15)) (> (+ (+ (+ (* (- 23) ?y6) (* (- 38) ?y4)) ?v_78) (* (- 76) x1)) 0)))))))) (forall ((?y6 Real)) (let ((?v_79 (* (- 68) x1))) (and (and (and (and (<= (+ (+ (* 82 ?y6) (* (- 24) ?y4)) (* 59 x1)) (- 39)) (= (+ (+ (+ (* (- 12) ?y6) (* (- 75) ?y4)) (* (- 92) ?y1)) (* (- 12) x1)) 21)) (and (< (+ (+ (* 74 ?y6) (* (- 77) ?y4)) (* 44 x1)) 67) (and (= (+ (+ (* (- 10) ?y4) (* (- 6) ?y1)) (* (- 30) x1)) 62) (= (+ (+ (* (- 51) ?y4) (* 45 ?y1)) (* 10 x1)) 0)))) (and (and (= (+ (+ (+ (* 98 ?y6) (* 36 ?y4)) (* 71 ?y1)) (* (- 11) x1)) 54) (<= (+ (+ (* (- 16) ?y4) (* (- 44) ?y1)) (* (- 70) x1)) 0)) (and (or (= (+ (* (- 51) ?y6) (* 29 ?y4)) 0) (< (+ (+ (* 84 ?y6) (* 32 ?y1)) ?v_79) 0)) (and (>= (+ (+ (* 37 ?y4) (* 26 ?y1)) (* 33 x1)) (- 29)) (> (+ (+ (* 66 ?y6) (* 24 ?y1)) (* (- 74) x1)) (- 51)))))) (or (and (or (= (+ (* (- 34) ?y1) (* 64 x1)) 45) (= (+ (+ (+ (* 73 ?y6) (* 76 ?y4)) (* (- 73) ?y1)) (* (- 2) x1)) 15)) (or (> (+ (+ (+ (* 90 ?y6) (* (- 28) ?y4)) (* (- 71) ?y1)) ?v_79) (- 73)) (> (* 100 ?y4) 2))) (>= (+ (+ (* 25 ?y6) (* 83 ?y4)) (* 21 x1)) 0)))))))) (or (and (and (or (exists ((?y4 Real)) (or (and (and (forall ((?y5 Real)) (and (or (not (= (+ (+ (+ (* 85 ?y5) (* (- 63) ?y4)) (* 40 ?y1)) (* (- 99) x1)) 63)) (= (+ (* (- 45) ?y1) (* 11 x1)) 0)) (or (> (+ (+ (+ (* (- 20) ?y5) (* (- 65) ?y4)) (* (- 76) ?y1)) (* (- 7) x1)) 48) (>= (+ (+ (+ (* 20 ?y5) (* (- 28) ?y4)) (* 58 ?y1)) (* (- 74) x1)) (- 62))))) (forall ((?y5 Real)) (or (exists ((?y6 Real)) (> (+ (+ (* 96 ?y5) (* (- 97) ?y4)) (* (- 75) ?y1)) 87)) (exists ((?y6 Real)) (= (+ (+ (+ (+ (* 1 ?y6) (* 4 ?y5)) (* (- 70) ?y4)) (* 10 ?y1)) (* (- 91) x1)) 86))))) (or (forall ((?y5 Real)) (or (and (<= (+ (+ (* (- 65) ?y5) (* (- 22) ?y4)) (* 72 x1)) (- 64)) (>= (+ (+ (* 69 ?y5) (* 48 ?y4)) (* 98 ?y1)) 40)) (forall ((?y6 Real)) (= (+ (+ (+ (* (- 15) ?y5) (* 51 ?y4)) (* 7 ?y1)) (* 86 x1)) 32)))) (forall ((?y5 Real)) (or (forall ((?y6 Real)) (<= (+ (+ (+ (* (- 5) ?y6) (* 88 ?y4)) (* (- 52) ?y1)) (* 40 x1)) (- 52))) (exists ((?y6 Real)) (<= (+ (+ (* 4 ?y6) (* (- 71) ?y5)) (* 66 ?y4)) (- 13))))))) (exists ((?y5 Real)) (forall ((?y6 Real)) (or (or (or (>= (+ (+ (+ (* (- 13) ?y6) (* 9 ?y5)) (* 27 ?y1)) (* 85 x1)) 16) (< (+ (+ (* (- 69) ?y6) (* (- 13) ?y1)) (* 23 x1)) (- 8))) (or (< (+ (* 26 ?y4) (* (- 46) x1)) 0) (<= (+ (+ (+ (+ (* (- 92) ?y6) (* (- 90) ?y5)) (* (- 35) ?y4)) (* (- 33) ?y1)) (* 66 x1)) 98))) (or (= (+ (+ (+ (+ (* 62 ?y6) (* (- 26) ?y5)) (* 52 ?y4)) (* (- 64) ?y1)) (* (- 76) x1)) 54) (= (+ (+ (+ (* (- 36) ?y6) (* (- 83) ?y4)) (* 38 ?y1)) (* 28 x1)) (- 18)))))))) (exists ((?y4 Real)) (and (or (or (and (= (+ (* (- 100) ?y1) (* 5 x1)) 50) (not (= (+ (+ (* (- 80) ?y4) (* (- 9) ?y1)) (* 62 x1)) (- 90)))) (or (not (= (+ (+ (* (- 64) ?y4) (* 71 ?y1)) (* 56 x1)) (- 15))) (> (+ (+ (* (- 29) ?y4) (* (- 24) ?y1)) (* 31 x1)) 0))) (and (or (>= (+ (+ (* 46 ?y4) (* (- 65) ?y1)) (* 21 x1)) (- 80)) (> (+ (+ (* (- 46) ?y4) (* 84 ?y1)) (* (- 58) x1)) 9)) (>= (* (- 100) ?y4) (- 56)))) (or (= (+ (* (- 23) ?y4) (* (- 15) ?y1)) (- 46)) (>= (+ (* (- 92) ?y4) (* 91 x1)) (- 53)))))) (and (exists ((?y4 Real)) (and (or (or (or (> (+ (+ (* 26 ?y4) (* (- 50) ?y1)) (* (- 85) x1)) 51) (< (+ (+ (* 16 ?y4) (* (- 54) ?y1)) (* (- 42) x1)) 82)) (>= (* (- 100) ?y1) 0)) (and (and (>= (+ (+ (* 49 ?y4) (* 59 ?y1)) (* 49 x1)) (- 56)) (> (+ (* (- 60) ?y1) (* (- 74) x1)) 0)) (or (> (+ (* 10 ?y4) (* (- 29) x1)) 0) (< (+ (* 30 ?y4) (* 37 ?y1)) 0)))) (exists ((?y6 Real)) (and (or (or (< (+ (+ (* 17 ?y6) (* (- 63) ?y1)) (* 81 x1)) 76) (>= (+ (+ (* 27 ?y4) (* 50 ?y1)) (* (- 89) x1)) 0)) (or (>= (* 34 ?y4) 0) (< (+ (+ (+ (* 30 ?y6) (* 33 ?y4)) (* 14 ?y1)) (* 12 x1)) 1))) (and (or (<= (+ (* 68 ?y4) (* 87 x1)) 0) (>= (+ (* 60 ?y1) (* (- 65) x1)) (- 35))) (not (= (+ (+ (* (- 31) ?y6) (* 69 ?y1)) (* (- 31) x1)) (- 96)))))))) (and (forall ((?y3 Real)) (exists ((?y5 Real)) (exists ((?y6 Real)) (and (or (and (not (= (+ (+ (* 25 ?y6) (* 5 ?y3)) (* (- 47) x1)) 39)) (>= (+ (+ (+ (* 16 ?y6) (* 61 ?y5)) (* 82 ?y3)) (* 48 x1)) (- 86))) (or (not (= (+ (+ (* (- 55) ?y6) (* 17 ?y3)) (* 83 x1)) (- 78))) (< (+ (+ (+ (* 74 ?y5) (* (- 57) ?y3)) (* 4 ?y1)) (* 47 x1)) (- 11)))) (and (or (not (= (+ (+ (* 68 ?y6) (* (- 60) ?y3)) (* 86 ?y1)) (- 78))) (= (+ (+ (+ (* 48 ?y6) (* (- 10) ?y3)) (* (- 31) ?y1)) (* (- 75) x1)) 92)) (or (not (= (+ (* 89 ?y6) (* (- 1) x1)) 6)) (>= (+ (* 33 ?y5) (* (- 79) x1)) 73))))))) (or (and (exists ((?y5 Real)) (forall ((?y6 Real)) (or (= (+ (+ (* 86 ?y6) (* (- 36) ?y1)) (* (- 31) x1)) 0) (not (= (+ (+ (+ (* (- 38) ?y6) (* 12 ?y5)) (* 41 ?y1)) (* 17 x1)) 23))))) (exists ((?y5 Real)) (or (<= (+ (+ (* 8 ?y5) (* (- 67) ?y1)) (* (- 55) x1)) 59) (or (<= (+ (+ (* (- 70) ?y5) (* 32 ?y1)) (* (- 30) x1)) 0) (< (+ (* (- 83) ?y5) (* (- 67) x1)) (- 59)))))) (forall ((?y4 Real)) (or (exists ((?y6 Real)) (and (<= (+ (+ (+ (* 93 ?y6) (* 62 ?y4)) (* 10 ?y1)) (* 93 x1)) (- 69)) (not (= (+ (+ (* (- 52) ?y4) (* (- 35) ?y1)) (* 53 x1)) 0)))) (and (or (not (= (+ (+ (* (- 46) ?y4) (* (- 98) ?y1)) (* 64 x1)) 0)) (not (= (+ (* 2 ?y4) (* 14 ?y1)) 0))) (= (+ (* 56 ?y4) (* (- 67) ?y1)) (- 22))))))))) (forall ((?y3 Real)) (or (or (forall ((?y4 Real)) (exists ((?y5 Real)) (exists ((?y6 Real)) (let ((?v_80 (* 44 ?y5))) (and (or (or (or (<= (+ (+ (+ (+ (+ (* 63 ?y6) (* (- 86) ?y5)) (* (- 72) ?y4)) (* 23 ?y3)) (* (- 12) ?y1)) (* (- 7) x1)) 0) (< (+ (+ (+ (+ (* (- 5) ?y6) (* (- 22) ?y5)) (* 27 ?y3)) (* 90 ?y1)) (* 17 x1)) 7)) (or (< (+ (+ (* 37 ?y6) ?v_80) (* 84 ?y4)) 37) (not (= (+ (+ (+ (+ (* (- 86) ?y6) ?v_80) (* (- 89) ?y4)) (* 62 ?y1)) (* 29 x1)) 14)))) (or (and (not (= (+ (+ (+ (+ (+ (* (- 16) ?y6) (* 45 ?y5)) (* (- 8) ?y4)) (* (- 70) ?y3)) (* 80 ?y1)) (* (- 32) x1)) 17)) (> (+ (+ (+ (+ (* (- 18) ?y6) (* (- 76) ?y5)) (* 81 ?y4)) (* (- 35) ?y3)) (* (- 87) ?y1)) 56)) (> (+ (+ (+ (* 58 ?y6) (* (- 44) ?y5)) (* 26 ?y4)) (* 84 x1)) 0))) (or (or (< (+ (+ (+ (+ (* 93 ?y6) (* 91 ?y5)) (* 31 ?y4)) (* (- 49) ?y3)) (* (- 95) ?y1)) 0) (not (= (+ (+ (+ (+ (+ (* (- 31) ?y6) (* (- 29) ?y5)) (* 17 ?y4)) (* (- 24) ?y3)) (* 38 ?y1)) (* 57 x1)) (- 60)))) (> (+ (+ (+ (+ (* 80 ?y6) (* (- 77) ?y5)) (* 37 ?y3)) (* (- 74) ?y1)) (* (- 43) x1)) 92))))))) (forall ((?y4 Real)) (forall ((?y5 Real)) (forall ((?y6 Real)) (and (and (and (and (< (+ (+ (* (- 73) ?y4) (* 59 ?y3)) (* 43 x1)) (- 74)) (> (+ (+ (+ (+ (* 14 ?y6) (* 16 ?y5)) (* (- 93) ?y4)) (* 43 ?y1)) (* 18 x1)) (- 19))) (and (< (+ (+ (+ (+ (+ (* (- 7) ?y6) (* (- 22) ?y5)) (* 59 ?y4)) (* 86 ?y3)) (* (- 85) ?y1)) (* 29 x1)) (- 47)) (>= (+ (+ (+ (+ (* (- 87) ?y5) (* (- 91) ?y4)) (* 47 ?y3)) (* (- 25) ?y1)) (* 3 x1)) (- 56)))) (and (>= (+ (+ (* 41 ?y6) (* 42 ?y4)) (* (- 40) ?y3)) 73) (<= (+ (+ (+ (+ (+ (* (- 13) ?y6) (* 42 ?y5)) (* 72 ?y4)) (* 72 ?y3)) (* (- 57) ?y1)) (* (- 86) x1)) 17))) (or (or (or (> (+ (+ (+ (* (- 62) ?y6) (* 29 ?y4)) (* 27 ?y3)) (* (- 72) x1)) 65) (<= (+ (+ (+ (+ (* 3 ?y6) (* 29 ?y5)) (* 15 ?y3)) (* 76 ?y1)) (* (- 61) x1)) 0)) (and (> (+ (+ (+ (+ (+ (* (- 82) ?y6) (* (- 76) ?y5)) (* 21 ?y4)) (* (- 30) ?y3)) (* 6 ?y1)) (* (- 49) x1)) 65) (= (+ (+ (+ (+ (* (- 96) ?y6) (* 25 ?y5)) (* 100 ?y4)) (* 92 ?y3)) (* 65 ?y1)) 90))) (and (>= (+ (+ (+ (* (- 79) ?y6) (* 39 ?y5)) (* (- 86) ?y4)) (* (- 75) ?y3)) (- 32)) (< (+ (+ (+ (+ (* 51 ?y6) (* (- 10) ?y5)) (* 87 ?y4)) (* 67 ?y3)) (* (- 80) ?y1)) 76)))))))) (exists ((?y4 Real)) (exists ((?y6 Real)) (let ((?v_81 (* 94 ?y3))) (and (and (or (not (= (+ (+ (+ (+ (* 38 ?y6) (* (- 69) ?y4)) ?v_81) (* 56 ?y1)) (* (- 57) x1)) (- 3))) (> (+ (+ (+ (* (- 95) ?y4) (* (- 64) ?y3)) (* 31 ?y1)) (* 92 x1)) (- 72))) (and (< (+ (+ (+ (* (- 62) ?y6) (* (- 71) ?y4)) (* (- 67) ?y1)) (* (- 27) x1)) 0) (>= (+ (+ (+ (* 14 ?y4) (* (- 48) ?y3)) (* 92 ?y1)) (* (- 21) x1)) (- 74)))) (or (and (or (<= (+ (+ (+ (+ (* (- 16) ?y6) (* (- 64) ?y4)) ?v_81) (* 21 ?y1)) (* 65 x1)) 96) (<= (+ (+ (+ (+ (* 7 ?y6) (* (- 68) ?y4)) (* (- 24) ?y3)) (* 30 ?y1)) (* 74 x1)) (- 18))) (and (not (= (+ (+ (* (- 36) ?y4) (* 22 ?y3)) (* 57 ?y1)) 0)) (<= (+ (+ (+ (* (- 11) ?y4) (* 52 ?y3)) (* (- 46) ?y1)) (* 31 x1)) (- 93)))) (or (or (not (= (+ (+ (+ (* 35 ?y4) (* (- 6) ?y3)) (* (- 66) ?y1)) (* 76 x1)) 0)) (< (+ (+ (* 26 ?y4) (* 6 ?y3)) (* 12 x1)) (- 2))) (or (< (+ (+ (* 72 ?y4) (* (- 29) ?y3)) (* 32 x1)) 88) (not (= (+ (+ (* (- 72) ?y6) (* (- 88) ?y3)) (* (- 62) x1)) 0)))))))))))) (and (forall ((?y3 Real)) (exists ((?y5 Real)) (exists ((?y6 Real)) (let ((?v_85 (* 26 x1)) (?v_89 (* 64 ?y1)) (?v_92 (* 35 x1)) (?v_93 (* 60 ?y1)) (?v_82 (* 47 ?y1)) (?v_83 (* 71 ?y3)) (?v_86 (* 3 ?y6)) (?v_84 (* 61 ?y3)) (?v_87 (* 23 ?y3)) (?v_94 (* 89 ?y6)) (?v_95 (* (- 10) ?y1)) (?v_91 (* (- 50) ?y1)) (?v_96 (* (- 77) ?y5)) (?v_88 (* (- 56) ?y3)) (?v_90 (* (- 54) ?y6))) (or (or (and (and (or (and (= (+ (+ (+ (+ (* (- 58) ?y6) (* 88 ?y5)) (* 60 ?y3)) ?v_82) (* 52 x1)) 0) (<= (+ (+ (* 94 ?y3) (* (- 88) ?y1)) (* (- 99) x1)) (- 52))) (and (< (+ (+ (+ (* 44 ?y6) (* 99 ?y5)) (* (- 61) ?y3)) (* (- 40) x1)) 0) (>= (+ (+ (+ (+ (* (- 36) ?y6) (* (- 40) ?y5)) (* 1 ?y3)) (* 38 ?y1)) (* (- 90) x1)) (- 20)))) (and (> (+ (* 48 ?y5) (* (- 17) x1)) (- 55)) (> (+ (+ (+ (* 34 ?y6) ?v_83) (* 70 ?y1)) (* 65 x1)) (- 64)))) (and (or (= (+ (+ (+ (* (- 100) ?y6) (* 22 ?y5)) ?v_82) (* (- 22) x1)) 51) (not (= (+ (+ (* (- 33) ?y6) ?v_96) (* (- 66) x1)) (- 61)))) (or (<= (+ (+ (+ (* 57 ?y6) ?v_88) (* (- 36) ?y1)) (* 61 x1)) 0) (or (> (+ (+ (+ (+ (* (- 11) ?y6) (* 100 ?y5)) (* 10 ?y3)) (* 35 ?y1)) ?v_85) (- 42)) (<= (+ (+ (+ (+ (* 39 ?y6) (* (- 85) ?y5)) (* (- 68) ?y3)) (* 90 ?y1)) (* (- 26) x1)) (- 49)))))) (or (and (or (or (not (= (+ (+ (+ (* 74 ?y5) (* 95 ?y3)) (* 36 ?y1)) (* 97 x1)) 75)) (> (+ (+ (+ (+ ?v_86 (* (- 13) ?y5)) ?v_83) (* (- 77) ?y1)) ?v_92) (- 69))) (= (+ (+ (+ (+ (* (- 81) ?y6) (* 98 ?y5)) (* 43 ?y3)) (* 10 ?y1)) (* (- 92) x1)) (- 6))) (or (or (>= (+ (+ (* (- 9) ?y6) (* 24 ?y1)) (* 51 x1)) 31) (not (= (+ (+ (+ (+ (* (- 52) ?y6) (* (- 100) ?y5)) ?v_84) (* 84 ?y1)) (* 80 x1)) (- 18)))) (and (> (+ ?v_87 (* 44 ?y1)) 0) (= (+ (+ (+ (* (- 63) ?y6) (* 2 ?y5)) (* (- 52) ?y3)) (* 99 ?y1)) (- 46))))) (and (and (> (+ (+ (+ (* (- 1) ?y6) (* (- 16) ?y5)) ?v_84) (* 26 ?y1)) 44) (< (+ (+ (+ (+ (* 69 ?y6) (* (- 49) ?y5)) (* (- 47) ?y3)) ?v_89) (* (- 24) x1)) 100)) (or (and (< (+ (+ (+ (* 53 ?y5) (* (- 15) ?y3)) (* (- 73) ?y1)) (* 9 x1)) 0) (not (= (+ (+ (+ (* 27 ?y5) (* 64 ?y3)) (* 62 ?y1)) (* (- 82) x1)) 45))) (or (< (+ (+ (* 66 ?y6) (* 17 ?y1)) (* (- 67) x1)) (- 62)) (= (+ (+ (+ (+ (* (- 88) ?y6) (* (- 63) ?y5)) (* 29 ?y3)) (* (- 97) ?y1)) (* (- 41) x1)) 0)))))) (or (or (and (and (or (= (+ (+ (+ (* 15 ?y6) (* (- 79) ?y3)) (* (- 4) ?y1)) (* (- 83) x1)) (- 55)) (<= (+ (+ (+ (* (- 49) ?y6) (* (- 11) ?y5)) (* (- 40) ?y3)) (* (- 79) x1)) 35)) (or (< (+ (+ (* 51 ?y3) (* (- 86) ?y1)) (* 39 x1)) 0) (>= (+ (+ (+ (+ ?v_90 (* (- 50) ?y5)) (* 3 ?y3)) ?v_95) ?v_85) 49))) (or (and (not (= (+ (+ (* 63 ?y5) (* (- 69) ?y1)) (* 54 x1)) (- 93))) (> (+ (+ (+ (* (- 31) ?y6) (* (- 36) ?y5)) (* (- 54) ?y1)) (* (- 10) x1)) (- 60))) (and (not (= (+ (+ (+ (* (- 23) ?y6) (* (- 57) ?y3)) ?v_93) (* 66 x1)) (- 51))) (not (= (+ (+ (+ ?v_94 (* (- 14) ?y3)) ?v_91) (* 89 x1)) (- 18)))))) (and (or (> (+ (+ (+ (+ (* 93 ?y6) (* 62 ?y5)) (* (- 62) ?y3)) (* 7 ?y1)) (* (- 97) x1)) (- 76)) (and (>= (+ (+ (+ ?v_86 (* 4 ?y5)) (* (- 62) ?y1)) (* (- 87) x1)) 1) (<= (+ (+ (+ (* 54 ?y6) (* 55 ?y5)) (* (- 65) ?y3)) (* 75 x1)) (- 82)))) (or (or (>= (+ ?v_87 (* 88 x1)) 43) (not (= (+ (+ (* 26 ?y6) (* (- 75) ?y5)) (* (- 16) x1)) 33))) (or (>= (+ (+ (+ (* 11 ?y6) (* (- 39) ?y5)) (* 2 ?y3)) (* (- 42) x1)) 49) (>= (+ (+ (+ (* (- 5) ?y6) (* (- 47) ?y5)) (* 11 ?y1)) (* (- 8) x1)) 7))))) (or (or (or (or (not (= (+ (+ (+ (+ (* 9 ?y6) (* (- 2) ?y5)) ?v_88) ?v_89) (* 3 x1)) 33)) (<= (+ (+ (+ (+ (* 75 ?y6) (* (- 95) ?y5)) (* (- 59) ?y3)) (* 21 ?y1)) (* 25 x1)) 32)) (and (>= (+ (+ ?v_90 (* 8 ?y3)) (* (- 58) ?y1)) 34) (= (+ (+ (+ (+ (* 29 ?y6) (* (- 79) ?y5)) (* 18 ?y3)) ?v_91) ?v_92) 0))) (< (+ (+ (* (- 64) ?y6) ?v_93) (* 71 x1)) 7)) (and (or (<= (+ (+ (* (- 52) ?y5) (* (- 94) ?y1)) (* (- 31) x1)) (- 99)) (not (= (+ ?v_94 ?v_95) 0))) (and (>= (+ (+ (+ (+ (* 38 ?y6) ?v_96) ?v_87) (* 32 ?y1)) (* 29 x1)) (- 11)) (> (+ (+ (* (- 74) ?y6) (* 33 ?y5)) (* 27 ?y3)) 41)))))))))) (and (or (or (or (forall ((?y5 Real)) (or (and (>= (+ (* (- 60) ?y5) (* (- 59) ?y1)) 34) (> (+ (+ (* 83 ?y5) (* 70 ?y1)) (* 90 x1)) 0)) (= (+ (* 59 ?y1) (* 17 x1)) 0))) (forall ((?y4 Real)) (forall ((?y5 Real)) (and (and (exists ((?y6 Real)) (<= (+ (* 40 ?y4) (* (- 92) x1)) (- 73))) (or (< (+ (+ (* 10 ?y5) (* (- 3) ?y4)) (* 24 x1)) 34) (= (+ (+ (+ (* (- 13) ?y5) (* (- 73) ?y4)) (* (- 90) ?y1)) (* (- 41) x1)) 0))) (or (forall ((?y6 Real)) (> (+ (+ (* 27 ?y4) (* (- 100) ?y1)) (* (- 2) x1)) (- 45))) (exists ((?y6 Real)) (<= (+ (+ (+ (* 32 ?y6) (* (- 72) ?y5)) (* (- 63) ?y1)) (* (- 9) x1)) (- 34)))))))) (exists ((?y4 Real)) (exists ((?y5 Real)) (exists ((?y6 Real)) (or (or (<= (+ (+ (* (- 93) ?y5) (* 83 ?y1)) (* 78 x1)) 9) (= (+ (+ (+ (+ (* (- 57) ?y6) (* (- 84) ?y5)) (* 65 ?y4)) (* (- 61) ?y1)) (* (- 10) x1)) 3)) (or (and (not (= (+ (+ (+ (+ (* (- 38) ?y6) (* (- 62) ?y5)) (* 41 ?y4)) (* 33 ?y1)) (* (- 35) x1)) (- 60))) (<= (+ (+ (* 14 ?y5) (* 66 ?y4)) (* 42 ?y1)) (- 58))) (not (= (+ (* (- 74) ?y6) (* (- 69) ?y4)) 26)))))))) (or (and (and (or (or (and (or (> (* 24 ?y1) (- 87)) (>= (+ (* 41 ?y1) (* 79 x1)) (- 23))) (<= (* (- 96) x1) 0)) (and (or (< (* 19 x1) 0) (>= (+ (* 29 ?y1) (* 52 x1)) 19)) (>= (* (- 20) ?y1) (- 41)))) (forall ((?y4 Real)) (forall ((?y5 Real)) (or (<= (+ (+ (* (- 14) ?y5) (* 60 ?y4)) (* (- 2) ?y1)) 20) (= (+ (* (- 65) ?y4) (* 88 ?y1)) 0))))) (exists ((?y4 Real)) (or (exists ((?y5 Real)) (exists ((?y6 Real)) (= (+ (+ (* 67 ?y6) (* (- 47) ?y5)) (* (- 19) x1)) (- 58)))) (exists ((?y5 Real)) (and (>= (+ (+ (* 93 ?y5) (* (- 75) ?y4)) (* (- 44) ?y1)) 91) (> (+ (+ (* 63 ?y5) (* 42 ?y1)) (* (- 83) x1)) (- 24))))))) (exists ((?y4 Real)) (and (and (or (exists ((?y5 Real)) (not (= (+ (+ (* 84 ?y5) (* 2 ?y1)) (* (- 8) x1)) (- 12)))) (>= (+ (+ (* 100 ?y4) (* 67 ?y1)) (* 14 x1)) 0)) (or (or (= (+ (* (- 87) ?y4) (* 46 x1)) 32) (> (+ (+ (* (- 22) ?y4) (* 3 ?y1)) (* 9 x1)) 0)) (and (< (+ (+ (* 86 ?y4) (* 50 ?y1)) (* 47 x1)) 0) (>= (+ (+ (* (- 73) ?y4) (* (- 68) ?y1)) (* (- 74) x1)) (- 26))))) (or (forall ((?y5 Real)) (or (<= (+ (+ (* 54 ?y5) (* 8 ?y4)) (* (- 89) x1)) 2) (> (+ (+ (* 39 ?y4) (* (- 6) ?y1)) (* 52 x1)) (- 3)))) (exists ((?y5 Real)) (forall ((?y6 Real)) (= (+ (+ (* (- 83) ?y6) (* 55 ?y4)) (* (- 48) ?y1)) (- 76)))))))) (exists ((?y5 Real)) (exists ((?y6 Real)) (or (or (> (+ (* 86 ?y6) (* (- 65) ?y5)) 0) (<= (+ (* 93 ?y6) (* 69 ?y5)) (- 37))) (and (and (< (+ (+ (+ (* 69 ?y6) (* 48 ?y5)) (* (- 71) ?y1)) (* 38 x1)) (- 86)) (not (= (+ (+ (* (- 12) ?y6) (* 30 ?y1)) (* 77 x1)) 0))) (and (>= (+ (+ (* (- 94) ?y5) (* (- 91) ?y1)) (* 84 x1)) 76) (>= (+ (+ (* 15 ?y6) (* (- 14) ?y1)) (* (- 76) x1)) 79)))))))) (or (or (forall ((?y3 Real)) (and (forall ((?y4 Real)) (and (forall ((?y5 Real)) (and (exists ((?y6 Real)) (not (= (+ (+ (+ (* (- 44) ?y6) (* (- 45) ?y5)) (* 31 ?y4)) (* 92 ?y1)) (- 67)))) (exists ((?y6 Real)) (not (= (+ (+ (+ (+ (* (- 25) ?y5) (* (- 71) ?y4)) (* 30 ?y3)) (* (- 100) ?y1)) (* 40 x1)) 0))))) (exists ((?y5 Real)) (or (= (+ (* 30 ?y1) (* (- 72) x1)) 0) (> (+ (+ (+ (* 80 ?y5) (* 70 ?y4)) (* (- 66) ?y3)) (* (- 78) x1)) 0))))) (exists ((?y6 Real)) (and (not (= (+ (* 82 ?y6) (* 81 ?y1)) (- 45))) (or (< (+ (* (- 90) ?y3) (* 94 ?y1)) (- 17)) (> (+ (* 73 ?y3) (* 41 x1)) 71)))))) (forall ((?y3 Real)) (forall ((?y4 Real)) (exists ((?y6 Real)) (and (or (or (not (= (+ (+ (+ (* (- 37) ?y6) (* (- 15) ?y4)) (* (- 29) ?y3)) (* (- 23) ?y1)) 27)) (< (* (- 25) ?y1) (- 50))) (and (= (+ (+ (+ (+ (* 42 ?y6) (* 98 ?y4)) (* 45 ?y3)) (* 39 ?y1)) (* (- 38) x1)) (- 19)) (not (= (+ (+ (* 98 ?y6) (* (- 34) ?y3)) (* (- 58) x1)) (- 93))))) (and (not (= (+ (+ (+ (+ (* 40 ?y6) (* 93 ?y4)) (* 76 ?y3)) (* (- 17) ?y1)) (* 69 x1)) 0)) (or (<= (+ (+ (+ (* 10 ?y4) (* 85 ?y3)) (* (- 96) ?y1)) (* (- 69) x1)) 20) (>= (+ (+ (+ (+ (* (- 91) ?y6) (* (- 100) ?y4)) (* 64 ?y3)) (* 88 ?y1)) (* 15 x1)) (- 2))))))))) (forall ((?y3 Real)) (and (and (and (<= (+ (* (- 59) ?y3) (* (- 22) x1)) 0) (exists ((?y6 Real)) (= (+ (* 41 ?y3) (* 51 x1)) 0))) (or (or (and (not (= (* (- 16) ?y1) 17)) (not (= (+ (+ (* (- 86) ?y3) (* 85 ?y1)) (* (- 81) x1)) 0))) (exists ((?y6 Real)) (= (+ (+ (* (- 90) ?y3) (* (- 35) ?y1)) (* 13 x1)) (- 27)))) (or (> (+ (+ (* (- 48) ?y3) (* (- 52) ?y1)) (* 91 x1)) 0) (< (+ (* (- 85) ?y3) (* 60 ?y1)) 19)))) (exists ((?y6 Real)) (and (or (not (= (+ (+ (* 98 ?y6) (* 77 ?y1)) (* 94 x1)) 30)) (and (= (+ (+ (+ (* (- 63) ?y6) (* 40 ?y3)) (* (- 29) ?y1)) (* (- 68) x1)) 72) (<= (+ (+ (* (- 4) ?y6) (* 37 ?y3)) (* 16 ?y1)) 0))) (or (not (= (+ (* 96 ?y1) (* (- 80) x1)) (- 51))) (= (+ (+ (* 58 ?y6) (* 13 ?y3)) (* (- 90) ?y1)) 0))))))))))))))
(check-sat)
(exit)
