(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status sat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_13 (* 5 ?x1)) (?v_57 (* 12 ?x4)) (?v_2 (* 88 ?x2)) (?v_31 (* 90 ?x2)) (?v_51 (* 18 ?x3)) (?v_40 (* 74 ?x4)) (?v_10 (* 51 ?x1)) (?v_22 (* 39 ?x3)) (?v_44 (* 83 ?x1)) (?v_62 (* 62 ?x4)) (?v_38 (* 13 ?x4)) (?v_46 (* 85 ?x1)) (?v_29 (* 63 ?x4)) (?v_6 (* 71 ?x1)) (?v_41 (* 9 ?x4)) (?v_28 (* 6 ?x2)) (?v_8 (* 20 ?x1)) (?v_21 (* 88 ?x3)) (?v_42 (* 66 ?x1)) (?v_36 (* 83 ?x3)) (?v_15 (* 42 ?x4)) (?v_34 (* 12 ?x2)) (?v_48 (* 93 ?x4)) (?v_50 (* 37 ?x4)) (?v_53 (* 50 ?x2)) (?v_52 (* 67 ?x1)) (?v_20 (* 81 ?x3)) (?v_49 (* 28 ?x1)) (?v_54 (* 25 ?x3)) (?v_18 (* 67 ?x2)) (?v_55 (* 53 ?x4)) (?v_33 (* 5 ?x4)) (?v_37 (* 96 ?x1)) (?v_0 (* (- 16) ?x3)) (?v_17 (* (- 75) ?x1)) (?v_4 (* (- 47) ?x2)) (?v_1 (* (- 37) ?x4)) (?v_19 (* (- 57) ?x3)) (?v_23 (* (- 21) ?x3)) (?v_27 (* (- 19) ?x4)) (?v_3 (* (- 51) ?x1)) (?v_25 (* (- 83) ?x1)) (?v_14 (* (- 51) ?x4)) (?v_5 (* (- 79) ?x3)) (?v_26 (* (- 53) ?x3)) (?v_43 (* (- 45) ?x1)) (?v_7 (* (- 81) ?x4)) (?v_35 (* (- 100) ?x3)) (?v_12 (* (- 94) ?x2)) (?v_24 (* (- 54) ?x1)) (?v_11 (* (- 32) ?x1)) (?v_39 (* (- 85) ?x2)) (?v_16 (* (- 35) ?x1)) (?v_47 (* (- 3) ?x2)) (?v_59 (* (- 71) ?x1)) (?v_9 (* (- 13) ?x1)) (?v_61 (* (- 45) ?x3)) (?v_45 (* (- 94) ?x4)) (?v_32 (* (- 85) ?x3)) (?v_60 (* (- 43) ?x3)) (?v_30 (* (- 98) ?x1)) (?v_56 (* (- 71) ?x3)) (?v_58 (* (- 49) ?x1))) (or (or (or (and (and (or (and (< (+ (+ ?v_13 ?v_0) (* 82 ?x4)) 34) (<= (+ (+ (+ (* 1 ?x1) (* 46 ?x2)) (* (- 99) ?x3)) (* (- 59) ?x4)) 0)) (< (+ (+ (+ (* (- 4) ?x1) (* 99 ?x2)) (* (- 49) ?x3)) (* (- 68) ?x4)) 91)) (and (or (>= (+ (+ (* (- 17) ?x1) (* 4 ?x2)) (* 7 ?x3)) 91) (> (+ (+ (+ (* (- 26) ?x1) (* 9 ?x2)) (* 87 ?x3)) (* 97 ?x4)) (- 88))) (or (= (+ (+ (* 26 ?x1) (* 64 ?x2)) (* (- 30) ?x4)) 93) (> (* (- 80) ?x2) (- 1))))) (and (or (and (<= (+ (+ (* 59 ?x2) (* (- 44) ?x3)) ?v_57) (- 96)) (> (+ (* (- 96) ?x1) (* 26 ?x4)) 77)) (not (= (+ (+ (+ ?v_17 ?v_2) ?v_0) (* (- 85) ?x4)) 63))) (and (and (= (+ (+ ?v_31 (* 71 ?x3)) (* (- 34) ?x4)) 3) (< (+ (+ (* 4 ?x1) (* 96 ?x2)) (* (- 62) ?x4)) (- 50))) (or (<= (+ (+ (* (- 56) ?x1) ?v_51) (* 2 ?x4)) 0) (> (+ (+ (+ (* (- 22) ?x1) ?v_4) (* (- 60) ?x3)) ?v_40) (- 67)))))) (and (and (> (+ (+ (* 84 ?x1) (* (- 72) ?x2)) ?v_1) 56) (<= (+ (+ (* (- 34) ?x1) (* (- 84) ?x2)) ?v_19) 0)) (and (or (= (+ (+ (+ (* (- 97) ?x1) (* 39 ?x2)) (* (- 92) ?x3)) (* 78 ?x4)) 0) (> (+ (+ ?v_10 (* 18 ?x2)) ?v_22) 0)) (and (>= (+ (+ ?v_44 (* 77 ?x3)) ?v_62) 46) (> (+ (+ (* (- 69) ?x1) (* 36 ?x2)) (* 66 ?x4)) 0))))) (or (or (or (or (> (+ (+ (* 57 ?x1) (* (- 11) ?x2)) ?v_38) 36) (> (+ (+ (+ ?v_46 (* (- 49) ?x2)) (* (- 2) ?x3)) (* (- 14) ?x4)) 0)) (and (>= (+ (* 52 ?x2) ?v_1) (- 32)) (<= (+ (+ (+ (* 64 ?x1) (* (- 91) ?x2)) ?v_23) ?v_27) 38))) (and (or (>= ?v_3 88) (<= (+ (+ (* 35 ?x1) (* 89 ?x2)) (* 59 ?x3)) (- 88))) (and (or (< (+ (+ (+ (* (- 62) ?x1) (* (- 56) ?x2)) (* 56 ?x3)) ?v_29) 10) (and (> (+ ?v_25 ?v_14) 0) (>= (+ (+ (+ (* (- 89) ?x1) ?v_2) (* (- 93) ?x3)) (* 99 ?x4)) 40))) (or (and (> (+ (+ (+ ?v_6 (* 69 ?x2)) ?v_5) ?v_41) (- 60)) (> (+ (+ (* 54 ?x1) ?v_28) (* 72 ?x3)) 51)) (or (<= (+ ?v_8 (* 31 ?x3)) 2) (= (+ (+ (+ (* (- 29) ?x1) (* (- 90) ?x2)) (* (- 19) ?x3)) (* (- 42) ?x4)) 0)))))) (and (and (and (or (and (= (+ ?v_3 (* 54 ?x2)) 26) (> (+ (* 7 ?x1) (* 32 ?x2)) 48)) (or (<= (+ (+ (* (- 82) ?x2) ?v_26) (* 79 ?x4)) (- 61)) (not (= (+ (+ (+ ?v_43 ?v_4) ?v_21) (* (- 98) ?x4)) (- 54))))) (or (> (+ (+ (+ (* (- 14) ?x1) (* 7 ?x2)) (* 85 ?x3)) ?v_7) 29) (< (+ (+ (* (- 50) ?x2) (* (- 65) ?x3)) (* (- 71) ?x4)) 22))) (or (= (+ (+ (+ (* (- 85) ?x1) (* 55 ?x2)) ?v_35) (* 96 ?x4)) (- 10)) (and (or (> (* (- 38) ?x3) 72) (>= (+ (+ (+ ?v_42 ?v_12) ?v_5) (* (- 25) ?x4)) (- 86))) (or (> (+ (+ (+ ?v_6 (* 5 ?x2)) (* 11 ?x3)) (* 59 ?x4)) (- 48)) (> (+ (+ (+ (* 24 ?x1) (* (- 88) ?x2)) ?v_36) ?v_15) (- 21)))))) (or (and (and (or (not (= (+ (+ ?v_24 (* 84 ?x2)) (* 46 ?x3)) 24)) (> (+ (+ ?v_11 ?v_34) (* (- 41) ?x3)) 0)) (>= (+ (+ (* (- 24) ?x1) (* 29 ?x3)) (* 36 ?x4)) 0)) (or (>= (+ (+ ?v_39 (* 40 ?x3)) ?v_7) 0) (= (+ (* (- 39) ?x1) (* (- 7) ?x4)) (- 21)))) (or (or (or (< (+ (+ (* (- 73) ?x1) (* (- 83) ?x2)) (* (- 9) ?x4)) 0) (>= (+ (+ (+ ?v_16 ?v_47) (* (- 88) ?x3)) (* (- 65) ?x4)) 16)) (and (not (= (+ (+ ?v_59 (* 16 ?x2)) ?v_48) 75)) (= (+ ?v_8 ?v_50) 0))) (and (< (+ (* (- 89) ?x2) (* 82 ?x3)) (- 23)) (not (= (+ (+ (* 58 ?x1) (* (- 79) ?x2)) (* 68 ?x4)) 0)))))))) (and (or (or (or (> (+ (* 65 ?x1) ?v_53) (- 31)) (or (= (+ (+ ?v_9 (* 68 ?x3)) (* (- 96) ?x4)) 11) (or (and (> (+ (+ ?v_9 (* 35 ?x2)) ?v_61) 0) (= (+ (+ (+ ?v_52 (* (- 52) ?x2)) (* 78 ?x3)) (* (- 8) ?x4)) 0)) (= (+ (* (- 28) ?x2) ?v_20) (- 96))))) (or (and (= (+ ?v_49 (* 51 ?x3)) (- 82)) (and (> (+ (+ (+ ?v_10 (* 20 ?x2)) (* 98 ?x3)) (* 18 ?x4)) (- 82)) (> (+ (+ (* (- 41) ?x2) (* 14 ?x3)) (* 51 ?x4)) 95))) (or (and (or (>= (+ (+ (+ ?v_11 ?v_12) (* (- 73) ?x3)) (* (- 70) ?x4)) 73) (= (+ (+ (* (- 91) ?x1) (* (- 22) ?x3)) ?v_45) 0)) (or (not (= (+ (+ (+ ?v_13 (* (- 35) ?x2)) ?v_54) ?v_14) 75)) (= (+ (+ ?v_9 ?v_32) (* 35 ?x4)) 56))) (or (and (not (= (+ (+ (* (- 70) ?x1) (* (- 68) ?x2)) (* 97 ?x3)) 81)) (not (= (+ (+ (+ (* 43 ?x1) (* (- 99) ?x2)) (* 27 ?x3)) ?v_15) 18))) (or (= (+ (+ (+ ?v_16 ?v_18) ?v_60) (* (- 79) ?x4)) (- 61)) (>= (+ (+ (+ ?v_17 (* (- 40) ?x2)) (* 66 ?x3)) (* 17 ?x4)) 19)))))) (or (or (or (and (and (not (= (+ (+ ?v_17 (* 45 ?x2)) (* (- 96) ?x3)) 90)) (>= (+ (+ (* (- 36) ?x1) (* (- 89) ?x3)) (* 83 ?x4)) 97)) (or (< (+ (+ (* 50 ?x1) ?v_18) ?v_19) 40) (>= (+ (+ (* (- 19) ?x1) (* (- 59) ?x2)) ?v_20) 73))) (and (not (= (+ (+ ?v_30 ?v_21) ?v_55) 0)) (< (+ (* (- 93) ?x1) ?v_22) 88))) (or (<= (+ (+ (* 77 ?x1) (* 25 ?x2)) (* 56 ?x4)) 38) (and (not (= (+ (+ (* 16 ?x1) ?v_23) (* (- 33) ?x4)) (- 31))) (= (+ (+ ?v_24 (* 100 ?x2)) ?v_33) (- 27))))) (and (or (and (= (+ ?v_25 (* (- 66) ?x4)) (- 12)) (and (= (+ (+ (+ (* 53 ?x1) (* 92 ?x2)) ?v_26) ?v_27) 0) (< (+ (+ (+ (* 99 ?x1) ?v_28) (* 34 ?x3)) ?v_29) 0))) (and (and (<= (+ (+ (+ ?v_30 ?v_31) ?v_32) ?v_1) (- 52)) (< (+ ?v_37 ?v_33) 55)) (and (< (+ (+ ?v_34 (* 52 ?x3)) (* 19 ?x4)) 0) (>= (+ (* (- 52) ?x1) ?v_35) (- 80))))) (or (or (< (+ (+ (+ (* 97 ?x1) (* (- 71) ?x2)) (* 57 ?x3)) (* 40 ?x4)) 25) (and (<= (+ (+ (+ (* (- 55) ?x1) (* (- 98) ?x2)) ?v_36) (* (- 53) ?x4)) (- 31)) (<= (+ (+ (* 30 ?x1) (* 50 ?x3)) (* 100 ?x4)) (- 58)))) (or (or (>= (+ (+ (+ ?v_37 (* (- 2) ?x2)) (* 24 ?x3)) (* 91 ?x4)) (- 8)) (<= (+ (* 46 ?x1) (* (- 23) ?x4)) (- 82))) (and (not (= (+ (+ (* (- 10) ?x2) (* 92 ?x3)) ?v_38) 24)) (< (+ (+ (* (- 12) ?x1) ?v_39) ?v_19) (- 11)))))))) (or (and (or (and (<= (+ (* 94 ?x1) ?v_40) (- 25)) (or (<= (+ (+ (* 39 ?x1) (* 61 ?x3)) ?v_41) 0) (>= (+ (+ ?v_42 (* 71 ?x2)) (* 19 ?x3)) 91))) (and (or (not (= (+ (+ (+ ?v_43 (* 10 ?x2)) (* 5 ?x3)) (* 61 ?x4)) 0)) (= (+ (* (- 95) ?x3) (* 34 ?x4)) (- 60))) (and (> (+ (* 1 ?x2) (* 86 ?x4)) 74) (> (+ (+ ?v_44 (* 62 ?x2)) ?v_45) (- 70))))) (and (and (not (= (+ ?v_46 (* 70 ?x2)) (- 3))) (< (+ (+ (* 75 ?x1) ?v_47) ?v_48) 0)) (and (not (= (+ (+ (+ ?v_49 (* 49 ?x2)) (* 80 ?x3)) (* 87 ?x4)) (- 45))) (not (= (+ (+ (+ (* 82 ?x1) (* (- 30) ?x2)) ?v_56) ?v_50) (- 78)))))) (and (and (and (= (+ (* 74 ?x3) (* 28 ?x4)) 29) (> (+ (+ (* (- 37) ?x1) (* (- 92) ?x2)) ?v_51) 0)) (or (<= (+ (+ (+ ?v_52 (* (- 29) ?x2)) ?v_35) (* 22 ?x4)) (- 25)) (not (= (+ (+ (+ ?v_25 ?v_53) ?v_54) ?v_55) 0)))) (or (or (and (= (+ (+ (* (- 7) ?x2) (* 4 ?x3)) (* (- 89) ?x4)) 63) (<= (+ ?v_16 (* 30 ?x2)) (- 39))) (and (and (= (+ (+ (* (- 2) ?x1) ?v_56) ?v_57) 35) (< (+ (+ ?v_58 (* 72 ?x2)) (* (- 91) ?x3)) 0)) (and (> (+ (+ ?v_3 (* (- 4) ?x3)) (* 72 ?x4)) (- 60)) (= (+ ?v_58 (* (- 46) ?x2)) 0)))) (and (and (and (>= (+ (* (- 60) ?x1) (* (- 5) ?x2)) 46) (= (+ (* 41 ?x1) (* 95 ?x4)) 0)) (< (+ (+ (+ (* 52 ?x1) (* 44 ?x2)) (* (- 15) ?x3)) ?v_29) 25)) (or (or (> (+ (+ ?v_59 ?v_60) (* (- 91) ?x4)) 63) (>= ?v_61 94)) (and (<= (+ (+ (* (- 87) ?x2) (* 73 ?x3)) ?v_62) 80) (> (+ (* 42 ?x3) (* (- 57) ?x4)) 0)))))))))))))))
(check-sat)
(exit)
