(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status unsat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_88 (* 8 ?x2)) (?v_48 (* 65 ?x4)) (?v_0 (* 89 ?x1)) (?v_79 (* 94 ?x3)) (?v_121 (* 19 ?x4)) (?v_31 (* 54 ?x3)) (?v_24 (* 14 ?x4)) (?v_109 (* 98 ?x1)) (?v_142 (* 10 ?x4)) (?v_60 (* 36 ?x2)) (?v_241 (* 75 ?x1)) (?v_42 (* 9 ?x3)) (?v_14 (* 66 ?x4)) (?v_135 (* 22 ?x1)) (?v_35 (* 39 ?x4)) (?v_33 (* 87 ?x1)) (?v_49 (* 22 ?x2)) (?v_54 (* 34 ?x3)) (?v_140 (* 86 ?x4)) (?v_126 (* 81 ?x3)) (?v_133 (* 12 ?x1)) (?v_8 (* 88 ?x3)) (?v_11 (* 73 ?x1)) (?v_63 (* 81 ?x2)) (?v_192 (* 40 ?x3)) (?v_70 (* 45 ?x4)) (?v_176 (* 90 ?x2)) (?v_27 (* 44 ?x3)) (?v_50 (* 93 ?x4)) (?v_78 (* 56 ?x1)) (?v_22 (* 88 ?x2)) (?v_155 (* 73 ?x4)) (?v_137 (* 51 ?x1)) (?v_106 (* 12 ?x4)) (?v_65 (* 52 ?x2)) (?v_114 (* 84 ?x3)) (?v_134 (* 18 ?x4)) (?v_120 (* 29 ?x1)) (?v_16 (* 6 ?x2)) (?v_25 (* 82 ?x3)) (?v_261 (* 72 ?x2)) (?v_148 (* 62 ?x3)) (?v_187 (* 91 ?x2)) (?v_244 (* 97 ?x1)) (?v_169 (* 76 ?x1)) (?v_41 (* 23 ?x2)) (?v_84 (* 97 ?x3)) (?v_165 (* 68 ?x2)) (?v_101 (* 44 ?x4)) (?v_19 (* 61 ?x2)) (?v_198 (* 14 ?x3)) (?v_32 (* 56 ?x2)) (?v_56 (* 55 ?x4)) (?v_55 (* 89 ?x4)) (?v_141 (* 6 ?x1)) (?v_157 (* 15 ?x4)) (?v_202 (* 3 ?x1)) (?v_40 (* 30 ?x3)) (?v_37 (* 72 ?x1)) (?v_172 (* 5 ?x2)) (?v_28 (* 70 ?x4)) (?v_154 (* 76 ?x3)) (?v_29 (* 62 ?x2)) (?v_86 (* 93 ?x2)) (?v_171 (* 53 ?x1)) (?v_66 (* 4 ?x4)) (?v_128 (* 62 ?x1)) (?v_111 (* 23 ?x3)) (?v_34 (* 52 ?x3)) (?v_69 (* 58 ?x4)) (?v_81 (* 68 ?x1)) (?v_150 (* 97 ?x4)) (?v_80 (* 75 ?x4)) (?v_235 (* 25 ?x1)) (?v_61 (* 8 ?x1)) (?v_175 (* 85 ?x3)) (?v_36 (* 17 ?x1)) (?v_209 (* 99 ?x3)) (?v_107 (* 84 ?x2)) (?v_220 (* 60 ?x1)) (?v_64 (* 18 ?x2)) (?v_237 (* 36 ?x1)) (?v_249 (* 29 ?x3)) (?v_139 (* 96 ?x3)) (?v_238 (* 7 ?x2)) (?v_85 (* 61 ?x1)) (?v_143 (* 79 ?x2)) (?v_83 (* 83 ?x1)) (?v_51 (* 10 ?x2)) (?v_131 (* 14 ?x1)) (?v_52 (* 36 ?x3)) (?v_129 (* 35 ?x2)) (?v_185 (* 42 ?x2)) (?v_190 (* 8 ?x3)) (?v_97 (* 83 ?x2))) (let ((?v_205 (+ (* 28 ?x1) ?v_97)) (?v_158 (* 3 ?x4)) (?v_76 (* 39 ?x1)) (?v_96 (* 86 ?x2)) (?v_163 (* 67 ?x4)) (?v_156 (* 4 ?x1)) (?v_268 (* 27 ?x3)) (?v_211 (* 86 ?x3)) (?v_174 (* 82 ?x1)) (?v_258 (* 22 ?x4)) (?v_161 (* 88 ?x4)) (?v_110 (* 11 ?x3)) (?v_260 (* 8 ?x4)) (?v_189 (* 32 ?x3)) (?v_89 (* 96 ?x4)) (?v_257 (* 19 ?x3)) (?v_125 (* 41 ?x2)) (?v_151 (* 89 ?x2)) (?v_159 (* 7 ?x1)) (?v_242 (* 54 ?x1)) (?v_188 (* 22 ?x3)) (?v_265 (* 54 ?x4)) (?v_255 (* 37 ?x3)) (?v_127 (* 27 ?x4)) (?v_234 (* 24 ?x3)) (?v_181 (* 100 ?x3)) (?v_191 (* 96 ?x1)) (?v_123 (* 31 ?x2)) (?v_199 (* 100 ?x4)) (?v_166 (* 35 ?x1)) (?v_130 (* 83 ?x3)) (?v_264 (* 47 ?x2)) (?v_153 (* 13 ?x3)) (?v_200 (* 66 ?x2)) (?v_231 (* 79 ?x4)) (?v_178 (* 20 ?x2)) (?v_207 (* 60 ?x4)) (?v_183 (* 64 ?x3)) (?v_266 (* 70 ?x1)) (?v_224 (* 51 ?x2)) (?v_218 (* 57 ?x3)) (?v_233 (* 18 ?x1)) (?v_230 (* 71 ?x3)) (?v_256 (* 49 ?x2)) (?v_232 (* (- 57) ?x3)) (?v_144 (* (- 27) ?x1)) (?v_2 (* (- 31) ?x3)) (?v_117 (* (- 89) ?x1)) (?v_10 (* (- 51) ?x4)) (?v_20 (* (- 63) ?x4)) (?v_53 (* (- 30) ?x1)) (?v_3 (* (- 82) ?x2)) (?v_1 (* (- 96) ?x2)) (?v_62 (* (- 23) ?x3)) (?v_45 (* (- 60) ?x4)) (?v_72 (* (- 90) ?x4)) (?v_38 (* (- 80) ?x1)) (?v_6 (* (- 77) ?x4)) (?v_225 (* (- 81) ?x2)) (?v_77 (* (- 50) ?x3)) (?v_5 (* (- 29) ?x1)) (?v_112 (* (- 61) ?x1)) (?v_74 (* (- 76) ?x3)) (?v_44 (* (- 19) ?x3)) (?v_4 (* (- 96) ?x3)) (?v_57 (* (- 54) ?x4)) (?v_9 (* (- 17) ?x1)) (?v_92 (* (- 83) ?x4)) (?v_23 (* (- 100) ?x3)) (?v_46 (* (- 9) ?x1)) (?v_58 (* (- 73) ?x3)) (?v_186 (* (- 6) ?x4)) (?v_43 (* (- 46) ?x1)) (?v_226 (* (- 85) ?x3)) (?v_12 (* (- 66) ?x4)) (?v_7 (* (- 98) ?x1)) (?v_104 (* (- 1) ?x2)) (?v_15 (* (- 44) ?x3)) (?v_98 (* (- 92) ?x1)) (?v_94 (* (- 10) ?x3)) (?v_259 (* (- 42) ?x1)) (?v_167 (* (- 16) ?x3)) (?v_21 (* (- 75) ?x1)) (?v_229 (* (- 30) ?x4)) (?v_247 (* (- 59) ?x1)) (?v_67 (* (- 34) ?x1)) (?v_59 (* (- 18) ?x2)) (?v_13 (* (- 58) ?x3)) (?v_108 (* (- 20) ?x2)) (?v_30 (* (- 83) ?x3)) (?v_245 (* (- 22) ?x2)) (?v_201 (* (- 49) ?x3)) (?v_116 (* (- 17) ?x3)) (?v_47 (* (- 16) ?x4)) (?v_214 (* (- 77) ?x1)) (?v_18 (* (- 79) ?x4)) (?v_262 (* (- 73) ?x1)) (?v_17 (* (- 65) ?x2)) (?v_184 (* (- 57) ?x4)) (?v_26 (* (- 17) ?x2)) (?v_124 (* (- 77) ?x3)) (?v_93 (* (- 57) ?x1)) (?v_228 (* (- 84) ?x3)) (?v_73 (* (- 90) ?x3)) (?v_170 (* (- 48) ?x1)) (?v_119 (* (- 54) ?x3)) (?v_39 (* (- 87) ?x2)) (?v_164 (* (- 8) ?x4)) (?v_90 (* (- 17) ?x4)) (?v_254 (* (- 3) ?x3)) (?v_177 (* (- 39) ?x2)) (?v_146 (* (- 87) ?x3)) (?v_173 (* (- 89) ?x4)) (?v_102 (* (- 79) ?x1)) (?v_270 (* (- 47) ?x4)) (?v_206 (* (- 10) ?x2)) (?v_267 (* (- 52) ?x3)) (?v_240 (* (- 33) ?x2)) (?v_115 (* (- 32) ?x4)) (?v_204 (* (- 88) ?x4)) (?v_193 (* (- 95) ?x4)) (?v_219 (* (- 4) ?x4)) (?v_105 (* (- 97) ?x3)) (?v_149 (* (- 11) ?x1)) (?v_99 (* (- 21) ?x2)) (?v_68 (* (- 88) ?x3)) (?v_180 (* (- 93) ?x4)) (?v_95 (* (- 41) ?x4)) (?v_87 (* (- 28) ?x2)) (?v_227 (* (- 24) ?x2)) (?v_208 (* (- 85) ?x2)) (?v_91 (* (- 62) ?x2)) (?v_269 (* (- 20) ?x4)) (?v_246 (* (- 43) ?x1)) (?v_71 (* (- 30) ?x2)) (?v_160 (* (- 6) ?x2)) (?v_223 (* (- 100) ?x1)) (?v_221 (* (- 80) ?x3)) (?v_100 (* (- 47) ?x2)) (?v_195 (* (- 71) ?x2)) (?v_75 (* (- 40) ?x1)) (?v_138 (* (- 26) ?x2)) (?v_197 (* (- 94) ?x4)) (?v_82 (* (- 77) ?x2)) (?v_118 (* (- 76) ?x2)) (?v_122 (* (- 75) ?x3)) (?v_182 (* (- 3) ?x4)) (?v_113 (* (- 56) ?x4)) (?v_103 (* (- 4) ?x1)) (?v_196 (* (- 20) ?x3)) (?v_253 (* (- 12) ?x1)) (?v_203 (* (- 35) ?x2)) (?v_213 (* (- 8) ?x3)) (?v_152 (* (- 78) ?x1)) (?v_194 (* (- 49) ?x2)) (?v_136 (* (- 62) ?x3)) (?v_222 (* (- 76) ?x4)) (?v_132 (* (- 31) ?x4)) (?v_147 (* (- 78) ?x2)) (?v_162 (* (- 90) ?x2)) (?v_251 (* (- 91) ?x3)) (?v_145 (* (- 93) ?x2)) (?v_179 (* (- 86) ?x3)) (?v_217 (* (- 38) ?x3)) (?v_216 (* (- 72) ?x4)) (?v_212 (* (- 62) ?x1)) (?v_215 (* (- 55) ?x3)) (?v_236 (* (- 98) ?x2)) (?v_252 (* (- 12) ?x4)) (?v_243 (* (- 48) ?x4)) (?v_168 (* (- 62) ?x4)) (?v_210 (* (- 96) ?x1)) (?v_250 (* (- 10) ?x4)) (?v_263 (* (- 94) ?x1)) (?v_248 (* (- 34) ?x2)) (?v_239 (* (- 67) ?x3))) (and (and (and (and (and (or (or (or (and (< (+ (+ (* (- 33) ?x1) ?v_232) (* (- 37) ?x4)) (- 92)) (> (+ (+ ?v_144 ?v_88) ?v_48) (- 67))) (or (>= (+ (* (- 49) ?x1) ?v_2) 0) (> (+ ?v_117 ?v_10) 80))) (or (or (>= (+ ?v_0 ?v_20) (- 86)) (= (+ (+ ?v_0 ?v_79) ?v_121) 60)) (and (< (+ (+ (+ ?v_53 ?v_3) ?v_31) ?v_24) 61) (>= (+ (+ ?v_109 ?v_1) ?v_62) 0)))) (and (or (= (+ (* (- 10) ?x1) ?v_142) (- 94)) (<= (+ (+ (* 48 ?x1) (* 13 ?x2)) ?v_45) (- 1))) (or (or (= (+ (+ (* (- 76) ?x1) ?v_1) ?v_72) (- 54)) (not (= (+ (+ (+ ?v_38 ?v_60) (* (- 63) ?x3)) ?v_6) 0))) (and (not (= (+ (+ ?v_241 ?v_225) ?v_42) 41)) (>= (+ (+ (* 71 ?x1) (* (- 65) ?x3)) (* 21 ?x4)) 0))))) (and (and (and (= (+ ?v_2 ?v_14) 26) (= (+ ?v_135 ?v_77) 0)) (and (<= (+ ?v_5 (* 53 ?x3)) (- 43)) (< (+ ?v_112 (* 64 ?x2)) 0))) (and (and (or (not (= ?v_35 53)) (> (+ (* (- 3) ?x1) ?v_74) (- 79))) (and (< (+ (+ ?v_33 ?v_44) (* 25 ?x4)) 28) (= (+ (+ (+ (* (- 35) ?x1) ?v_3) ?v_4) ?v_57) (- 57)))) (and (> (+ (+ ?v_9 ?v_49) ?v_92) 0) (or (>= (+ (* (- 69) ?x2) ?v_23) 0) (<= (+ ?v_46 ?v_4) 90)))))) (or (and (or (and (or (>= (+ ?v_58 ?v_186) 85) (>= (+ (+ (+ ?v_43 (* 78 ?x2)) ?v_54) ?v_140) 0)) (or (<= (+ (+ (+ ?v_5 (* 94 ?x2)) ?v_226) ?v_12) 0) (<= (+ ?v_7 ?v_126) (- 75)))) (or (and (<= (+ (+ ?v_133 (* 98 ?x2)) ?v_6) (- 18)) (< (+ (+ ?v_104 ?v_8) (* (- 70) ?x4)) (- 80))) (and (< (+ (* (- 22) ?x3) (* 74 ?x4)) (- 80)) (>= (+ (+ ?v_11 ?v_63) ?v_15) 0)))) (and (and (<= (+ (+ (* (- 44) ?x1) ?v_192) ?v_70) (- 13)) (> (+ (+ ?v_98 ?v_94) (* 29 ?x4)) 0)) (or (not (= (+ (+ ?v_7 (* (- 8) ?x2)) (* 4 ?x3)) (- 90))) (= (+ (+ (+ ?v_259 ?v_176) ?v_27) ?v_50) 0)))) (and (or (and (or (> (+ (+ (+ ?v_78 ?v_22) ?v_167) ?v_155) 20) (= (+ ?v_137 ?v_106) (- 57))) (and (> (+ (+ ?v_21 ?v_65) ?v_114) 44) (<= (+ (+ (* (- 26) ?x1) (* 55 ?x2)) ?v_229) (- 3)))) (not (= (+ (* 45 ?x1) ?v_8) 0))) (and (= (+ (+ ?v_9 (* 59 ?x3)) ?v_134) 69) (or (<= (+ (+ (+ ?v_120 ?v_16) ?v_25) (* 7 ?x4)) 38) (<= (+ (+ ?v_247 ?v_261) ?v_148) 38)))))) (or (and (or (and (and (and (= (+ (+ ?v_67 (* 4 ?x2)) (* 91 ?x3)) 9) (<= (+ (+ ?v_59 ?v_13) ?v_10) 0)) (and (not (= (+ (+ (+ ?v_11 ?v_187) (* 26 ?x3)) (* 77 ?x4)) 0)) (< (+ (+ (+ ?v_244 ?v_108) (* (- 94) ?x3)) ?v_12) (- 11)))) (or (or (>= (+ (+ (+ ?v_169 ?v_41) ?v_84) (* (- 44) ?x4)) 0) (< (+ (+ ?v_165 ?v_30) ?v_101) 22)) (or (<= (+ (+ (+ ?v_5 ?v_19) ?v_198) (* (- 35) ?x4)) (- 60)) (= (+ (+ (+ (* (- 68) ?x1) ?v_32) ?v_13) ?v_56) 42)))) (and (and (and (= (* 93 ?x3) (- 78)) (< (+ (+ (* (- 29) ?x2) (* 90 ?x3)) ?v_55) 34)) (and (= (+ ?v_141 ?v_157) (- 87)) (>= (+ (+ (+ (* (- 97) ?x1) ?v_245) ?v_201) (* 13 ?x4)) (- 17)))) (and (or (< (+ (+ (* (- 87) ?x1) (* 69 ?x2)) ?v_116) 61) (not (= (+ ?v_202 ?v_40) 92))) (and (= (+ (+ ?v_37 ?v_172) ?v_28) (- 18)) (<= (+ (+ (* (- 16) ?x2) ?v_154) ?v_47) (- 90)))))) (or (and (and (and (= (+ (+ (* 32 ?x1) ?v_29) (* 45 ?x3)) (- 9)) (>= (+ (+ (* (- 66) ?x1) ?v_3) ?v_14) 0)) (and (> (+ (+ ?v_214 ?v_15) ?v_18) 11) (<= (+ (+ ?v_262 ?v_86) ?v_8) 0))) (or (<= (+ (+ ?v_17 (* (- 27) ?x3)) ?v_184) 62) (or (not (= (+ (+ ?v_7 (* 30 ?x2)) (* (- 24) ?x3)) (- 22))) (< (+ (+ (+ ?v_171 ?v_26) (* (- 78) ?x3)) ?v_66) 67)))) (and (or (not (= (+ (+ ?v_128 ?v_16) (* 75 ?x3)) (- 45))) (<= ?v_111 (- 28))) (> (+ (+ ?v_17 ?v_124) (* 41 ?x4)) 83)))) (or (or (or (or (not (= (+ (+ (+ ?v_93 (* (- 58) ?x2)) ?v_228) ?v_18) 93)) (<= (+ (+ (+ (* (- 45) ?x1) ?v_1) ?v_34) (* 34 ?x4)) (- 58))) (and (or (< (+ (+ (* (- 24) ?x1) (* 47 ?x3)) ?v_69) 91) (not (= (+ (+ (+ ?v_81 ?v_19) ?v_73) ?v_20) 0))) (or (not (= (+ (+ (+ ?v_21 (* (- 59) ?x2)) (* 80 ?x3)) ?v_150) 29)) (< (+ (+ (+ ?v_170 ?v_22) ?v_23) ?v_24) (- 59))))) (or (and (or (not (= (+ (* 76 ?x2) ?v_119) (- 13))) (not (= (* 35 ?x3) (- 88)))) (and (< (+ (+ (+ (* 57 ?x1) ?v_39) ?v_25) ?v_80) 34) (not (= (+ (+ ?v_26 (* 16 ?x3)) ?v_164) 80)))) (and (and (< (* 56 ?x4) (- 53)) (not (= (+ (+ ?v_235 (* 50 ?x2)) (* 20 ?x4)) 0))) (or (> (+ ?v_27 (* (- 64) ?x4)) (- 49)) (<= (+ ?v_61 (* (- 38) ?x4)) 15))))) (or (or (< (+ (+ (+ (* (- 70) ?x1) (* 63 ?x2)) ?v_175) ?v_90) (- 68)) (>= (+ ?v_36 ?v_209) 0)) (or (<= (+ ?v_27 ?v_28) 0) (not (= (+ (+ (+ (* (- 32) ?x1) ?v_29) (* 87 ?x3)) (* 72 ?x4)) 0))))))) (or (or (or (and (or (or (or (>= (+ (+ (* (- 2) ?x1) ?v_107) ?v_30) (- 68)) (<= (+ ?v_220 ?v_254) (- 12))) (and (> (+ (+ ?v_177 ?v_146) ?v_173) (- 49)) (< (+ (+ (+ ?v_102 ?v_64) (* (- 6) ?x3)) ?v_270) (- 71)))) (or (and (< (+ (+ (* (- 86) ?x1) ?v_206) ?v_31) (- 17)) (<= (+ (+ ?v_237 ?v_32) ?v_267) 0)) (and (<= (+ (+ (+ ?v_33 (* (- 54) ?x2)) ?v_34) ?v_35) (- 12)) (> (* 66 ?x3) 74)))) (and (and (>= (+ (* 81 ?x1) (* 65 ?x3)) 13) (< (+ (+ (+ ?v_36 ?v_240) ?v_249) (* (- 68) ?x4)) 0)) (or (not (= (+ (+ ?v_37 (* 57 ?x2)) (* 35 ?x4)) 75)) (and (< (+ (+ (+ ?v_38 ?v_39) ?v_139) ?v_12) 4) (not (= (+ (+ (+ ?v_5 (* (- 7) ?x2)) ?v_8) ?v_115) (- 64))))))) (and (or (or (<= (+ ?v_238 ?v_40) 47) (>= (+ (+ ?v_41 ?v_42) ?v_204) 100)) (and (or (<= (+ (+ (* 30 ?x1) (* (- 42) ?x2)) ?v_193) 0) (= (+ ?v_85 ?v_219) (- 51))) (or (>= (+ (+ (+ ?v_43 ?v_143) ?v_44) (* (- 98) ?x4)) (- 20)) (< (+ (+ (+ ?v_83 (* (- 48) ?x2)) ?v_105) ?v_45) (- 32))))) (or (and (and (<= (+ (+ ?v_46 ?v_51) ?v_47) 0) (> (+ (+ (+ ?v_149 (* (- 55) ?x2)) (* (- 25) ?x3)) ?v_48) (- 28))) (and (= (+ (+ (+ ?v_131 ?v_49) ?v_52) ?v_50) (- 63)) (= (+ (+ (* 74 ?x1) ?v_51) (* (- 29) ?x3)) (- 36)))) (and (not (= (+ (* 90 ?x1) ?v_52) 3)) (or (<= (+ (+ (+ (* 64 ?x1) ?v_32) (* 98 ?x3)) (* (- 67) ?x4)) 75) (>= (+ (+ ?v_99 ?v_68) ?v_180) 10)))))) (or (or (and (>= (* (- 93) ?x3) (- 59)) (< (+ (+ (+ ?v_53 ?v_129) ?v_54) ?v_55) (- 44))) (and (and (> (+ ?v_185 ?v_95) 0) (>= (+ (+ (* 9 ?x2) (* 6 ?x3)) ?v_56) 64)) (= ?v_87 (- 93)))) (or (or (or (< (+ (+ (+ ?v_43 ?v_227) ?v_190) (* (- 82) ?x4)) 0) (>= (+ (+ ?v_205 (* (- 15) ?x3)) ?v_158) (- 74))) (and (< (+ (+ (+ ?v_76 ?v_208) (* (- 43) ?x3)) ?v_57) 0) (= (+ (+ ?v_91 ?v_58) ?v_269) 0))) (and (and (or (< (+ ?v_246 ?v_59) 100) (<= (+ (+ ?v_60 (* (- 18) ?x3)) ?v_20) 87)) (and (< (+ ?v_61 ?v_62) 40) (not (= (+ (+ ?v_36 ?v_63) ?v_25) 0)))) (and (and (> (+ (+ (* 42 ?x1) ?v_96) ?v_163) 47) (not (= (+ (+ (* 24 ?x1) ?v_64) (* 51 ?x3)) 0))) (or (> (+ (+ ?v_156 ?v_65) ?v_66) 74) (< (+ (+ (+ ?v_67 ?v_71) ?v_68) ?v_69) (- 86)))))))) (and (and (and (and (= (+ ?v_268 ?v_70) (- 33)) (= ?v_160 (- 75))) (or (and (> (+ (+ (+ (* (- 31) ?x1) ?v_71) (* 69 ?x3)) (* (- 87) ?x4)) (- 69)) (not (= (+ ?v_21 (* 85 ?x4)) 78))) (or (> (+ (+ (* 77 ?x1) ?v_41) (* (- 7) ?x4)) 69) (> (+ (+ (+ ?v_223 ?v_49) ?v_221) ?v_72) 0)))) (or (or (and (> (+ (+ (* (- 63) ?x1) ?v_100) ?v_211) 0) (>= (+ (+ ?v_174 ?v_195) (* 7 ?x3)) 52)) (or (not (= (+ (+ ?v_75 ?v_138) (* (- 81) ?x4)) 69)) (> (+ (+ (* 23 ?x1) (* 2 ?x2)) ?v_35) 87))) (and (and (or (not (= (+ (* (- 90) ?x1) ?v_258) 0)) (< (+ (+ (+ ?v_53 (* 87 ?x2)) ?v_73) ?v_197) 82)) (or (<= (+ (+ (* 40 ?x1) (* (- 15) ?x2)) ?v_161) 0) (not (= ?v_74 0)))) (or (or (= (+ (+ ?v_75 (* (- 46) ?x2)) ?v_110) (- 24)) (<= ?v_260 0)) (or (<= (+ (+ (+ ?v_76 ?v_82) ?v_77) ?v_24) 69) (< (+ (+ (+ (* (- 67) ?x1) ?v_118) ?v_122) (* 42 ?x4)) (- 35))))))) (and (or (and (or (> (+ (+ ?v_78 ?v_79) ?v_18) 12) (and (> (+ (* 46 ?x1) ?v_80) (- 46)) (>= (+ ?v_81 ?v_82) 0))) (and (and (= (+ (+ (+ (* (- 19) ?x1) (* 53 ?x2)) ?v_189) ?v_182) 69) (> (+ (+ ?v_83 ?v_59) ?v_113) 89)) (and (> (+ (+ ?v_103 (* (- 63) ?x2)) ?v_84) (- 1)) (< (+ (+ (+ ?v_85 (* 99 ?x2)) (* (- 89) ?x3)) ?v_89) 28)))) (or (and (not (= (+ ?v_86 (* (- 28) ?x4)) 0)) (< ?v_10 (- 71))) (and (or (>= (+ (+ (+ ?v_53 ?v_87) ?v_42) (* 98 ?x4)) 0) (>= (+ (+ (* 16 ?x1) ?v_88) ?v_74) 0)) (and (<= (+ (+ (* 73 ?x2) ?v_257) (* 62 ?x4)) 45) (< (+ ?v_125 ?v_89) (- 86)))))) (and (or (or (and (< (+ (+ (+ (* 9 ?x1) (* (- 100) ?x2)) (* (- 42) ?x3)) ?v_90) (- 62)) (not (= (+ ?v_91 ?v_196) 0))) (and (not (= (+ (+ ?v_63 ?v_34) ?v_92) 0)) (<= (+ (+ ?v_93 ?v_94) ?v_95) 78))) (and (or (> (+ (* 94 ?x1) ?v_17) 62) (= (+ (+ (+ ?v_253 ?v_151) (* (- 60) ?x3)) ?v_47) (- 18))) (or (= (+ (+ ?v_93 ?v_96) (* (- 1) ?x3)) (- 99)) (<= (+ ?v_159 (* 10 ?x3)) 0)))) (and (and (or (>= (+ ?v_97 (* (- 15) ?x4)) 100) (> (+ (+ ?v_98 ?v_203) (* 79 ?x3)) 68)) (and (>= (+ (+ (* 2 ?x1) (* 54 ?x2)) ?v_213) 0) (not (= (+ (+ (+ ?v_242 (* 74 ?x2)) ?v_188) ?v_265) 65)))) (and (>= (+ (+ (* (- 72) ?x1) ?v_99) ?v_255) 31) (and (> (+ ?v_100 ?v_127) (- 34)) (> (+ (+ (+ ?v_152 ?v_194) ?v_77) ?v_101) (- 88)))))))))) (and (and (and (or (or (or (or (or (< (+ (+ (* (- 75) ?x2) ?v_234) ?v_101) (- 8)) (> (+ (+ (+ ?v_102 (* (- 4) ?x2)) ?v_136) (* 68 ?x4)) (- 52))) (or (< (+ (+ (+ ?v_103 ?v_104) ?v_105) ?v_106) (- 29)) (< (+ (+ ?v_107 ?v_181) ?v_80) 64))) (and (and (not (= (+ (* 74 ?x3) ?v_222) (- 22))) (> (+ (+ (+ ?v_191 (* (- 68) ?x2)) ?v_62) (* 37 ?x4)) 50)) (and (= (+ (+ (+ ?v_5 ?v_108) ?v_23) (* (- 75) ?x4)) 45) (= (+ (+ ?v_109 ?v_123) ?v_132) (- 72))))) (and (and (and (>= (+ ?v_147 ?v_110) 0) (>= (+ (+ (* (- 32) ?x2) ?v_111) (* (- 80) ?x4)) 0)) (or (< (+ (+ (+ ?v_112 ?v_162) (* (- 64) ?x3)) ?v_113) 31) (< (+ (+ (* 95 ?x2) ?v_114) (* (- 45) ?x4)) (- 83)))) (and (not (= (+ ?v_251 ?v_90) (- 36))) (not (= (+ (+ (+ (* (- 1) ?x1) (* (- 5) ?x2)) (* (- 95) ?x3)) ?v_115) (- 66)))))) (or (or (and (or (not (= (+ (+ (+ (* (- 23) ?x1) ?v_145) ?v_116) ?v_199) 0)) (not (= (+ (+ (+ ?v_117 ?v_118) ?v_119) ?v_50) 0))) (> (+ ?v_120 (* 81 ?x4)) 0)) (or (and (> (+ (+ (+ ?v_166 (* 58 ?x2)) ?v_130) ?v_121) (- 85)) (>= (+ (+ (* (- 64) ?x1) ?v_122) (* (- 11) ?x4)) 73)) (<= (+ (+ (+ (* (- 20) ?x1) ?v_123) ?v_179) (* 63 ?x4)) (- 70)))) (and (or (= (+ (* (- 14) ?x1) ?v_124) 0) (> (+ (* 20 ?x1) ?v_125) 0)) (= (+ (+ (* (- 43) ?x2) ?v_126) ?v_127) (- 48))))) (and (or (or (and (<= (+ (+ ?v_128 ?v_129) (* (- 52) ?x4)) 68) (and (> (+ (* 17 ?x3) (* 57 ?x4)) 89) (<= (+ (+ ?v_102 ?v_130) (* (- 53) ?x4)) 0))) (or (or (>= (+ (+ ?v_131 ?v_217) ?v_132) 0) (not (= (+ ?v_133 ?v_134) 0))) (and (>= (+ (+ ?v_135 ?v_136) ?v_216) (- 47)) (> (+ (+ ?v_212 ?v_264) (* 38 ?x3)) 62)))) (and (or (not (= (+ (+ (+ ?v_137 (* 1 ?x2)) ?v_153) (* (- 50) ?x4)) (- 45))) (= (+ ?v_138 ?v_139) 14)) (and (<= (+ (+ (+ (* (- 60) ?x1) (* (- 99) ?x2)) (* 33 ?x3)) ?v_140) 38) (not (= (+ (+ ?v_141 (* (- 12) ?x2)) ?v_142) (- 39)))))) (and (and (or (and (not (= (+ (+ (+ ?v_117 ?v_143) ?v_215) (* 43 ?x4)) 0)) (> (+ (+ (* 44 ?x1) ?v_236) (* (- 21) ?x3)) 14)) (and (<= (+ (+ (+ ?v_144 ?v_145) (* (- 37) ?x3)) ?v_252) 0) (not (= (+ (+ (+ (* 99 ?x1) ?v_200) ?v_146) ?v_243) 0)))) (and (<= (+ (+ ?v_102 ?v_136) (* 59 ?x4)) (- 4)) (<= (+ ?v_147 ?v_148) (- 73)))) (and (and (and (<= (+ (+ ?v_149 (* (- 35) ?x3)) ?v_150) 0) (>= (* (- 81) ?x1) (- 26))) (or (not (= (+ (+ (* 5 ?x1) ?v_151) ?v_231) 0)) (not (= (+ ?v_67 (* (- 69) ?x4)) 0)))) (or (or (< (+ (+ (+ ?v_152 ?v_107) ?v_153) ?v_168) (- 23)) (>= (+ (+ ?v_41 ?v_154) ?v_155) 73)) (or (= (+ ?v_156 ?v_157) (- 99)) (< (+ (+ ?v_210 (* (- 67) ?x2)) ?v_158) 10))))))) (or (and (or (and (or (and (= (+ (+ ?v_135 ?v_13) ?v_158) (- 99)) (= (+ (+ (+ ?v_159 ?v_160) ?v_23) ?v_161) 60)) (<= (+ ?v_162 ?v_163) (- 61))) (= (+ (+ (+ (* (- 74) ?x1) ?v_178) (* (- 9) ?x3)) ?v_164) 90)) (and (and (= (+ (+ (* (- 84) ?x1) ?v_165) ?v_207) 0) (and (<= (+ (+ ?v_166 ?v_167) ?v_168) 90) (< (+ (+ ?v_169 (* (- 99) ?x3)) ?v_127) 73))) (and (or (> (+ (* 40 ?x2) (* 12 ?x3)) (- 31)) (>= (+ (+ (+ ?v_170 ?v_108) (* 43 ?x3)) (* (- 59) ?x4)) 0)) (or (= (+ (+ (+ ?v_171 ?v_172) ?v_183) ?v_173) 51) (not (= (+ (+ ?v_152 (* 72 ?x3)) (* 32 ?x4)) 0)))))) (and (or (and (>= (+ (+ (+ ?v_174 ?v_160) ?v_175) (* (- 29) ?x4)) (- 2)) (> ?v_176 (- 39))) (or (<= (+ ?v_177 ?v_105) (- 70)) (not (= (+ (+ ?v_178 ?v_179) ?v_250) (- 60))))) (or (not (= (+ (* (- 13) ?x2) (* 50 ?x3)) 53)) (and (<= (+ (+ ?v_141 ?v_52) ?v_180) (- 22)) (>= (+ (+ ?v_263 ?v_181) ?v_182) 49))))) (and (and (and (<= (+ (+ ?v_266 ?v_183) ?v_184) 54) (and (> (+ (+ (* (- 7) ?x1) ?v_224) ?v_218) 0) (>= (+ ?v_61 (* 26 ?x4)) 100))) (or (or (> (+ (+ (+ (* (- 88) ?x1) ?v_49) (* 92 ?x3)) (* (- 33) ?x4)) (- 69)) (= ?v_29 0)) (or (not (= (+ (+ ?v_185 ?v_110) ?v_186) 99)) (< (+ (+ (+ (* (- 82) ?x1) ?v_187) ?v_188) (* (- 27) ?x4)) 70)))) (or (or (<= (+ (+ (* 19 ?x1) ?v_189) (* (- 78) ?x4)) 0) (or (<= (+ (+ (* 11 ?x2) ?v_190) ?v_57) (- 40)) (= (+ ?v_191 ?v_192) 0))) (and (or (and (>= (+ (+ (+ (* 47 ?x1) ?v_3) ?v_73) ?v_193) 0) (<= (+ (+ (* 29 ?x2) (* 15 ?x3)) (* 47 ?x4)) 0)) (and (< (+ ?v_145 ?v_148) (- 95)) (<= (+ (+ (+ (* 26 ?x1) ?v_194) ?v_94) ?v_142) 0))) (and (or (> (+ (+ ?v_149 (* (- 97) ?x2)) (* (- 46) ?x3)) 29) (<= (+ (+ ?v_117 ?v_195) ?v_196) 0)) (or (= (+ (+ ?v_248 (* (- 32) ?x3)) ?v_197) (- 15)) (> (* 30 ?x4) 14)))))))) (or (or (and (and (or (or (<= (+ (+ (* 17 ?x2) ?v_239) (* (- 74) ?x4)) 74) (< (+ (+ ?v_76 ?v_198) ?v_140) (- 68))) (>= (+ ?v_102 ?v_164) (- 56))) (or (or (< ?v_199 85) (>= (+ (+ (* (- 13) ?x1) ?v_200) ?v_201) (- 80))) (and (= (+ ?v_202 ?v_8) 0) (<= (+ (+ (* 67 ?x1) (* (- 66) ?x3)) ?v_184) 74)))) (or (or (or (< (+ (+ (+ ?v_171 ?v_203) (* (- 48) ?x3)) ?v_204) 0) (not (= (+ (+ ?v_205 (* (- 81) ?x3)) (* 61 ?x4)) (- 66)))) (or (not (= (+ (+ (+ (* 21 ?x1) ?v_206) ?v_23) ?v_207) 87)) (<= (+ (+ ?v_208 ?v_209) (* (- 73) ?x4)) 32))) (or (and (= (+ (* (- 83) ?x1) ?v_189) 65) (> (+ (+ (+ ?v_210 (* (- 36) ?x2)) ?v_211) (* 94 ?x4)) 0)) (and (= (+ (+ ?v_212 (* (- 3) ?x2)) ?v_213) 44) (<= (+ (+ ?v_214 ?v_215) ?v_216) 35))))) (and (or (or (<= (+ (+ (* 100 ?x2) ?v_217) (* (- 39) ?x4)) 0) (> (+ (+ (+ (* (- 65) ?x1) ?v_91) ?v_218) ?v_219) (- 73))) (or (>= (+ (+ (* (- 95) ?x1) ?v_60) ?v_23) 0) (not (= (+ (+ ?v_220 ?v_221) (* 17 ?x4)) (- 10))))) (or (and (or (> (+ (+ ?v_159 ?v_104) (* 39 ?x3)) 69) (not (= (+ (+ (* (- 85) ?x1) ?v_52) ?v_222) 12))) (and (< (+ (+ (+ ?v_223 ?v_224) ?v_68) (* (- 58) ?x4)) 0) (<= (+ (* (- 8) ?x1) (* 46 ?x2)) 23))) (and (and (= (+ (+ ?v_225 (* (- 70) ?x3)) (* 9 ?x4)) 98) (<= (+ (+ ?v_233 (* (- 95) ?x2)) ?v_226) 92)) (or (> (+ ?v_227 ?v_228) 0) (<= (+ (+ (* 44 ?x2) ?v_230) (* 33 ?x4)) 11)))))) (or (and (and (and (or (>= (+ (+ (+ (* 92 ?x1) ?v_208) ?v_34) ?v_229) 0) (< (+ (+ (* 34 ?x1) (* 5 ?x3)) ?v_115) 97)) (and (>= (+ (+ (+ ?v_61 (* 96 ?x2)) ?v_230) ?v_231) 0) (> (+ (+ (+ (* (- 28) ?x1) ?v_256) ?v_232) ?v_69) 98))) (and (and (= (+ (+ ?v_233 ?v_63) ?v_234) 36) (<= (+ (+ (+ ?v_235 ?v_236) (* (- 13) ?x3)) ?v_80) 66)) (not (= (+ (+ (+ (* (- 50) ?x1) ?v_194) (* 1 ?x3)) ?v_186) 30)))) (or (or (and (and (= (+ (+ ?v_237 ?v_238) ?v_239) (- 9)) (not (= (+ ?v_240 ?v_115) 0))) (and (= (+ ?v_241 ?v_77) (- 57)) (>= (+ ?v_52 ?v_231) 0))) (or (>= ?v_222 (- 11)) (not (= (+ ?v_179 (* (- 91) ?x4)) 12)))) (or (or (< (+ (+ (+ ?v_242 (* (- 51) ?x2)) ?v_217) ?v_243) 0) (< (+ (+ (+ ?v_244 ?v_245) (* (- 14) ?x3)) (* 16 ?x4)) 0)) (or (or (not (= (+ (+ (+ ?v_246 (* (- 83) ?x2)) ?v_198) ?v_115) 95)) (>= (+ (+ (+ (* 33 ?x1) ?v_86) (* 61 ?x3)) ?v_157) 0)) (or (>= (+ (+ (+ (* 38 ?x1) ?v_39) ?v_31) ?v_89) 0) (> (+ (+ ?v_247 ?v_248) ?v_198) (- 52))))))) (and (or (and (or (<= (* 80 ?x1) (- 82)) (< ?v_137 (- 11))) (and (> (+ (* (- 60) ?x2) ?v_23) 0) (<= (+ (+ (+ ?v_117 ?v_185) ?v_249) ?v_250) 5))) (and (or (or (= (+ ?v_244 ?v_88) 63) (= ?v_69 24)) (< (+ ?v_251 ?v_28) (- 92))) (or (and (< (+ (+ ?v_102 ?v_206) ?v_252) 7) (= (+ (+ ?v_253 ?v_254) (* (- 21) ?x4)) (- 72))) (and (= (+ (+ (+ ?v_102 (* (- 52) ?x2)) ?v_255) (* 95 ?x4)) 51) (not (= ?v_97 0)))))) (and (and (and (> (+ ?v_256 ?v_231) 84) (> (+ (+ ?v_123 ?v_257) ?v_180) 30)) (or (or (< (+ (+ (+ ?v_223 ?v_96) (* (- 56) ?x3)) ?v_258) (- 35)) (<= (+ ?v_3 (* 25 ?x3)) 0)) (and (<= (+ (+ (+ ?v_259 (* (- 79) ?x2)) (* 42 ?x3)) ?v_260) 3) (not (= (+ (+ ?v_261 ?v_124) ?v_197) (- 76)))))) (and (and (or (= ?v_262 57) (= (+ (+ ?v_67 ?v_172) ?v_192) 78)) (and (< (+ (+ ?v_263 ?v_264) ?v_265) 76) (not (= (+ (+ (+ ?v_98 ?v_107) ?v_234) (* 50 ?x4)) 2)))) (and (or (< (+ (+ ?v_266 (* (- 44) ?x2)) ?v_267) 67) (>= (+ (+ ?v_36 ?v_249) (* (- 2) ?x4)) 0)) (or (not (= (+ ?v_268 ?v_269) 0)) (< (+ (* (- 4) ?x3) ?v_270) 37)))))))))))))))))
(check-sat)
(exit)
