(set-info :smt-lib-version 2.6)
(set-logic LRA)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :category "random")
(set-info :status sat)
(declare-fun x1 () Real)
(declare-fun x2 () Real)
(declare-fun x3 () Real)
(declare-fun x4 () Real)
(assert (forall ((?x1 Real)) (exists ((?x2 Real)) (forall ((?x3 Real)) (exists ((?x4 Real)) (let ((?v_615 (* 21 ?x3)) (?v_65 (* 22 ?x2)) (?v_416 (* 31 ?x3)) (?v_25 (* 43 ?x4)) (?v_382 (* 58 ?x1)) (?v_552 (* 69 ?x4)) (?v_16 (* 73 ?x1)) (?v_1 (* 50 ?x3)) (?v_61 (* 55 ?x4)) (?v_242 (* 92 ?x1)) (?v_479 (* 41 ?x1)) (?v_0 (* 51 ?x4)) (?v_213 (* 67 ?x4)) (?v_74 (* 11 ?x3)) (?v_46 (* 97 ?x1)) (?v_6 (* 63 ?x4)) (?v_28 (* 20 ?x2)) (?v_197 (* 51 ?x3)) (?v_27 (* 48 ?x2)) (?v_165 (* 72 ?x2)) (?v_191 (* 83 ?x3)) (?v_90 (* 76 ?x4)) (?v_155 (* 19 ?x1)) (?v_144 (* 100 ?x2)) (?v_229 (* 45 ?x1)) (?v_219 (* 1 ?x2)) (?v_83 (* 92 ?x3)) (?v_222 (* 45 ?x2)) (?v_282 (* 100 ?x4)) (?v_477 (* 82 ?x3)) (?v_142 (* 96 ?x4)) (?v_296 (* 66 ?x1)) (?v_80 (* 85 ?x2)) (?v_409 (* 77 ?x4)) (?v_106 (* 93 ?x3)) (?v_303 (* 6 ?x4)) (?v_62 (* 92 ?x2)) (?v_501 (* 14 ?x1)) (?v_14 (* 53 ?x4)) (?v_350 (* 93 ?x1)) (?v_11 (* 36 ?x1)) (?v_456 (* 10 ?x4)) (?v_19 (* 44 ?x2)) (?v_26 (* 86 ?x4)) (?v_108 (* 96 ?x2)) (?v_37 (* 52 ?x3)) (?v_430 (* 93 ?x4)) (?v_31 (* 1 ?x1)) (?v_340 (* 60 ?x3)) (?v_161 (* 14 ?x4)) (?v_70 (* 40 ?x1)) (?v_45 (* 33 ?x2)) (?v_50 (* 24 ?x3)) (?v_333 (* 23 ?x4)) (?v_629 (* 28 ?x1)) (?v_492 (* 41 ?x2)) (?v_92 (* 29 ?x3)) (?v_342 (* 66 ?x2)) (?v_158 (* 8 ?x4)) (?v_275 (* 47 ?x1)) (?v_125 (* 9 ?x1)) (?v_566 (* 81 ?x3)) (?v_91 (* 24 ?x4)) (?v_395 (* 6 ?x2)) (?v_98 (* 4 ?x2)) (?v_22 (* 30 ?x1)) (?v_128 (* 64 ?x2)) (?v_17 (* 48 ?x3)) (?v_204 (* 8 ?x2)) (?v_267 (* 57 ?x4)) (?v_205 (* 15 ?x4)) (?v_572 (* 29 ?x1)) (?v_343 (* 15 ?x2)) (?v_623 (* 53 ?x1)) (?v_36 (* 83 ?x1)) (?v_243 (* 9 ?x3)) (?v_32 (* 21 ?x1)) (?v_127 (* 90 ?x3)) (?v_192 (* 71 ?x4)) (?v_115 (* 14 ?x3)) (?v_135 (* 79 ?x2)) (?v_227 (* 17 ?x1)) (?v_467 (* 77 ?x3)) (?v_111 (* 94 ?x3)) (?v_525 (* 44 ?x3)) (?v_86 (* 86 ?x3)) (?v_34 (* 28 ?x3)) (?v_509 (* 78 ?x3)) (?v_93 (* 27 ?x1)) (?v_417 (* 43 ?x1)) (?v_215 (* 3 ?x2)) (?v_523 (* 92 ?x4)) (?v_744 (* 42 ?x2)) (?v_187 (* 18 ?x1)) (?v_176 (* 59 ?x3)) (?v_625 (* 51 ?x1)) (?v_299 (* 42 ?x3)) (?v_166 (* 29 ?x4)) (?v_216 (* 50 ?x2)) (?v_261 (* 76 ?x3)) (?v_60 (* 58 ?x3)) (?v_76 (* 2 ?x1)) (?v_628 (* 25 ?x4)) (?v_748 (* 98 ?x1)) (?v_58 (* 53 ?x3)) (?v_189 (* 30 ?x4)) (?v_160 (* 84 ?x2)) (?v_89 (* 36 ?x3)) (?v_209 (* 42 ?x4)) (?v_130 (* 35 ?x4)) (?v_526 (* 48 ?x4)) (?v_599 (* 35 ?x2)) (?v_295 (* 89 ?x3)) (?v_99 (* 39 ?x3)) (?v_107 (* 30 ?x2)) (?v_499 (* 19 ?x4)) (?v_117 (* 16 ?x1)) (?v_472 (* 12 ?x2)) (?v_101 (* 45 ?x3)) (?v_437 (* 37 ?x4)) (?v_153 (* 31 ?x2)) (?v_736 (* 31 ?x4)) (?v_332 (* 34 ?x1)) (?v_88 (* 11 ?x2)) (?v_528 (* 34 ?x2)) (?v_53 (* 90 ?x2)) (?v_330 (* 79 ?x4)) (?v_289 (* 5 ?x1)) (?v_174 (* 13 ?x1)) (?v_258 (* 16 ?x3)) (?v_141 (* 5 ?x4)) (?v_367 (* 5 ?x2)) (?v_186 (* 36 ?x4)) (?v_484 (* 52 ?x4)) (?v_427 (* 87 ?x1)) (?v_87 (* 17 ?x4)) (?v_644 (* 84 ?x3)) (?v_375 (* 84 ?x4)) (?v_129 (* 76 ?x1)) (?v_351 (* 32 ?x1)) (?v_626 (* 11 ?x1)) (?v_162 (* 80 ?x2)) (?v_175 (* 38 ?x1)) (?v_380 (* 18 ?x3)) (?v_390 (* 94 ?x4)) (?v_113 (* 72 ?x1)) (?v_678 (* 98 ?x3)) (?v_387 (* 31 ?x1)) (?v_116 (* 88 ?x1)) (?v_379 (* 13 ?x2)) (?v_184 (* 18 ?x2)) (?v_468 (* 95 ?x3)) (?v_274 (* 60 ?x4)) (?v_574 (* 63 ?x1)) (?v_233 (* 68 ?x2)) (?v_97 (* 10 ?x1)) (?v_720 (* 50 ?x4)) (?v_314 (* 48 ?x1)) (?v_294 (* 57 ?x1)) (?v_568 (* 32 ?x2)) (?v_650 (* 41 ?x3)) (?v_485 (* 3 ?x1)) (?v_149 (* 23 ?x3)) (?v_110 (* 54 ?x4)) (?v_394 (* 18 ?x4)) (?v_322 (* 39 ?x2)) (?v_577 (* 20 ?x1)) (?v_291 (* 90 ?x1)) (?v_123 (* 14 ?x2)) (?v_489 (* 59 ?x1)) (?v_112 (* 98 ?x4)) (?v_298 (* 82 ?x1)) (?v_318 (* 91 ?x4)) (?v_138 (* 73 ?x2)) (?v_614 (* 100 ?x3)) (?v_143 (* 68 ?x1)) (?v_190 (* 74 ?x2)) (?v_159 (* 84 ?x1)) (?v_450 (* 71 ?x3)) (?v_179 (* 57 ?x2)) (?v_474 (* 19 ?x3)) (?v_425 (* 20 ?x4)) (?v_638 (* 64 ?x3)) (?v_196 (* 45 ?x4)) (?v_374 (* 21 ?x2)) (?v_306 (* 3 ?x3)) (?v_701 (* 62 ?x4)) (?v_232 (* 47 ?x2)) (?v_134 (* 64 ?x1)) (?v_652 (* 75 ?x3)) (?v_177 (* 99 ?x4)) (?v_308 (* 56 ?x1)) (?v_784 (* 60 ?x1)) (?v_157 (* 38 ?x4)) (?v_139 (* 43 ?x3)) (?v_173 (* 61 ?x4)) (?v_749 (* 49 ?x2)) (?v_329 (* 73 ?x3)) (?v_575 (* 32 ?x4)) (?v_645 (* 61 ?x3))) (let ((?v_724 (+ ?v_134 ?v_135)) (?v_791 (* 33 ?x1)) (?v_444 (* 56 ?x4)) (?v_537 (* 26 ?x1)) (?v_203 (* 28 ?x4)) (?v_418 (* 54 ?x3)) (?v_510 (* 85 ?x3)) (?v_230 (* 7 ?x3)) (?v_751 (* 47 ?x4)) (?v_207 (* 72 ?x3)) (?v_384 (* 94 ?x2)) (?v_317 (* 96 ?x3)) (?v_313 (* 99 ?x1)) (?v_290 (* 87 ?x4)) (?v_180 (* 63 ?x3)) (?v_423 (* 65 ?x2)) (?v_540 (* 26 ?x2)) (?v_457 (* 46 ?x2)) (?v_247 (* 62 ?x2)) (?v_419 (* 7 ?x2)) (?v_169 (* 54 ?x1)) (?v_365 (* 67 ?x3)) (?v_446 (* 80 ?x4)) (?v_273 (* 34 ?x3)) (?v_178 (* 1 ?x3)) (?v_447 (* 91 ?x1)) (?v_522 (* 8 ?x3)) (?v_386 (* 40 ?x4)) (?v_459 (* 62 ?x1)) (?v_221 (* 32 ?x3)) (?v_360 (* 68 ?x4)) (?v_276 (* 25 ?x2)) (?v_799 (* 29 ?x2)) (?v_211 (* 12 ?x4)) (?v_249 (* 71 ?x1)) (?v_292 (* 10 ?x3)) (?v_511 (* 12 ?x1)) (?v_277 (* 97 ?x4)) (?v_770 (* 24 ?x2)) (?v_239 (* 81 ?x4)) (?v_280 (* 96 ?x1)) (?v_716 (* 49 ?x4)) (?v_413 (* 27 ?x3)) (?v_200 (* 71 ?x2)) (?v_228 (* 57 ?x3)) (?v_692 (* 55 ?x2)) (?v_491 (* 52 ?x1)) (?v_225 (* 22 ?x3)) (?v_346 (* 65 ?x1)) (?v_657 (* 61 ?x2)) (?v_546 (* 46 ?x1)) (?v_286 (* 75 ?x4)) (?v_493 (* 69 ?x2)) (?v_529 (* 89 ?x4)) (?v_609 (* 44 ?x1)) (?v_359 (* 19 ?x2)) (?v_323 (* 40 ?x3)) (?v_278 (* 39 ?x1)) (?v_682 (* 42 ?x1)) (?v_337 (* 86 ?x2)) (?v_252 (* 70 ?x3)) (?v_264 (* 16 ?x2)) (?v_345 (* 77 ?x1)) (?v_544 (* 81 ?x2)) (?v_226 (* 22 ?x4)) (?v_255 (* 39 ?x4)) (?v_435 (* 74 ?x4)) (?v_244 (* 6 ?x1)) (?v_483 (* 26 ?x4)) (?v_773 (* 85 ?x1)) (?v_746 (* 70 ?x2)) (?v_512 (* 34 ?x4)) (?v_248 (* 70 ?x4)) (?v_272 (* 95 ?x2)) (?v_600 (* 47 ?x3)) (?v_268 (* 58 ?x4)) (?v_302 (* 60 ?x2)) (?v_452 (* 35 ?x1)) (?v_344 (* 72 ?x4)) (?v_617 (* 78 ?x2)) (?v_453 (* 97 ?x3)) (?v_443 (* 37 ?x3)) (?v_559 (* 100 ?x1)) (?v_355 (* 41 ?x4)) (?v_316 (* 81 ?x1)) (?v_388 (* 35 ?x3)) (?v_643 (* 12 ?x3)) (?v_448 (* 28 ?x2)) (?v_627 (* 43 ?x2)) (?v_612 (* 27 ?x4)) (?v_555 (* 51 ?x2)) (?v_325 (* 9 ?x4)) (?v_506 (* 2 ?x4)) (?v_397 (* 15 ?x1)) (?v_301 (* 26 ?x3)) (?v_670 (* 25 ?x3)) (?v_391 (* 25 ?x1)) (?v_357 (* 33 ?x4)) (?v_358 (* 49 ?x1)) (?v_408 (* 79 ?x1)) (?v_381 (* 13 ?x4)) (?v_420 (* 24 ?x1)) (?v_458 (* 7 ?x4)) (?v_706 (* 37 ?x2)) (?v_771 (* 83 ?x2)) (?v_414 (* 78 ?x4)) (?v_699 (* 68 ?x3)) (?v_758 (* 91 ?x2)) (?v_321 (* 98 ?x2)) (?v_673 (* 93 ?x2)) (?v_562 (* 91 ?x3)) (?v_500 (* 79 ?x3)) (?v_590 (* 87 ?x3)) (?v_775 (* 27 ?x2)) (?v_750 (* 88 ?x2)) (?v_713 (* 65 ?x4)) (?v_324 (* 6 ?x3)) (?v_535 (* 11 ?x4)) (?v_513 (* 52 ?x2)) (?v_717 (* 65 ?x3)) (?v_336 (* 82 ?x4)) (?v_560 (* 64 ?x4)) (?v_567 (* 67 ?x1)) (?v_373 (* 38 ?x2)) (?v_605 (* 66 ?x3)) (?v_356 (* 33 ?x3)) (?v_368 (* 4 ?x3)) (?v_462 (* 38 ?x3)) (?v_688 (* 7 ?x1)) (?v_543 (* 59 ?x2)) (?v_668 (* 50 ?x1)) (?v_634 (* 20 ?x3)) (?v_490 (* 88 ?x4)) (?v_780 (* 8 ?x1)) (?v_587 (* 99 ?x3)) (?v_400 (* 5 ?x3)) (?v_401 (* 4 ?x1)) (?v_517 (* 87 ?x2)) (?v_558 (* 89 ?x1)) (?v_631 (* 76 ?x2)) (?v_584 (* 15 ?x3)) (?v_536 (* 86 ?x1)) (?v_774 (* 94 ?x1)) (?v_714 (* 61 ?x1)) (?v_721 (* 55 ?x1)) (?v_498 (* 17 ?x3)) (?v_689 (* 67 ?x2)) (?v_669 (* 75 ?x2)) (?v_488 (* 85 ?x4)) (?v_674 (* 30 ?x3)) (?v_613 (* 3 ?x4)) (?v_651 (* 59 ?x4)) (?v_738 (* 74 ?x1)) (?v_624 (* 90 ?x4)) (?v_530 (* 58 ?x2)) (?v_532 (* 13 ?x3)) (?v_695 (* 9 ?x2)) (?v_795 (* 56 ?x3)) (?v_636 (* 83 ?x4)) (?v_661 (* 63 ?x2)) (?v_761 (* 37 ?x1)) (?v_611 (* 97 ?x2)) (?v_545 (* 55 ?x3)) (?v_542 (* 36 ?x2)) (?v_675 (* 82 ?x2)) (?v_656 (* 89 ?x2)) (?v_690 (* 77 ?x2)) (?v_683 (* 23 ?x2)) (?v_737 (* 2 ?x3)) (?v_659 (* 4 ?x4)) (?v_630 (* 1 ?x4)) (?v_586 (* 40 ?x2)) (?v_621 (* 80 ?x3)) (?v_601 (* 10 ?x2)) (?v_711 (* 95 ?x1)) (?v_685 (* 95 ?x4)) (?v_677 (* 99 ?x2)) (?v_694 (* 69 ?x3))) (let ((?v_637 (+ ?v_559 ?v_200)) (?v_719 (* 49 ?x3)) (?v_757 (* 46 ?x3)) (?v_660 (* 62 ?x3)) (?v_687 (* 16 ?x4)) (?v_726 (* 78 ?x1)) (?v_647 (* 46 ?x4)) (?v_667 (* 2 ?x2)) (?v_705 (* 70 ?x1)) (?v_731 (* 74 ?x3)) (?v_765 (* 69 ?x1)) (?v_725 (* 80 ?x1)) (?v_756 (* 88 ?x3)) (?v_762 (* 22 ?x1)) (?v_733 (* 54 ?x2)) (?v_772 (* 44 ?x4)) (?v_798 (* 66 ?x4)) (?v_785 (* 23 ?x1)) (?v_783 (* 17 ?x2)) (?v_466 (* (- 96) ?x2)) (?v_79 (* (- 16) ?x4)) (?v_120 (* (- 4) ?x3)) (?v_9 (* (- 98) ?x2)) (?v_5 (* (- 49) ?x3)) (?v_59 (* (- 83) ?x4)) (?v_20 (* (- 58) ?x4)) (?v_764 (* (- 7) ?x1)) (?v_284 (* (- 51) ?x2)) (?v_10 (* (- 55) ?x3)) (?v_95 (* (- 62) ?x1)) (?v_516 (* (- 71) ?x2)) (?v_582 (* (- 63) ?x3)) (?v_235 (* (- 18) ?x2)) (?v_7 (* (- 73) ?x1)) (?v_353 (* (- 46) ?x2)) (?v_151 (* (- 67) ?x3)) (?v_377 (* (- 90) ?x1)) (?v_39 (* (- 57) ?x2)) (?v_12 (* (- 60) ?x4)) (?v_763 (* (- 81) ?x2)) (?v_54 (* (- 99) ?x3)) (?v_15 (* (- 56) ?x1)) (?v_30 (* (- 63) ?x4)) (?v_56 (* (- 88) ?x1)) (?v_214 (* (- 61) ?x4)) (?v_104 (* (- 98) ?x3)) (?v_348 (* (- 27) ?x1)) (?v_2 (* (- 28) ?x2)) (?v_481 (* (- 85) ?x4)) (?v_3 (* (- 87) ?x1)) (?v_4 (* (- 52) ?x3)) (?v_385 (* (- 17) ?x1)) (?v_426 (* (- 15) ?x2)) (?v_18 (* (- 86) ?x1)) (?v_712 (* (- 88) ?x2)) (?v_44 (* (- 48) ?x4)) (?v_503 (* (- 23) ?x2)) (?v_21 (* (- 97) ?x3)) (?v_710 (* (- 54) ?x2)) (?v_8 (* (- 67) ?x2)) (?v_341 (* (- 54) ?x1)) (?v_281 (* (- 1) ?x3)) (?v_38 (* (- 55) ?x4)) (?v_13 (* (- 53) ?x3)) (?v_105 (* (- 38) ?x1)) (?v_68 (* (- 45) ?x2)) (?v_442 (* (- 56) ?x2)) (?v_789 (* (- 7) ?x3)) (?v_259 (* (- 35) ?x4)) (?v_433 (* (- 82) ?x4)) (?v_78 (* (- 2) ?x1)) (?v_48 (* (- 79) ?x3)) (?v_72 (* (- 77) ?x4)) (?v_51 (* (- 38) ?x3)) (?v_55 (* (- 44) ?x2)) (?v_696 (* (- 14) ?x3)) (?v_57 (* (- 25) ?x2)) (?v_287 (* (- 68) ?x3)) (?v_33 (* (- 93) ?x2)) (?v_42 (* (- 13) ?x1)) (?v_648 (* (- 27) ?x2)) (?v_103 (* (- 71) ?x3)) (?v_23 (* (- 8) ?x2)) (?v_156 (* (- 40) ?x3)) (?v_24 (* (- 39) ?x3)) (?v_376 (* (- 25) ?x4)) (?v_35 (* (- 9) ?x4)) (?v_335 (* (- 80) ?x3)) (?v_270 (* (- 16) ?x2)) (?v_172 (* (- 91) ?x1)) (?v_602 (* (- 83) ?x3)) (?v_217 (* (- 81) ?x4)) (?v_310 (* (- 93) ?x4)) (?v_29 (* (- 55) ?x2)) (?v_210 (* (- 34) ?x1)) (?v_163 (* (- 73) ?x4)) (?v_404 (* (- 89) ?x4)) (?v_85 (* (- 3) ?x1)) (?v_312 (* (- 64) ?x2)) (?v_475 (* (- 89) ?x1)) (?v_47 (* (- 6) ?x4)) (?v_131 (* (- 79) ?x1)) (?v_168 (* (- 17) ?x4)) (?v_41 (* (- 36) ?x4)) (?v_234 (* (- 30) ?x3)) (?v_40 (* (- 80) ?x4)) (?v_140 (* (- 85) ?x2)) (?v_133 (* (- 36) ?x2)) (?v_170 (* (- 26) ?x2)) (?v_639 (* (- 71) ?x4)) (?v_260 (* (- 75) ?x2)) (?v_94 (* (- 11) ?x4)) (?v_547 (* (- 33) ?x4)) (?v_288 (* (- 22) ?x4)) (?v_297 (* (- 69) ?x3)) (?v_66 (* (- 39) ?x4)) (?v_43 (* (- 76) ?x2)) (?v_114 (* (- 30) ?x2)) (?v_146 (* (- 42) ?x4)) (?v_102 (* (- 4) ?x2)) (?v_240 (* (- 30) ?x1)) (?v_199 (* (- 25) ?x3)) (?v_52 (* (- 32) ?x4)) (?v_164 (* (- 11) ?x1)) (?v_250 (* (- 39) ?x2)) (?v_182 (* (- 87) ?x3)) (?v_63 (* (- 74) ?x1)) (?v_610 (* (- 75) ?x3)) (?v_514 (* (- 100) ?x2)) (?v_194 (* (- 39) ?x1)) (?v_429 (* (- 44) ?x3)) (?v_67 (* (- 13) ?x4)) (?v_403 (* (- 72) ?x2)) (?v_622 (* (- 66) ?x4)) (?v_69 (* (- 10) ?x1)) (?v_118 (* (- 77) ?x2)) (?v_410 (* (- 2) ?x2)) (?v_121 (* (- 9) ?x3)) (?v_96 (* (- 50) ?x2)) (?v_167 (* (- 54) ?x3)) (?v_126 (* (- 32) ?x2)) (?v_137 (* (- 69) ?x1)) (?v_64 (* (- 48) ?x2)) (?v_392 (* (- 65) ?x3)) (?v_171 (* (- 40) ?x4)) (?v_152 (* (- 78) ?x1)) (?v_49 (* (- 80) ?x1)) (?v_436 (* (- 99) ?x2)) (?v_476 (* (- 10) ?x4)) (?v_71 (* (- 35) ?x2)) (?v_256 (* (- 25) ?x1)) (?v_84 (* (- 67) ?x1)) (?v_136 (* (- 29) ?x3)) (?v_769 (* (- 41) ?x3)) (?v_407 (* (- 15) ?x4)) (?v_100 (* (- 28) ?x4)) (?v_331 (* (- 87) ?x2)) (?v_402 (* (- 47) ?x1)) (?v_81 (* (- 57) ?x3)) (?v_122 (* (- 74) ?x3)) (?v_238 (* (- 97) ?x2)) (?v_518 (* (- 68) ?x4)) (?v_132 (* (- 4) ?x1)) (?v_593 (* (- 60) ?x2)) (?v_202 (* (- 32) ?x1)) (?v_119 (* (- 61) ?x3)) (?v_145 (* (- 14) ?x4)) (?v_82 (* (- 94) ?x4)) (?v_464 (* (- 37) ?x3)) (?v_478 (* (- 1) ?x4)) (?v_77 (* (- 62) ?x2)) (?v_73 (* (- 89) ?x3)) (?v_224 (* (- 17) ?x3)) (?v_269 (* (- 12) ?x1)) (?v_147 (* (- 16) ?x3)) (?v_75 (* (- 95) ?x4)) (?v_109 (* (- 56) ?x4)) (?v_411 (* (- 26) ?x3)) (?v_618 (* (- 92) ?x2))) (let ((?v_679 (+ ?v_618 ?v_60)) (?v_279 (* (- 2) ?x4)) (?v_642 (* (- 83) ?x1)) (?v_635 (* (- 40) ?x2)) (?v_293 (* (- 19) ?x4)) (?v_334 (* (- 85) ?x3)) (?v_124 (* (- 18) ?x4)) (?v_319 (* (- 89) ?x2)) (?v_580 (* (- 66) ?x2)) (?v_266 (* (- 72) ?x3)) (?v_246 (* (- 3) ?x2)) (?v_285 (* (- 8) ?x3)) (?v_283 (* (- 60) ?x3)) (?v_154 (* (- 74) ?x4)) (?v_569 (* (- 90) ?x4)) (?v_495 (* (- 73) ?x2)) (?v_378 (* (- 93) ?x3)) (?v_595 (* (- 38) ?x2)) (?v_753 (* (- 51) ?x3)) (?v_653 (* (- 99) ?x1)) (?v_220 (* (- 84) ?x1)) (?v_520 (* (- 4) ?x4)) (?v_241 (* (- 23) ?x1)) (?v_253 (* (- 67) ?x4)) (?v_326 (* (- 70) ?x2)) (?v_254 (* (- 36) ?x3)) (?v_752 (* (- 75) ?x4)) (?v_524 (* (- 21) ?x1)) (?v_148 (* (- 78) ?x2)) (?v_150 (* (- 96) ?x4)) (?v_666 (* (- 8) ?x1)) (?v_449 (* (- 30) ?x4)) (?v_507 (* (- 20) ?x2)) (?v_372 (* (- 90) ?x2)) (?v_438 (* (- 24) ?x3)) (?v_564 (* (- 53) ?x4)) (?v_548 (* (- 76) ?x1)) (?v_455 (* (- 34) ?x2)) (?v_263 (* (- 31) ?x4)) (?v_307 (* (- 81) ?x1)) (?v_320 (* (- 49) ?x1)) (?v_415 (* (- 52) ?x2)) (?v_201 (* (- 33) ?x3)) (?v_369 (* (- 26) ?x4)) (?v_460 (* (- 78) ?x3)) (?v_328 (* (- 58) ?x2)) (?v_251 (* (- 17) ?x2)) (?v_792 (* (- 44) ?x4)) (?v_596 (* (- 24) ?x4)) (?v_793 (* (- 91) ?x2)) (?v_206 (* (- 18) ?x1)) (?v_541 (* (- 23) ?x3)) (?v_185 (* (- 86) ?x2)) (?v_527 (* (- 98) ?x4)) (?v_193 (* (- 62) ?x3)) (?v_257 (* (- 80) ?x2)) (?v_585 (* (- 96) ?x3)) (?v_398 (* (- 64) ?x4)) (?v_212 (* (- 50) ?x1)) (?v_181 (* (- 1) ?x1)) (?v_571 (* (- 59) ?x3)) (?v_236 (* (- 6) ?x3)) (?v_188 (* (- 21) ?x3)) (?v_777 (* (- 82) ?x1)) (?v_198 (* (- 42) ?x2)) (?v_428 (* (- 12) ?x4)) (?v_218 (* (- 34) ?x3)) (?v_271 (* (- 24) ?x1)) (?v_183 (* (- 69) ?x4)) (?v_195 (* (- 41) ?x2)) (?v_422 (* (- 90) ?x3)) (?v_237 (* (- 79) ?x4)) (?v_533 (* (- 49) ?x2)) (?v_371 (* (- 86) ?x4)) (?v_370 (* (- 57) ?x1)) (?v_361 (* (- 20) ?x1)) (?v_366 (* (- 22) ?x3)) (?v_208 (* (- 92) ?x4)) (?v_565 (* (- 77) ?x1)) (?v_347 (* (- 38) ?x4)) (?v_327 (* (- 94) ?x1)) (?v_315 (* (- 46) ?x1)) (?v_262 (* (- 59) ?x4)) (?v_633 (* (- 60) ?x1)) (?v_231 (* (- 70) ?x3)) (?v_338 (* (- 62) ?x4)) (?v_434 (* (- 73) ?x3)) (?v_245 (* (- 15) ?x3)) (?v_473 (* (- 35) ?x3)) (?v_502 (* (- 65) ?x1)) (?v_223 (* (- 64) ?x1)) (?v_482 (* (- 77) ?x3)) (?v_684 (* (- 37) ?x4)) (?v_305 (* (- 100) ?x1)) (?v_405 (* (- 53) ?x2)) (?v_508 (* (- 63) ?x1)) (?v_778 (* (- 47) ?x3)) (?v_339 (* (- 79) ?x2)) (?v_389 (* (- 43) ?x1)) (?v_265 (* (- 42) ?x1)) (?v_451 (* (- 51) ?x4)) (?v_383 (* (- 5) ?x4)) (?v_300 (* (- 55) ?x1)) (?v_722 (* (- 48) ?x1)) (?v_424 (* (- 28) ?x3)) (?v_576 (* (- 29) ?x4)) (?v_441 (* (- 45) ?x1)) (?v_487 (* (- 7) ?x2)) (?v_431 (* (- 50) ?x3)) (?v_570 (* (- 84) ?x4)) (?v_352 (* (- 10) ?x2)) (?v_309 (* (- 64) ?x3)) (?v_649 (* (- 70) ?x4)) (?v_354 (* (- 19) ?x3)) (?v_538 (* (- 13) ?x3)) (?v_494 (* (- 31) ?x3)) (?v_550 (* (- 18) ?x3)) (?v_665 (* (- 45) ?x4)) (?v_782 (* (- 45) ?x3)) (?v_445 (* (- 70) ?x1)) (?v_399 (* (- 78) ?x4))) (let ((?v_790 (+ ?v_271 ?v_140)) (?v_311 (* (- 75) ?x1)) (?v_723 (* (- 61) ?x2)) (?v_412 (* (- 41) ?x4)) (?v_497 (* (- 22) ?x2)) (?v_578 (* (- 32) ?x3)) (?v_521 (* (- 31) ?x1)) (?v_519 (* (- 76) ?x4)) (?v_471 (* (- 47) ?x2)) (?v_619 (* (- 100) ?x4)) (?v_739 (* (- 40) ?x1)) (?v_556 (* (- 37) ?x1)) (?v_432 (* (- 46) ?x3)) (?v_794 (* (- 26) ?x1)) (?v_480 (* (- 12) ?x3)) (?v_583 (* (- 43) ?x2)) (?v_304 (* (- 85) ?x1)) (?v_362 (* (- 12) ?x2)) (?v_469 (* (- 68) ?x1)) (?v_504 (* (- 22) ?x1)) (?v_700 (* (- 28) ?x1)) (?v_588 (* (- 97) ?x1)) (?v_349 (* (- 33) ?x1)) (?v_363 (* (- 49) ?x4)) (?v_440 (* (- 84) ?x2)) (?v_393 (* (- 34) ?x4)) (?v_364 (* (- 59) ?x1)) (?v_693 (* (- 23) ?x4)) (?v_704 (* (- 95) ?x3)) (?v_551 (* (- 98) ?x1)) (?v_454 (* (- 66) ?x1)) (?v_439 (* (- 9) ?x1)) (?v_594 (* (- 27) ?x3)) (?v_598 (* (- 37) ?x2))) (let ((?v_680 (+ ?v_202 ?v_598)) (?v_396 (* (- 88) ?x3)) (?v_486 (* (- 29) ?x2)) (?v_406 (* (- 92) ?x3)) (?v_597 (* (- 93) ?x1)) (?v_554 (* (- 56) ?x3)) (?v_788 (* (- 27) ?x4)) (?v_539 (* (- 47) ?x4)) (?v_531 (* (- 3) ?x3)) (?v_616 (* (- 43) ?x4)) (?v_754 (* (- 83) ?x2)) (?v_463 (* (- 52) ?x4)) (?v_781 (* (- 10) ?x3)) (?v_686 (* (- 51) ?x1)) (?v_604 (* (- 41) ?x1)) (?v_461 (* (- 95) ?x2)) (?v_465 (* (- 16) ?x1)) (?v_591 (* (- 3) ?x4)) (?v_421 (* (- 9) ?x2)) (?v_534 (* (- 94) ?x3)) (?v_655 (* (- 21) ?x4)) (?v_664 (* (- 11) ?x3)) (?v_646 (* (- 58) ?x1)) (?v_735 (* (- 84) ?x3)) (?v_745 (* (- 33) ?x2)) (?v_470 (* (- 66) ?x3)) (?v_496 (* (- 15) ?x1)) (?v_579 (* (- 36) ?x1)) (?v_592 (* (- 69) ?x2)) (?v_743 (* (- 95) ?x1)) (?v_553 (* (- 46) ?x4)) (?v_776 (* (- 86) ?x3)) (?v_654 (* (- 21) ?x2)) (?v_608 (* (- 14) ?x2)) (?v_658 (* (- 57) ?x4)) (?v_640 (* (- 96) ?x1)) (?v_505 (* (- 74) ?x2)) (?v_632 (* (- 19) ?x2)) (?v_603 (* (- 13) ?x2)) (?v_740 (* (- 91) ?x3)) (?v_641 (* (- 94) ?x2)) (?v_573 (* (- 82) ?x3)) (?v_728 (* (- 88) ?x4)) (?v_549 (* (- 5) ?x1)) (?v_515 (* (- 61) ?x1)) (?v_557 (* (- 99) ?x4)) (?v_563 (* (- 65) ?x4)) (?v_718 (* (- 35) ?x1)) (?v_663 (* (- 20) ?x3)) (?v_561 (* (- 100) ?x3)) (?v_589 (* (- 5) ?x3)) (?v_732 (* (- 72) ?x4)) (?v_581 (* (- 8) ?x4)) (?v_767 (* (- 71) ?x1)) (?v_730 (* (- 87) ?x4)) (?v_606 (* (- 7) ?x4)) (?v_620 (* (- 6) ?x1)) (?v_671 (* (- 82) ?x2)) (?v_742 (* (- 97) ?x4)) (?v_734 (+ ?v_229 ?v_96)) (?v_607 (* (- 19) ?x1)) (?v_697 (* (- 29) ?x1)) (?v_787 (* (- 42) ?x3)) (?v_676 (* (- 63) ?x2)) (?v_707 (* (- 31) ?x2)) (?v_662 (* (- 2) ?x3)) (?v_747 (* (- 1) ?x2)) (?v_741 (* (- 65) ?x2)) (?v_691 (* (- 81) ?x3)) (?v_709 (* (- 11) ?x2)) (?v_681 (* (- 72) ?x1)) (?v_703 (* (- 5) ?x2)) (?v_672 (* (- 58) ?x3)) (?v_729 (* (- 48) ?x3)) (?v_698 (* (- 14) ?x1)) (?v_766 (+ ?v_223 ?v_28)) (?v_702 (* (- 54) ?x4)) (?v_768 (* (- 50) ?x4)) (?v_786 (* (- 68) ?x2)) (?v_755 (* (- 24) ?x2)) (?v_797 (* (- 76) ?x3)) (?v_708 (* (- 92) ?x1)) (?v_779 (* (- 53) ?x1)) (?v_715 (* (- 91) ?x4)) (?v_727 (* (- 20) ?x4)) (?v_759 (* (- 59) ?x2)) (?v_760 (* (- 43) ?x3)) (?v_796 (+ ?v_791 ?v_426)) (?v_800 (+ ?v_212 ?v_373))) (and (and (or (or (or (or (or (and (or (and (or (or (>= (+ (+ ?v_466 ?v_615) ?v_79) (- 62)) (not (= (+ (+ ?v_65 ?v_416) ?v_25) (- 75)))) (or (>= (+ (+ ?v_382 ?v_120) ?v_552) 16) (> (+ (+ ?v_9 ?v_5) ?v_59) 96))) (and (and (>= (+ (+ ?v_16 ?v_1) ?v_20) 94) (= (+ (+ ?v_764 ?v_284) ?v_10) (- 10))) (and (> (+ (+ ?v_95 ?v_516) ?v_61) 84) (> (+ ?v_242 ?v_582) (- 24))))) (or (or (and (< (+ (+ ?v_479 ?v_235) ?v_0) (- 5)) (not (= (+ (+ ?v_7 ?v_353) ?v_151) (- 72)))) (and (= (+ (+ ?v_377 ?v_39) ?v_213) 0) (= (+ ?v_74 ?v_12) 20))) (not (= (+ (+ (+ ?v_46 ?v_763) ?v_54) ?v_6) (- 9))))) (or (and (and (or (> (+ (+ (+ ?v_15 ?v_28) ?v_197) ?v_30) 39) (= (+ (+ ?v_56 ?v_27) ?v_0) 41)) (or (= (+ (+ ?v_165 ?v_191) ?v_90) 0) (= (+ (+ ?v_155 ?v_144) ?v_214) (- 7)))) (or (< (+ (+ ?v_229 ?v_219) ?v_104) 37) (or (> (+ (+ (+ ?v_348 ?v_2) ?v_83) ?v_481) 0) (> (+ (+ (+ ?v_3 ?v_222) ?v_4) ?v_282) 0)))) (or (or (and (= (+ (+ ?v_385 ?v_426) ?v_477) (- 76)) (>= (+ (+ (+ ?v_18 ?v_712) ?v_1) ?v_44) (- 11))) (or (> (+ ?v_2 ?v_142) 90) (>= (+ (+ ?v_3 ?v_503) ?v_4) 10))) (and (and (>= (+ (+ ?v_296 ?v_80) ?v_409) (- 20)) (= (+ ?v_106 ?v_303) 0)) (and (<= (+ ?v_62 ?v_21) (- 52)) (<= (+ (+ (+ ?v_501 ?v_710) ?v_5) ?v_14) (- 10))))))) (and (or (and (and (< (+ ?v_350 ?v_6) (- 83)) (and (not (= (+ (+ ?v_11 ?v_8) ?v_456) (- 12))) (<= (+ (+ (+ ?v_341 ?v_19) ?v_281) ?v_38) (- 49)))) (and (> (+ (+ (+ ?v_7 ?v_8) ?v_13) ?v_26) (- 79)) (and (not (= (+ (+ (+ ?v_105 ?v_108) ?v_37) ?v_430) (- 63))) (not (= (+ (+ (+ ?v_31 ?v_68) ?v_340) ?v_161) 90))))) (or (or (or (not (= (+ (+ ?v_442 ?v_789) ?v_259) (- 69))) (< (+ (+ (+ ?v_70 ?v_45) ?v_50) ?v_333) (- 8))) (not (= (+ (+ (+ ?v_629 ?v_9) ?v_10) ?v_433) 14))) (or (or (<= (+ (+ ?v_78 ?v_48) ?v_72) (- 40)) (<= (+ ?v_492 ?v_92) (- 40))) (or (<= (+ ?v_342 ?v_51) (- 4)) (not (= (+ (+ (+ ?v_11 ?v_55) ?v_696) ?v_158) 6)))))) (or (or (or (>= (+ ?v_57 ?v_287) (- 95)) (>= (+ (+ (+ ?v_275 ?v_33) ?v_5) ?v_12) 0)) (and (< (+ (+ ?v_42 ?v_648) ?v_13) 43) (= (+ (+ ?v_125 ?v_566) ?v_91) (- 27)))) (and (<= (+ (+ ?v_395 ?v_103) ?v_14) 98) (>= (+ ?v_23 ?v_156) (- 53)))))) (and (or (and (and (and (or (= (+ (+ ?v_15 ?v_98) ?v_24) 0) (= (+ ?v_22 ?v_376) (- 52))) (not (= (+ (+ (+ ?v_16 ?v_128) ?v_17) ?v_35) 0))) (or (and (< (+ (+ ?v_204 ?v_17) ?v_267) 64) (not (= (+ ?v_18 ?v_205) 69))) (and (<= (+ (+ ?v_572 ?v_343) ?v_335) (- 10)) (< (+ ?v_623 ?v_270) 0)))) (and (and (>= (+ (+ (+ ?v_172 ?v_19) ?v_602) ?v_20) (- 20)) (or (< (+ (+ ?v_36 ?v_243) ?v_217) (- 20)) (< (+ (+ ?v_32 ?v_21) ?v_310) 0))) (or (and (= (+ (+ ?v_29 ?v_127) ?v_192) 11) (<= (+ (+ ?v_210 ?v_115) ?v_163) 41)) (and (= (+ (+ (+ ?v_22 ?v_23) ?v_24) ?v_404) 68) (<= (+ (+ ?v_85 ?v_135) ?v_25) (- 28)))))) (and (or (and (or (not (= (+ (+ ?v_227 ?v_312) ?v_26) (- 93))) (< (+ (+ (+ ?v_475 ?v_27) ?v_467) ?v_47) 0)) (and (> (+ ?v_131 ?v_168) 0) (not (= (+ ?v_28 ?v_41) 90)))) (and (< (+ (+ ?v_29 ?v_234) ?v_40) (- 32)) (and (> (+ (+ ?v_140 ?v_111) ?v_30) (- 69)) (< (+ (+ ?v_31 ?v_133) ?v_525) (- 11))))) (or (and (and (>= (+ (+ ?v_32 ?v_170) ?v_639) (- 80)) (not (= (+ (+ ?v_260 ?v_86) ?v_94) (- 21)))) (< (+ (+ ?v_33 ?v_34) ?v_547) (- 47))) (or (< (+ (+ ?v_23 ?v_509) ?v_288) 52) (and (> (+ ?v_297 ?v_66) (- 24)) (>= (+ (+ (+ ?v_93 ?v_43) ?v_34) ?v_35) (- 26))))))) (and (or (and (and (and (< (+ (+ ?v_417 ?v_215) ?v_523) 0) (> (+ (+ (+ ?v_36 ?v_744) ?v_37) ?v_38) (- 36))) (or (> (+ (+ (+ ?v_187 ?v_114) ?v_176) ?v_146) (- 39)) (<= (+ (+ (+ ?v_625 ?v_39) ?v_299) ?v_40) 56))) (and (and (< (+ ?v_102 ?v_166) 49) (> (+ (+ (+ ?v_240 ?v_216) ?v_261) ?v_41) 27)) (or (> (+ (+ (+ ?v_42 ?v_43) ?v_199) ?v_52) 24) (>= (+ (+ ?v_164 ?v_250) ?v_60) 4)))) (or (< (+ ?v_28 ?v_182) (- 74)) (< (+ (+ ?v_63 ?v_610) ?v_44) (- 80)))) (and (or (or (or (<= (+ (+ ?v_76 ?v_514) ?v_628) 62) (<= (+ (+ (+ ?v_748 ?v_45) ?v_58) ?v_189) (- 97))) (or (>= (+ (+ (+ ?v_194 ?v_160) ?v_429) ?v_67) 49) (<= (+ (+ ?v_18 ?v_403) ?v_622) (- 40)))) (and (and (not (= (+ (+ (+ ?v_69 ?v_118) ?v_89) ?v_209) 75)) (< (+ (+ ?v_410 ?v_121) ?v_35) (- 5))) (or (>= (+ (+ (+ ?v_46 ?v_96) ?v_167) ?v_130) (- 71)) (= (+ (+ ?v_36 ?v_126) ?v_526) 92)))) (and (or (>= (+ (+ (+ ?v_137 ?v_599) ?v_295) ?v_47) (- 2)) (> (+ (+ (+ ?v_3 ?v_64) ?v_392) ?v_171) 95)) (not (= (+ ?v_99 ?v_47) 54))))))) (and (and (and (and (and (= (+ (+ (+ ?v_152 ?v_107) ?v_48) ?v_499) (- 94)) (>= (+ (+ ?v_117 ?v_472) ?v_101) (- 86))) (or (and (< (+ (+ ?v_49 ?v_436) ?v_476) 40) (not (= (+ (+ ?v_71 ?v_24) ?v_437) (- 16)))) (or (< (+ (+ ?v_256 ?v_153) ?v_736) (- 17)) (and (> (+ ?v_84 ?v_136) 12) (not (= (+ (+ (+ ?v_332 ?v_88) ?v_769) ?v_407) 36)))))) (and (or (or (> (+ (+ ?v_49 ?v_528) ?v_100) (- 19)) (>= (+ (+ ?v_53 ?v_50) ?v_330) (- 95))) (or (<= (+ (+ (+ ?v_289 ?v_19) ?v_51) ?v_52) (- 63)) (<= (+ (+ (+ ?v_174 ?v_331) ?v_258) ?v_141) 0))) (or (and (<= (+ (+ (+ ?v_402 ?v_367) ?v_81) ?v_186) (- 37)) (< (+ (+ ?v_53 ?v_54) ?v_484) 0)) (or (or (<= (+ (+ (+ ?v_427 ?v_55) ?v_122) ?v_87) 80) (>= (+ (+ (+ ?v_56 ?v_57) ?v_644) ?v_375) 79)) (or (>= (+ (+ (+ (* (- 44) ?x1) ?v_238) ?v_58) ?v_59) (- 53)) (<= (+ (+ ?v_129 ?v_60) ?v_518) (- 10))))))) (or (or (or (or (<= (+ (+ (+ ?v_132 ?v_593) ?v_21) ?v_61) 0) (or (= (+ (+ (+ ?v_202 ?v_62) ?v_119) ?v_145) 8) (> (+ (+ ?v_63 ?v_64) ?v_82) 0))) (and (or (>= (+ (+ (+ ?v_351 ?v_65) ?v_464) ?v_478) (- 41)) (< (+ (+ ?v_626 ?v_77) ?v_66) 0)) (and (<= (+ (+ ?v_162 ?v_73) ?v_67) (- 40)) (<= (+ ?v_175 ?v_224) (- 22))))) (and (or (or (not (= (+ (+ (+ ?v_269 ?v_68) ?v_147) ?v_75) (- 48))) (= ?v_69 0)) (or (= (+ (+ ?v_70 ?v_380) ?v_390) 47) (= (+ (+ ?v_31 ?v_71) ?v_72) 0))) (and (> (+ (+ ?v_113 ?v_678) ?v_109) (- 25)) (not (= (+ ?v_73 ?v_12) 83))))) (or (or (and (> (+ (+ ?v_387 ?v_74) ?v_75) (- 67)) (>= (+ ?v_76 ?v_77) 0)) (or (and (>= (+ (+ ?v_78 ?v_411) ?v_79) (- 95)) (<= ?v_80 23)) (or (> (+ (+ ?v_116 ?v_379) ?v_81) (- 30)) (= (+ ?v_679 ?v_82) 0)))) (and (and (< (+ ?v_184 ?v_468) (- 80)) (< ?v_274 46)) (and (not (= (+ ?v_28 ?v_279) 0)) (not (= (+ ?v_642 ?v_83) (- 100)))))))) (or (and (and (or (<= (+ (+ ?v_84 ?v_635) ?v_293) 44) (and (and (< (+ (+ (+ ?v_85 (* 53 ?x2)) ?v_334) ?v_124) 4) (>= (+ (+ (+ ?v_574 ?v_233) ?v_86) ?v_87) 19)) (or (not (= (+ (+ (+ ?v_97 ?v_88) ?v_89) ?v_720) 0)) (<= (+ (+ ?v_3 ?v_319) ?v_90) 11)))) (or (and (or (< (+ ?v_3 ?v_91) 40) (not (= (+ (+ ?v_314 ?v_62) ?v_92) 12))) (and (not (= (+ ?v_580 ?v_266) 9)) (= (+ (+ (+ ?v_93 ?v_246) ?v_285) ?v_94) (- 64)))) (and (or (> (+ (+ (+ ?v_95 ?v_96) ?v_283) ?v_154) 0) (< (+ ?v_294 ?v_569) 0)) (and (>= (+ (+ ?v_97 ?v_568) ?v_650) 79) (= (+ (+ (+ ?v_485 ?v_495) ?v_149) ?v_110) 0))))) (and (and (> (+ (+ ?v_98 ?v_378) ?v_394) 83) (= (+ (+ ?v_322 ?v_99) ?v_100) 75)) (or (or (= (+ (+ ?v_577 ?v_595) ?v_101) 96) (< (+ (+ ?v_102 ?v_103) ?v_20) 10)) (and (= (+ ?v_42 ?v_753) 36) (not (= (+ ?v_291 ?v_123) (- 82))))))) (or (or (and (= (+ ?v_489 ?v_112) 0) (not (= (+ (+ (+ ?v_298 ?v_39) ?v_104) ?v_318) (- 63)))) (and (>= (+ (+ ?v_105 ?v_138) ?v_614) (- 32)) (<= (+ (+ (+ ?v_143 ?v_190) ?v_106) ?v_91) (- 31)))) (and (and (or (< ?v_44 (- 59)) (<= (+ (+ ?v_159 ?v_107) ?v_79) 0)) (and (> (+ (+ (+ ?v_7 ?v_108) ?v_450) ?v_109) 92) (< (+ (+ ?v_653 ?v_179) ?v_110) (- 71)))) (and (and (or (< (+ ?v_111 ?v_112) 0) (not (= (+ (+ ?v_220 ?v_474) ?v_520) (- 75)))) (or (>= (+ ?v_241 ?v_425) 55) (not (= (+ (+ ?v_70 ?v_64) ?v_638) 57)))) (or (<= (+ (+ (+ ?v_113 ?v_114) ?v_115) ?v_253) 0) (and (= (+ (+ (+ ?v_116 ?v_326) ?v_254) ?v_196) 20) (< (+ (+ ?v_117 ?v_374) ?v_752) 0))))))))) (and (or (or (or (or (and (> (+ (+ (+ ?v_524 ?v_148) ?v_306) ?v_701) (- 76)) (> (+ (+ ?v_118 ?v_119) ?v_150) 11)) (or (not (= (+ (+ ?v_666 ?v_120) (* 73 ?x4)) (- 94))) (< (+ (+ (+ ?v_95 ?v_232) ?v_121) ?v_449) (- 98)))) (or (and (and (>= (+ (+ ?v_134 ?v_652) ?v_177) 0) (not (= (+ (+ ?v_308 ?v_122) ?v_26) 0))) (not (= (+ ?v_123 ?v_124) 93))) (or (and (<= (+ (+ ?v_125 ?v_126) ?v_83) 0) (not (= (+ (+ (+ ?v_784 ?v_507) ?v_127) ?v_157) 0))) (> (+ ?v_84 ?v_128) 0)))) (or (and (or (>= (+ (+ ?v_372 ?v_438) ?v_564) (- 71)) (<= (+ (+ (+ ?v_548 ?v_455) ?v_139) ?v_263) (- 16))) (or (> (+ (+ ?v_129 ?v_24) ?v_173) 0) (>= (+ (+ (+ ?v_307 ?v_749) ?v_329) ?v_130) 19))) (or (and (and (= (+ (+ (+ ?v_320 ?v_415) ?v_201) ?v_575) 33) (<= (+ (+ ?v_131 ?v_645) ?v_369) 0)) (and (<= (+ (+ (+ ?v_132 ?v_133) ?v_460) ?v_82) 6) (<= (+ ?v_724 ?v_136) 0))) (or (or (> (+ ?v_137 ?v_77) 14) (not (= (+ (+ ?v_791 ?v_21) ?v_444) 0))) (>= (+ (+ (+ ?v_537 ?v_138) ?v_139) ?v_203) (- 71)))))) (and (and (or (>= (+ (+ ?v_140 ?v_74) ?v_141) 0) (= (+ ?v_328 ?v_142) 93)) (or (not (= (+ (+ ?v_143 ?v_251) ?v_792) (- 13))) (> ?v_418 68))) (and (and (> (+ ?v_510 ?v_596) 77) (<= (+ (+ ?v_793 ?v_230) ?v_751) 0)) (= (+ (+ ?v_144 ?v_207) ?v_145) 80)))) (or (and (or (and (or (<= (+ (+ ?v_206 ?v_541) ?v_130) 53) (and (>= (+ (+ (+ ?v_63 ?v_384) ?v_317) ?v_146) 85) (= (+ (+ ?v_185 ?v_147) ?v_79) (- 90)))) (< (+ (+ (+ ?v_313 ?v_148) ?v_149) ?v_290) 1)) (or (or (and (>= (+ (+ ?v_125 ?v_101) ?v_150) (- 41)) (<= (+ (+ ?v_135 ?v_151) ?v_527) 0)) (or (<= (+ (+ ?v_152 ?v_153) ?v_180) 0) (not (= (+ (+ ?v_423 ?v_193) ?v_154) 0)))) (and (and (< (+ (+ (+ ?v_155 ?v_257) ?v_585) ?v_398) (- 92)) (< (+ ?v_143 ?v_540) 7)) (and (> (+ (+ (+ ?v_212 ?v_457) ?v_156) ?v_157) (- 76)) (> (+ (+ (+ ?v_181 ?v_247) ?v_571) ?v_79) 35))))) (and (or (and (or (not (= (+ (+ ?v_419 ?v_236) ?v_158) 0)) (<= (+ (+ (+ ?v_169 ?v_148) ?v_89) ?v_157) 78)) (<= (+ (+ (+ ?v_159 ?v_160) ?v_365) ?v_446) (- 58))) (and (or (>= (+ ?v_273 ?v_161) 0) (< (+ (+ ?v_32 ?v_162) ?v_6) (- 17))) (and (<= (+ (+ ?v_116 ?v_178) ?v_163) 0) (<= (+ (+ (+ ?v_164 ?v_165) ?v_188) ?v_166) (- 78))))) (and (and (= (+ (+ ?v_447 ?v_522) ?v_386) 2) (or (> (+ (+ (+ ?v_459 ?v_114) ?v_167) ?v_168) (- 22)) (>= (+ (+ ?v_777 ?v_198) ?v_428) 76))) (or (and (> (+ (+ (+ ?v_169 ?v_170) ?v_218) ?v_171) 56) (not (= (+ ?v_271 ?v_183) 0))) (or (< (+ (+ (+ ?v_172 ?v_2) ?v_221) ?v_360) 67) (>= (+ (+ ?v_195 ?v_422) ?v_40) 0)))))) (and (and (or (not (= (+ ?v_276 ?v_173) 0)) (<= (+ (+ ?v_174 ?v_60) ?v_94) 78)) (or (< (+ (+ (+ ?v_175 ?v_799) ?v_176) ?v_177) 64) (= (+ (+ ?v_42 ?v_178) ?v_237) (- 12)))) (and (or (>= (+ ?v_533 ?v_211) 0) (and (<= (+ (+ ?v_249 ?v_160) ?v_292) 59) (<= (+ (+ (+ ?v_511 ?v_179) ?v_180) ?v_277) 68))) (or (or (or (< (+ (+ (+ ?v_181 ?v_80) ?v_156) ?v_371) 76) (< (+ (+ (+ ?v_370 ?v_770) ?v_182) ?v_239) (- 68))) (and (<= (+ ?v_280 ?v_716) 0) (>= (+ ?v_413 ?v_183) (- 86)))) (and (and (>= (+ (+ (+ ?v_361 ?v_184) ?v_366) ?v_25) (- 11)) (<= (+ (+ (+ ?v_78 ?v_185) ?v_1) ?v_186) 3)) (or (> (+ (+ (+ ?v_187 ?v_200) ?v_188) ?v_189) 8) (< (+ (+ ?v_190 ?v_228) ?v_208) 76))))))))) (or (or (or (and (or (> (+ (+ (+ ?v_565 ?v_692) ?v_191) ?v_192) 56) (and (not (= (+ ?v_491 ?v_193) (- 99))) (not (= (+ (+ ?v_194 ?v_225) ?v_347) (- 78))))) (or (or (> (+ ?v_195 ?v_196) 0) (and (< (+ (+ ?v_346 ?v_657) ?v_141) 19) (> (+ ?v_327 ?v_197) (- 52)))) (or (or (and (<= (+ (+ (+ ?v_546 ?v_198) ?v_199) ?v_157) (- 22)) (= (+ (+ ?v_315 ?v_200) ?v_286) 44)) (and (not (= (+ ?v_201 ?v_90) 90)) (= ?v_262 71))) (and (or (>= ?v_185 58) (not (= (+ ?v_493 ?v_529) 66))) (or (= (+ ?v_633 ?v_178) 0) (= (+ (+ (+ ?v_202 ?v_8) ?v_231) ?v_338) 0)))))) (or (or (or (or (or (> (+ (+ (+ ?v_609 ?v_359) ?v_323) ?v_203) 26) (< (+ ?v_204 ?v_434) 49)) (or (and (<= (+ (+ (+ ?v_278 ?v_204) ?v_245) ?v_205) 17) (> (+ (+ ?v_206 ?v_207) ?v_208) 0)) (and (<= (+ (+ (+ ?v_682 ?v_27) ?v_60) ?v_209) 89) (>= (+ (+ (+ ?v_210 ?v_337) ?v_252) ?v_211) (- 14))))) (and (or (not (= (+ (+ ?v_212 ?v_473) ?v_213) 0)) (and (>= (+ ?v_502 ?v_214) (- 86)) (>= (+ ?v_223 ?v_482) (- 32)))) (or (or (<= ?v_264 68) (not (= (+ ?v_345 ?v_215) (- 18)))) (> (+ ?v_4 ?v_684) (- 100))))) (and (and (and (<= (+ (+ ?v_305 ?v_216) ?v_217) 33) (= (+ ?v_164 ?v_218) 78)) (not (= (+ (+ ?v_219 ?v_199) ?v_141) 18))) (or (or (< (+ (+ ?v_544 ?v_51) ?v_226) 94) (<= (+ (+ ?v_220 ?v_405) ?v_221) 57)) (or (> (+ (+ ?v_508 ?v_222) ?v_778) 26) (> (+ (+ ?v_223 ?v_224) ?v_130) 65))))) (or (and (or (and (< (+ (+ ?v_76 ?v_339) ?v_225) 28) (not (= (+ ?v_31 ?v_226) (- 1)))) (and (= (+ ?v_389 ?v_255) 36) (<= ?v_117 0))) (and (or (= (+ (+ (+ ?v_227 ?v_77) ?v_228) ?v_435) 72) (> (+ (+ ?v_229 ?v_230) ?v_25) (- 13))) (or (not (= (+ (+ ?v_265 ?v_231) ?v_451) 0)) (> (+ ?v_244 ?v_483) 68)))) (or (and (or (or (<= (+ ?v_773 ?v_232) 20) (<= (+ (+ ?v_233 ?v_234) ?v_383) 11)) (and (not (= (+ (+ (+ ?v_300 ?v_235) ?v_236) ?v_237) 0)) (>= (+ (+ ?v_175 ?v_746) ?v_512) (- 74)))) (and (or (not (= (+ (+ (+ ?v_722 ?v_238) ?v_424) ?v_248) (- 69))) (>= ?v_576 46)) (and (not (= (+ (+ (+ ?v_441 ?v_487) ?v_431) ?v_239) 75)) (< (+ (+ (+ ?v_240 ?v_272) ?v_600) ?v_268) 37)))) (or (or (or (= (+ (+ ?v_241 ?v_302) ?v_570) 0) (>= (+ (+ ?v_452 ?v_352) ?v_344) (- 62))) (or (<= (+ (+ ?v_242 ?v_617) ?v_309) (- 79)) (> (+ (+ ?v_98 ?v_453) ?v_186) 3))) (or (= ?v_243 (- 30)) (> (+ (+ ?v_244 ?v_245) ?v_649) (- 25)))))))) (and (or (or (and (or (or (and (> (+ ?v_246 ?v_40) 0) (>= (+ ?v_233 ?v_146) 52)) (>= (+ (+ (+ ?v_131 ?v_247) ?v_1) ?v_248) 0)) (and (< (+ (+ (+ ?v_249 ?v_250) ?v_443) ?v_87) (- 29)) (= (+ (+ ?v_162 ?v_354) ?v_112) 90))) (or (< (+ (+ (+ ?v_559 ?v_251) ?v_252) ?v_253) 73) (< (+ (+ ?v_179 ?v_254) ?v_255) 0))) (and (and (not (= (+ (+ (+ ?v_256 ?v_257) ?v_538) ?v_355) (- 57))) (and (>= (+ (+ (+ ?v_316 ?v_250) ?v_258) ?v_259) 1) (or (> (+ (+ (+ ?v_229 ?v_246) ?v_388) ?v_237) 0) (not (= (+ ?v_22 ?v_260) 90))))) (and (or (and (<= (+ ?v_261 ?v_262) 5) (not (= (+ (+ (+ ?v_117 ?v_28) ?v_643) ?v_263) (- 72)))) (and (>= (+ (+ ?v_264 ?v_494) ?v_217) 82) (< (+ (+ (+ ?v_265 ?v_448) ?v_266) ?v_267) (- 41)))) (and (or (<= (+ (+ ?v_204 ?v_550) ?v_268) 14) (= ?v_627 0)) (and (> (+ ?v_269 ?v_612) 0) (> (+ (+ ?v_555 ?v_122) ?v_665) 39)))))) (and (and (and (and (< (+ (+ (+ ?v_84 ?v_138) ?v_782) ?v_325) 76) (<= (+ (+ (+ ?v_445 ?v_270) ?v_188) ?v_399) 0)) (or (> (+ ?v_790 ?v_506) 20) (<= (+ (+ (+ ?v_311 ?v_723) ?v_92) ?v_412) (- 15)))) (or (not (= (+ (+ (+ ?v_397 ?v_272) ?v_273) ?v_112) (- 40))) (not (= (+ ?v_497 ?v_301) (- 16))))) (and (and (and (>= (+ (+ (* 75 ?x1) ?v_670) ?v_274) (- 86)) (not (= (+ (+ ?v_275 ?v_9) ?v_578) (- 10)))) (and (<= (+ (+ ?v_391 ?v_276) ?v_357) (- 24)) (< (+ (+ ?v_521 ?v_101) ?v_277) (- 53)))) (and (or (or (>= (+ ?v_358 ?v_519) (- 71)) (> (+ (+ ?v_408 ?v_471) ?v_619) 0)) (and (<= (+ (+ ?v_278 ?v_104) ?v_161) 59) (not (= ?v_279 (- 78))))) (and (= (+ (+ (+ ?v_280 ?v_233) ?v_281) ?v_26) 27) (or (<= (+ ?v_229 ?v_282) (- 94)) (> (+ (+ (+ ?v_194 ?v_272) ?v_283) ?v_381) 9))))))) (and (and (or (or (or (and (not (= (+ (+ (+ ?v_42 ?v_284) ?v_285) ?v_286) (- 90))) (<= (+ ?v_287 ?v_239) 44)) (or (> (+ (+ ?v_420 ?v_225) ?v_288) 0) (> (+ (+ ?v_739 ?v_247) ?v_458) 0))) (or (or (<= (+ ?v_219 ?v_154) (- 46)) (> (+ (+ ?v_556 ?v_270) ?v_103) 0)) (and (<= (+ (+ ?v_123 ?v_261) ?v_209) (- 10)) (>= (+ (+ ?v_289 ?v_98) ?v_290) (- 2))))) (and (and (and (> (+ ?v_706 ?v_59) 0) (>= ?v_113 61)) (and (<= (+ ?v_291 ?v_432) (- 4)) (>= (+ (+ (+ ?v_169 ?v_771) ?v_292) ?v_293) 70))) (or (or (not (= (+ (+ (+ ?v_294 ?v_270) ?v_285) ?v_186) 81)) (>= (+ (+ ?v_276 ?v_295) ?v_171) (- 71))) (or (>= (+ (+ (+ ?v_794 ?v_88) ?v_480) ?v_414) 31) (<= (+ (+ ?v_296 ?v_583) ?v_297) (- 52)))))) (or (or (or (or (> (+ ?v_304 ?v_362) 0) (< (+ (+ (+ ?v_298 ?v_107) ?v_299) ?v_239) 0)) (and (<= (+ (+ ?v_300 ?v_699) ?v_267) 95) (< (+ ?v_249 ?v_301) 0))) (or (not (= (+ ?v_758 ?v_221) 0)) (= (+ ?v_302 ?v_303) (- 60)))) (and (and (>= (+ (+ ?v_304 ?v_200) ?v_99) 0) (and (not (= (+ (+ (+ ?v_305 ?v_321) ?v_306) ?v_226) 72)) (< (+ (+ ?v_307 ?v_673) ?v_562) 0))) (and (<= (+ (+ ?v_308 ?v_309) ?v_310) 0) (not (= (+ (+ ?v_2 ?v_500) ?v_262) 0)))))) (and (or (or (and (and (< (+ (+ (+ ?v_469 ?v_233) ?v_590) ?v_157) (- 41)) (> (+ ?v_311 ?v_127) 0)) (and (= (+ (+ ?v_504 ?v_775) ?v_191) 0) (< (+ (+ (+ ?v_700 ?v_2) ?v_273) ?v_196) 0))) (and (and (< (+ ?v_588 ?v_312) 0) (= (+ ?v_313 ?v_38) 0)) (not (= ?v_35 44)))) (or (and (or (= (+ (+ ?v_212 ?v_750) ?v_713) (- 22)) (< (+ (+ ?v_349 ?v_287) ?v_363) 97)) (and (< (+ (+ (+ ?v_314 ?v_107) ?v_324) ?v_535) 0) (< ?v_315 94))) (and (and (= (+ (+ (+ ?v_316 ?v_513) ?v_317) ?v_318) 0) (not (= (+ ?v_172 ?v_440) (- 24)))) (and (< (+ (+ ?v_319 ?v_273) ?v_130) 0) (> ?v_166 0))))) (and (or (< (+ (+ (+ ?v_320 ?v_135) ?v_191) ?v_94) (- 89)) (and (>= (+ (+ ?v_36 ?v_321) ?v_17) (- 83)) (or (not (= (+ ?v_322 ?v_393) (- 78))) (= (+ (+ ?v_364 ?v_323) ?v_693) 0)))) (and (or (and (>= (+ (+ (+ ?v_308 ?v_98) ?v_717) ?v_336) 46) (< (+ (+ ?v_129 ?v_324) ?v_325) (- 83))) (not (= (+ (+ ?v_85 ?v_68) ?v_228) 0))) (or (or (> (+ ?v_215 ?v_560) 30) (> (+ (+ (+ ?v_567 ?v_326) ?v_199) ?v_20) 0)) (> (+ (+ (+ ?v_327 ?v_328) ?v_329) ?v_196) (- 1))))))))) (and (or (and (and (and (or (not (= ?v_373 3)) (and (> (+ (+ ?v_256 ?v_704) ?v_330) (- 64)) (>= (+ ?v_331 ?v_199) 0))) (> ?v_264 32)) (or (or (or (and (>= (+ (+ ?v_332 ?v_106) ?v_333) 64) (<= (+ ?v_300 ?v_334) (- 37))) (and (< (+ (+ (+ ?v_551 ?v_270) ?v_335) ?v_336) (- 59)) (not (= (+ (+ ?v_337 ?v_188) ?v_338) (- 66))))) (or (and (<= (+ ?v_339 ?v_340) (- 100)) (= (+ ?v_341 ?v_342) 77)) (and (<= (+ (+ (+ ?v_454 ?v_343) ?v_605) ?v_344) (- 100)) (= (+ ?v_345 ?v_255) 0)))) (or (= (+ ?v_439 ?v_594) 0) (> (+ (+ (+ ?v_346 ?v_123) ?v_51) ?v_347) 48)))) (and (and (and (and (or (<= (+ ?v_348 ?v_343) (- 67)) (< (+ ?v_680 ?v_209) 97)) (or (>= (+ (+ (+ ?v_349 ?v_118) ?v_273) ?v_154) 49) (> (+ (+ ?v_350 ?v_257) ?v_356) (- 36)))) (or (not (= (+ (+ (+ ?v_351 ?v_352) ?v_201) ?v_262) 35)) (and (<= (+ (+ ?v_353 ?v_368) ?v_109) 5) (> (+ ?v_354 ?v_355) 0)))) (or (or (< (+ (+ (+ ?v_341 ?v_204) ?v_356) ?v_357) (- 35)) (= (+ (+ (+ ?v_358 ?v_359) ?v_127) ?v_360) 54)) (and (or (= (+ (+ (+ ?v_361 ?v_362) ?v_167) ?v_363) 89) (<= (+ (+ (+ ?v_172 ?v_284) ?v_462) ?v_248) (- 19))) (or (> (+ ?v_364 ?v_365) 0) (= (+ (+ (+ ?v_688 ?v_246) ?v_122) ?v_112) 0))))) (or (and (and (>= (+ (+ ?v_543 ?v_366) ?v_35) 0) (= ?v_367 60)) (and (and (<= (+ (+ (+ ?v_220 ?v_200) ?v_368) ?v_369) (- 46)) (< (+ ?v_668 ?v_197) 58)) (and (= (+ ?v_370 ?v_371) 68) (<= (+ (+ ?v_117 ?v_634) ?v_67) (- 13))))) (or (or (and (< (+ (+ (+ ?v_313 ?v_372) ?v_396) ?v_490) 7) (> (+ (+ ?v_164 ?v_359) ?v_20) (- 87))) (> (+ (+ ?v_69 ?v_373) ?v_228) 68)) (not (= (+ (+ ?v_374 ?v_306) ?v_375) (- 6))))))) (or (or (or (or (> (+ (+ ?v_780 ?v_55) ?v_139) 0) (not (= (+ (+ ?v_486 ?v_406) ?v_376) (- 84)))) (and (and (>= (+ (+ ?v_377 ?v_200) ?v_378) (- 71)) (= (+ (+ ?v_597 ?v_379) ?v_142) 87)) (and (<= (+ (+ ?v_45 ?v_380) ?v_310) 0) (< (+ (+ ?v_190 ?v_156) ?v_381) (- 77))))) (or (and (and (and (not (= (+ (+ ?v_382 ?v_284) ?v_383) (- 54))) (< (+ ?v_206 ?v_383) 0)) (<= (+ ?v_384 ?v_587) 0)) (and (or (>= (+ (+ ?v_352 ?v_400) ?v_130) (- 68)) (not (= (+ (+ (+ ?v_385 ?v_68) ?v_554) ?v_788) (- 27)))) (and (<= ?v_401 86) (>= ?v_325 31)))) (and (or (or (not (= ?v_386 (- 15))) (not (= (+ (+ ?v_387 ?v_388) ?v_539) (- 84)))) (and (>= (+ (+ (+ ?v_389 ?v_247) ?v_58) ?v_390) (- 47)) (= (+ ?v_531 ?v_616) 0))) (and (or (not (= (+ (+ (+ ?v_391 ?v_517) ?v_392) ?v_268) (- 18))) (< (+ ?v_129 ?v_393) 19)) (or (> (+ (+ ?v_223 ?v_252) ?v_344) 0) (= (+ (+ (+ ?v_49 ?v_219) ?v_201) ?v_145) 0)))))) (or (or (or (or (and (not (= (+ (+ (+ ?v_558 ?v_754) ?v_368) ?v_383) 84)) (>= (+ (+ ?v_181 ?v_135) ?v_463) 58)) (or (not (= ?v_394 72)) (> (+ (+ ?v_361 ?v_395) ?v_396) 0))) (and (and (>= (+ ?v_397 ?v_398) (- 47)) (>= (+ (+ ?v_382 ?v_781) ?v_263) 61)) (> (+ (+ ?v_244 ?v_354) ?v_399) (- 91)))) (and (or (and (> (+ (+ (+ ?v_155 ?v_135) ?v_400) ?v_168) (- 63)) (< ?v_401 0)) (and (<= (+ (+ ?v_402 ?v_403) ?v_404) 89) (not (= (+ (+ ?v_686 ?v_354) ?v_52) 63)))) (or (or (>= (+ (+ (+ ?v_358 ?v_405) ?v_406) ?v_407) 34) (>= (+ (+ (+ ?v_408 ?v_321) ?v_4) ?v_409) (- 68))) (and (< (+ (+ ?v_410 ?v_411) ?v_213) 0) (>= (+ (+ (+ ?v_604 ?v_321) ?v_73) ?v_412) (- 50)))))) (or (and (< (+ (+ ?v_57 ?v_413) ?v_189) (- 29)) (or (not (= (+ (+ (+ ?v_15 ?v_461) ?v_400) ?v_414) 0)) (< (+ ?v_631 ?v_106) 1))) (and (or (and (>= (+ (+ (+ ?v_350 ?v_415) ?v_416) ?v_407) 19) (= (+ (+ ?v_465 ?v_101) ?v_591) 0)) (and (< (+ ?v_421 ?v_17) 0) (= (+ ?v_342 ?v_6) 14))) (or (and (> (+ ?v_216 ?v_67) (- 72)) (> (+ (+ ?v_417 ?v_418) ?v_262) 0)) (or (>= (+ (+ (+ ?v_305 ?v_403) ?v_101) ?v_25) (- 83)) (< (+ (+ ?v_240 ?v_534) ?v_183) 0)))))))) (or (and (and (or (or (or (< (+ (+ (+ ?v_22 ?v_353) ?v_261) ?v_344) 7) (not (= (+ (+ ?v_419 ?v_13) ?v_61) 0))) (<= (+ (+ (+ ?v_420 ?v_421) ?v_584) ?v_20) 41)) (and (or (< (+ ?v_422 ?v_655) 4) (>= (+ (+ ?v_15 ?v_423) ?v_664) 19)) (and (<= (+ (+ ?v_646 ?v_147) ?v_183) 24) (not (= (+ (+ ?v_536 ?v_424) ?v_425) 0))))) (and (or (= (+ (+ ?v_278 ?v_426) ?v_189) (- 46)) (> (+ ?v_64 ?v_54) 57)) (and (< (+ (+ ?v_105 ?v_128) ?v_735) 0) (= (+ (+ ?v_427 ?v_426) ?v_428) 0)))) (or (or (or (and (< (+ ?v_134 ?v_378) 58) (not (= (+ (+ ?v_132 ?v_429) ?v_430) (- 49)))) (> (+ (+ ?v_774 ?v_431) ?v_371) 0)) (and (and (<= (+ (+ ?v_745 ?v_432) ?v_325) 0) (not (= (+ (+ ?v_265 ?v_470) ?v_433) 0))) (= (+ (+ ?v_714 ?v_434) ?v_394) 11))) (and (and (and (>= (+ (+ (+ ?v_496 ?v_379) ?v_86) ?v_268) (- 14)) (< (+ ?v_579 ?v_435) 91)) (or (= (+ (+ ?v_436 ?v_103) ?v_437) 27) (>= (+ (+ (+ ?v_408 ?v_374) ?v_438) ?v_214) 1))) (or (< (+ (+ ?v_439 ?v_440) ?v_281) (- 77)) (not (= ?v_441 (- 48))))))) (and (and (or (not (= (+ (+ ?v_401 ?v_45) ?v_438) 0)) (<= (+ (+ (+ ?v_721 ?v_442) ?v_443) ?v_444) 33)) (or (> (+ (+ (+ ?v_445 ?v_592) ?v_498) ?v_446) (- 61)) (>= (+ ?v_447 ?v_689) 97))) (and (or (and (and (< (+ (+ (+ ?v_743 ?v_448) ?v_424) ?v_449) (- 41)) (< (+ ?v_221 ?v_404) 94)) (or (< (+ ?v_450 ?v_451) (- 17)) (>= (+ (+ ?v_452 ?v_108) ?v_453) 67))) (or (and (= (+ (+ ?v_164 ?v_378) ?v_318) (- 51)) (not (= (+ (+ (+ ?v_454 ?v_251) ?v_1) ?v_336) 83))) (or (> (+ (+ ?v_455 ?v_225) ?v_553) (- 46)) (= (+ (+ ?v_165 ?v_776) ?v_318) 78)))) (or (or (and (< (+ (+ (+ ?v_346 ?v_654) ?v_413) ?v_456) 49) (< (+ (+ (+ ?v_294 ?v_457) ?v_266) ?v_458) 52)) (or (> (+ (+ (+ ?v_459 ?v_284) ?v_245) ?v_75) 5) (> (+ (+ (+ ?v_63 ?v_352) ?v_136) ?v_72) (- 76)))) (or (or (> (+ ?v_669 ?v_460) 77) (not (= (+ (+ ?v_461 ?v_462) ?v_463) (- 40)))) (and (>= (+ (+ ?v_294 ?v_359) ?v_208) 0) (< (+ (+ ?v_276 ?v_188) ?v_112) (- 83))))))))))) (or (or (or (or (or (or (or (< ?v_27 4) (>= (+ ?v_362 ?v_464) (- 44))) (or (>= (+ (+ ?v_465 ?v_608) ?v_38) (- 89)) (<= (+ (+ ?v_206 ?v_121) ?v_658) 0))) (> (+ (+ ?v_31 ?v_466) ?v_467) 2)) (and (and (or (or (>= (+ (+ ?v_15 ?v_468) ?v_25) (- 92)) (> (+ ?v_311 ?v_26) 0)) (>= (+ ?v_469 ?v_470) (- 68))) (and (<= (+ ?v_640 ?v_471) 90) (or (not (= (+ (+ (+ ?v_242 ?v_472) ?v_473) ?v_376) 48)) (>= (+ (+ ?v_78 ?v_270) ?v_474) 55)))) (or (and (= (+ ?v_475 ?v_476) 27) (or (= (+ (+ (+ ?v_241 ?v_250) ?v_236) ?v_91) (- 64)) (= (+ (+ (+ ?v_240 ?v_367) ?v_477) ?v_478) (- 85)))) (and (and (<= (+ (+ ?v_479 ?v_284) ?v_488) (- 16)) (= (+ (+ ?v_251 ?v_438) ?v_66) 62)) (= (+ (+ ?v_289 ?v_480) ?v_481) (- 96)))))) (and (or (or (and (and (or (and (> ?v_482 0) (< (+ ?v_261 ?v_483) (- 44))) (and (<= (+ (+ (+ ?v_314 ?v_367) ?v_431) ?v_0) (- 37)) (= (+ ?v_415 ?v_484) 0))) (or (or (= (+ (+ (+ ?v_485 ?v_486) ?v_54) ?v_168) (- 31)) (not (= (+ (+ ?v_69 ?v_505) ?v_299) (- 63)))) (and (>= (+ (+ (+ ?v_210 ?v_138) ?v_252) ?v_90) (- 5)) (> (+ (+ ?v_417 ?v_632) ?v_277) 0)))) (and (and (and (= (+ ?v_487 ?v_674) 0) (>= (+ (+ ?v_475 ?v_603) ?v_488) (- 68))) (= (+ (+ ?v_489 ?v_92) ?v_163) 18)) (or (> (+ (+ ?v_241 ?v_740) ?v_490) (- 22)) (and (> (+ (+ (+ ?v_491 ?v_492) ?v_13) ?v_267) 0) (>= (+ ?v_491 ?v_51) 40))))) (or (and (or (or (>= (+ (+ (+ ?v_227 ?v_493) ?v_494) ?v_409) 43) (< (+ (+ (+ ?v_454 ?v_495) ?v_411) ?v_613) 0)) (or (> (+ (+ ?v_249 ?v_641) ?v_354) 0) (>= (+ (+ (+ ?v_496 ?v_170) ?v_13) ?v_478) 82))) (or (or (> (+ (+ (+ ?v_348 ?v_497) ?v_573) ?v_651) 9) (= (+ (+ (+ ?v_465 ?v_102) ?v_498) ?v_728) (- 25))) (and (<= (+ (+ (+ ?v_738 ?v_65) ?v_81) ?v_67) (- 4)) (> (+ (+ ?v_56 ?v_107) ?v_464) (- 84))))) (and (or (>= (+ (+ ?v_341 ?v_432) ?v_499) 0) (>= (+ (+ ?v_475 ?v_247) ?v_453) 0)) (and (and (<= (+ (+ ?v_442 ?v_500) ?v_347) 20) (= (+ (+ ?v_436 ?v_106) ?v_145) 17)) (or (>= (+ ?v_501 ?v_66) (- 71)) (<= (+ (+ (+ ?v_269 ?v_247) ?v_482) ?v_624) 98)))))) (or (or (or (>= (+ (+ ?v_502 ?v_530) ?v_119) 16) (or (<= ?v_503 0) (not (= (+ (+ ?v_504 ?v_115) ?v_478) (- 82))))) (or (= (+ (+ ?v_505 ?v_127) ?v_506) 0) (>= (+ ?v_507 ?v_218) (- 77)))) (or (and (or (and (>= (+ ?v_403 ?v_532) (- 86)) (< (+ (+ ?v_508 ?v_509) ?v_262) 76)) (or (> (+ (+ ?v_232 ?v_494) ?v_183) 0) (< (+ ?v_33 ?v_510) (- 92)))) (and (or (<= (+ (+ ?v_511 ?v_160) ?v_512) 98) (= (+ (+ (+ ?v_549 ?v_513) ?v_120) ?v_226) 65)) (and (< (+ (+ (+ ?v_515 ?v_514) ?v_4) ?v_557) 0) (>= (+ ?v_515 ?v_10) (- 50))))) (or (or (or (> (+ (+ (+ ?v_265 ?v_695) ?v_281) ?v_563) 0) (= (+ (+ ?v_718 ?v_19) ?v_428) 0)) (or (<= (+ (+ ?v_240 ?v_516) ?v_40) 92) (not (= (+ (+ ?v_517 ?v_470) ?v_518) 24)))) (or (or (= (+ (+ (+ ?v_18 ?v_516) ?v_92) ?v_79) (- 46)) (<= (+ (+ ?v_144 ?v_795) ?v_636) (- 28))) (and (> (+ (+ ?v_493 ?v_136) ?v_519) 0) (< (+ ?v_447 ?v_184) 0))))))) (or (or (or (or (and (not (= (+ (+ ?v_194 ?v_115) ?v_520) 0)) (< (+ ?v_521 ?v_324) 28)) (and (and (>= (+ (+ (+ ?v_76 ?v_235) ?v_522) ?v_483) 85) (> (+ (+ ?v_504 ?v_480) ?v_523) 0)) (or (not (= (+ (+ (+ ?v_206 ?v_514) ?v_663) ?v_112) 96)) (not (= (+ (+ (+ ?v_524 ?v_661) ?v_101) ?v_25) (- 36)))))) (and (or (or (= (+ (+ (+ ?v_169 ?v_57) ?v_73) ?v_130) 68) (<= (+ (+ (+ ?v_296 ?v_179) ?v_525) ?v_526) 86)) (or (<= (+ (+ (+ ?v_307 ?v_421) ?v_500) ?v_527) (- 43)) (> (+ (+ (+ ?v_761 ?v_528) ?v_500) ?v_529) (- 42)))) (or (= (+ (* (- 52) ?x1) ?v_55) 84) (and (= (+ (+ ?v_312 ?v_356) ?v_458) 83) (< (+ ?v_256 ?v_235) 22))))) (or (or (or (<= (+ (+ (+ ?v_275 ?v_319) ?v_1) ?v_318) 0) (> (+ (+ ?v_611 ?v_545) ?v_0) 35)) (or (or (<= (+ (+ ?v_187 ?v_530) ?v_561) (- 22)) (< (+ (+ (+ ?v_311 ?v_542) ?v_301) ?v_383) (- 14))) (and (< (+ ?v_675 ?v_531) 94) (= (+ (+ (+ ?v_304 ?v_448) ?v_474) ?v_398) 0)))) (and (and (or (< (+ (+ ?v_15 ?v_264) ?v_433) 4) (< (+ (+ ?v_256 ?v_395) ?v_532) 0)) (or (> (+ (+ ?v_402 ?v_656) ?v_347) 99) (not (= (+ (+ (+ ?v_210 ?v_80) ?v_24) ?v_428) 12)))) (and (or (>= (+ ?v_29 ?v_434) (- 62)) (<= (+ (+ ?v_332 ?v_533) ?v_534) (- 91))) (< (+ (+ (+ ?v_63 ?v_219) ?v_334) ?v_213) 40))))) (and (or (or (= (+ (+ ?v_436 ?v_54) ?v_535) 0) (> (+ (+ (+ ?v_536 ?v_219) ?v_191) ?v_279) 51)) (and (< (+ ?v_589 ?v_409) 0) (= (+ (+ ?v_537 ?v_29) ?v_529) 38))) (and (or (>= (+ (+ ?v_244 ?v_538) ?v_211) 4) (or (and (<= (+ (+ (+ ?v_116 ?v_497) ?v_236) ?v_539) (- 13)) (not (= (+ (+ (+ ?v_220 ?v_540) ?v_541) ?v_303) (- 75)))) (and (< (+ (+ ?v_202 ?v_542) ?v_732) (- 98)) (= (+ ?v_148 ?v_376) 0)))) (and (or (> (+ (+ (+ ?v_311 ?v_497) ?v_413) ?v_483) (- 43)) (and (not (= (+ (+ (+ ?v_137 ?v_503) ?v_400) ?v_499) 54)) (< (+ ?v_543 ?v_498) 19))) (and (> (+ (+ (+ ?v_387 ?v_544) ?v_545) ?v_35) 47) (or (> (+ (+ ?v_546 ?v_115) ?v_547) (- 63)) (not (= (+ (+ ?v_548 ?v_37) ?v_463) (- 81))))))))))) (or (or (or (and (and (and (> (+ (+ ?v_549 ?v_432) ?v_20) 57) (> (+ ?v_305 ?v_550) 0)) (or (= (+ (+ ?v_232 ?v_139) ?v_61) 0) (or (= (+ (+ (+ ?v_175 ?v_312) ?v_10) ?v_263) 84) (> (+ (+ ?v_551 ?v_64) ?v_254) (- 31))))) (and (and (>= (+ ?v_80 ?v_581) 46) (not (= (+ (+ ?v_345 ?v_396) ?v_239) 18))) (and (>= (+ (+ ?v_93 ?v_9) ?v_552) 4) (<= (+ ?v_298 ?v_396) 59)))) (or (or (and (or (< (+ (+ ?v_93 ?v_198) ?v_301) (- 59)) (> (+ (+ ?v_143 ?v_362) ?v_553) 35)) (= (+ (+ ?v_348 ?v_554) ?v_303) 0)) (and (and (< (+ (+ ?v_289 ?v_555) ?v_529) 1) (> (+ (+ (+ ?v_556 ?v_185) ?v_230) ?v_383) 98)) (and (= (+ (+ ?v_767 ?v_528) ?v_557) 51) (> (+ ?v_558 ?v_360) (- 46))))) (or (and (<= (+ (+ ?v_559 ?v_264) ?v_323) 38) (>= (+ ?v_455 ?v_552) (- 65))) (or (not (= (+ (+ ?v_229 ?v_115) ?v_560) 81)) (= (+ ?v_459 ?v_62) 14))))) (and (and (or (or (and (= (+ (+ (+ ?v_85 ?v_516) ?v_561) ?v_303) 0) (< (+ (+ ?v_55 ?v_252) ?v_557) (- 11))) (or (or (>= (+ ?v_546 ?v_426) 97) (not (= (+ (+ ?v_377 ?v_198) ?v_562) (- 54)))) (< (+ (+ (+ ?v_548 ?v_331) ?v_236) ?v_563) (- 47)))) (and (or (and (> (+ (+ (+ ?v_220 ?v_690) ?v_388) ?v_564) 0) (not (= (+ (+ (+ ?v_93 ?v_232) ?v_221) ?v_458) (- 48)))) (and (< (+ ?v_683 ?v_730) 64) (< (+ (+ (+ ?v_565 ?v_215) ?v_737) ?v_659) (- 11)))) (and (or (> (+ (+ (+ ?v_397 ?v_222) ?v_566) ?v_263) 0) (>= (+ (+ (+ ?v_567 ?v_568) ?v_156) ?v_569) 43)) (>= (+ (+ (+ ?v_289 ?v_436) ?v_324) ?v_570) 0)))) (and (= (+ (+ ?v_233 ?v_571) ?v_394) 54) (and (= (+ (+ ?v_132 ?v_9) ?v_192) 0) (>= (+ (+ (+ ?v_49 ?v_28) ?v_380) ?v_425) (- 44))))) (and (or (and (or (and (> (+ ?v_572 ?v_606) 0) (<= (+ ?v_280 ?v_222) (- 46))) (and (not (= (+ ?v_269 ?v_344) 18)) (>= (+ (+ (+ ?v_265 ?v_118) ?v_545) ?v_630) (- 65)))) (and (> (+ (+ ?v_307 ?v_586) ?v_462) (- 97)) (or (= (+ (+ ?v_353 ?v_498) ?v_490) 0) (> (+ (+ (+ ?v_391 ?v_405) ?v_261) ?v_293) (- 9))))) (or (or (and (<= (+ ?v_314 ?v_90) (- 28)) (= (+ (+ ?v_296 ?v_568) ?v_573) (- 7))) (and (<= (+ (+ (+ ?v_574 ?v_384) ?v_188) ?v_213) (- 52)) (> (+ ?v_232 ?v_390) (- 51)))) (or (and (>= (+ (+ ?v_276 ?v_254) ?v_575) (- 11)) (< (+ (+ (+ ?v_42 ?v_419) ?v_285) ?v_576) 0)) (or (< ?v_491 67) (> ?v_25 0))))) (or (and (and (and (> (+ (+ ?v_577 ?v_247) ?v_368) 0) (>= (+ ?v_19 ?v_527) (- 20))) (or (< (+ (+ (+ ?v_620 ?v_671) ?v_538) ?v_150) 0) (>= (+ ?v_222 ?v_449) 61))) (or (< (+ (+ ?v_134 ?v_74) ?v_255) 64) (or (= (+ (+ ?v_472 ?v_104) ?v_742) 0) (= (+ (+ ?v_223 ?v_578) ?v_371) 0)))) (and (and (> (+ (+ ?v_353 ?v_73) ?v_145) 29) (not (= (+ ?v_16 ?v_390) 0))) (not (= (+ ?v_734 ?v_90) 30))))))) (or (and (and (or (or (= (+ (+ ?v_579 ?v_566) ?v_560) 0) (> (+ (+ (+ ?v_385 ?v_326) ?v_228) ?v_535) (- 84))) (and (and (> (+ (+ (+ ?v_15 ?v_251) ?v_450) ?v_347) 86) (>= (+ ?v_491 ?v_580) 79)) (and (not (= (+ (+ (+ ?v_567 ?v_495) ?v_470) ?v_581) (- 46))) (<= (+ (+ ?v_242 ?v_525) ?v_430) 0)))) (or (or (>= (+ ?v_427 ?v_110) 10) (>= (+ (+ (+ ?v_18 ?v_497) ?v_434) ?v_282) 61)) (and (not (= (+ (+ ?v_256 ?v_88) ?v_38) 57)) (not (= (+ (+ ?v_401 ?v_621) ?v_141) (- 99)))))) (or (or (and (and (> (+ ?v_582 ?v_357) (- 79)) (= (+ ?v_583 ?v_468) 6)) (<= (+ (+ ?v_269 ?v_505) ?v_392) (- 19))) (and (>= (+ (+ ?v_49 ?v_503) ?v_82) (- 59)) (< (+ (+ ?v_607 ?v_264) ?v_481) 0))) (and (or (> (+ (+ ?v_278 ?v_57) ?v_453) (- 54)) (>= (+ (+ (+ ?v_327 ?v_471) ?v_584) ?v_553) 64)) (or (and (< (+ ?v_537 ?v_585) 4) (= (+ (+ (+ ?v_280 ?v_586) ?v_587) ?v_163) 12)) (and (= (+ (+ ?v_588 ?v_589) ?v_481) (- 93)) (< (+ ?v_169 ?v_581) 46)))))) (and (or (or (> (+ (+ (+ ?v_491 ?v_342) ?v_590) ?v_547) 29) (or (< (+ (+ (+ ?v_289 ?v_601) ?v_462) ?v_591) 0) (< (+ (+ ?v_242 ?v_190) ?v_553) (- 32)))) (and (and (> (+ (+ ?v_169 ?v_486) ?v_248) (- 78)) (< (+ (+ (+ ?v_212 ?v_592) ?v_416) ?v_310) 100)) (or (< (+ (+ ?v_593 ?v_594) ?v_112) 0) (<= (+ (+ (+ ?v_697 ?v_53) ?v_587) ?v_393) 2)))) (and (or (and (or (> (+ (+ ?v_389 ?v_450) ?v_564) (- 70)) (> (+ (+ ?v_595 ?v_432) ?v_52) (- 10))) (and (<= (+ ?v_216 ?v_547) 0) (not (= (+ (+ ?v_219 ?v_787) ?v_596) 0)))) (or (or (> (+ (+ (+ ?v_597 ?v_598) ?v_221) ?v_596) 65) (not (= (+ (+ ?v_496 ?v_599) ?v_193) 0))) (or (= (+ (+ ?v_711 ?v_419) ?v_600) (- 12)) (< (+ (+ ?v_84 ?v_601) ?v_602) 37)))) (and (or (or (not (= (+ ?v_603 ?v_562) 0)) (> (+ (+ ?v_15 ?v_600) ?v_110) (- 52))) (< (+ (+ ?v_359 ?v_191) ?v_279) 0)) (and (and (>= (+ (+ ?v_314 ?v_424) ?v_150) 0) (= (+ (+ ?v_604 ?v_426) ?v_605) (- 69))) (or (< (+ (+ (+ ?v_69 ?v_676) ?v_400) ?v_409) (- 62)) (= ?v_280 (- 72)))))))))) (or (and (and (or (or (or (or (>= (+ (+ (+ ?v_577 ?v_179) ?v_167) ?v_347) (- 2)) (> (+ ?v_148 ?v_541) 0)) (or (and (not (= (+ ?v_106 ?v_268) 0)) (> (+ ?v_56 ?v_606) (- 88))) (or (> (+ (+ ?v_607 ?v_608) ?v_263) (- 91)) (<= (+ (+ ?v_609 ?v_610) ?v_412) (- 36))))) (and (or (and (not (= (+ (+ ?v_242 ?v_611) ?v_400) 0)) (>= (+ (+ ?v_328 ?v_4) ?v_612) 100)) (<= (+ ?v_707 ?v_91) 65)) (and (>= (+ (+ ?v_454 ?v_193) ?v_613) 7) (= (+ (+ (+ ?v_389 ?v_118) ?v_252) ?v_226) 95)))) (and (or (and (< (+ ?v_295 ?v_685) 19) (<= (+ (+ ?v_536 ?v_614) ?v_192) (- 73))) (or (and (not (= (+ (+ ?v_402 ?v_19) ?v_414) 0)) (= (+ (+ (+ ?v_408 ?v_29) ?v_494) ?v_211) 75)) (or (= (+ (+ ?v_358 ?v_677) ?v_360) 81) (not (= (+ (+ ?v_307 ?v_359) ?v_498) (- 31)))))) (or (or (and (<= (+ (+ ?v_246 ?v_694) ?v_90) 0) (= (+ (+ ?v_454 ?v_615) ?v_616) 78)) (or (<= (+ (+ (+ ?v_174 ?v_617) ?v_477) ?v_564) 99) (> (+ ?v_618 ?v_182) (- 88)))) (or (or (>= (+ (+ ?v_23 ?v_480) ?v_619) 0) (< (+ ?v_319 ?v_612) 37)) (or (< ?v_129 28) (= (+ (+ ?v_637 ?v_295) ?v_394) (- 33))))))) (and (and (and (and (= (+ (+ ?v_385 ?v_28) ?v_573) (- 76)) (<= ?v_127 (- 97))) (and (not (= (+ ?v_317 ?v_52) 15)) (>= (+ ?v_175 ?v_99) 37))) (and (and (<= (+ (+ (+ ?v_620 ?v_43) ?v_662) ?v_124) (- 46)) (= (+ (+ ?v_240 ?v_593) ?v_460) 0)) (and (= (+ ?v_291 ?v_719) 0) (> (+ (+ (+ ?v_169 ?v_331) ?v_406) ?v_355) 0)))) (or (or (= (+ ?v_55 ?v_621) 63) (<= (+ ?v_170 ?v_602) 0)) (and (<= (+ (+ (+ ?v_459 ?v_747) ?v_757) ?v_130) 33) (< (+ (+ ?v_125 ?v_48) ?v_183) (- 41)))))) (and (and (and (and (or (or (or (< (+ (+ ?v_511 ?v_153) ?v_622) 0) (= ?v_77 (- 28))) (and (= (+ (+ (+ ?v_623 ?v_486) ?v_600) ?v_369) 2) (>= (+ (+ (+ ?v_579 ?v_507) ?v_228) ?v_26) (- 77)))) (and (or (> (+ (+ ?v_256 ?v_545) ?v_490) (- 93)) (not (= (+ (+ (+ ?v_387 ?v_374) ?v_473) ?v_30) 12))) (or (= (+ (+ ?v_164 ?v_184) ?v_624) 35) (not (= (+ (+ ?v_625 ?v_340) ?v_376) 78))))) (or (or (or (< (+ ?v_626 ?v_627) (- 14)) (< (+ ?v_599 ?v_613) 0)) (= (+ ?v_626 ?v_96) (- 12))) (or (= (+ (+ ?v_349 ?v_299) ?v_6) (- 99)) (>= (+ (+ ?v_97 ?v_660) ?v_628) (- 2))))) (and (and (>= (+ (* (- 6) ?x2) ?v_431) (- 74)) (= (+ ?v_455 ?v_413) 0)) (and (not (= ?v_116 18)) (not (= (+ (+ ?v_377 ?v_545) ?v_687) 9))))) (or (and (or (and (or (<= (+ (+ (+ ?v_629 ?v_64) ?v_411) ?v_484) 2) (> (+ (+ (+ ?v_131 ?v_611) ?v_473) ?v_481) 18)) (or (<= (+ ?v_247 ?v_630) (- 16)) (not (= (+ (+ (+ ?v_726 ?v_179) ?v_295) ?v_214) 57)))) (and (<= (+ (+ ?v_441 ?v_631) ?v_109) 0) (and (<= (+ (+ ?v_420 ?v_632) ?v_606) 20) (> (+ ?v_308 ?v_170) 0)))) (and (or (or (not (= (+ (+ (+ ?v_391 ?v_741) ?v_691) ?v_606) 27)) (>= (+ (+ (+ ?v_633 ?v_162) ?v_207) ?v_0) 100)) (or (<= (+ ?v_595 ?v_14) (- 16)) (>= (+ (+ ?v_349 ?v_634) ?v_560) (- 89)))) (and (or (< (+ (+ (+ ?v_308 ?v_140) ?v_443) ?v_360) (- 65)) (>= (+ (+ ?v_709 ?v_24) ?v_444) 64)) (or (< (+ (+ (+ ?v_275 ?v_503) ?v_115) ?v_226) 0) (< (+ (+ (+ ?v_220 ?v_184) ?v_21) ?v_647) 0))))) (and (or (or (<= (+ (+ ?v_271 ?v_635) ?v_636) 0) (>= (+ (+ (+ ?v_496 ?v_233) ?v_254) ?v_381) 0)) (< (+ (+ (+ ?v_577 ?v_118) ?v_254) ?v_237) 0)) (or (not (= (+ (+ (+ ?v_469 ?v_27) ?v_147) ?v_303) 90)) (<= (+ (+ ?v_637 ?v_638) ?v_523) (- 46)))))) (and (or (and (or (or (< (+ (+ ?v_129 ?v_617) ?v_221) 22) (< (+ ?v_120 ?v_173) 43)) (or (< (+ (+ (+ ?v_314 ?v_153) ?v_443) ?v_639) (- 47)) (not (= (+ (+ ?v_420 ?v_204) ?v_563) 0)))) (and (> (+ (+ ?v_116 ?v_359) ?v_87) 0) (<= (+ (+ (+ ?v_313 ?v_586) ?v_590) ?v_203) (- 67)))) (and (and (and (and (< (+ ?v_467 ?v_14) 67) (not (= (+ (+ (+ ?v_152 ?v_264) ?v_462) ?v_381) (- 87)))) (>= (+ (+ ?v_170 ?v_470) ?v_376) 0)) (and (or (= (+ (+ (+ ?v_640 ?v_507) ?v_431) ?v_552) (- 34)) (= (+ (+ ?v_604 ?v_641) ?v_237) 0)) (or (not (= (+ ?v_589 ?v_6) (- 96))) (>= (+ (+ ?v_391 ?v_540) ?v_498) 76)))) (or (and (and (= (+ (+ ?v_597 ?v_297) ?v_59) 0) (<= (+ ?v_19 ?v_484) (- 49))) (or (not (= (+ (+ ?v_77 ?v_151) ?v_407) 93)) (= (+ (+ ?v_461 ?v_589) ?v_94) (- 88)))) (and (<= (+ (+ ?v_18 ?v_410) ?v_173) (- 45)) (>= (+ (+ ?v_642 ?v_5) ?v_458) (- 23)))))) (and (or (or (= (+ ?v_643 ?v_478) 65) (or (<= (+ (+ ?v_155 ?v_583) ?v_75) (- 87)) (>= (+ (* 56 ?x2) ?v_644) 0))) (or (and (< (+ ?v_367 ?v_645) (- 86)) (or (> (+ ?v_681 ?v_182) 0) (<= (+ ?v_202 ?v_80) (- 100)))) (and (> (+ (+ ?v_646 ?v_329) ?v_414) (- 73)) (or (< (+ ?v_475 ?v_5) 0) (= (+ ?v_272 ?v_566) 0))))) (and (or (or (and (= (+ (+ (+ ?v_280 ?v_455) ?v_531) ?v_647) 0) (>= (+ (+ (+ ?v_556 ?v_648) ?v_245) ?v_484) (- 71))) (or (>= (+ (+ (+ ?v_134 ?v_667) ?v_207) ?v_649) (- 11)) (< (+ (+ (+ ?v_152 ?v_544) ?v_650) ?v_211) 0))) (and (or (< (+ (+ (+ ?v_316 ?v_384) ?v_5) ?v_616) (- 86)) (<= (+ (+ ?v_23 ?v_424) ?v_61) (- 1))) (and (<= (+ ?v_65 ?v_357) 47) (< (+ (+ ?v_461 ?v_532) ?v_488) 0)))) (and (or (or (not (= (+ (+ (+ ?v_640 ?v_148) ?v_400) ?v_338) 48)) (<= (+ (+ (+ ?v_174 ?v_608) ?v_392) ?v_651) 11)) (or (= (+ (+ ?v_352 ?v_652) ?v_44) 0) (> (+ (+ ?v_653 ?v_654) ?v_655) 0))) (or (and (<= (+ (+ ?v_84 ?v_602) ?v_519) 95) (not (= (+ ?v_652 ?v_303) (- 27)))) (or (< (+ (+ (+ ?v_304 ?v_656) ?v_281) ?v_412) 0) (<= (+ (+ ?v_304 ?v_170) ?v_463) (- 4)))))))))) (and (or (or (or (and (or (not (= ?v_147 (- 12))) (= (+ (+ (+ ?v_642 ?v_108) ?v_645) ?v_446) 35)) (and (or (< (+ (+ ?v_479 ?v_517) ?v_263) 100) (not (= (+ (+ ?v_22 ?v_507) ?v_12) 0))) (= (+ (+ (+ ?v_705 ?v_580) ?v_243) ?v_446) 80))) (and (or (and (< (+ ?v_495 ?v_578) (- 77)) (<= (+ (+ ?v_114 ?v_245) ?v_38) 0)) (and (<= (+ (+ ?v_657 ?v_473) ?v_409) (- 24)) (= (+ (+ ?v_367 ?v_498) ?v_658) (- 78)))) (and (and (> (+ (+ ?v_313 ?v_703) ?v_171) 11) (not (= (+ ?v_15 ?v_659) 0))) (and (<= (+ (+ ?v_28 ?v_660) ?v_282) 0) (>= (+ (+ (+ ?v_134 ?v_257) ?v_645) ?v_435) 10))))) (or (or (or (or (not (= (+ (+ ?v_143 ?v_661) ?v_203) (- 100))) (= (+ (+ ?v_69 ?v_10) ?v_279) 21)) (and (= (+ ?v_289 ?v_404) (- 27)) (>= (+ (+ (+ ?v_152 ?v_543) ?v_662) ?v_553) 37))) (or (and (<= (+ (+ (+ ?v_387 ?v_611) ?v_266) ?v_386) 72) (not (= (+ (+ (+ ?v_546 ?v_455) ?v_498) ?v_412) 59))) (or (not (= (+ ?v_663 ?v_581) 0)) (> (+ (+ ?v_454 ?v_418) ?v_38) 50)))) (and (or (< (+ (+ (+ ?v_521 ?v_419) ?v_127) ?v_171) (- 17)) (and (< (+ ?v_115 ?v_437) (- 95)) (> (+ ?v_664 ?v_357) (- 91)))) (or (>= (+ (+ (+ ?v_298 ?v_631) ?v_573) ?v_665) 64) (>= (+ ?v_666 ?v_405) 4))))) (and (or (or (and (= (+ (+ (+ ?v_546 ?v_238) ?v_106) ?v_407) 0) (not (= (+ (+ ?v_642 ?v_667) ?v_412) 51))) (and (<= (+ (+ ?v_515 ?v_416) ?v_161) (- 7)) (= (+ ?v_549 ?v_672) (- 43)))) (or (and (= (+ (+ (+ ?v_668 ?v_284) ?v_450) ?v_124) 0) (<= (+ (+ ?v_7 ?v_669) ?v_670) 56)) (or (<= (+ (+ ?v_546 ?v_148) ?v_383) (- 79)) (= (+ ?v_460 ?v_581) 0)))) (or (= (+ ?v_137 ?v_189) (- 19)) (= (+ (+ ?v_349 ?v_671) ?v_672) (- 28))))) (or (or (or (or (or (and (and (>= (+ (+ (+ ?v_132 ?v_673) ?v_522) ?v_208) 67) (not (= (+ (+ ?v_116 ?v_455) ?v_103) (- 96)))) (and (> (+ (+ (+ ?v_46 ?v_250) ?v_234) ?v_26) (- 63)) (< (+ (+ ?v_533 ?v_101) ?v_636) 0))) (and (< (+ (+ ?v_85 ?v_674) ?v_157) 79) (or (<= (+ (+ ?v_269 ?v_675) ?v_433) (- 22)) (> (+ ?v_676 ?v_519) 18)))) (and (and (or (not (= (+ (+ ?v_653 ?v_252) ?v_110) (- 27))) (>= (+ ?v_256 ?v_482) (- 77))) (>= (+ ?v_223 ?v_446) 76)) (and (or (< (+ (+ ?v_677 ?v_731) ?v_196) 0) (> (+ (+ ?v_220 ?v_185) ?v_136) 0)) (and (>= (+ (+ ?v_125 ?v_641) ?v_519) 25) (= (+ ?v_240 ?v_136) (- 40)))))) (and (and (or (<= (+ (+ ?v_445 ?v_264) ?v_279) (- 12)) (not (= (+ (+ (+ ?v_308 ?v_123) ?v_121) ?v_444) 0))) (or (<= (+ (+ ?v_351 ?v_81) ?v_363) 0) (< (+ (+ ?v_377 ?v_43) ?v_634) 28))) (or (= (+ (+ (+ ?v_420 ?v_251) ?v_115) ?v_399) 0) (and (not (= (+ (+ ?v_85 ?v_65) ?v_24) 0)) (not (= (+ ?v_423 ?v_290) 0)))))) (and (or (or (not (= (+ ?v_23 ?v_12) 75)) (< (+ (+ ?v_93 ?v_678) ?v_26) 0)) (or (or (= (+ ?v_679 ?v_66) 15) (> (+ ?v_505 ?v_231) (- 22))) (and (< (+ (+ ?v_155 ?v_533) ?v_17) 76) (not (= (+ (+ (+ ?v_382 ?v_493) ?v_24) ?v_290) 0))))) (and (or (or (<= (+ (+ ?v_680 ?v_554) ?v_630) 0) (> (+ (+ (+ ?v_223 ?v_321) ?v_111) ?v_61) (- 1))) (or (not (= (+ (+ (+ ?v_49 ?v_148) ?v_422) ?v_649) 0)) (> (+ (+ (+ ?v_377 ?v_676) ?v_480) ?v_163) 2))) (and (or (or (not (= (+ (+ ?v_681 ?v_1) ?v_386) 72)) (<= (+ (+ (+ ?v_385 ?v_219) ?v_122) ?v_369) (- 31))) (or (< (+ ?v_353 ?v_527) 0) (not (= (+ (+ (+ ?v_682 ?v_114) ?v_354) ?v_613) (- 24))))) (or (not (= (+ (+ (+ ?v_445 ?v_372) ?v_509) ?v_428) (- 67))) (> (+ (+ (+ ?v_315 ?v_683) ?v_224) ?v_684) 95)))))) (or (or (or (and (or (or (>= (+ (+ (+ ?v_401 ?v_276) ?v_1) ?v_75) 88) (not (= (+ (+ (+ ?v_117 ?v_123) ?v_283) ?v_685) 6))) (or (not (= (+ (+ ?v_583 ?v_729) ?v_79) (- 27))) (<= (+ (+ ?v_223 ?v_667) ?v_213) 65))) (and (= (+ ?v_23 ?v_44) 0) (> ?v_385 0))) (or (and (= (+ (+ ?v_53 ?v_34) ?v_25) (- 30)) (= (+ (+ (+ ?v_289 ?v_55) ?v_13) ?v_130) 39)) (<= (+ ?v_686 ?v_148) (- 97)))) (or (and (and (and (= (+ ?v_343 ?v_684) (- 52)) (>= (+ (+ (+ ?v_439 ?v_543) ?v_356) ?v_262) (- 74))) (= (+ (+ ?v_174 ?v_627) ?v_473) (- 99))) (or (or (< (+ (+ (+ ?v_524 ?v_505) ?v_115) ?v_414) 0) (<= (+ (+ ?v_343 ?v_258) ?v_687) (- 22))) (and (<= (+ ?v_688 ?v_673) 53) (>= (+ (+ ?v_698 ?v_432) ?v_145) (- 53))))) (and (or (or (>= (+ ?v_675 ?v_248) (- 17)) (>= (+ (+ ?v_766 ?v_218) ?v_639) 97)) (and (<= (+ ?v_689 ?v_58) (- 88)) (= (+ (+ (+ ?v_389 ?v_690) ?v_83) ?v_146) 0))) (and (not (= (+ (+ ?v_256 ?v_219) ?v_79) 41)) (< (+ (+ ?v_276 ?v_191) ?v_363) (- 95)))))) (or (and (or (and (>= (+ (+ (+ ?v_537 ?v_492) ?v_464) ?v_146) (- 5)) (<= (+ ?v_765 ?v_153) 0)) (or (or (< (+ (+ ?v_508 ?v_2) ?v_288) 0) (<= (+ (+ ?v_653 ?v_287) ?v_527) (- 52))) (or (> (+ (+ (+ ?v_559 ?v_272) ?v_366) ?v_112) 0) (> (+ (+ (+ ?v_521 ?v_516) ?v_691) ?v_484) 0)))) (and (and (and (>= (+ (+ ?v_223 ?v_675) ?v_575) (- 80)) (> (+ (+ (+ ?v_220 ?v_692) ?v_464) ?v_259) 72)) (and (not (= (+ (+ ?v_358 ?v_587) ?v_192) (- 93))) (< (+ (+ ?v_567 ?v_340) ?v_552) 0))) (or (or (not (= (+ ?v_517 ?v_645) 72)) (< (+ ?v_243 ?v_624) 52)) (or (= (+ (+ (+ ?v_249 ?v_33) ?v_663) ?v_158) 0) (>= (+ ?v_39 ?v_303) (- 89)))))) (or (and (> (+ (+ ?v_346 ?v_510) ?v_44) (- 90)) (<= (+ (+ (+ ?v_16 ?v_540) ?v_590) ?v_693) 20)) (>= (+ ?v_555 ?v_613) (- 50)))))))))) (or (and (and (and (and (and (or (or (and (and (> (+ ?v_228 ?v_518) (- 91)) (> (+ (+ ?v_105 ?v_98) ?v_560) 5)) (>= (+ (+ ?v_457 ?v_694) ?v_702) 40)) (or (and (or (not (= (+ (+ ?v_530 ?v_149) ?v_146) (- 27))) (<= (+ (+ (+ ?v_491 ?v_695) ?v_696) ?v_262) (- 37))) (or (= (+ (+ ?v_135 ?v_356) ?v_177) 77) (not (= (+ (+ (+ ?v_697 ?v_246) ?v_429) ?v_768) (- 33))))) (and (<= (+ (+ (+ ?v_698 ?v_165) ?v_207) ?v_59) 51) (> (+ (+ (+ ?v_536 ?v_8) ?v_191) ?v_398) 50)))) (and (and (<= (+ (+ (+ ?v_408 ?v_419) ?v_4) ?v_196) 23) (and (> (+ (+ (+ ?v_697 ?v_595) ?v_180) ?v_14) 29) (not (= (+ ?v_426 ?v_557) 35)))) (and (= (+ (+ ?v_275 ?v_699) ?v_414) (- 28)) (or (> (+ (+ ?v_408 ?v_434) ?v_616) (- 82)) (<= (+ (+ (+ ?v_125 ?v_352) ?v_243) ?v_248) 0))))) (or (or (and (and (>= (+ (+ ?v_516 ?v_266) ?v_214) (- 77)) (= (+ (+ (+ ?v_489 ?v_595) ?v_561) ?v_173) (- 6))) (or (= (+ ?v_540 ?v_406) 9) (>= (+ ?v_257 ?v_523) 0))) (and (< (+ ?v_155 ?v_60) 0) (<= (+ ?v_605 ?v_213) (- 67)))) (and (or (and (or (<= (+ ?v_698 ?v_195) (- 76)) (< (+ ?v_350 ?v_523) (- 5))) (and (= (+ (+ ?v_700 ?v_395) ?v_396) (- 55)) (>= (+ (+ ?v_206 ?v_201) ?v_407) 91))) (and (or (<= (+ (+ (+ ?v_132 ?v_216) ?v_650) ?v_394) (- 16)) (<= (+ ?v_332 ?v_613) (- 79))) (or (> (+ ?v_382 ?v_288) 0) (>= ?v_506 (- 68))))) (or (and (< (+ (+ ?v_339 ?v_413) ?v_267) 49) (>= (+ (+ ?v_607 ?v_544) ?v_422) 0)) (or (> (+ ?v_235 ?v_652) 23) (<= (+ ?v_332 ?v_201) (- 75))))))) (or (and (or (and (and (and (not (= (+ (+ (+ ?v_551 ?v_555) ?v_664) ?v_701) (- 3))) (< (+ (+ ?v_32 ?v_627) ?v_702) 0)) (or (= (+ (+ ?v_76 ?v_703) ?v_285) (- 16)) (>= (+ ?v_626 ?v_786) (- 53)))) (and (or (<= (+ (+ ?v_408 ?v_755) ?v_704) (- 4)) (= (+ (+ ?v_128 ?v_797) ?v_168) 0)) (> (+ (+ ?v_708 ?v_627) ?v_26) 65))) (or (and (and (not (= (+ (+ ?v_36 ?v_505) ?v_600) (- 27))) (<= (+ (+ (+ ?v_725 ?v_326) ?v_10) ?v_409) 38)) (or (>= (+ (+ ?v_445 ?v_457) ?v_87) (- 56)) (= (+ (+ ?v_126 ?v_4) ?v_628) 0))) (and (or (<= (+ (+ ?v_311 ?v_434) ?v_130) (- 34)) (not (= (+ (+ (+ ?v_169 ?v_627) ?v_122) ?v_87) 48))) (< (+ (+ (+ ?v_705 ?v_706) ?v_101) ?v_433) 76)))) (and (or (not (= (+ ?v_508 ?v_707) (- 60))) (< (+ (+ (+ ?v_640 ?v_246) ?v_287) ?v_183) 67)) (or (or (<= (+ (+ (+ ?v_779 ?v_703) ?v_416) ?v_376) 0) (not (= (+ (+ (+ ?v_708 ?v_162) ?v_550) ?v_484) 0))) (and (not (= (+ ?v_709 ?v_478) 0)) (or (< ?v_444 0) (= (+ (+ ?v_187 ?v_323) ?v_488) (- 19))))))) (or (and (>= ?v_649 85) (or (or (and (>= (+ (+ ?v_633 ?v_380) ?v_177) (- 92)) (> (+ (+ ?v_710 ?v_180) ?v_552) 0)) (and (<= (+ ?v_650 ?v_61) 59) (<= (+ (+ (+ ?v_620 ?v_471) ?v_704) ?v_715) (- 88)))) (and (and (= (+ (+ ?v_711 ?v_39) ?v_147) 71) (< (+ (+ ?v_491 ?v_550) ?v_303) 0)) (= (+ (+ ?v_387 ?v_503) ?v_325) 66)))) (and (or (>= (+ (+ (+ ?v_417 ?v_712) ?v_573) ?v_713) (- 32)) (>= (+ (+ (+ ?v_105 ?v_657) ?v_335) ?v_684) (- 29))) (and (and (= (+ ?v_385 ?v_66) (- 72)) (> (+ (+ ?v_714 ?v_443) ?v_90) 74)) (or (< (+ (+ ?v_681 ?v_695) ?v_715) (- 8)) (< (+ (+ (+ ?v_521 ?v_342) ?v_48) ?v_716) 79))))))) (and (and (and (or (and (<= ?v_82 98) (> (+ (+ (+ ?v_155 ?v_667) ?v_149) ?v_290) 21)) (and (and (> (+ (+ (+ ?v_305 ?v_128) ?v_717) ?v_398) (- 40)) (< ?v_512 (- 41))) (and (>= (+ ?v_511 ?v_599) 10) (> (+ (+ (+ ?v_548 ?v_627) ?v_582) ?v_649) (- 100))))) (or (and (or (not (= (+ ?v_151 ?v_267) 0)) (> (+ (+ ?v_28 ?v_756) ?v_547) 44)) (and (and (not (= (+ (+ ?v_718 ?v_618) ?v_432) (- 21))) (> (+ (+ (+ ?v_629 ?v_544) ?v_101) ?v_665) 0)) (< (+ (+ (+ ?v_524 ?v_98) ?v_86) ?v_636) (- 86)))) (or (or (or (= (+ (+ ?v_530 ?v_561) ?v_727) (- 61)) (not (= (+ (+ (+ ?v_351 ?v_39) ?v_156) ?v_158) (- 66)))) (or (not (= (+ ?v_605 ?v_425) 87)) (<= (+ (+ (+ ?v_311 ?v_689) ?v_719) ?v_518) (- 94)))) (or (= (+ (+ ?v_762 ?v_661) ?v_481) (- 3)) (> (+ ?v_242 ?v_547) (- 67)))))) (and (and (or (or (>= (+ ?v_216 ?v_38) 0) (= (+ (+ ?v_296 ?v_27) ?v_701) 39)) (or (or (<= (+ (+ (+ ?v_705 ?v_656) ?v_301) ?v_539) 80) (<= (+ ?v_280 ?v_161) (- 10))) (and (>= (+ (+ (+ ?v_626 ?v_98) ?v_429) ?v_720) (- 2)) (<= (+ (+ ?v_629 ?v_641) ?v_130) 92)))) (and (or (<= (+ (+ ?v_666 ?v_43) ?v_183) (- 15)) (>= (+ (+ (+ ?v_537 ?v_185) ?v_299) ?v_267) 34)) (or (> (+ (+ ?v_721 ?v_583) ?v_203) (- 49)) (>= (+ (+ (+ ?v_137 ?v_492) ?v_470) ?v_177) 88)))) (or (and (and (and (= ?v_59 (- 100)) (>= (+ (+ (+ ?v_387 ?v_118) ?v_221) ?v_425) 28)) (or (>= (+ (+ ?v_681 ?v_544) ?v_145) 73) (= (+ (+ ?v_427 ?v_9) ?v_534) 0))) (or (or (= (+ (+ (+ ?v_722 ?v_723) ?v_498) ?v_529) 0) (>= (+ (+ (+ ?v_420 ?v_528) ?v_334) ?v_458) 40)) (> (+ (+ ?v_489 ?v_135) ?v_100) (- 16)))) (or (or (< (+ (+ ?v_724 ?v_254) ?v_435) (- 23)) (or (= (+ (+ (+ ?v_567 ?v_77) ?v_83) ?v_91) 23) (<= (+ (+ (+ ?v_78 ?v_353) ?v_365) ?v_412) (- 28)))) (or (or (>= (+ (+ ?v_479 ?v_165) ?v_87) 100) (>= (+ (+ ?v_265 ?v_324) ?v_94) (- 41))) (and (not (= ?v_381 51)) (< (+ ?v_722 ?v_331) (- 2)))))))) (and (or (or (and (and (= (+ (+ ?v_608 ?v_334) ?v_67) 0) (>= (+ (+ (+ ?v_382 ?v_676) ?v_54) ?v_209) (- 53))) (or (= (+ (+ (+ ?v_504 ?v_140) ?v_243) ?v_267) 6) (<= (+ ?v_199 ?v_163) 0))) (and (and (> (+ (+ (+ ?v_164 ?v_343) ?v_500) ?v_449) 59) (>= ?v_689 0)) (and (> (+ (+ ?v_367 ?v_464) ?v_575) 50) (not (= (+ (+ ?v_108 ?v_252) ?v_90) (- 82)))))) (and (and (and (<= (+ (+ (+ ?v_129 ?v_669) ?v_58) ?v_94) (- 48)) (= (+ (+ ?v_241 ?v_356) ?v_72) 84)) (or (> (+ ?v_690 ?v_193) 38) (< (+ ?v_78 ?v_186) 7))) (or (and (= (+ (+ (+ ?v_447 ?v_603) ?v_266) ?v_124) (- 39)) (> (+ (+ (+ ?v_725 ?v_257) ?v_704) ?v_619) (- 82))) (or (not (= (+ (+ ?v_22 ?v_71) ?v_535) 0)) (>= ?v_609 (- 32)))))) (or (or (and (> (+ (+ (+ ?v_726 ?v_342) ?v_89) ?v_715) 0) (= (+ (+ ?v_505 ?v_368) ?v_189) 20)) (and (<= (+ (+ ?v_137 ?v_219) ?v_727) (- 49)) (<= ?v_728 (- 70)))) (or (and (and (not (= (+ (+ ?v_108 ?v_273) ?v_713) 0)) (>= (+ (+ ?v_733 ?v_729) ?v_383) 85)) (< (+ (+ ?v_475 ?v_474) ?v_720) 64)) (and (and (> (+ (+ (+ ?v_642 ?v_118) ?v_554) ?v_613) 89) (< (+ (+ ?v_63 ?v_598) ?v_730) 52)) (and (= (+ (+ ?v_673 ?v_731) ?v_386) (- 18)) (> (+ (+ (+ ?v_479 ?v_471) ?v_323) ?v_157) 95)))))))) (and (or (and (or (or (or (or (not (= (+ (+ ?v_16 ?v_88) ?v_347) (- 58))) (= (+ ?v_316 ?v_197) (- 54))) (or (= (+ (+ (+ ?v_134 ?v_707) ?v_400) ?v_336) 45) (= (+ (+ (+ ?v_479 ?v_592) ?v_717) ?v_357) 18))) (or (or (and (= (+ ?v_469 ?v_516) (- 4)) (not (= ?v_487 (- 24)))) (or (>= (+ ?v_108 ?v_732) 67) (>= (+ ?v_249 ?v_29) 43))) (and (or (>= (+ (+ (+ ?v_16 ?v_65) ?v_605) ?v_90) 37) (<= (+ (+ ?v_721 ?v_733) ?v_621) (- 10))) (and (>= ?v_314 37) (> (+ (+ (+ ?v_97 ?v_410) ?v_4) ?v_0) (- 63)))))) (and (and (or (or (= (+ (+ ?v_138 ?v_424) ?v_161) 0) (= (+ ?v_734 ?v_266) 0)) (and (> (+ (+ (+ ?v_298 ?v_654) ?v_735) ?v_658) (- 36)) (>= (+ ?v_660 ?v_360) (- 95)))) (or (< (+ (+ ?v_759 ?v_92) ?v_736) 16) (> (+ (+ ?v_42 ?v_71) ?v_628) (- 46)))) (and (or (and (<= (+ ?v_577 ?v_651) (- 94)) (not (= (+ (+ (+ ?v_291 ?v_28) ?v_231) ?v_624) (- 30)))) (<= (+ (+ ?v_63 ?v_710) ?v_464) (- 54))) (and (or (not (= (+ (+ ?v_296 ?v_493) ?v_50) (- 42))) (>= (+ (+ ?v_291 ?v_737) ?v_209) (- 2))) (<= (+ ?v_597 ?v_488) 12))))) (or (and (or (and (or (not (= (+ (+ ?v_475 ?v_415) ?v_570) 96)) (<= (+ (+ ?v_738 ?v_170) ?v_587) 56)) (or (< (+ ?v_388 ?v_526) 61) (< (+ (+ (+ ?v_718 ?v_276) ?v_5) ?v_154) 16))) (and (and (not (= (+ (+ (+ ?v_607 ?v_514) ?v_670) ?v_476) (- 90))) (<= (+ (+ (+ ?v_739 ?v_595) ?v_474) ?v_211) (- 28))) (and (<= (+ ?v_251 ?v_616) 5) (< (+ (+ (+ ?v_726 ?v_671) ?v_719) ?v_576) 0)))) (or (>= ?v_543 (- 20)) (and (= (+ ?v_740 ?v_262) (- 54)) (<= (+ (+ (+ ?v_666 ?v_741) ?v_234) ?v_523) 63)))) (and (or (and (> (+ (+ (+ ?v_269 ?v_703) ?v_694) ?v_564) (- 97)) (> (+ (+ ?v_278 ?v_585) ?v_742) (- 52))) (and (and (< (+ (+ (+ ?v_316 ?v_98) ?v_299) ?v_560) (- 71)) (> (+ ?v_618 ?v_545) (- 78))) (and (>= (+ (+ ?v_332 ?v_119) ?v_575) 43) (<= (+ (+ (+ ?v_743 ?v_362) ?v_650) ?v_376) 35)))) (and (and (and (< (+ ?v_465 ?v_426) 13) (not (= (+ ?v_641 ?v_381) 3))) (or (>= (+ (+ (+ ?v_572 ?v_744) ?v_301) ?v_425) 10) (<= (+ (+ (+ ?v_567 ?v_744) ?v_81) ?v_742) (- 55)))) (and (or (< (+ (+ ?v_210 ?v_571) ?v_713) (- 77)) (= (+ (+ (+ ?v_256 ?v_270) ?v_13) ?v_217) 0)) (and (>= (+ (+ ?v_401 ?v_191) ?v_26) (- 20)) (= (+ (+ ?v_63 ?v_326) ?v_283) 0))))))) (and (and (or (or (or (or (= (+ ?v_8 ?v_396) (- 19)) (not (= (+ (+ (+ ?v_69 ?v_114) ?v_411) ?v_186) 60))) (or (>= (+ (+ (+ ?v_134 ?v_745) ?v_188) ?v_186) (- 92)) (< (+ (+ ?v_246 ?v_406) ?v_214) (- 35)))) (or (> (+ (+ (+ ?v_358 ?v_216) ?v_450) ?v_255) (- 97)) (<= (+ (+ ?v_134 ?v_426) ?v_109) 0))) (and (and (or (<= (+ ?v_623 ?v_772) 20) (< (+ ?v_308 ?v_746) 0)) (or (>= (+ (+ (+ ?v_447 ?v_747) ?v_694) ?v_30) (- 71)) (>= (+ (+ (+ ?v_223 ?v_540) ?v_309) ?v_166) 31))) (and (or (>= ?v_486 61) (>= (+ (+ (+ ?v_508 ?v_80) ?v_468) ?v_591) (- 50))) (or (> (+ (+ ?v_350 ?v_638) ?v_255) 75) (<= (+ (+ (+ ?v_748 ?v_749) ?v_589) ?v_612) 89))))) (and (or (and (or (< (+ (+ ?v_117 ?v_719) ?v_177) 0) (< (+ (+ ?v_479 ?v_712) ?v_584) 0)) (and (>= (+ (+ ?v_750 ?v_663) ?v_751) (- 2)) (not (= (+ (+ ?v_169 ?v_225) ?v_752) (- 42))))) (and (>= (+ (+ ?v_240 ?v_498) ?v_61) 0) (not (= (+ ?v_246 ?v_628) (- 19))))) (and (or (or (not (= (+ (+ ?v_549 ?v_410) ?v_383) (- 24))) (= (+ ?v_489 ?v_494) 56)) (and (<= ?v_700 (- 79)) (not (= (+ (+ ?v_242 ?v_48) ?v_87) (- 24))))) (or (>= (+ (+ ?v_459 ?v_453) ?v_386) 0) (not (= (+ (+ ?v_135 ?v_147) ?v_685) 0)))))) (or (and (or (and (and (= (+ (+ ?v_700 ?v_667) ?v_177) (- 4)) (not (= (+ ?v_21 ?v_702) (- 78)))) (and (>= (+ (+ (+ ?v_175 ?v_8) ?v_356) ?v_798) (- 14)) (<= (+ (+ ?v_722 ?v_65) ?v_149) (- 37)))) (or (not (= (+ (+ ?v_240 ?v_605) ?v_338) 0)) (not (= (+ (+ ?v_332 ?v_384) ?v_356) 0)))) (or (= (+ (+ ?v_53 ?v_252) ?v_591) 0) (and (and (= (+ (+ ?v_337 ?v_434) ?v_701) 0) (<= (+ (+ ?v_31 ?v_321) ?v_103) (- 1))) (and (= (+ (+ ?v_465 ?v_260) ?v_605) (- 28)) (not (= (+ ?v_753 ?v_72) 9)))))) (or (or (not (= (+ ?v_64 ?v_474) 6)) (<= (+ (+ ?v_276 ?v_261) ?v_409) 83)) (<= (+ (+ ?v_210 ?v_326) ?v_83) 0))))) (or (or (and (or (or (and (= (+ ?v_53 ?v_166) (- 15)) (<= (+ (+ (+ ?v_305 ?v_140) ?v_13) ?v_390) 39)) (and (not (= (+ (+ ?v_542 ?v_429) ?v_527) 92)) (<= (+ (+ ?v_700 ?v_89) ?v_376) 0))) (and (and (< (+ ?v_656 ?v_662) (- 92)) (= (+ ?v_159 ?v_422) 84)) (and (not (= (+ (+ (+ ?v_705 ?v_179) ?v_424) ?v_330) (- 28))) (>= (+ (+ (+ ?v_63 ?v_466) ?v_584) ?v_484) (- 71))))) (or (or (< (+ (+ ?v_629 ?v_247) ?v_282) 0) (and (not (= (+ (+ (+ ?v_358 ?v_410) ?v_295) ?v_451) 23)) (< (+ (+ (+ ?v_397 ?v_28) ?v_638) ?v_430) (- 23)))) (or (= (+ ?v_316 ?v_176) 32) (<= (+ (+ (+ ?v_316 ?v_216) ?v_309) ?v_318) (- 40))))) (or (or (> (+ (+ (+ ?v_351 ?v_471) ?v_614) ?v_458) (- 94)) (>= (+ (+ (+ ?v_212 ?v_372) ?v_740) ?v_310) 1)) (< (+ (+ ?v_16 ?v_156) ?v_394) 0))) (or (or (and (and (<= (+ (+ ?v_134 ?v_328) ?v_545) 62) (< ?v_287 0)) (or (not (= (+ ?v_3 ?v_655) (- 15))) (< (+ ?v_19 ?v_207) 0))) (and (not (= ?v_733 (- 31))) (or (or (> (+ (+ ?v_754 ?v_621) ?v_14) 50) (<= (+ (+ ?v_711 ?v_8) ?v_687) 60)) (not (= (+ (+ (+ ?v_459 ?v_247) ?v_737) ?v_61) 15))))) (or (and (and (or (or (> (+ (+ ?v_46 ?v_156) ?v_141) (- 27)) (not (= (+ (+ ?v_187 ?v_140) ?v_166) (- 45)))) (or (not (= (+ (+ (+ ?v_626 ?v_710) ?v_525) ?v_90) 15)) (> (+ ?v_4 ?v_40) 0))) (and (not (= (+ (+ ?v_382 ?v_755) ?v_756) 86)) (or (<= (+ (+ ?v_508 ?v_480) ?v_20) (- 76)) (= (+ ?v_536 ?v_40) 0)))) (and (and (or (> (+ (+ (+ ?v_454 ?v_2) ?v_422) ?v_94) 90) (< (+ ?v_159 ?v_318) (- 29))) (>= (+ (+ ?v_646 ?v_641) ?v_719) 0)) (and (and (< (+ (+ (+ ?v_49 ?v_641) ?v_760) ?v_124) 0) (not (= (+ (+ ?v_452 ?v_276) ?v_432) (- 57)))) (or (<= (+ (+ (+ ?v_546 ?v_135) ?v_221) ?v_214) (- 40)) (>= (+ (+ (+ ?v_181 ?v_661) ?v_585) ?v_409) 88))))) (or (or (or (or (<= (+ (+ (+ ?v_202 ?v_543) ?v_329) ?v_404) 95) (< (+ (+ ?v_345 ?v_745) ?v_684) 0)) (and (not (= (+ ?v_314 ?v_89) 9)) (= (+ (+ ?v_350 ?v_247) ?v_757) (- 100)))) (or (and (<= (+ (+ ?v_758 ?v_115) ?v_38) 95) (= (+ (+ (+ ?v_501 ?v_667) ?v_83) ?v_399) 65)) (<= (+ (+ ?v_420 ?v_466) ?v_435) 0))) (and (and (or (= (+ (+ ?v_511 ?v_284) ?v_41) (- 7)) (not (= (+ (+ ?v_117 ?v_234) ?v_622) (- 24)))) (or (<= (+ ?v_348 ?v_759) (- 34)) (= (+ (+ ?v_95 ?v_760) ?v_716) (- 19)))) (or (>= (+ ?v_761 ?v_139) 0) (or (= (+ (+ ?v_627 ?v_197) ?v_381) 0) (= (+ ?v_39 ?v_694) 0)))))))))) (or (and (and (and (or (and (or (and (and (not (= (+ (+ (+ ?v_653 ?v_204) ?v_147) ?v_75) (- 54))) (not (= (+ (+ ?v_275 ?v_405) ?v_366) (- 9)))) (or (>= (+ (+ ?v_762 ?v_8) ?v_180) 43) (<= (+ ?v_452 ?v_594) 71))) (and (or (= (+ ?v_107 ?v_535) 0) (= (+ ?v_654 ?v_590) 0)) (or (= (+ (+ ?v_714 ?v_368) ?v_166) 0) (<= (+ (+ ?v_420 ?v_763) ?v_550) 83)))) (or (and (= (+ (+ ?v_22 ?v_215) ?v_154) (- 87)) (<= (+ ?v_764 ?v_631) (- 9))) (and (or (<= ?v_161 74) (<= (+ (+ (+ ?v_765 ?v_583) ?v_228) ?v_124) 17)) (or (> (+ (+ (+ ?v_84 ?v_457) ?v_281) ?v_267) 9) (= (+ (+ ?v_78 ?v_283) ?v_407) 0))))) (or (and (and (<= (+ (+ ?v_172 ?v_77) ?v_283) 0) (and (not (= (+ (+ (+ ?v_113 ?v_707) ?v_600) ?v_333) 69)) (not (= (+ (+ ?v_387 ?v_403) ?v_79) 27)))) (or (or (>= (+ (+ ?v_382 ?v_745) ?v_325) 25) (= (+ ?v_341 ?v_663) 50)) (or (<= (+ (+ ?v_93 ?v_48) ?v_253) (- 10)) (> (+ (+ (+ ?v_16 ?v_77) ?v_1) ?v_736) 0)))) (and (or (and (<= (+ (+ ?v_763 ?v_650) ?v_360) (- 13)) (not (= (+ (+ ?v_447 ?v_254) ?v_490) (- 51)))) (and (>= ?v_691 64) (= (+ (+ ?v_401 ?v_13) ?v_66) 0))) (and (and (< (+ (+ ?v_22 ?v_238) ?v_182) 0) (>= (+ (+ ?v_36 ?v_460) ?v_639) 46)) (or (not (= ?v_711 (- 72))) (not (= (+ (+ ?v_567 ?v_422) ?v_318) (- 54)))))))) (and (and (and (and (and (not (= (+ (+ ?v_169 ?v_707) ?v_658) 3)) (<= (+ (+ ?v_766 ?v_317) ?v_217) (- 7))) (and (>= (+ (+ ?v_271 ?v_453) ?v_576) (- 65)) (>= (+ (+ ?v_508 ?v_235) ?v_281) (- 41)))) (or (and (< (+ (+ (+ ?v_227 ?v_755) ?v_156) ?v_619) (- 17)) (<= (+ ?v_661 ?v_463) (- 58))) (= (+ (+ (+ ?v_164 ?v_690) ?v_406) ?v_12) 81))) (or (or (= (+ (+ ?v_244 ?v_89) ?v_404) 66) (> (+ (+ (+ ?v_125 ?v_322) ?v_545) ?v_61) 92)) (or (> (+ (+ ?v_36 ?v_723) ?v_474) 92) (< (+ (+ ?v_537 ?v_98) ?v_506) 16)))) (or (and (and (not (= (+ (+ (+ ?v_642 ?v_487) ?v_498) ?v_6) (- 100))) (and (< (+ (+ (+ ?v_134 ?v_603) ?v_740) ?v_186) 43) (> (+ (+ ?v_767 ?v_683) ?v_122) 18))) (and (<= (+ ?v_53 ?v_254) 0) (< (+ (+ ?v_640 ?v_400) ?v_768) (- 83)))) (or (and (< (+ (+ (+ ?v_439 ?v_374) ?v_115) ?v_90) 16) (and (< (+ (+ ?v_714 ?v_247) ?v_14) (- 92)) (<= (+ (+ (+ ?v_3 ?v_144) ?v_99) ?v_647) (- 37)))) (or (and (not (= (+ ?v_625 ?v_462) (- 27))) (>= (+ (+ ?v_517 ?v_737) ?v_539) (- 29))) (or (>= (+ (+ ?v_747 ?v_644) ?v_157) (- 35)) (>= (+ (+ ?v_244 ?v_723) ?v_325) (- 2)))))))) (or (or (or (>= ?v_17 (- 11)) (<= (+ (+ (+ ?v_626 ?v_238) ?v_54) ?v_226) (- 76))) (or (and (or (>= (+ ?v_326 ?v_234) (- 68)) (not (= (+ ?v_378 ?v_154) 0))) (or (<= (+ (+ ?v_514 ?v_473) ?v_404) 0) (= (+ (+ (+ ?v_202 ?v_362) ?v_769) ?v_732) 9))) (and (and (>= (+ (+ ?v_626 ?v_413) ?v_564) 0) (> (+ (+ ?v_132 ?v_457) ?v_582) 65)) (or (not (= (+ ?v_370 ?v_235) 20)) (= (+ (+ (+ ?v_220 ?v_257) ?v_400) ?v_409) (- 96)))))) (or (and (and (or (< (+ (+ ?v_657 ?v_193) ?v_446) 28) (< (+ (+ ?v_206 ?v_71) ?v_124) 100)) (>= ?v_98 (- 68))) (and (or (>= (+ ?v_785 ?v_54) 100) (not (= (+ (+ ?v_315 ?v_770) ?v_720) (- 79)))) (or (< (+ (+ (+ ?v_705 ?v_654) ?v_756) ?v_476) 16) (<= (+ (+ (+ ?v_496 ?v_65) ?v_538) ?v_713) 0)))) (and (or (<= (+ ?v_549 ?v_656) (- 4)) (<= (+ ?v_56 ?v_392) 50)) (and (or (not (= (+ (+ (+ ?v_320 ?v_709) ?v_664) ?v_526) 0)) (> (+ ?v_178 ?v_407) (- 70))) (>= (+ (+ (+ ?v_313 ?v_770) ?v_182) ?v_87) (- 56))))))) (or (or (and (or (or (and (< ?v_356 (- 32)) (and (= (+ ?v_241 ?v_237) 20) (= (+ (+ ?v_200 ?v_699) ?v_630) 0))) (and (or (not (= (+ (+ (+ ?v_420 ?v_677) ?v_645) ?v_444) 18)) (< (+ (+ ?v_771 ?v_366) ?v_772) 0)) (= (+ (+ (+ ?v_469 ?v_270) ?v_699) ?v_186) 96))) (or (or (>= (+ (+ (+ ?v_604 ?v_669) ?v_753) ?v_490) (- 2)) (and (> (+ (+ ?v_250 ?v_252) ?v_90) 57) (not (= (+ (+ ?v_316 ?v_703) ?v_523) (- 78))))) (or (and (< (+ (+ ?v_57 ?v_474) ?v_142) 0) (<= ?v_45 (- 88))) (or (not (= (+ (+ ?v_349 ?v_405) ?v_498) (- 45))) (>= (+ (+ (+ ?v_588 ?v_754) ?v_464) ?v_428) 55))))) (and (and (= (+ (+ ?v_229 ?v_215) ?v_576) 0) (and (= (+ (+ (+ ?v_117 ?v_754) ?v_392) ?v_456) 69) (>= (+ (+ ?v_359 ?v_37) ?v_386) 0))) (and (or (= (+ (+ ?v_537 ?v_107) ?v_325) 9) (not (= (+ (+ ?v_469 ?v_525) ?v_444) 23))) (>= (+ (+ ?v_16 ?v_138) ?v_92) (- 77))))) (and (and (and (or (or (< (+ (+ ?v_77 ?v_392) ?v_375) (- 11)) (= (+ (+ ?v_314 ?v_662) ?v_596) 53)) (>= (+ ?v_525 ?v_310) (- 41))) (or (and (not (= (+ (+ ?v_511 ?v_754) ?v_54) 96)) (<= (+ ?v_134 ?v_128) (- 13))) (and (= (+ (+ (+ ?v_653 ?v_216) ?v_243) ?v_526) 0) (>= (+ (+ ?v_442 ?v_590) ?v_189) 85)))) (and (and (and (> (+ (+ (+ ?v_700 ?v_153) ?v_729) ?v_59) 0) (> (+ (+ (+ ?v_206 ?v_471) ?v_380) ?v_728) (- 84))) (and (>= (+ (+ ?v_194 ?v_190) ?v_177) (- 50)) (<= (+ ?v_314 ?v_371) 11))) (and (or (> (+ (+ ?v_511 ?v_757) ?v_217) (- 30)) (not (= (+ (+ (+ ?v_125 ?v_631) ?v_156) ?v_444) 69))) (or (= (+ (+ ?v_725 ?v_302) ?v_287) 47) (< ?v_448 46))))) (or (or (and (and (< (+ ?v_56 ?v_108) 34) (not (= ?v_26 (- 69)))) (or (<= (+ (+ ?v_603 ?v_541) ?v_563) (- 94)) (not (= (+ (+ ?v_773 ?v_706) ?v_659) 45)))) (and (>= (+ (+ ?v_313 ?v_448) ?v_13) 82) (= (+ (+ (+ ?v_11 ?v_568) ?v_392) ?v_290) 81))) (or (or (< (+ (+ ?v_771 ?v_432) ?v_196) 13) (or (> (+ (+ (+ ?v_427 ?v_153) ?v_562) ?v_409) (- 87)) (not (= (+ (+ (+ ?v_84 ?v_692) ?v_460) ?v_393) 24)))) (and (> (+ (+ ?v_765 ?v_505) ?v_182) 62) (> (+ (+ ?v_686 ?v_195) ?v_10) (- 22))))))) (or (or (and (or (< (+ (+ (+ ?v_194 ?v_744) ?v_329) ?v_6) 0) (and (> (+ (+ ?v_712 ?v_416) ?v_518) (- 70)) (= (+ (+ ?v_15 ?v_671) ?v_634) 6))) (or (or (= (+ (+ (+ ?v_479 ?v_108) ?v_554) ?v_390) 99) (>= (+ (+ (+ ?v_714 ?v_33) ?v_464) ?v_751) 0)) (and (= (+ (+ ?v_574 ?v_392) ?v_248) (- 30)) (not (= (+ (+ ?v_244 ?v_133) ?v_329) (- 82)))))) (or (and (and (or (> ?v_91 0) (not (= (+ (+ (+ ?v_32 ?v_741) ?v_81) ?v_112) 75))) (and (< (+ (+ ?v_408 ?v_176) ?v_399) 0) (> (+ (+ (+ ?v_738 ?v_88) ?v_225) ?v_333) 0))) (and (or (>= (+ ?v_107 ?v_163) 40) (= (+ (+ ?v_249 ?v_204) ?v_100) 0)) (and (= (+ (+ (+ ?v_653 ?v_448) ?v_729) ?v_205) 0) (< (+ (+ ?v_508 ?v_600) ?v_446) 58)))) (and (or (and (not (= (+ (+ (+ ?v_210 ?v_631) ?v_550) ?v_622) (- 75))) (= (+ (+ ?v_405 ?v_431) ?v_91) (- 58))) (or (> (+ (+ ?v_762 ?v_517) ?v_141) 87) (not (= (+ (+ ?v_56 ?v_55) ?v_587) (- 78))))) (and (or (< (+ (+ ?v_465 ?v_165) ?v_753) (- 14)) (<= (+ (+ (+ ?v_187 ?v_39) ?v_224) ?v_456) (- 16))) (or (> (+ (+ ?v_774 ?v_667) ?v_157) 60) (> (+ (+ ?v_608 ?v_538) ?v_0) 99)))))) (and (or (or (and (and (>= (+ (+ (+ ?v_718 ?v_410) ?v_388) ?v_344) 46) (= (+ ?v_204 ?v_74) 0)) (and (<= (+ (+ (+ ?v_511 ?v_695) ?v_207) ?v_360) 5) (= (+ (+ (+ ?v_332 ?v_540) ?v_4) ?v_59) (- 10)))) (and (or (= (+ (+ (+ ?v_445 ?v_505) ?v_188) ?v_214) 0) (< (+ (+ (+ ?v_548 ?v_65) ?v_645) ?v_409) (- 68))) (or (>= (+ (+ ?v_8 ?v_663) ?v_255) (- 56)) (= (+ (+ (+ ?v_32 ?v_746) ?v_554) ?v_20) 0)))) (and (or (or (<= (+ (+ ?v_249 ?v_503) ?v_477) 89) (> (+ (+ (+ ?v_646 ?v_540) ?v_453) ?v_248) 54)) (>= (+ (+ ?v_524 ?v_692) ?v_735) (- 56))) (or (or (< (+ ?v_504 ?v_34) 0) (> (+ ?v_491 ?v_541) 0)) (or (< (+ (+ (+ ?v_524 ?v_232) ?v_737) ?v_44) (- 56)) (< (+ (+ ?v_459 ?v_585) ?v_196) (- 56)))))) (or (and (and (not (= (+ ?v_574 ?v_177) 0)) (not (= (+ ?v_348 ?v_550) 0))) (and (<= (+ ?v_155 ?v_138) 0) (= (+ (+ ?v_688 ?v_48) ?v_772) 96))) (and (<= (+ ?v_11 ?v_248) 53) (or (not (= (+ (+ ?v_700 ?v_592) ?v_182) (- 76))) (>= (+ (+ (+ ?v_454 ?v_436) ?v_266) ?v_685) 0)))))))) (and (and (or (or (or (<= (+ (+ (+ ?v_93 ?v_257) ?v_218) ?v_205) 0) (= (+ (+ (+ ?v_549 ?v_775) ?v_119) ?v_444) 81)) (or (< (+ (+ (+ ?v_556 ?v_497) ?v_182) ?v_772) 76) (>= (+ (+ ?v_215 ?v_776) ?v_226) 19))) (or (and (or (not (= (+ (+ (+ ?v_172 ?v_426) ?v_704) ?v_35) 69)) (or (< (+ (+ (+ ?v_304 ?v_140) ?v_652) ?v_150) (- 86)) (<= (+ (+ ?v_244 ?v_221) ?v_518) 84))) (and (< (+ (+ ?v_572 ?v_197) ?v_488) 34) (and (< (+ (+ (+ ?v_11 ?v_65) ?v_86) ?v_659) 28) (> (+ ?v_96 ?v_20) (- 13))))) (and (>= (+ ?v_402 ?v_518) 0) (or (or (= ?v_617 66) (>= (+ ?v_402 ?v_334) 79)) (and (= (+ (+ ?v_85 ?v_23) ?v_434) 3) (= (+ (+ (+ ?v_491 ?v_497) ?v_431) ?v_154) (- 18))))))) (and (or (and (and (or (not (= (+ (+ ?v_417 ?v_426) ?v_622) 71)) (> (+ (+ (+ ?v_174 ?v_28) ?v_335) ?v_94) 56)) (and (< (+ ?v_777 ?v_422) 79) (= (+ (+ (+ ?v_85 ?v_533) ?v_10) ?v_171) (- 54)))) (and (or (<= (+ (+ ?v_70 ?v_532) ?v_383) (- 99)) (> (+ (+ ?v_358 ?v_230) ?v_552) (- 97))) (and (not (= (+ (+ ?v_116 ?v_246) ?v_778) 0)) (= (+ (+ ?v_105 ?v_384) ?v_715) (- 12))))) (and (or (and (or (> (+ (+ (+ ?v_320 ?v_339) ?v_509) ?v_214) 0) (> (+ (+ ?v_304 ?v_80) ?v_207) 0)) (and (> (+ (+ (+ ?v_572 ?v_138) ?v_729) ?v_336) 0) (<= (+ (+ ?v_439 ?v_140) ?v_720) (- 25)))) (or (or (not (= (+ (+ ?v_320 ?v_472) ?v_716) 66)) (>= (+ (+ ?v_779 ?v_514) ?v_196) (- 92))) (or (< ?v_577 0) (>= (+ (+ ?v_123 ?v_230) ?v_255) (- 86))))) (or (and (or (< (+ (+ ?v_502 ?v_592) ?v_716) 0) (< (+ ?v_96 ?v_566) (- 38))) (not (= (+ (+ ?v_489 ?v_783) ?v_150) 80))) (or (or (= (+ (+ ?v_152 ?v_57) ?v_213) (- 79)) (< (+ (+ ?v_419 ?v_50) ?v_239) (- 38))) (and (<= (+ (+ (+ ?v_305 ?v_723) ?v_258) ?v_277) 59) (> (+ (+ ?v_626 ?v_170) ?v_720) (- 33))))))) (or (and (or (>= (+ (+ (+ ?v_241 ?v_342) ?v_295) ?v_196) 85) (> (+ ?v_128 ?v_509) (- 12))) (and (or (>= (+ (+ ?v_625 ?v_23) ?v_716) 0) (= (+ (+ ?v_767 ?v_230) ?v_570) (- 93))) (not (= (+ (+ (+ ?v_698 ?v_690) ?v_10) ?v_476) (- 90))))) (and (and (or (or (<= (+ (+ ?v_19 ?v_365) ?v_141) (- 64)) (>= (+ ?v_247 ?v_647) (- 56))) (and (= (+ (+ ?v_415 ?v_101) ?v_161) 5) (< (+ ?v_402 ?v_299) (- 95)))) (and (or (> (+ (+ ?v_80 ?v_139) ?v_303) 0) (>= (+ (+ (+ ?v_780 ?v_595) ?v_21) ?v_38) (- 80))) (>= (+ (+ ?v_646 ?v_627) ?v_545) (- 11)))) (or (and (and (>= (+ (+ ?v_385 ?v_359) ?v_0) (- 80)) (<= ?v_220 59)) (and (>= (+ (+ ?v_194 ?v_677) ?v_119) 46) (< (+ (+ ?v_583 ?v_156) ?v_488) 76))) (and (or (< (+ (+ ?v_184 ?v_334) ?v_79) (- 83)) (not (= (+ (+ ?v_501 ?v_440) ?v_678) (- 69)))) (or (> (+ (+ ?v_501 ?v_328) ?v_92) 15) (< (+ (+ ?v_574 ?v_758) ?v_563) 19)))))))) (and (or (or (and (or (and (> (+ (+ ?v_105 ?v_136) ?v_130) 95) (> (+ (+ (+ ?v_132 ?v_415) ?v_781) ?v_277) (- 22))) (<= (+ (+ (+ ?v_370 ?v_140) ?v_670) ?v_376) (- 100))) (and (and (or (= (+ (+ ?v_269 ?v_782) ?v_628) 0) (<= (+ ?v_202 ?v_347) 71)) (or (not (= (+ (+ (+ ?v_774 ?v_367) ?v_301) ?v_355) (- 30))) (> (+ (+ ?v_152 ?v_2) ?v_92) 0))) (> (+ (+ ?v_296 ?v_156) ?v_685) 0))) (and (and (and (<= (+ ?v_395 ?v_121) 0) (> (+ (+ (+ ?v_345 ?v_23) ?v_139) ?v_183) 53)) (and (>= (+ (+ (+ ?v_291 ?v_423) ?v_4) ?v_483) 0) (not (= (+ (+ ?v_607 ?v_86) ?v_209) 68)))) (or (or (and (<= (+ (+ ?v_524 ?v_138) ?v_659) 29) (< (+ (+ ?v_194 ?v_661) ?v_380) 0)) (= (+ ?v_341 ?v_111) 3)) (or (and (= (+ (+ ?v_479 ?v_709) ?v_713) 0) (>= (+ (+ (+ ?v_280 ?v_88) ?v_231) ?v_649) 16)) (or (>= (+ (+ ?v_748 ?v_440) ?v_119) 97) (= (+ (+ ?v_528 ?v_494) ?v_277) 62)))))) (and (and (and (and (and (<= (+ (+ ?v_308 ?v_80) ?v_177) 77) (= (+ (+ ?v_714 ?v_598) ?v_228) 0)) (or (<= (+ (+ ?v_646 ?v_185) ?v_239) (- 46)) (<= (+ ?v_697 ?v_719) 35))) (or (<= (+ ?v_332 ?v_783) (- 51)) (or (<= (+ ?v_31 ?v_406) 89) (< (+ (+ (+ ?v_784 ?v_222) ?v_418) ?v_293) 0)))) (and (<= (+ (+ (+ ?v_558 ?v_343) ?v_614) ?v_237) 95) (> (+ (+ ?v_779 ?v_771) ?v_58) 30))) (and (or (and (= (+ (+ ?v_549 ?v_550) ?v_282) 72) (or (>= (+ (+ (+ ?v_70 ?v_661) ?v_245) ?v_619) (- 20)) (<= (+ (+ ?v_492 ?v_104) ?v_659) (- 43)))) (or (or (<= (+ (+ (+ ?v_175 ?v_471) ?v_207) ?v_526) (- 37)) (<= (+ ?v_691 ?v_72) 50)) (or (> (+ (+ ?v_785 ?v_64) ?v_468) (- 12)) (< (+ (+ ?v_475 ?v_216) ?v_34) 0)))) (or (or (and (> (+ (+ (+ ?v_300 ?v_627) ?v_58) ?v_616) 0) (not (= (+ (+ (+ ?v_296 ?v_507) ?v_365) ?v_728) 84))) (or (< (+ (+ ?v_322 ?v_37) ?v_639) 0) (< (+ (+ ?v_308 ?v_550) ?v_30) 0))) (and (or (>= (+ (+ ?v_31 ?v_312) ?v_366) (- 29)) (< (+ ?v_549 ?v_61) 22)) (and (<= (+ ?v_475 ?v_582) 77) (< (+ (+ (+ ?v_278 ?v_707) ?v_252) ?v_606) 0))))))) (and (and (or (or (or (>= (+ (+ (+ ?v_447 ?v_710) ?v_99) ?v_79) 0) (> (+ (+ ?v_271 ?v_783) ?v_380) 98)) (or (>= (+ (+ ?v_296 ?v_359) ?v_356) 0) (< (+ (+ (+ ?v_502 ?v_321) ?v_538) ?v_547) 97))) (or (and (<= (+ (+ ?v_656 ?v_287) ?v_208) 9) (>= (+ (+ (+ ?v_465 ?v_118) ?v_207) ?v_208) 0)) (not (= (+ (+ (+ ?v_465 ?v_423) ?v_482) ?v_630) 39)))) (or (not (= (+ (+ ?v_487 ?v_218) ?v_376) (- 1))) (or (> ?v_51 0) (< (+ (+ ?v_779 ?v_555) ?v_619) (- 92))))) (and (and (<= ?v_537 30) (>= (+ (+ ?v_241 ?v_733) ?v_4) 0)) (or (or (= (+ ?v_718 ?v_786) 0) (= (+ (+ (+ ?v_439 ?v_580) ?v_99) ?v_444) 0)) (and (>= (+ ?v_179 ?v_468) (- 56)) (= (+ (+ ?v_240 ?v_309) ?v_209) 0))))))))) (or (and (and (or (or (or (and (or (or (not (= (+ ?v_697 ?v_539) 0)) (= (+ (+ (+ ?v_155 ?v_706) ?v_787) ?v_87) (- 66))) (= (+ (+ ?v_370 ?v_744) ?v_318) 38)) (and (and (<= (+ (+ ?v_382 ?v_261) ?v_506) (- 72)) (>= (+ (+ ?v_706 ?v_696) ?v_463) 73)) (and (= (+ (+ (+ ?v_389 ?v_264) ?v_696) ?v_14) (- 78)) (> (+ (+ (+ ?v_761 ?v_749) ?v_101) ?v_163) (- 88))))) (and (< (+ ?v_522 ?v_357) 31) (or (<= (+ (+ ?v_134 ?v_342) ?v_145) (- 16)) (>= (+ (+ (+ ?v_249 ?v_677) ?v_292) ?v_619) 28)))) (or (and (and (> ?v_335 27) (< (+ (+ ?v_307 ?v_207) ?v_371) 0)) (or (not (= (+ (+ (+ ?v_485 ?v_608) ?v_224) ?v_286) 29)) (or (not (= (+ (+ ?v_223 ?v_448) ?v_704) 14)) (> (+ (+ ?v_260 ?v_231) ?v_141) (- 76))))) (or (>= (+ ?v_427 ?v_701) 0) (and (and (> (+ (+ (+ ?v_202 ?v_712) ?v_645) ?v_702) (- 94)) (> (+ (+ ?v_314 ?v_594) ?v_390) 59)) (<= (+ (+ (+ ?v_524 ?v_448) ?v_388) ?v_344) 20))))) (or (and (and (and (and (not (= (+ (+ (+ ?v_607 ?v_410) ?v_587) ?v_35) 2)) (< (+ (+ ?v_125 ?v_50) ?v_67) 31)) (<= (+ (+ ?v_96 ?v_366) ?v_612) 8)) (and (<= (+ ?v_677 ?v_696) 98) (or (<= (+ (+ (+ ?v_761 ?v_33) ?v_365) ?v_14) (- 63)) (<= (+ (+ (+ ?v_604 ?v_153) ?v_380) ?v_91) (- 33))))) (or (and (or (> (+ (+ (+ ?v_524 ?v_542) ?v_662) ?v_310) (- 79)) (= (+ (+ ?v_174 ?v_585) ?v_478) 39)) (or (< (+ ?v_53 ?v_525) (- 89)) (<= (+ (+ (+ ?v_300 ?v_118) ?v_5) ?v_639) 84))) (or (and (> (+ (+ (+ ?v_300 ?v_62) ?v_645) ?v_639) 26) (not (= (+ (+ ?v_633 ?v_503) ?v_602) 0))) (or (> (+ (+ (+ ?v_504 ?v_632) ?v_554) ?v_701) 95) (not (= (+ ?v_777 ?v_419) 0)))))) (and (or (or (< (+ (+ (+ ?v_350 ?v_153) ?v_243) ?v_624) 31) (<= (+ ?v_603 ?v_122) (- 25))) (or (and (>= (+ ?v_245 ?v_639) 0) (not (= ?v_412 (- 13)))) (or (not (= (+ (+ ?v_627 ?v_365) ?v_591) (- 1))) (>= (+ (+ (+ ?v_767 ?v_592) ?v_532) ?v_226) 0)))) (or (< (+ (+ ?v_712 ?v_306) ?v_576) 37) (>= (+ ?v_17 ?v_394) 0))))) (and (and (or (or (or (> (+ ?v_411 ?v_715) 0) (< (+ (+ ?v_698 ?v_492) ?v_757) 7)) (< (+ ?v_784 ?v_344) 1)) (or (and (<= (+ ?v_536 ?v_195) (- 52)) (<= (+ (+ (+ ?v_556 ?v_750) ?v_610) ?v_742) (- 40))) (and (>= (+ (+ ?v_88 ?v_127) ?v_393) 55) (<= (+ (+ ?v_314 ?v_532) ?v_338) (- 16))))) (or (and (>= (+ ?v_327 ?v_713) 0) (and (or (<= (+ (+ ?v_327 ?v_258) ?v_390) 0) (< (+ ?v_300 ?v_336) 4)) (or (>= (+ (+ (+ ?v_364 ?v_362) ?v_717) ?v_290) (- 86)) (> (+ (+ ?v_640 ?v_674) ?v_208) 80)))) (or (and (or (> (+ (+ (+ ?v_501 ?v_331) ?v_4) ?v_274) 98) (>= (+ ?v_387 ?v_156) 94)) (or (>= (+ (+ ?v_741 ?v_534) ?v_376) 91) (< (+ (+ ?v_397 ?v_648) ?v_218) (- 41)))) (or (and (> (+ (+ ?v_118 ?v_756) ?v_788) (- 13)) (not (= (+ (+ ?v_761 ?v_756) ?v_399) 0))) (and (= ?v_256 81) (= (+ (+ (+ ?v_389 ?v_8) ?v_696) ?v_217) 0)))))) (and (and (or (and (< (+ (+ (+ ?v_341 ?v_770) ?v_106) ?v_168) (- 5)) (= (+ (+ ?v_497 ?v_176) ?v_409) 0)) (and (> (+ (+ ?v_764 ?v_543) ?v_563) 0) (<= (+ ?v_271 ?v_789) 71))) (or (and (= (+ (+ ?v_420 ?v_33) ?v_509) (- 91)) (= (+ ?v_530 ?v_416) 0)) (and (> (+ (+ ?v_708 ?v_24) ?v_383) 0) (< (+ (+ ?v_179 ?v_534) ?v_142) 28)))) (or (and (or (< (+ (+ (+ ?v_524 ?v_677) ?v_778) ?v_613) (- 17)) (< (+ (+ ?v_790 ?v_644) ?v_715) 0)) (= (+ (+ (+ ?v_633 ?v_19) ?v_645) ?v_35) 60)) (or (or (>= (+ (+ ?v_341 ?v_62) ?v_295) 4) (> (+ ?v_332 ?v_589) (- 21))) (not (= (+ (+ ?v_377 ?v_135) ?v_481) 83))))))) (and (or (and (and (> ?v_77 (- 78)) (<= (+ ?v_312 ?v_24) 5)) (and (<= (+ (+ ?v_577 ?v_379) ?v_719) (- 82)) (<= (+ (+ (+ ?v_300 ?v_405) ?v_678) ?v_383) (- 43)))) (or (or (and (or (or (= (+ ?v_27 ?v_150) 15) (= (+ (+ ?v_441 ?v_111) ?v_110) 30)) (> (+ (+ ?v_42 ?v_108) ?v_602) 0)) (or (and (<= (+ ?v_201 ?v_154) 0) (> (+ ?v_210 ?v_683) (- 22))) (or (< (+ (+ ?v_138 ?v_645) ?v_163) 13) (< (+ (+ ?v_300 ?v_683) ?v_425) (- 2))))) (or (or (or (= (+ (+ ?v_314 ?v_102) ?v_438) 57) (= (+ (+ (+ ?v_97 ?v_135) ?v_638) ?v_596) 45)) (or (= (+ (+ (+ ?v_137 ?v_403) ?v_122) ?v_687) 72) (>= (+ (+ (+ ?v_320 ?v_669) ?v_494) ?v_61) 82))) (and (or (<= (+ ?v_275 ?v_443) (- 93)) (not (= (+ (+ (+ ?v_3 ?v_648) ?v_396) ?v_713) 0))) (and (< (+ ?v_69 ?v_512) (- 2)) (<= (+ ?v_714 ?v_702) (- 87)))))) (or (and (< (+ (+ ?v_153 ?v_139) ?v_369) (- 29)) (>= (+ (+ ?v_739 ?v_53) ?v_416) 0)) (and (and (> (+ (+ ?v_508 ?v_583) ?v_306) 24) (not (= (+ (+ ?v_417 ?v_160) ?v_189) 48))) (= (+ ?v_271 ?v_211) (- 39)))))) (or (and (and (or (or (or (> (+ (+ (+ ?v_391 ?v_759) ?v_614) ?v_268) (- 13)) (> (+ (+ ?v_46 ?v_340) ?v_512) 98)) (or (<= (+ (+ (+ ?v_69 ?v_219) ?v_554) ?v_529) 0) (>= (+ (+ (+ ?v_280 ?v_179) ?v_151) ?v_552) (- 8)))) (and (<= (+ (+ (+ ?v_780 ?v_19) ?v_769) ?v_253) (- 91)) (>= (+ ?v_81 ?v_499) (- 71)))) (or (or (= (+ ?v_502 ?v_525) (- 28)) (> (+ ?v_762 ?v_166) 99)) (and (<= (+ ?v_117 ?v_783) 65) (<= (+ (+ ?v_759 ?v_522) ?v_363) 86)))) (and (or (and (or (>= (+ (+ ?v_328 ?v_482) ?v_425) (- 35)) (= (+ (+ ?v_15 ?v_611) ?v_183) (- 36))) (or (< (+ (+ ?v_159 ?v_200) ?v_647) 94) (<= (+ (+ (+ ?v_129 ?v_337) ?v_753) ?v_203) 0))) (and (or (<= (+ (+ (+ ?v_682 ?v_219) ?v_4) ?v_59) 0) (> (+ (+ (+ ?v_300 ?v_706) ?v_10) ?v_44) (- 40))) (or (= (+ (+ (+ ?v_85 ?v_707) ?v_230) ?v_357) 57) (< ?v_796 58)))) (and (or (and (>= (+ (+ ?v_543 ?v_757) ?v_208) 0) (<= (+ (+ (+ ?v_762 ?v_352) ?v_443) ?v_407) 0)) (or (= (+ (+ (+ ?v_332 ?v_2) ?v_1) ?v_685) (- 21)) (< (+ ?v_345 ?v_38) 64))) (>= (+ ?v_755 ?v_274) 0)))) (and (or (and (= (+ (+ ?v_640 ?v_621) ?v_274) 81) (= (+ (+ (+ ?v_629 ?v_19) ?v_638) ?v_449) (- 51))) (and (and (not (= (+ (+ (+ ?v_22 ?v_706) ?v_34) ?v_512) (- 6))) (> ?v_365 (- 57))) (< (+ (+ ?v_97 ?v_586) ?v_40) 91))) (and (or (and (= (+ ?v_56 ?v_442) 0) (= (+ (+ (+ ?v_117 ?v_153) ?v_266) ?v_67) 83)) (and (or (not (= (+ (+ ?v_7 ?v_326) ?v_545) 0)) (= (+ ?v_106 ?v_168) 27)) (= (+ (+ ?v_78 ?v_605) ?v_684) (- 70)))) (and (> (+ (+ (+ ?v_278 ?v_135) ?v_699) ?v_282) 92) (or (or (not (= (+ (+ (+ ?v_686 ?v_302) ?v_261) ?v_560) 0)) (<= (+ (+ (+ ?v_780 ?v_580) ?v_416) ?v_205) 0)) (and (= (+ (+ ?v_7 ?v_352) ?v_460) 78) (< (+ (+ ?v_721 ?v_43) ?v_258) 91))))))))) (or (or (and (or (and (and (or (or (<= (+ (+ (+ ?v_625 ?v_455) ?v_615) ?v_792) 36) (= (+ (+ ?v_69 ?v_757) ?v_325) 6)) (or (> (+ ?v_222 ?v_418) 59) (<= (+ ?v_489 ?v_146) 0))) (or (or (<= (+ (+ ?v_49 ?v_426) ?v_719) (- 72)) (<= (+ ?v_264 ?v_584) 0)) (and (< (+ (+ (+ ?v_779 ?v_148) ?v_600) ?v_41) (- 20)) (< ?v_218 (- 92))))) (or (or (or (>= (+ (+ ?v_137 ?v_793) ?v_649) 0) (< (+ (+ ?v_367 ?v_151) ?v_437) (- 29))) (= (+ (+ ?v_666 ?v_757) ?v_192) (- 82))) (or (or (not (= (+ (+ (+ ?v_69 ?v_759) ?v_494) ?v_412) (- 91))) (= (+ (+ ?v_579 ?v_431) ?v_347) 24)) (or (<= (+ (+ ?v_794 ?v_690) ?v_248) 0) (= (+ (+ ?v_726 ?v_615) ?v_173) (- 78)))))) (or (or (and (and (<= ?v_611 0) (= (+ (+ (+ ?v_11 ?v_617) ?v_729) ?v_553) 18)) (and (> (+ (+ ?v_7 ?v_219) ?v_255) 62) (< (+ (+ ?v_155 ?v_37) ?v_715) 73))) (and (and (> (+ ?v_609 ?v_710) 38) (< (+ ?v_544 ?v_236) (- 17))) (and (>= (+ (+ ?v_408 ?v_672) ?v_659) (- 32)) (>= (+ (+ (+ ?v_46 ?v_331) ?v_795) ?v_171) 0)))) (or (or (< (+ ?v_548 ?v_168) 0) (> (+ (+ ?v_316 ?v_500) ?v_277) 0)) (> (+ (+ ?v_726 ?v_462) ?v_499) 89)))) (or (or (<= (+ (+ (+ ?v_174 ?v_733) ?v_434) ?v_772) 20) (not (= (+ (+ ?v_572 ?v_215) ?v_259) 54))) (or (or (or (and (not (= (+ (+ ?v_633 ?v_406) ?v_376) 32)) (> (+ ?v_533 ?v_406) (- 7))) (and (= (+ ?v_233 ?v_230) 9) (>= (+ ?v_642 ?v_582) 0))) (or (not (= (+ (+ ?v_504 ?v_343) ?v_5) (- 33))) (not (= (+ (+ ?v_633 ?v_321) ?v_381) 3)))) (and (and (and (> (+ ?v_445 ?v_584) (- 82)) (= (+ (+ ?v_746 ?v_645) ?v_211) 66)) (or (<= (+ (+ (+ ?v_305 ?v_133) ?v_51) ?v_772) 87) (<= (+ (+ ?v_683 ?v_731) ?v_655) 0))) (and (or (<= (+ ?v_275 ?v_330) 0) (= (+ (+ (+ ?v_97 ?v_689) ?v_753) ?v_255) 9)) (and (>= (+ ?v_796 ?v_481) 70) (= (+ (+ ?v_105 ?v_457) ?v_347) 54))))))) (or (or (or (and (or (not (= (+ (+ (+ ?v_349 ?v_786) ?v_89) ?v_519) 96)) (< (+ (+ ?v_548 ?v_654) ?v_484) (- 83))) (and (>= (+ (+ (+ ?v_777 ?v_140) ?v_50) ?v_390) 46) (<= (+ (+ ?v_402 ?v_473) ?v_38) 77))) (and (or (> (+ ?v_29 ?v_310) (- 21)) (>= (+ (+ (+ ?v_762 ?v_601) ?v_797) ?v_214) (- 41))) (and (>= (+ (+ ?v_256 ?v_514) ?v_188) 61) (>= (+ (+ (+ ?v_7 ?v_68) ?v_600) ?v_560) 40)))) (or (or (and (not (= (+ (+ (+ ?v_666 ?v_436) ?v_691) ?v_59) (- 60))) (<= (+ (+ (+ ?v_385 ?v_517) ?v_356) ?v_649) (- 40))) (or (<= (+ ?v_646 ?v_538) (- 64)) (> (+ (+ (+ ?v_300 ?v_108) ?v_422) ?v_90) 0))) (and (or (or (not (= (+ (+ ?v_800 ?v_24) ?v_596) 98)) (> (+ (+ (+ ?v_626 ?v_676) ?v_500) ?v_613) 50)) (< (+ (+ (+ ?v_382 ?v_673) ?v_494) ?v_798) 0)) (or (and (<= (+ ?v_403 ?v_687) 48) (< (+ (+ (+ ?v_420 ?v_162) ?v_522) ?v_428) (- 44))) (or (>= (+ (+ (+ ?v_668 ?v_395) ?v_789) ?v_665) 4) (> (+ (+ (+ ?v_604 ?v_689) ?v_366) ?v_203) 56)))))) (and (and (or (and (<= (+ (+ (+ ?v_289 ?v_403) ?v_73) ?v_547) 11) (> (+ (+ (+ ?v_117 ?v_487) ?v_365) ?v_768) 0)) (> (+ (+ ?v_403 ?v_191) ?v_226) (- 19))) (or (= (+ ?v_496 ?v_286) (- 9)) (or (< (+ (+ (+ ?v_240 ?v_799) ?v_460) ?v_506) (- 41)) (> (+ ?v_232 ?v_167) 84)))) (or (and (or (> (+ (+ ?v_349 ?v_741) ?v_453) (- 9)) (> (+ (+ (+ ?v_620 ?v_530) ?v_230) ?v_267) 3)) (and (= ?v_396 (- 55)) (>= (+ (+ ?v_117 ?v_434) ?v_386) (- 59)))) (or (or (< (+ ?v_673 ?v_797) 0) (< (+ ?v_108 ?v_406) 0)) (and (> (+ (+ ?v_501 ?v_493) ?v_166) (- 33)) (= (+ (+ ?v_391 ?v_224) ?v_428) (- 34)))))))) (and (or (or (and (or (or (>= (+ ?v_56 ?v_325) 61) (< (+ (+ (+ ?v_229 ?v_43) ?v_301) ?v_288) 0)) (and (or (< (+ (+ ?v_485 ?v_487) ?v_252) (- 17)) (= (+ (+ ?v_597 ?v_771) ?v_795) 45)) (or (not (= (+ (+ ?v_417 ?v_421) ?v_365) 0)) (not (= ?v_657 20))))) (or (and (>= (+ (+ ?v_799 ?v_400) ?v_702) (- 44)) (and (< (+ (+ (+ ?v_718 ?v_88) ?v_297) ?v_458) (- 14)) (> (+ ?v_436 ?v_354) 65))) (or (or (>= ?v_280 (- 83)) (< (+ (+ ?v_623 ?v_641) ?v_217) (- 35))) (> (+ (+ (+ ?v_794 ?v_162) ?v_176) ?v_716) 69)))) (or (or (and (>= (+ (+ ?v_738 ?v_133) ?v_243) 97) (>= (+ (+ ?v_514 ?v_582) ?v_412) 49)) (or (<= (+ (+ ?v_567 ?v_507) ?v_285) (- 19)) (> (+ (+ ?v_707 ?v_193) ?v_6) 0))) (or (= (+ (+ ?v_348 ?v_98) ?v_221) (- 45)) (>= (+ (+ (+ ?v_361 ?v_505) ?v_21) ?v_344) 37)))) (and (or (and (and (< ?v_782 0) (and (<= (+ (+ (+ ?v_97 ?v_235) ?v_24) ?v_649) 54) (>= (+ (+ ?v_271 ?v_532) ?v_751) 0))) (and (or (>= (+ (+ (+ ?v_97 ?v_436) ?v_450) ?v_463) (- 53)) (>= (+ (+ (+ ?v_521 ?v_710) ?v_434) ?v_751) (- 65))) (or (> (+ (+ (+ ?v_748 ?v_251) ?v_470) ?v_394) (- 31)) (> ?v_397 (- 4))))) (and (and (= (+ (+ ?v_311 ?v_477) ?v_451) 0) (<= (+ ?v_627 ?v_166) 83)) (and (not (= (+ (+ ?v_172 ?v_670) ?v_0) 18)) (< (+ (+ ?v_143 ?v_621) ?v_619) (- 98))))) (or (and (or (and (< (+ (+ ?v_350 ?v_793) ?v_100) 88) (< (+ (+ ?v_117 ?v_295) ?v_288) (- 83))) (and (>= (+ (+ (+ ?v_577 ?v_8) ?v_354) ?v_214) 0) (= (+ ?v_464 ?v_363) (- 33)))) (or (or (not (= (+ (+ ?v_314 ?v_384) ?v_614) (- 7))) (> (+ (+ (+ ?v_739 ?v_96) ?v_182) ?v_142) (- 16))) (or (<= (+ (+ (+ ?v_556 ?v_709) ?v_156) ?v_157) 0) (not (= (+ (+ (+ ?v_313 ?v_514) ?v_782) ?v_262) (- 34)))))) (or (or (= (+ (+ ?v_688 ?v_184) ?v_218) 0) (not (= (+ ?v_646 ?v_404) 6))) (and (>= (+ (+ (+ ?v_341 ?v_755) ?v_188) ?v_768) 82) (<= (+ ?v_419 ?v_34) (- 73))))))) (and (or (or (and (or (and (not (= (+ (+ (+ ?v_688 ?v_270) ?v_678) ?v_211) 0)) (not (= (+ (+ ?v_114 ?v_388) ?v_239) 0))) (<= (+ ?v_133 ?v_797) 23)) (and (not (= (+ (+ ?v_543 ?v_396) ?v_539) (- 66))) (and (<= (+ (+ ?v_774 ?v_86) ?v_277) 0) (= (+ ?v_471 ?v_157) (- 66))))) (or (or (and (not (= (+ (+ ?v_190 ?v_149) ?v_30) 0)) (> (+ (+ ?v_155 ?v_247) ?v_26) 80)) (and (> (+ (+ ?v_69 ?v_671) ?v_510) 41) (<= (+ (+ ?v_690 ?v_494) ?v_141) 0))) (and (> (+ (+ ?v_291 ?v_438) ?v_751) 0) (> (+ (+ ?v_117 ?v_33) ?v_378) 57)))) (and (and (and (<= (+ (+ ?v_275 ?v_188) ?v_613) (- 67)) (< (+ (+ ?v_548 ?v_326) ?v_59) 0)) (or (or (> (+ ?v_194 ?v_188) (- 55)) (>= (+ ?v_102 ?v_424) 0)) (and (> (+ (+ (+ ?v_385 ?v_215) ?v_585) ?v_701) 47) (> (+ ?v_755 ?v_431) 89)))) (and (or (and (= (+ ?v_485 ?v_166) 39) (<= (+ (+ (+ ?v_389 ?v_88) ?v_480) ?v_484) 36)) (and (<= (+ (+ ?v_313 ?v_328) ?v_261) 0) (> (+ (+ ?v_169 ?v_180) ?v_336) 89))) (and (or (< (+ (+ ?v_721 ?v_10) ?v_211) (- 41)) (not (= (+ (+ (+ ?v_240 ?v_65) ?v_585) ?v_560) 0))) (and (> (+ (+ ?v_85 ?v_634) ?v_713) (- 94)) (= (+ (+ (+ ?v_391 ?v_744) ?v_422) ?v_209) 30)))))) (or (or (< (+ (+ ?v_604 ?v_723) ?v_139) 0) (or (or (not (= ?v_800 (- 78))) (<= (+ ?v_533 ?v_203) (- 91))) (or (< (+ (+ ?v_251 ?v_480) ?v_168) 0) (not (= (+ (+ (+ ?v_504 ?v_593) ?v_297) ?v_186) 36))))) (or (and (and (= (+ (+ ?v_212 ?v_179) ?v_651) (- 34)) (<= (+ ?v_567 ?v_150) 38)) (or (< (+ (+ ?v_607 ?v_302) ?v_106) 31) (or (< (+ (+ ?v_579 ?v_669) ?v_259) 10) (< (+ (+ ?v_220 ?v_199) ?v_398) 82)))) (or (and (>= ?v_476 22) (>= (+ (+ (+ ?v_350 ?v_133) ?v_562) ?v_636) 82)) (and (and (>= (+ (+ (+ ?v_515 ?v_555) ?v_388) ?v_564) (- 11)) (= (+ (+ ?v_653 ?v_165) ?v_717) (- 15))) (<= (+ (+ ?v_251 ?v_221) ?v_112) 65))))))))))))))))))))))
(check-sat)
(exit)
